#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2079
#define LARGE_STATE_COUNT 449
#define SYMBOL_COUNT 136
#define ALIAS_COUNT 1
#define TOKEN_COUNT 81
#define EXTERNAL_TOKEN_COUNT 14
#define FIELD_COUNT 20
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 57

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_BSLASH = 2,
  anon_sym_function = 3,
  anon_sym_EQ = 4,
  anon_sym_if = 5,
  anon_sym_for = 6,
  anon_sym_in = 7,
  anon_sym_while = 8,
  anon_sym_repeat = 9,
  anon_sym_QMARK = 10,
  anon_sym_TILDE = 11,
  anon_sym_BANG = 12,
  anon_sym_PLUS = 13,
  anon_sym_DASH = 14,
  anon_sym_LT_DASH = 15,
  anon_sym_LT_LT_DASH = 16,
  anon_sym_COLON_EQ = 17,
  anon_sym_DASH_GT = 18,
  anon_sym_DASH_GT_GT = 19,
  anon_sym_PIPE = 20,
  anon_sym_AMP = 21,
  anon_sym_PIPE_PIPE = 22,
  anon_sym_AMP_AMP = 23,
  anon_sym_LT = 24,
  anon_sym_LT_EQ = 25,
  anon_sym_GT = 26,
  anon_sym_GT_EQ = 27,
  anon_sym_EQ_EQ = 28,
  anon_sym_BANG_EQ = 29,
  anon_sym_STAR = 30,
  anon_sym_SLASH = 31,
  anon_sym_STAR_STAR = 32,
  anon_sym_CARET = 33,
  aux_sym_binary_operator_token1 = 34,
  anon_sym_PIPE_GT = 35,
  anon_sym_COLON = 36,
  anon_sym_DOLLAR = 37,
  anon_sym_AT = 38,
  anon_sym_COLON_COLON = 39,
  anon_sym_COLON_COLON_COLON = 40,
  anon_sym_L = 41,
  anon_sym_i = 42,
  sym__hex_literal = 43,
  sym__number_literal = 44,
  anon_sym_SQUOTE = 45,
  anon_sym_DQUOTE = 46,
  aux_sym__single_quoted_string_content_token1 = 47,
  aux_sym__double_quoted_string_content_token1 = 48,
  sym_escape_sequence = 49,
  sym_dots = 50,
  sym_dot_dot_i = 51,
  sym_return = 52,
  sym_next = 53,
  sym_break = 54,
  sym_true = 55,
  sym_false = 56,
  sym_null = 57,
  sym_inf = 58,
  sym_nan = 59,
  anon_sym_NA = 60,
  anon_sym_NA_integer_ = 61,
  anon_sym_NA_real_ = 62,
  anon_sym_NA_complex_ = 63,
  anon_sym_NA_character_ = 64,
  sym_comment = 65,
  sym_comma = 66,
  sym__start = 67,
  sym__newline = 68,
  sym__semicolon = 69,
  sym__raw_string_literal = 70,
  sym__external_else = 71,
  sym__external_open_parenthesis = 72,
  sym__external_close_parenthesis = 73,
  sym__external_open_brace = 74,
  sym__external_close_brace = 75,
  sym__external_open_bracket = 76,
  sym__external_close_bracket = 77,
  sym__external_open_bracket2 = 78,
  sym__external_close_bracket2 = 79,
  sym__error_sentinel = 80,
  sym_program = 81,
  sym_function_definition = 82,
  sym_parameters = 83,
  sym_parameter = 84,
  sym__parameter_with_default = 85,
  sym__parameter_without_default = 86,
  sym__parameter_name = 87,
  sym_if_statement = 88,
  sym_for_statement = 89,
  sym_while_statement = 90,
  sym_repeat_statement = 91,
  sym_braced_expression = 92,
  sym_parenthesized_expression = 93,
  sym_call = 94,
  sym_subset = 95,
  sym_subset2 = 96,
  sym_call_arguments = 97,
  sym_subset_arguments = 98,
  sym_subset2_arguments = 99,
  sym_argument = 100,
  sym__argument_named = 101,
  sym__argument_unnamed = 102,
  sym__argument_value = 103,
  sym_unary_operator = 104,
  sym_binary_operator = 105,
  sym_extract_operator = 106,
  sym_namespace_operator = 107,
  sym_integer = 108,
  sym_complex = 109,
  sym_float = 110,
  sym__float_literal = 111,
  sym_string = 112,
  sym__single_quoted_string = 113,
  sym__double_quoted_string = 114,
  aux_sym__single_quoted_string_content = 115,
  aux_sym__double_quoted_string_content = 116,
  sym__identifier_or_dots_or_dot_dot_i = 117,
  sym__string_or_identifier_or_dots_or_dot_dot_i = 118,
  sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i = 119,
  sym_na = 120,
  sym__expression = 121,
  sym__else = 122,
  sym__open_parenthesis = 123,
  sym__close_parenthesis = 124,
  sym__open_brace = 125,
  sym__close_brace = 126,
  sym__open_bracket = 127,
  sym__close_bracket = 128,
  sym__open_bracket2 = 129,
  sym__close_bracket2 = 130,
  aux_sym_program_repeat1 = 131,
  aux_sym_function_definition_repeat1 = 132,
  aux_sym_parameters_repeat1 = 133,
  aux_sym_braced_expression_repeat1 = 134,
  aux_sym_call_arguments_repeat1 = 135,
  alias_sym_string_content = 136,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_function] = "function",
  [anon_sym_EQ] = "=",
  [anon_sym_if] = "if",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_repeat] = "repeat",
  [anon_sym_QMARK] = "\?",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DASH_GT_GT] = "->>",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_CARET] = "^",
  [aux_sym_binary_operator_token1] = "special",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_COLON] = ":",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_AT] = "@",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON_COLON_COLON] = ":::",
  [anon_sym_L] = "L",
  [anon_sym_i] = "i",
  [sym__hex_literal] = "_hex_literal",
  [sym__number_literal] = "_number_literal",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__single_quoted_string_content_token1] = "_single_quoted_string_content_token1",
  [aux_sym__double_quoted_string_content_token1] = "_double_quoted_string_content_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_dots] = "dots",
  [sym_dot_dot_i] = "dot_dot_i",
  [sym_return] = "return",
  [sym_next] = "next",
  [sym_break] = "break",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_inf] = "inf",
  [sym_nan] = "nan",
  [anon_sym_NA] = "NA",
  [anon_sym_NA_integer_] = "NA_integer_",
  [anon_sym_NA_real_] = "NA_real_",
  [anon_sym_NA_complex_] = "NA_complex_",
  [anon_sym_NA_character_] = "NA_character_",
  [sym_comment] = "comment",
  [sym_comma] = "comma",
  [sym__start] = "_start",
  [sym__newline] = "_newline",
  [sym__semicolon] = "_semicolon",
  [sym__raw_string_literal] = "_raw_string_literal",
  [sym__external_else] = "else",
  [sym__external_open_parenthesis] = "(",
  [sym__external_close_parenthesis] = ")",
  [sym__external_open_brace] = "{",
  [sym__external_close_brace] = "}",
  [sym__external_open_bracket] = "[",
  [sym__external_close_bracket] = "]",
  [sym__external_open_bracket2] = "[[",
  [sym__external_close_bracket2] = "]]",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_program] = "program",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym__parameter_with_default] = "_parameter_with_default",
  [sym__parameter_without_default] = "_parameter_without_default",
  [sym__parameter_name] = "_parameter_name",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_repeat_statement] = "repeat_statement",
  [sym_braced_expression] = "braced_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call] = "call",
  [sym_subset] = "subset",
  [sym_subset2] = "subset2",
  [sym_call_arguments] = "arguments",
  [sym_subset_arguments] = "arguments",
  [sym_subset2_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_named] = "_argument_named",
  [sym__argument_unnamed] = "_argument_unnamed",
  [sym__argument_value] = "_argument_value",
  [sym_unary_operator] = "unary_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_extract_operator] = "extract_operator",
  [sym_namespace_operator] = "namespace_operator",
  [sym_integer] = "integer",
  [sym_complex] = "complex",
  [sym_float] = "float",
  [sym__float_literal] = "_float_literal",
  [sym_string] = "string",
  [sym__single_quoted_string] = "_single_quoted_string",
  [sym__double_quoted_string] = "_double_quoted_string",
  [aux_sym__single_quoted_string_content] = "_single_quoted_string_content",
  [aux_sym__double_quoted_string_content] = "_double_quoted_string_content",
  [sym__identifier_or_dots_or_dot_dot_i] = "_identifier_or_dots_or_dot_dot_i",
  [sym__string_or_identifier_or_dots_or_dot_dot_i] = "_string_or_identifier_or_dots_or_dot_dot_i",
  [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = "_argument_name_string_or_identifier_or_dots_or_dot_dot_i",
  [sym_na] = "na",
  [sym__expression] = "_expression",
  [sym__else] = "_else",
  [sym__open_parenthesis] = "_open_parenthesis",
  [sym__close_parenthesis] = "_close_parenthesis",
  [sym__open_brace] = "_open_brace",
  [sym__close_brace] = "_close_brace",
  [sym__open_bracket] = "_open_bracket",
  [sym__close_bracket] = "_close_bracket",
  [sym__open_bracket2] = "_open_bracket2",
  [sym__close_bracket2] = "_close_bracket2",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_braced_expression_repeat1] = "braced_expression_repeat1",
  [aux_sym_call_arguments_repeat1] = "call_arguments_repeat1",
  [alias_sym_string_content] = "string_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_repeat] = anon_sym_repeat,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_DASH_GT_GT] = anon_sym_DASH_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_CARET] = anon_sym_CARET,
  [aux_sym_binary_operator_token1] = aux_sym_binary_operator_token1,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON_COLON_COLON] = anon_sym_COLON_COLON_COLON,
  [anon_sym_L] = anon_sym_L,
  [anon_sym_i] = anon_sym_i,
  [sym__hex_literal] = sym__hex_literal,
  [sym__number_literal] = sym__number_literal,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__single_quoted_string_content_token1] = aux_sym__single_quoted_string_content_token1,
  [aux_sym__double_quoted_string_content_token1] = aux_sym__double_quoted_string_content_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_dots] = sym_dots,
  [sym_dot_dot_i] = sym_dot_dot_i,
  [sym_return] = sym_return,
  [sym_next] = sym_next,
  [sym_break] = sym_break,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_inf] = sym_inf,
  [sym_nan] = sym_nan,
  [anon_sym_NA] = anon_sym_NA,
  [anon_sym_NA_integer_] = anon_sym_NA_integer_,
  [anon_sym_NA_real_] = anon_sym_NA_real_,
  [anon_sym_NA_complex_] = anon_sym_NA_complex_,
  [anon_sym_NA_character_] = anon_sym_NA_character_,
  [sym_comment] = sym_comment,
  [sym_comma] = sym_comma,
  [sym__start] = sym__start,
  [sym__newline] = sym__newline,
  [sym__semicolon] = sym__semicolon,
  [sym__raw_string_literal] = sym__raw_string_literal,
  [sym__external_else] = sym__external_else,
  [sym__external_open_parenthesis] = sym__external_open_parenthesis,
  [sym__external_close_parenthesis] = sym__external_close_parenthesis,
  [sym__external_open_brace] = sym__external_open_brace,
  [sym__external_close_brace] = sym__external_close_brace,
  [sym__external_open_bracket] = sym__external_open_bracket,
  [sym__external_close_bracket] = sym__external_close_bracket,
  [sym__external_open_bracket2] = sym__external_open_bracket2,
  [sym__external_close_bracket2] = sym__external_close_bracket2,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_program] = sym_program,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym__parameter_with_default] = sym__parameter_with_default,
  [sym__parameter_without_default] = sym__parameter_without_default,
  [sym__parameter_name] = sym__parameter_name,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_repeat_statement] = sym_repeat_statement,
  [sym_braced_expression] = sym_braced_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call] = sym_call,
  [sym_subset] = sym_subset,
  [sym_subset2] = sym_subset2,
  [sym_call_arguments] = sym_call_arguments,
  [sym_subset_arguments] = sym_call_arguments,
  [sym_subset2_arguments] = sym_call_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_named] = sym__argument_named,
  [sym__argument_unnamed] = sym__argument_unnamed,
  [sym__argument_value] = sym__argument_value,
  [sym_unary_operator] = sym_unary_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_extract_operator] = sym_extract_operator,
  [sym_namespace_operator] = sym_namespace_operator,
  [sym_integer] = sym_integer,
  [sym_complex] = sym_complex,
  [sym_float] = sym_float,
  [sym__float_literal] = sym__float_literal,
  [sym_string] = sym_string,
  [sym__single_quoted_string] = sym__single_quoted_string,
  [sym__double_quoted_string] = sym__double_quoted_string,
  [aux_sym__single_quoted_string_content] = aux_sym__single_quoted_string_content,
  [aux_sym__double_quoted_string_content] = aux_sym__double_quoted_string_content,
  [sym__identifier_or_dots_or_dot_dot_i] = sym__identifier_or_dots_or_dot_dot_i,
  [sym__string_or_identifier_or_dots_or_dot_dot_i] = sym__string_or_identifier_or_dots_or_dot_dot_i,
  [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i,
  [sym_na] = sym_na,
  [sym__expression] = sym__expression,
  [sym__else] = sym__else,
  [sym__open_parenthesis] = sym__open_parenthesis,
  [sym__close_parenthesis] = sym__close_parenthesis,
  [sym__open_brace] = sym__open_brace,
  [sym__close_brace] = sym__close_brace,
  [sym__open_bracket] = sym__open_bracket,
  [sym__close_bracket] = sym__close_bracket,
  [sym__open_bracket2] = sym__open_bracket2,
  [sym__close_bracket2] = sym__close_bracket2,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_braced_expression_repeat1] = aux_sym_braced_expression_repeat1,
  [aux_sym_call_arguments_repeat1] = aux_sym_call_arguments_repeat1,
  [alias_sym_string_content] = alias_sym_string_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_repeat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_i] = {
    .visible = true,
    .named = false,
  },
  [sym__hex_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__number_literal] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__single_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_dots] = {
    .visible = true,
    .named = true,
  },
  [sym_dot_dot_i] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_next] = {
    .visible = true,
    .named = true,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_inf] = {
    .visible = true,
    .named = true,
  },
  [sym_nan] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_integer_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_real_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_complex_] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NA_character_] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__start] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__external_else] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_parenthesis] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_parenthesis] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_brace] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_brace] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__external_open_bracket2] = {
    .visible = true,
    .named = false,
  },
  [sym__external_close_bracket2] = {
    .visible = true,
    .named = false,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_with_default] = {
    .visible = false,
    .named = true,
  },
  [sym__parameter_without_default] = {
    .visible = false,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_braced_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_subset] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2] = {
    .visible = true,
    .named = true,
  },
  [sym_call_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subset_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subset2_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_named] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_unnamed] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_value] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_extract_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_complex] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quoted_string_content] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym__identifier_or_dots_or_dot_dot_i] = {
    .visible = false,
    .named = true,
  },
  [sym__string_or_identifier_or_dots_or_dot_dot_i] = {
    .visible = false,
    .named = true,
  },
  [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = {
    .visible = false,
    .named = true,
  },
  [sym_na] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__else] = {
    .visible = false,
    .named = true,
  },
  [sym__open_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__close_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__open_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__close_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__open_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__close_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__open_bracket2] = {
    .visible = false,
    .named = true,
  },
  [sym__close_bracket2] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_braced_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_string_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_body = 4,
  field_close = 5,
  field_condition = 6,
  field_consequence = 7,
  field_content = 8,
  field_default = 9,
  field_function = 10,
  field_lhs = 11,
  field_name = 12,
  field_open = 13,
  field_operator = 14,
  field_parameter = 15,
  field_parameters = 16,
  field_rhs = 17,
  field_sequence = 18,
  field_value = 19,
  field_variable = 20,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close] = "close",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_content] = "content",
  [field_default] = "default",
  [field_function] = "function",
  [field_lhs] = "lhs",
  [field_name] = "name",
  [field_open] = "open",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_rhs] = "rhs",
  [field_sequence] = "sequence",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 1},
  [7] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 3},
  [9] = {.index = 14, .length = 2},
  [10] = {.index = 16, .length = 1},
  [11] = {.index = 17, .length = 1},
  [12] = {.index = 18, .length = 1},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 1},
  [15] = {.index = 22, .length = 3},
  [16] = {.index = 25, .length = 2},
  [17] = {.index = 27, .length = 1},
  [18] = {.index = 28, .length = 1},
  [19] = {.index = 29, .length = 3},
  [20] = {.index = 32, .length = 3},
  [21] = {.index = 35, .length = 2},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 3},
  [24] = {.index = 43, .length = 3},
  [25] = {.index = 46, .length = 3},
  [26] = {.index = 49, .length = 1},
  [27] = {.index = 50, .length = 3},
  [28] = {.index = 53, .length = 3},
  [29] = {.index = 56, .length = 2},
  [30] = {.index = 58, .length = 1},
  [31] = {.index = 59, .length = 4},
  [32] = {.index = 63, .length = 2},
  [33] = {.index = 65, .length = 2},
  [34] = {.index = 67, .length = 3},
  [35] = {.index = 70, .length = 4},
  [36] = {.index = 74, .length = 4},
  [37] = {.index = 78, .length = 4},
  [38] = {.index = 82, .length = 2},
  [39] = {.index = 84, .length = 4},
  [40] = {.index = 88, .length = 4},
  [41] = {.index = 92, .length = 4},
  [42] = {.index = 96, .length = 4},
  [43] = {.index = 100, .length = 5},
  [44] = {.index = 105, .length = 4},
  [45] = {.index = 109, .length = 5},
  [46] = {.index = 114, .length = 4},
  [47] = {.index = 118, .length = 5},
  [48] = {.index = 123, .length = 5},
  [49] = {.index = 128, .length = 5},
  [50] = {.index = 133, .length = 5},
  [51] = {.index = 138, .length = 5},
  [52] = {.index = 143, .length = 5},
  [53] = {.index = 148, .length = 5},
  [54] = {.index = 153, .length = 5},
  [55] = {.index = 158, .length = 5},
  [56] = {.index = 163, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_content, 0, .inherited = true},
  [1] =
    {field_body, 1},
  [2] =
    {field_operator, 0},
    {field_rhs, 1},
  [4] =
    {field_lhs, 0},
    {field_operator, 1},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_body, 0},
  [9] =
    {field_close, 1},
    {field_open, 0},
  [11] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [14] =
    {field_default, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [16] =
    {field_name, 0, .inherited = true},
  [17] =
    {field_name, 0},
  [18] =
    {field_body, 2},
  [19] =
    {field_operator, 0},
    {field_rhs, 2},
  [21] =
    {field_content, 1},
  [22] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 2},
  [25] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [27] =
    {field_value, 0, .inherited = true},
  [28] =
    {field_value, 0},
  [29] =
    {field_body, 1},
    {field_close, 2},
    {field_open, 0},
  [32] =
    {field_body, 1, .inherited = true},
    {field_close, 2},
    {field_open, 0},
  [35] =
    {field_body, 0, .inherited = true},
    {field_body, 1, .inherited = true},
  [37] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 1},
  [40] =
    {field_close, 2},
    {field_open, 0},
    {field_parameter, 1},
  [43] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2},
  [46] =
    {field_lhs, 0},
    {field_operator, 1},
    {field_rhs, 3},
  [49] =
    {field_argument, 1},
  [50] =
    {field_argument, 1},
    {field_close, 2},
    {field_open, 0},
  [53] =
    {field_argument, 1, .inherited = true},
    {field_close, 2},
    {field_open, 0},
  [56] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [58] =
    {field_parameter, 1},
  [59] =
    {field_close, 3},
    {field_open, 0},
    {field_parameter, 1},
    {field_parameter, 2, .inherited = true},
  [63] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [65] =
    {field_default, 2},
    {field_name, 0, .inherited = true},
  [67] =
    {field_body, 4},
    {field_name, 0},
    {field_parameters, 2},
  [70] =
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [74] =
    {field_body, 4},
    {field_close, 3},
    {field_condition, 2},
    {field_open, 1},
  [78] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
    {field_close, 3},
    {field_open, 0},
  [82] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [84] =
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [88] =
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [92] =
    {field_body, 5},
    {field_close, 3},
    {field_condition, 2},
    {field_open, 1},
  [96] =
    {field_body, 5},
    {field_close, 4},
    {field_condition, 3},
    {field_open, 2},
  [100] =
    {field_alternative, 6},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [105] =
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
  [109] =
    {field_body, 6},
    {field_close, 5},
    {field_open, 1},
    {field_sequence, 4},
    {field_variable, 2},
  [114] =
    {field_body, 6},
    {field_close, 4},
    {field_condition, 3},
    {field_open, 2},
  [118] =
    {field_alternative, 7},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 4},
    {field_open, 1},
  [123] =
    {field_alternative, 7},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [128] =
    {field_alternative, 7},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [133] =
    {field_body, 7},
    {field_close, 5},
    {field_open, 1},
    {field_sequence, 4},
    {field_variable, 2},
  [138] =
    {field_body, 7},
    {field_close, 6},
    {field_open, 2},
    {field_sequence, 5},
    {field_variable, 3},
  [143] =
    {field_alternative, 8},
    {field_close, 3},
    {field_condition, 2},
    {field_consequence, 5},
    {field_open, 1},
  [148] =
    {field_alternative, 8},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 5},
    {field_open, 2},
  [153] =
    {field_alternative, 8},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
  [158] =
    {field_body, 8},
    {field_close, 6},
    {field_open, 2},
    {field_sequence, 5},
    {field_variable, 3},
  [163] =
    {field_alternative, 9},
    {field_close, 4},
    {field_condition, 3},
    {field_consequence, 6},
    {field_open, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [14] = {
    [1] = alias_sym_string_content,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__single_quoted_string_content, 2,
    aux_sym__single_quoted_string_content,
    alias_sym_string_content,
  aux_sym__double_quoted_string_content, 2,
    aux_sym__double_quoted_string_content,
    alias_sym_string_content,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 5,
  [8] = 3,
  [9] = 4,
  [10] = 4,
  [11] = 2,
  [12] = 5,
  [13] = 3,
  [14] = 4,
  [15] = 2,
  [16] = 5,
  [17] = 3,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 18,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 19,
  [76] = 20,
  [77] = 21,
  [78] = 22,
  [79] = 23,
  [80] = 24,
  [81] = 25,
  [82] = 26,
  [83] = 27,
  [84] = 28,
  [85] = 29,
  [86] = 30,
  [87] = 31,
  [88] = 32,
  [89] = 33,
  [90] = 34,
  [91] = 35,
  [92] = 36,
  [93] = 37,
  [94] = 38,
  [95] = 39,
  [96] = 40,
  [97] = 41,
  [98] = 42,
  [99] = 43,
  [100] = 44,
  [101] = 45,
  [102] = 46,
  [103] = 47,
  [104] = 48,
  [105] = 49,
  [106] = 50,
  [107] = 51,
  [108] = 52,
  [109] = 53,
  [110] = 54,
  [111] = 55,
  [112] = 56,
  [113] = 57,
  [114] = 58,
  [115] = 59,
  [116] = 60,
  [117] = 61,
  [118] = 62,
  [119] = 66,
  [120] = 64,
  [121] = 65,
  [122] = 67,
  [123] = 68,
  [124] = 69,
  [125] = 70,
  [126] = 71,
  [127] = 72,
  [128] = 73,
  [129] = 74,
  [130] = 29,
  [131] = 71,
  [132] = 72,
  [133] = 73,
  [134] = 74,
  [135] = 19,
  [136] = 20,
  [137] = 21,
  [138] = 22,
  [139] = 23,
  [140] = 24,
  [141] = 25,
  [142] = 26,
  [143] = 27,
  [144] = 28,
  [145] = 29,
  [146] = 30,
  [147] = 31,
  [148] = 32,
  [149] = 33,
  [150] = 34,
  [151] = 35,
  [152] = 36,
  [153] = 37,
  [154] = 38,
  [155] = 39,
  [156] = 40,
  [157] = 41,
  [158] = 42,
  [159] = 43,
  [160] = 44,
  [161] = 45,
  [162] = 46,
  [163] = 47,
  [164] = 48,
  [165] = 49,
  [166] = 166,
  [167] = 50,
  [168] = 51,
  [169] = 52,
  [170] = 53,
  [171] = 66,
  [172] = 54,
  [173] = 55,
  [174] = 56,
  [175] = 57,
  [176] = 58,
  [177] = 59,
  [178] = 60,
  [179] = 61,
  [180] = 62,
  [181] = 18,
  [182] = 64,
  [183] = 65,
  [184] = 67,
  [185] = 68,
  [186] = 69,
  [187] = 70,
  [188] = 188,
  [189] = 189,
  [190] = 70,
  [191] = 72,
  [192] = 73,
  [193] = 74,
  [194] = 194,
  [195] = 19,
  [196] = 20,
  [197] = 21,
  [198] = 22,
  [199] = 23,
  [200] = 24,
  [201] = 25,
  [202] = 26,
  [203] = 27,
  [204] = 28,
  [205] = 30,
  [206] = 31,
  [207] = 32,
  [208] = 33,
  [209] = 34,
  [210] = 35,
  [211] = 36,
  [212] = 37,
  [213] = 38,
  [214] = 39,
  [215] = 40,
  [216] = 41,
  [217] = 42,
  [218] = 43,
  [219] = 188,
  [220] = 44,
  [221] = 45,
  [222] = 46,
  [223] = 47,
  [224] = 48,
  [225] = 49,
  [226] = 50,
  [227] = 194,
  [228] = 51,
  [229] = 52,
  [230] = 53,
  [231] = 54,
  [232] = 55,
  [233] = 56,
  [234] = 57,
  [235] = 58,
  [236] = 59,
  [237] = 60,
  [238] = 61,
  [239] = 62,
  [240] = 18,
  [241] = 64,
  [242] = 65,
  [243] = 66,
  [244] = 67,
  [245] = 68,
  [246] = 69,
  [247] = 71,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 194,
  [252] = 194,
  [253] = 248,
  [254] = 188,
  [255] = 255,
  [256] = 249,
  [257] = 250,
  [258] = 188,
  [259] = 255,
  [260] = 249,
  [261] = 250,
  [262] = 255,
  [263] = 249,
  [264] = 250,
  [265] = 255,
  [266] = 249,
  [267] = 250,
  [268] = 255,
  [269] = 249,
  [270] = 250,
  [271] = 255,
  [272] = 249,
  [273] = 250,
  [274] = 255,
  [275] = 249,
  [276] = 250,
  [277] = 255,
  [278] = 249,
  [279] = 250,
  [280] = 255,
  [281] = 249,
  [282] = 250,
  [283] = 255,
  [284] = 248,
  [285] = 248,
  [286] = 286,
  [287] = 287,
  [288] = 286,
  [289] = 289,
  [290] = 286,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 291,
  [297] = 292,
  [298] = 293,
  [299] = 299,
  [300] = 300,
  [301] = 294,
  [302] = 295,
  [303] = 289,
  [304] = 287,
  [305] = 299,
  [306] = 300,
  [307] = 299,
  [308] = 289,
  [309] = 292,
  [310] = 291,
  [311] = 299,
  [312] = 300,
  [313] = 293,
  [314] = 287,
  [315] = 294,
  [316] = 316,
  [317] = 295,
  [318] = 287,
  [319] = 300,
  [320] = 292,
  [321] = 291,
  [322] = 316,
  [323] = 293,
  [324] = 289,
  [325] = 294,
  [326] = 295,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 331,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 328,
  [345] = 329,
  [346] = 330,
  [347] = 331,
  [348] = 348,
  [349] = 341,
  [350] = 342,
  [351] = 348,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 352,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 353,
  [361] = 343,
  [362] = 354,
  [363] = 355,
  [364] = 357,
  [365] = 358,
  [366] = 359,
  [367] = 333,
  [368] = 331,
  [369] = 331,
  [370] = 370,
  [371] = 334,
  [372] = 370,
  [373] = 370,
  [374] = 331,
  [375] = 331,
  [376] = 370,
  [377] = 331,
  [378] = 370,
  [379] = 335,
  [380] = 370,
  [381] = 381,
  [382] = 336,
  [383] = 337,
  [384] = 370,
  [385] = 327,
  [386] = 316,
  [387] = 338,
  [388] = 370,
  [389] = 381,
  [390] = 316,
  [391] = 370,
  [392] = 331,
  [393] = 339,
  [394] = 370,
  [395] = 340,
  [396] = 331,
  [397] = 397,
  [398] = 398,
  [399] = 334,
  [400] = 337,
  [401] = 341,
  [402] = 330,
  [403] = 328,
  [404] = 333,
  [405] = 342,
  [406] = 334,
  [407] = 359,
  [408] = 348,
  [409] = 335,
  [410] = 329,
  [411] = 336,
  [412] = 337,
  [413] = 339,
  [414] = 340,
  [415] = 327,
  [416] = 338,
  [417] = 343,
  [418] = 352,
  [419] = 381,
  [420] = 338,
  [421] = 353,
  [422] = 348,
  [423] = 354,
  [424] = 355,
  [425] = 339,
  [426] = 329,
  [427] = 357,
  [428] = 335,
  [429] = 357,
  [430] = 358,
  [431] = 359,
  [432] = 352,
  [433] = 340,
  [434] = 336,
  [435] = 353,
  [436] = 354,
  [437] = 355,
  [438] = 438,
  [439] = 328,
  [440] = 343,
  [441] = 341,
  [442] = 381,
  [443] = 330,
  [444] = 358,
  [445] = 327,
  [446] = 446,
  [447] = 333,
  [448] = 342,
  [449] = 449,
  [450] = 449,
  [451] = 449,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 477,
  [485] = 480,
  [486] = 486,
  [487] = 487,
  [488] = 454,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 455,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 489,
  [501] = 452,
  [502] = 502,
  [503] = 490,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 491,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 494,
  [512] = 482,
  [513] = 483,
  [514] = 486,
  [515] = 515,
  [516] = 516,
  [517] = 487,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 456,
  [526] = 453,
  [527] = 527,
  [528] = 457,
  [529] = 459,
  [530] = 462,
  [531] = 464,
  [532] = 466,
  [533] = 468,
  [534] = 475,
  [535] = 481,
  [536] = 454,
  [537] = 455,
  [538] = 458,
  [539] = 460,
  [540] = 461,
  [541] = 463,
  [542] = 465,
  [543] = 467,
  [544] = 469,
  [545] = 470,
  [546] = 471,
  [547] = 472,
  [548] = 474,
  [549] = 476,
  [550] = 478,
  [551] = 477,
  [552] = 480,
  [553] = 489,
  [554] = 490,
  [555] = 491,
  [556] = 494,
  [557] = 496,
  [558] = 497,
  [559] = 498,
  [560] = 499,
  [561] = 452,
  [562] = 502,
  [563] = 504,
  [564] = 505,
  [565] = 506,
  [566] = 508,
  [567] = 510,
  [568] = 482,
  [569] = 483,
  [570] = 486,
  [571] = 515,
  [572] = 516,
  [573] = 487,
  [574] = 518,
  [575] = 519,
  [576] = 520,
  [577] = 521,
  [578] = 522,
  [579] = 523,
  [580] = 524,
  [581] = 456,
  [582] = 453,
  [583] = 527,
  [584] = 457,
  [585] = 459,
  [586] = 462,
  [587] = 464,
  [588] = 466,
  [589] = 468,
  [590] = 475,
  [591] = 481,
  [592] = 454,
  [593] = 455,
  [594] = 496,
  [595] = 458,
  [596] = 460,
  [597] = 461,
  [598] = 463,
  [599] = 465,
  [600] = 467,
  [601] = 469,
  [602] = 470,
  [603] = 471,
  [604] = 472,
  [605] = 474,
  [606] = 476,
  [607] = 478,
  [608] = 477,
  [609] = 480,
  [610] = 489,
  [611] = 490,
  [612] = 491,
  [613] = 494,
  [614] = 496,
  [615] = 497,
  [616] = 498,
  [617] = 499,
  [618] = 452,
  [619] = 502,
  [620] = 504,
  [621] = 505,
  [622] = 506,
  [623] = 508,
  [624] = 510,
  [625] = 515,
  [626] = 482,
  [627] = 483,
  [628] = 486,
  [629] = 515,
  [630] = 516,
  [631] = 497,
  [632] = 498,
  [633] = 499,
  [634] = 518,
  [635] = 516,
  [636] = 487,
  [637] = 519,
  [638] = 518,
  [639] = 502,
  [640] = 519,
  [641] = 520,
  [642] = 521,
  [643] = 520,
  [644] = 522,
  [645] = 504,
  [646] = 505,
  [647] = 506,
  [648] = 523,
  [649] = 456,
  [650] = 453,
  [651] = 527,
  [652] = 457,
  [653] = 459,
  [654] = 462,
  [655] = 464,
  [656] = 466,
  [657] = 468,
  [658] = 475,
  [659] = 481,
  [660] = 521,
  [661] = 508,
  [662] = 458,
  [663] = 460,
  [664] = 510,
  [665] = 522,
  [666] = 454,
  [667] = 455,
  [668] = 461,
  [669] = 482,
  [670] = 483,
  [671] = 486,
  [672] = 515,
  [673] = 516,
  [674] = 458,
  [675] = 460,
  [676] = 461,
  [677] = 463,
  [678] = 487,
  [679] = 465,
  [680] = 467,
  [681] = 518,
  [682] = 469,
  [683] = 470,
  [684] = 519,
  [685] = 471,
  [686] = 472,
  [687] = 520,
  [688] = 474,
  [689] = 476,
  [690] = 521,
  [691] = 478,
  [692] = 522,
  [693] = 523,
  [694] = 524,
  [695] = 477,
  [696] = 480,
  [697] = 456,
  [698] = 453,
  [699] = 527,
  [700] = 457,
  [701] = 459,
  [702] = 462,
  [703] = 464,
  [704] = 466,
  [705] = 468,
  [706] = 475,
  [707] = 481,
  [708] = 454,
  [709] = 455,
  [710] = 489,
  [711] = 490,
  [712] = 491,
  [713] = 494,
  [714] = 496,
  [715] = 497,
  [716] = 498,
  [717] = 499,
  [718] = 452,
  [719] = 502,
  [720] = 458,
  [721] = 504,
  [722] = 460,
  [723] = 505,
  [724] = 506,
  [725] = 461,
  [726] = 508,
  [727] = 463,
  [728] = 510,
  [729] = 465,
  [730] = 482,
  [731] = 483,
  [732] = 486,
  [733] = 515,
  [734] = 516,
  [735] = 487,
  [736] = 518,
  [737] = 519,
  [738] = 520,
  [739] = 521,
  [740] = 522,
  [741] = 523,
  [742] = 456,
  [743] = 453,
  [744] = 527,
  [745] = 457,
  [746] = 459,
  [747] = 462,
  [748] = 464,
  [749] = 466,
  [750] = 468,
  [751] = 475,
  [752] = 481,
  [753] = 467,
  [754] = 454,
  [755] = 455,
  [756] = 458,
  [757] = 460,
  [758] = 461,
  [759] = 463,
  [760] = 465,
  [761] = 467,
  [762] = 469,
  [763] = 470,
  [764] = 471,
  [765] = 472,
  [766] = 474,
  [767] = 476,
  [768] = 478,
  [769] = 477,
  [770] = 480,
  [771] = 489,
  [772] = 490,
  [773] = 491,
  [774] = 494,
  [775] = 496,
  [776] = 497,
  [777] = 498,
  [778] = 499,
  [779] = 452,
  [780] = 502,
  [781] = 504,
  [782] = 505,
  [783] = 506,
  [784] = 508,
  [785] = 510,
  [786] = 482,
  [787] = 483,
  [788] = 486,
  [789] = 515,
  [790] = 516,
  [791] = 469,
  [792] = 470,
  [793] = 471,
  [794] = 487,
  [795] = 518,
  [796] = 472,
  [797] = 519,
  [798] = 520,
  [799] = 474,
  [800] = 521,
  [801] = 522,
  [802] = 476,
  [803] = 478,
  [804] = 523,
  [805] = 456,
  [806] = 453,
  [807] = 527,
  [808] = 457,
  [809] = 459,
  [810] = 462,
  [811] = 464,
  [812] = 466,
  [813] = 468,
  [814] = 475,
  [815] = 481,
  [816] = 463,
  [817] = 454,
  [818] = 455,
  [819] = 458,
  [820] = 477,
  [821] = 460,
  [822] = 480,
  [823] = 461,
  [824] = 463,
  [825] = 465,
  [826] = 467,
  [827] = 469,
  [828] = 470,
  [829] = 471,
  [830] = 472,
  [831] = 474,
  [832] = 476,
  [833] = 478,
  [834] = 477,
  [835] = 480,
  [836] = 489,
  [837] = 490,
  [838] = 491,
  [839] = 494,
  [840] = 496,
  [841] = 489,
  [842] = 490,
  [843] = 497,
  [844] = 498,
  [845] = 491,
  [846] = 494,
  [847] = 499,
  [848] = 496,
  [849] = 497,
  [850] = 498,
  [851] = 499,
  [852] = 452,
  [853] = 452,
  [854] = 502,
  [855] = 502,
  [856] = 504,
  [857] = 505,
  [858] = 506,
  [859] = 504,
  [860] = 508,
  [861] = 505,
  [862] = 506,
  [863] = 510,
  [864] = 524,
  [865] = 508,
  [866] = 482,
  [867] = 483,
  [868] = 486,
  [869] = 515,
  [870] = 516,
  [871] = 487,
  [872] = 518,
  [873] = 519,
  [874] = 520,
  [875] = 521,
  [876] = 522,
  [877] = 523,
  [878] = 456,
  [879] = 453,
  [880] = 527,
  [881] = 457,
  [882] = 459,
  [883] = 462,
  [884] = 464,
  [885] = 466,
  [886] = 468,
  [887] = 475,
  [888] = 481,
  [889] = 454,
  [890] = 455,
  [891] = 458,
  [892] = 460,
  [893] = 461,
  [894] = 463,
  [895] = 465,
  [896] = 467,
  [897] = 469,
  [898] = 470,
  [899] = 471,
  [900] = 472,
  [901] = 474,
  [902] = 476,
  [903] = 478,
  [904] = 477,
  [905] = 480,
  [906] = 489,
  [907] = 490,
  [908] = 491,
  [909] = 494,
  [910] = 496,
  [911] = 497,
  [912] = 498,
  [913] = 499,
  [914] = 452,
  [915] = 502,
  [916] = 504,
  [917] = 505,
  [918] = 506,
  [919] = 508,
  [920] = 510,
  [921] = 482,
  [922] = 483,
  [923] = 486,
  [924] = 515,
  [925] = 516,
  [926] = 487,
  [927] = 518,
  [928] = 519,
  [929] = 520,
  [930] = 521,
  [931] = 522,
  [932] = 523,
  [933] = 456,
  [934] = 453,
  [935] = 527,
  [936] = 457,
  [937] = 459,
  [938] = 462,
  [939] = 464,
  [940] = 466,
  [941] = 468,
  [942] = 475,
  [943] = 481,
  [944] = 454,
  [945] = 455,
  [946] = 458,
  [947] = 460,
  [948] = 461,
  [949] = 463,
  [950] = 465,
  [951] = 467,
  [952] = 469,
  [953] = 470,
  [954] = 471,
  [955] = 472,
  [956] = 474,
  [957] = 476,
  [958] = 478,
  [959] = 477,
  [960] = 480,
  [961] = 489,
  [962] = 490,
  [963] = 491,
  [964] = 494,
  [965] = 496,
  [966] = 497,
  [967] = 498,
  [968] = 499,
  [969] = 452,
  [970] = 502,
  [971] = 504,
  [972] = 505,
  [973] = 506,
  [974] = 508,
  [975] = 510,
  [976] = 510,
  [977] = 465,
  [978] = 479,
  [979] = 482,
  [980] = 493,
  [981] = 495,
  [982] = 483,
  [983] = 486,
  [984] = 509,
  [985] = 515,
  [986] = 516,
  [987] = 467,
  [988] = 469,
  [989] = 487,
  [990] = 470,
  [991] = 479,
  [992] = 493,
  [993] = 495,
  [994] = 509,
  [995] = 518,
  [996] = 519,
  [997] = 471,
  [998] = 479,
  [999] = 493,
  [1000] = 495,
  [1001] = 509,
  [1002] = 520,
  [1003] = 521,
  [1004] = 472,
  [1005] = 479,
  [1006] = 493,
  [1007] = 495,
  [1008] = 509,
  [1009] = 522,
  [1010] = 474,
  [1011] = 479,
  [1012] = 493,
  [1013] = 495,
  [1014] = 509,
  [1015] = 476,
  [1016] = 523,
  [1017] = 523,
  [1018] = 524,
  [1019] = 479,
  [1020] = 493,
  [1021] = 495,
  [1022] = 509,
  [1023] = 456,
  [1024] = 453,
  [1025] = 527,
  [1026] = 457,
  [1027] = 479,
  [1028] = 493,
  [1029] = 495,
  [1030] = 509,
  [1031] = 459,
  [1032] = 462,
  [1033] = 464,
  [1034] = 466,
  [1035] = 479,
  [1036] = 493,
  [1037] = 495,
  [1038] = 509,
  [1039] = 468,
  [1040] = 475,
  [1041] = 481,
  [1042] = 478,
  [1043] = 479,
  [1044] = 493,
  [1045] = 495,
  [1046] = 509,
  [1047] = 527,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1048,
  [1055] = 1055,
  [1056] = 1049,
  [1057] = 1053,
  [1058] = 1050,
  [1059] = 1052,
  [1060] = 1055,
  [1061] = 1051,
  [1062] = 1050,
  [1063] = 1052,
  [1064] = 1055,
  [1065] = 1048,
  [1066] = 1053,
  [1067] = 1050,
  [1068] = 1052,
  [1069] = 1055,
  [1070] = 1048,
  [1071] = 1053,
  [1072] = 1050,
  [1073] = 1052,
  [1074] = 1055,
  [1075] = 1048,
  [1076] = 1053,
  [1077] = 1050,
  [1078] = 1052,
  [1079] = 1055,
  [1080] = 1048,
  [1081] = 1053,
  [1082] = 1050,
  [1083] = 1052,
  [1084] = 1055,
  [1085] = 1048,
  [1086] = 1053,
  [1087] = 1050,
  [1088] = 1052,
  [1089] = 1055,
  [1090] = 1048,
  [1091] = 1053,
  [1092] = 1050,
  [1093] = 1052,
  [1094] = 1055,
  [1095] = 1048,
  [1096] = 1053,
  [1097] = 1050,
  [1098] = 1052,
  [1099] = 1055,
  [1100] = 1048,
  [1101] = 1049,
  [1102] = 1051,
  [1103] = 1049,
  [1104] = 1051,
  [1105] = 1049,
  [1106] = 1051,
  [1107] = 1049,
  [1108] = 1051,
  [1109] = 1049,
  [1110] = 1051,
  [1111] = 1049,
  [1112] = 1051,
  [1113] = 1049,
  [1114] = 1051,
  [1115] = 1049,
  [1116] = 1051,
  [1117] = 1053,
  [1118] = 194,
  [1119] = 188,
  [1120] = 194,
  [1121] = 194,
  [1122] = 188,
  [1123] = 188,
  [1124] = 188,
  [1125] = 194,
  [1126] = 188,
  [1127] = 194,
  [1128] = 194,
  [1129] = 188,
  [1130] = 248,
  [1131] = 248,
  [1132] = 248,
  [1133] = 248,
  [1134] = 248,
  [1135] = 248,
  [1136] = 316,
  [1137] = 316,
  [1138] = 316,
  [1139] = 4,
  [1140] = 3,
  [1141] = 3,
  [1142] = 2,
  [1143] = 316,
  [1144] = 4,
  [1145] = 5,
  [1146] = 4,
  [1147] = 316,
  [1148] = 2,
  [1149] = 5,
  [1150] = 3,
  [1151] = 2,
  [1152] = 4,
  [1153] = 3,
  [1154] = 4,
  [1155] = 2,
  [1156] = 316,
  [1157] = 5,
  [1158] = 2,
  [1159] = 3,
  [1160] = 5,
  [1161] = 3,
  [1162] = 4,
  [1163] = 2,
  [1164] = 5,
  [1165] = 5,
  [1166] = 74,
  [1167] = 72,
  [1168] = 70,
  [1169] = 55,
  [1170] = 56,
  [1171] = 57,
  [1172] = 73,
  [1173] = 58,
  [1174] = 48,
  [1175] = 74,
  [1176] = 59,
  [1177] = 60,
  [1178] = 19,
  [1179] = 61,
  [1180] = 62,
  [1181] = 18,
  [1182] = 20,
  [1183] = 64,
  [1184] = 65,
  [1185] = 37,
  [1186] = 66,
  [1187] = 21,
  [1188] = 54,
  [1189] = 22,
  [1190] = 67,
  [1191] = 23,
  [1192] = 49,
  [1193] = 24,
  [1194] = 68,
  [1195] = 25,
  [1196] = 50,
  [1197] = 69,
  [1198] = 38,
  [1199] = 70,
  [1200] = 39,
  [1201] = 71,
  [1202] = 55,
  [1203] = 56,
  [1204] = 57,
  [1205] = 51,
  [1206] = 52,
  [1207] = 40,
  [1208] = 58,
  [1209] = 53,
  [1210] = 41,
  [1211] = 42,
  [1212] = 59,
  [1213] = 72,
  [1214] = 73,
  [1215] = 70,
  [1216] = 19,
  [1217] = 20,
  [1218] = 21,
  [1219] = 26,
  [1220] = 22,
  [1221] = 66,
  [1222] = 23,
  [1223] = 27,
  [1224] = 24,
  [1225] = 54,
  [1226] = 25,
  [1227] = 28,
  [1228] = 26,
  [1229] = 67,
  [1230] = 27,
  [1231] = 29,
  [1232] = 28,
  [1233] = 60,
  [1234] = 29,
  [1235] = 30,
  [1236] = 30,
  [1237] = 68,
  [1238] = 31,
  [1239] = 31,
  [1240] = 32,
  [1241] = 43,
  [1242] = 33,
  [1243] = 32,
  [1244] = 71,
  [1245] = 34,
  [1246] = 35,
  [1247] = 69,
  [1248] = 33,
  [1249] = 36,
  [1250] = 37,
  [1251] = 38,
  [1252] = 39,
  [1253] = 40,
  [1254] = 53,
  [1255] = 42,
  [1256] = 43,
  [1257] = 44,
  [1258] = 45,
  [1259] = 46,
  [1260] = 47,
  [1261] = 48,
  [1262] = 49,
  [1263] = 50,
  [1264] = 61,
  [1265] = 55,
  [1266] = 72,
  [1267] = 73,
  [1268] = 74,
  [1269] = 34,
  [1270] = 19,
  [1271] = 35,
  [1272] = 51,
  [1273] = 20,
  [1274] = 52,
  [1275] = 21,
  [1276] = 56,
  [1277] = 22,
  [1278] = 57,
  [1279] = 23,
  [1280] = 62,
  [1281] = 24,
  [1282] = 58,
  [1283] = 25,
  [1284] = 18,
  [1285] = 26,
  [1286] = 44,
  [1287] = 27,
  [1288] = 59,
  [1289] = 28,
  [1290] = 60,
  [1291] = 29,
  [1292] = 64,
  [1293] = 30,
  [1294] = 61,
  [1295] = 31,
  [1296] = 62,
  [1297] = 32,
  [1298] = 18,
  [1299] = 33,
  [1300] = 65,
  [1301] = 45,
  [1302] = 34,
  [1303] = 35,
  [1304] = 64,
  [1305] = 65,
  [1306] = 36,
  [1307] = 37,
  [1308] = 38,
  [1309] = 39,
  [1310] = 40,
  [1311] = 41,
  [1312] = 42,
  [1313] = 43,
  [1314] = 44,
  [1315] = 45,
  [1316] = 46,
  [1317] = 47,
  [1318] = 48,
  [1319] = 49,
  [1320] = 50,
  [1321] = 71,
  [1322] = 66,
  [1323] = 36,
  [1324] = 67,
  [1325] = 51,
  [1326] = 52,
  [1327] = 46,
  [1328] = 53,
  [1329] = 68,
  [1330] = 47,
  [1331] = 69,
  [1332] = 54,
  [1333] = 41,
  [1334] = 60,
  [1335] = 34,
  [1336] = 35,
  [1337] = 1337,
  [1338] = 36,
  [1339] = 37,
  [1340] = 38,
  [1341] = 54,
  [1342] = 39,
  [1343] = 40,
  [1344] = 41,
  [1345] = 42,
  [1346] = 43,
  [1347] = 44,
  [1348] = 55,
  [1349] = 56,
  [1350] = 45,
  [1351] = 57,
  [1352] = 46,
  [1353] = 47,
  [1354] = 53,
  [1355] = 58,
  [1356] = 59,
  [1357] = 49,
  [1358] = 66,
  [1359] = 50,
  [1360] = 1360,
  [1361] = 67,
  [1362] = 68,
  [1363] = 69,
  [1364] = 51,
  [1365] = 52,
  [1366] = 70,
  [1367] = 61,
  [1368] = 53,
  [1369] = 1369,
  [1370] = 54,
  [1371] = 1371,
  [1372] = 55,
  [1373] = 56,
  [1374] = 57,
  [1375] = 58,
  [1376] = 1376,
  [1377] = 59,
  [1378] = 60,
  [1379] = 71,
  [1380] = 61,
  [1381] = 72,
  [1382] = 62,
  [1383] = 18,
  [1384] = 73,
  [1385] = 74,
  [1386] = 19,
  [1387] = 1387,
  [1388] = 64,
  [1389] = 20,
  [1390] = 65,
  [1391] = 21,
  [1392] = 22,
  [1393] = 23,
  [1394] = 24,
  [1395] = 66,
  [1396] = 25,
  [1397] = 67,
  [1398] = 26,
  [1399] = 68,
  [1400] = 69,
  [1401] = 66,
  [1402] = 70,
  [1403] = 67,
  [1404] = 68,
  [1405] = 69,
  [1406] = 70,
  [1407] = 71,
  [1408] = 62,
  [1409] = 18,
  [1410] = 72,
  [1411] = 73,
  [1412] = 74,
  [1413] = 19,
  [1414] = 20,
  [1415] = 21,
  [1416] = 22,
  [1417] = 23,
  [1418] = 24,
  [1419] = 25,
  [1420] = 26,
  [1421] = 27,
  [1422] = 28,
  [1423] = 29,
  [1424] = 30,
  [1425] = 31,
  [1426] = 32,
  [1427] = 33,
  [1428] = 34,
  [1429] = 35,
  [1430] = 71,
  [1431] = 36,
  [1432] = 37,
  [1433] = 38,
  [1434] = 39,
  [1435] = 40,
  [1436] = 41,
  [1437] = 42,
  [1438] = 43,
  [1439] = 44,
  [1440] = 45,
  [1441] = 64,
  [1442] = 65,
  [1443] = 46,
  [1444] = 1387,
  [1445] = 1369,
  [1446] = 47,
  [1447] = 1337,
  [1448] = 48,
  [1449] = 1449,
  [1450] = 1376,
  [1451] = 49,
  [1452] = 50,
  [1453] = 1453,
  [1454] = 72,
  [1455] = 73,
  [1456] = 74,
  [1457] = 27,
  [1458] = 19,
  [1459] = 20,
  [1460] = 51,
  [1461] = 1387,
  [1462] = 1369,
  [1463] = 52,
  [1464] = 1337,
  [1465] = 53,
  [1466] = 1449,
  [1467] = 28,
  [1468] = 1376,
  [1469] = 29,
  [1470] = 1387,
  [1471] = 1369,
  [1472] = 21,
  [1473] = 1337,
  [1474] = 30,
  [1475] = 1449,
  [1476] = 54,
  [1477] = 1376,
  [1478] = 22,
  [1479] = 31,
  [1480] = 1480,
  [1481] = 1387,
  [1482] = 1369,
  [1483] = 55,
  [1484] = 1337,
  [1485] = 56,
  [1486] = 32,
  [1487] = 1449,
  [1488] = 57,
  [1489] = 1376,
  [1490] = 23,
  [1491] = 33,
  [1492] = 1387,
  [1493] = 1369,
  [1494] = 58,
  [1495] = 1337,
  [1496] = 1449,
  [1497] = 24,
  [1498] = 1376,
  [1499] = 59,
  [1500] = 60,
  [1501] = 61,
  [1502] = 1387,
  [1503] = 1369,
  [1504] = 62,
  [1505] = 1337,
  [1506] = 18,
  [1507] = 25,
  [1508] = 1449,
  [1509] = 64,
  [1510] = 1376,
  [1511] = 65,
  [1512] = 26,
  [1513] = 1387,
  [1514] = 1369,
  [1515] = 1337,
  [1516] = 1449,
  [1517] = 1376,
  [1518] = 1371,
  [1519] = 27,
  [1520] = 1449,
  [1521] = 1387,
  [1522] = 1369,
  [1523] = 1337,
  [1524] = 1449,
  [1525] = 1376,
  [1526] = 1387,
  [1527] = 1369,
  [1528] = 1337,
  [1529] = 1449,
  [1530] = 1376,
  [1531] = 34,
  [1532] = 35,
  [1533] = 1360,
  [1534] = 28,
  [1535] = 1480,
  [1536] = 29,
  [1537] = 1371,
  [1538] = 30,
  [1539] = 36,
  [1540] = 37,
  [1541] = 31,
  [1542] = 1360,
  [1543] = 38,
  [1544] = 1480,
  [1545] = 39,
  [1546] = 32,
  [1547] = 40,
  [1548] = 1360,
  [1549] = 1480,
  [1550] = 41,
  [1551] = 33,
  [1552] = 42,
  [1553] = 1360,
  [1554] = 43,
  [1555] = 1480,
  [1556] = 44,
  [1557] = 45,
  [1558] = 1360,
  [1559] = 1480,
  [1560] = 46,
  [1561] = 47,
  [1562] = 48,
  [1563] = 1360,
  [1564] = 1480,
  [1565] = 1360,
  [1566] = 1480,
  [1567] = 1360,
  [1568] = 1480,
  [1569] = 49,
  [1570] = 1360,
  [1571] = 50,
  [1572] = 1480,
  [1573] = 51,
  [1574] = 52,
  [1575] = 48,
  [1576] = 291,
  [1577] = 292,
  [1578] = 299,
  [1579] = 291,
  [1580] = 300,
  [1581] = 292,
  [1582] = 293,
  [1583] = 294,
  [1584] = 295,
  [1585] = 291,
  [1586] = 292,
  [1587] = 293,
  [1588] = 294,
  [1589] = 295,
  [1590] = 293,
  [1591] = 299,
  [1592] = 300,
  [1593] = 294,
  [1594] = 299,
  [1595] = 300,
  [1596] = 295,
  [1597] = 289,
  [1598] = 287,
  [1599] = 289,
  [1600] = 287,
  [1601] = 1601,
  [1602] = 289,
  [1603] = 287,
  [1604] = 295,
  [1605] = 293,
  [1606] = 292,
  [1607] = 291,
  [1608] = 299,
  [1609] = 299,
  [1610] = 300,
  [1611] = 289,
  [1612] = 300,
  [1613] = 316,
  [1614] = 1614,
  [1615] = 287,
  [1616] = 289,
  [1617] = 287,
  [1618] = 294,
  [1619] = 299,
  [1620] = 1614,
  [1621] = 295,
  [1622] = 300,
  [1623] = 289,
  [1624] = 1614,
  [1625] = 291,
  [1626] = 287,
  [1627] = 291,
  [1628] = 292,
  [1629] = 293,
  [1630] = 292,
  [1631] = 294,
  [1632] = 293,
  [1633] = 294,
  [1634] = 295,
  [1635] = 357,
  [1636] = 1636,
  [1637] = 333,
  [1638] = 339,
  [1639] = 340,
  [1640] = 333,
  [1641] = 339,
  [1642] = 340,
  [1643] = 343,
  [1644] = 328,
  [1645] = 343,
  [1646] = 329,
  [1647] = 328,
  [1648] = 329,
  [1649] = 330,
  [1650] = 330,
  [1651] = 340,
  [1652] = 1652,
  [1653] = 343,
  [1654] = 328,
  [1655] = 329,
  [1656] = 334,
  [1657] = 330,
  [1658] = 335,
  [1659] = 336,
  [1660] = 337,
  [1661] = 327,
  [1662] = 338,
  [1663] = 334,
  [1664] = 334,
  [1665] = 335,
  [1666] = 336,
  [1667] = 337,
  [1668] = 327,
  [1669] = 338,
  [1670] = 381,
  [1671] = 341,
  [1672] = 342,
  [1673] = 348,
  [1674] = 352,
  [1675] = 381,
  [1676] = 354,
  [1677] = 355,
  [1678] = 357,
  [1679] = 358,
  [1680] = 359,
  [1681] = 1681,
  [1682] = 341,
  [1683] = 342,
  [1684] = 341,
  [1685] = 342,
  [1686] = 348,
  [1687] = 352,
  [1688] = 353,
  [1689] = 354,
  [1690] = 355,
  [1691] = 348,
  [1692] = 352,
  [1693] = 353,
  [1694] = 354,
  [1695] = 357,
  [1696] = 358,
  [1697] = 359,
  [1698] = 355,
  [1699] = 339,
  [1700] = 381,
  [1701] = 335,
  [1702] = 336,
  [1703] = 358,
  [1704] = 359,
  [1705] = 337,
  [1706] = 327,
  [1707] = 333,
  [1708] = 338,
  [1709] = 353,
  [1710] = 338,
  [1711] = 333,
  [1712] = 339,
  [1713] = 357,
  [1714] = 358,
  [1715] = 359,
  [1716] = 340,
  [1717] = 341,
  [1718] = 357,
  [1719] = 358,
  [1720] = 359,
  [1721] = 339,
  [1722] = 333,
  [1723] = 340,
  [1724] = 343,
  [1725] = 328,
  [1726] = 333,
  [1727] = 329,
  [1728] = 381,
  [1729] = 355,
  [1730] = 334,
  [1731] = 330,
  [1732] = 334,
  [1733] = 353,
  [1734] = 339,
  [1735] = 342,
  [1736] = 335,
  [1737] = 336,
  [1738] = 354,
  [1739] = 340,
  [1740] = 327,
  [1741] = 327,
  [1742] = 338,
  [1743] = 335,
  [1744] = 343,
  [1745] = 328,
  [1746] = 336,
  [1747] = 329,
  [1748] = 330,
  [1749] = 337,
  [1750] = 327,
  [1751] = 338,
  [1752] = 381,
  [1753] = 343,
  [1754] = 328,
  [1755] = 329,
  [1756] = 330,
  [1757] = 381,
  [1758] = 348,
  [1759] = 352,
  [1760] = 334,
  [1761] = 341,
  [1762] = 341,
  [1763] = 342,
  [1764] = 342,
  [1765] = 348,
  [1766] = 348,
  [1767] = 352,
  [1768] = 335,
  [1769] = 352,
  [1770] = 353,
  [1771] = 354,
  [1772] = 355,
  [1773] = 353,
  [1774] = 354,
  [1775] = 336,
  [1776] = 357,
  [1777] = 358,
  [1778] = 359,
  [1779] = 337,
  [1780] = 355,
  [1781] = 337,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1784,
  [1787] = 1785,
  [1788] = 1785,
  [1789] = 1785,
  [1790] = 1785,
  [1791] = 1784,
  [1792] = 1784,
  [1793] = 1785,
  [1794] = 1784,
  [1795] = 1785,
  [1796] = 1784,
  [1797] = 1784,
  [1798] = 1785,
  [1799] = 1785,
  [1800] = 1784,
  [1801] = 1785,
  [1802] = 1784,
  [1803] = 1784,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1807,
  [1809] = 1807,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1804,
  [1814] = 1804,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1815,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1820,
  [1824] = 1804,
  [1825] = 1805,
  [1826] = 1806,
  [1827] = 1815,
  [1828] = 1828,
  [1829] = 1807,
  [1830] = 1828,
  [1831] = 1816,
  [1832] = 1811,
  [1833] = 1821,
  [1834] = 1804,
  [1835] = 1815,
  [1836] = 1818,
  [1837] = 1818,
  [1838] = 1819,
  [1839] = 1819,
  [1840] = 1819,
  [1841] = 1821,
  [1842] = 1822,
  [1843] = 1805,
  [1844] = 1806,
  [1845] = 1822,
  [1846] = 1807,
  [1847] = 1820,
  [1848] = 1818,
  [1849] = 1819,
  [1850] = 1804,
  [1851] = 1815,
  [1852] = 1805,
  [1853] = 1818,
  [1854] = 1819,
  [1855] = 1806,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1805,
  [1859] = 1806,
  [1860] = 1816,
  [1861] = 1807,
  [1862] = 1807,
  [1863] = 1811,
  [1864] = 1828,
  [1865] = 1821,
  [1866] = 1816,
  [1867] = 1806,
  [1868] = 1804,
  [1869] = 1815,
  [1870] = 1811,
  [1871] = 1821,
  [1872] = 1818,
  [1873] = 1819,
  [1874] = 1822,
  [1875] = 1804,
  [1876] = 1820,
  [1877] = 1815,
  [1878] = 1805,
  [1879] = 1806,
  [1880] = 1807,
  [1881] = 1828,
  [1882] = 1822,
  [1883] = 1883,
  [1884] = 1818,
  [1885] = 1819,
  [1886] = 1886,
  [1887] = 1820,
  [1888] = 1821,
  [1889] = 1822,
  [1890] = 1820,
  [1891] = 1828,
  [1892] = 1804,
  [1893] = 1816,
  [1894] = 1815,
  [1895] = 1805,
  [1896] = 1818,
  [1897] = 1819,
  [1898] = 1828,
  [1899] = 1805,
  [1900] = 1820,
  [1901] = 1816,
  [1902] = 1816,
  [1903] = 1805,
  [1904] = 1904,
  [1905] = 1806,
  [1906] = 1806,
  [1907] = 1818,
  [1908] = 1807,
  [1909] = 1821,
  [1910] = 1816,
  [1911] = 1911,
  [1912] = 1807,
  [1913] = 1811,
  [1914] = 1821,
  [1915] = 1822,
  [1916] = 1811,
  [1917] = 1805,
  [1918] = 1918,
  [1919] = 1816,
  [1920] = 1811,
  [1921] = 1811,
  [1922] = 1820,
  [1923] = 1806,
  [1924] = 1820,
  [1925] = 1804,
  [1926] = 1815,
  [1927] = 1828,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1816,
  [1931] = 1883,
  [1932] = 1821,
  [1933] = 1828,
  [1934] = 1828,
  [1935] = 1929,
  [1936] = 1936,
  [1937] = 1883,
  [1938] = 1818,
  [1939] = 1929,
  [1940] = 1819,
  [1941] = 1883,
  [1942] = 1929,
  [1943] = 1929,
  [1944] = 1883,
  [1945] = 1929,
  [1946] = 1811,
  [1947] = 1883,
  [1948] = 1815,
  [1949] = 1929,
  [1950] = 1820,
  [1951] = 1883,
  [1952] = 1821,
  [1953] = 1929,
  [1954] = 1883,
  [1955] = 1828,
  [1956] = 1929,
  [1957] = 1822,
  [1958] = 1883,
  [1959] = 1822,
  [1960] = 1929,
  [1961] = 1883,
  [1962] = 1812,
  [1963] = 1822,
  [1964] = 1918,
  [1965] = 1928,
  [1966] = 1857,
  [1967] = 1812,
  [1968] = 1918,
  [1969] = 1928,
  [1970] = 1857,
  [1971] = 1812,
  [1972] = 1918,
  [1973] = 1928,
  [1974] = 1857,
  [1975] = 1812,
  [1976] = 1918,
  [1977] = 1928,
  [1978] = 1857,
  [1979] = 1812,
  [1980] = 1918,
  [1981] = 1928,
  [1982] = 1857,
  [1983] = 1812,
  [1984] = 1918,
  [1985] = 1928,
  [1986] = 1857,
  [1987] = 1812,
  [1988] = 1918,
  [1989] = 1928,
  [1990] = 1857,
  [1991] = 1812,
  [1992] = 1918,
  [1993] = 1928,
  [1994] = 1857,
  [1995] = 1928,
  [1996] = 1857,
  [1997] = 1812,
  [1998] = 1886,
  [1999] = 1918,
  [2000] = 1810,
  [2001] = 1886,
  [2002] = 1810,
  [2003] = 1886,
  [2004] = 1810,
  [2005] = 1886,
  [2006] = 1810,
  [2007] = 1886,
  [2008] = 1810,
  [2009] = 1886,
  [2010] = 1810,
  [2011] = 1886,
  [2012] = 1810,
  [2013] = 1886,
  [2014] = 1810,
  [2015] = 1886,
  [2016] = 1810,
  [2017] = 1811,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 316,
  [2021] = 2021,
  [2022] = 2018,
  [2023] = 2018,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2030,
  [2032] = 2027,
  [2033] = 2028,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2034,
  [2038] = 2027,
  [2039] = 2036,
  [2040] = 2036,
  [2041] = 2041,
  [2042] = 2035,
  [2043] = 2043,
  [2044] = 2027,
  [2045] = 2030,
  [2046] = 2027,
  [2047] = 2028,
  [2048] = 2027,
  [2049] = 2027,
  [2050] = 2034,
  [2051] = 2027,
  [2052] = 2027,
  [2053] = 2035,
  [2054] = 2027,
  [2055] = 2055,
  [2056] = 2055,
  [2057] = 2057,
  [2058] = 2055,
  [2059] = 2059,
  [2060] = 2059,
  [2061] = 2055,
  [2062] = 2055,
  [2063] = 2055,
  [2064] = 2059,
  [2065] = 2065,
  [2066] = 2059,
  [2067] = 2055,
  [2068] = 2055,
  [2069] = 2065,
  [2070] = 2059,
  [2071] = 2059,
  [2072] = 2059,
  [2073] = 2055,
  [2074] = 2059,
  [2075] = 2059,
  [2076] = 2065,
  [2077] = 2055,
  [2078] = 2059,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'.', '.'}, {'A', 'Z'}, {'_', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'.', '.'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(25);
      ADVANCE_MAP(
        '!', 30,
        '"', 70,
        '#', 94,
        '$', 56,
        '%', 5,
        '&', 39,
        '\'', 69,
        '*', 48,
        '+', 31,
        ',', 95,
        '-', 32,
        '.', 89,
        '/', 49,
        '0', 61,
        ':', 54,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '\\', 26,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(62);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(91);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 7,
        '"', 70,
        '#', 94,
        '$', 56,
        '%', 5,
        '&', 39,
        '\'', 69,
        '*', 48,
        '+', 31,
        ',', 95,
        '-', 32,
        '.', 90,
        '/', 49,
        ':', 55,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(91);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 7,
        '#', 94,
        '$', 56,
        '%', 5,
        '&', 39,
        '*', 48,
        '+', 31,
        ',', 95,
        '-', 32,
        '/', 49,
        ':', 55,
        '<', 42,
        '=', 27,
        '>', 44,
        '?', 28,
        '@', 57,
        '^', 51,
        '`', 9,
        '|', 38,
        '~', 29,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(91);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(70);
      if (lookahead == '#') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(75);
      if (lookahead != 0) ADVANCE(76);
      END_STATE();
    case 4:
      if (lookahead == '#') ADVANCE(71);
      if (lookahead == '\'') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0) ADVANCE(73);
      END_STATE();
    case 5:
      if (lookahead == '%') ADVANCE(52);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\\') ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '-') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 8:
      if (lookahead == 'U') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'x') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(79);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead)) ADVANCE(77);
      END_STATE();
    case 9:
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '`') ADVANCE(87);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '{') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 11:
      if (lookahead == '{') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 12:
      if (lookahead == '}') ADVANCE(77);
      END_STATE();
    case 13:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(13);
      END_STATE();
    case 15:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 17:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(16);
      END_STATE();
    case 18:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(17);
      END_STATE();
    case 19:
      if (lookahead == '}') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(18);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(19);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 24:
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(36);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '>') ADVANCE(37);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DASH_GT_GT);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(53);
      if (lookahead == '|') ADVANCE(40);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(41);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '<') ADVANCE(6);
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(50);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(aux_sym_binary_operator_token1);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == '=') ADVANCE(35);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(35);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      if (lookahead == ':') ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON_COLON_COLON);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym__hex_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym__number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym__number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym__number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead == '\n') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(71);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead == '#') ADVANCE(71);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym__single_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead == '\n') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead == '#') ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__double_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(77);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(66);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(88);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_dots);
      if (set_contains(sym_identifier_character_set_2, 777, lookahead)) ADVANCE(91);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_dot_dot_i);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_comma);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'F', 1,
        'I', 2,
        'L', 3,
        'N', 4,
        'T', 5,
        'b', 6,
        'f', 7,
        'i', 8,
        'n', 9,
        'r', 10,
        'w', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(12);
      END_STATE();
    case 2:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_L);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(14);
      if (lookahead == 'U') ADVANCE(15);
      if (lookahead == 'a') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'R') ADVANCE(17);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_i);
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(25);
      END_STATE();
    case 12:
      if (lookahead == 'L') ADVANCE(26);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(27);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_NA);
      if (lookahead == '_') ADVANCE(28);
      END_STATE();
    case 15:
      if (lookahead == 'L') ADVANCE(29);
      END_STATE();
    case 16:
      if (lookahead == 'N') ADVANCE(30);
      END_STATE();
    case 17:
      if (lookahead == 'U') ADVANCE(31);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 23:
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(38);
      END_STATE();
    case 26:
      if (lookahead == 'S') ADVANCE(39);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym_inf);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(41);
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'L') ADVANCE(43);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_nan);
      END_STATE();
    case 31:
      if (lookahead == 'E') ADVANCE(44);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(46);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 39:
      if (lookahead == 'E') ADVANCE(51);
      END_STATE();
    case 40:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(55);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 45:
      if (lookahead == 'k') ADVANCE(56);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_next);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(62);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_break);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(68);
      END_STATE();
    case 62:
      if (lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(72);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_repeat);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_return);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(75);
      END_STATE();
    case 71:
      if (lookahead == '_') ADVANCE(76);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(77);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_NA_real_);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 79:
      if (lookahead == 'x') ADVANCE(82);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 82:
      if (lookahead == '_') ADVANCE(85);
      END_STATE();
    case 83:
      if (lookahead == '_') ADVANCE(86);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(87);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_NA_complex_);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_NA_integer_);
      END_STATE();
    case 87:
      if (lookahead == '_') ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_NA_character_);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 0, .external_lex_state = 3},
  [3] = {.lex_state = 0, .external_lex_state = 3},
  [4] = {.lex_state = 0, .external_lex_state = 3},
  [5] = {.lex_state = 0, .external_lex_state = 3},
  [6] = {.lex_state = 0, .external_lex_state = 4},
  [7] = {.lex_state = 0, .external_lex_state = 4},
  [8] = {.lex_state = 0, .external_lex_state = 4},
  [9] = {.lex_state = 0, .external_lex_state = 4},
  [10] = {.lex_state = 0, .external_lex_state = 4},
  [11] = {.lex_state = 0, .external_lex_state = 3},
  [12] = {.lex_state = 0, .external_lex_state = 3},
  [13] = {.lex_state = 0, .external_lex_state = 3},
  [14] = {.lex_state = 0, .external_lex_state = 3},
  [15] = {.lex_state = 0, .external_lex_state = 4},
  [16] = {.lex_state = 0, .external_lex_state = 4},
  [17] = {.lex_state = 0, .external_lex_state = 4},
  [18] = {.lex_state = 0, .external_lex_state = 4},
  [19] = {.lex_state = 0, .external_lex_state = 3},
  [20] = {.lex_state = 0, .external_lex_state = 3},
  [21] = {.lex_state = 0, .external_lex_state = 3},
  [22] = {.lex_state = 0, .external_lex_state = 3},
  [23] = {.lex_state = 0, .external_lex_state = 3},
  [24] = {.lex_state = 0, .external_lex_state = 3},
  [25] = {.lex_state = 0, .external_lex_state = 3},
  [26] = {.lex_state = 0, .external_lex_state = 3},
  [27] = {.lex_state = 0, .external_lex_state = 3},
  [28] = {.lex_state = 0, .external_lex_state = 3},
  [29] = {.lex_state = 0, .external_lex_state = 3},
  [30] = {.lex_state = 0, .external_lex_state = 3},
  [31] = {.lex_state = 0, .external_lex_state = 3},
  [32] = {.lex_state = 0, .external_lex_state = 3},
  [33] = {.lex_state = 0, .external_lex_state = 3},
  [34] = {.lex_state = 0, .external_lex_state = 3},
  [35] = {.lex_state = 0, .external_lex_state = 3},
  [36] = {.lex_state = 0, .external_lex_state = 3},
  [37] = {.lex_state = 0, .external_lex_state = 3},
  [38] = {.lex_state = 0, .external_lex_state = 3},
  [39] = {.lex_state = 0, .external_lex_state = 3},
  [40] = {.lex_state = 0, .external_lex_state = 3},
  [41] = {.lex_state = 0, .external_lex_state = 3},
  [42] = {.lex_state = 0, .external_lex_state = 3},
  [43] = {.lex_state = 0, .external_lex_state = 3},
  [44] = {.lex_state = 0, .external_lex_state = 3},
  [45] = {.lex_state = 0, .external_lex_state = 3},
  [46] = {.lex_state = 0, .external_lex_state = 3},
  [47] = {.lex_state = 0, .external_lex_state = 3},
  [48] = {.lex_state = 0, .external_lex_state = 3},
  [49] = {.lex_state = 0, .external_lex_state = 3},
  [50] = {.lex_state = 0, .external_lex_state = 3},
  [51] = {.lex_state = 0, .external_lex_state = 3},
  [52] = {.lex_state = 0, .external_lex_state = 3},
  [53] = {.lex_state = 0, .external_lex_state = 3},
  [54] = {.lex_state = 0, .external_lex_state = 3},
  [55] = {.lex_state = 0, .external_lex_state = 3},
  [56] = {.lex_state = 0, .external_lex_state = 3},
  [57] = {.lex_state = 0, .external_lex_state = 3},
  [58] = {.lex_state = 0, .external_lex_state = 3},
  [59] = {.lex_state = 0, .external_lex_state = 3},
  [60] = {.lex_state = 0, .external_lex_state = 3},
  [61] = {.lex_state = 0, .external_lex_state = 3},
  [62] = {.lex_state = 0, .external_lex_state = 3},
  [63] = {.lex_state = 0, .external_lex_state = 3},
  [64] = {.lex_state = 0, .external_lex_state = 3},
  [65] = {.lex_state = 0, .external_lex_state = 3},
  [66] = {.lex_state = 0, .external_lex_state = 4},
  [67] = {.lex_state = 0, .external_lex_state = 4},
  [68] = {.lex_state = 0, .external_lex_state = 4},
  [69] = {.lex_state = 0, .external_lex_state = 4},
  [70] = {.lex_state = 0, .external_lex_state = 4},
  [71] = {.lex_state = 0, .external_lex_state = 4},
  [72] = {.lex_state = 0, .external_lex_state = 4},
  [73] = {.lex_state = 0, .external_lex_state = 4},
  [74] = {.lex_state = 0, .external_lex_state = 3},
  [75] = {.lex_state = 0, .external_lex_state = 4},
  [76] = {.lex_state = 0, .external_lex_state = 4},
  [77] = {.lex_state = 0, .external_lex_state = 4},
  [78] = {.lex_state = 0, .external_lex_state = 4},
  [79] = {.lex_state = 0, .external_lex_state = 4},
  [80] = {.lex_state = 0, .external_lex_state = 4},
  [81] = {.lex_state = 0, .external_lex_state = 4},
  [82] = {.lex_state = 0, .external_lex_state = 4},
  [83] = {.lex_state = 0, .external_lex_state = 4},
  [84] = {.lex_state = 0, .external_lex_state = 4},
  [85] = {.lex_state = 0, .external_lex_state = 4},
  [86] = {.lex_state = 0, .external_lex_state = 4},
  [87] = {.lex_state = 0, .external_lex_state = 4},
  [88] = {.lex_state = 0, .external_lex_state = 4},
  [89] = {.lex_state = 0, .external_lex_state = 4},
  [90] = {.lex_state = 0, .external_lex_state = 4},
  [91] = {.lex_state = 0, .external_lex_state = 4},
  [92] = {.lex_state = 0, .external_lex_state = 4},
  [93] = {.lex_state = 0, .external_lex_state = 4},
  [94] = {.lex_state = 0, .external_lex_state = 4},
  [95] = {.lex_state = 0, .external_lex_state = 4},
  [96] = {.lex_state = 0, .external_lex_state = 4},
  [97] = {.lex_state = 0, .external_lex_state = 4},
  [98] = {.lex_state = 0, .external_lex_state = 4},
  [99] = {.lex_state = 0, .external_lex_state = 4},
  [100] = {.lex_state = 0, .external_lex_state = 4},
  [101] = {.lex_state = 0, .external_lex_state = 4},
  [102] = {.lex_state = 0, .external_lex_state = 4},
  [103] = {.lex_state = 0, .external_lex_state = 4},
  [104] = {.lex_state = 0, .external_lex_state = 4},
  [105] = {.lex_state = 0, .external_lex_state = 4},
  [106] = {.lex_state = 0, .external_lex_state = 4},
  [107] = {.lex_state = 0, .external_lex_state = 4},
  [108] = {.lex_state = 0, .external_lex_state = 4},
  [109] = {.lex_state = 0, .external_lex_state = 4},
  [110] = {.lex_state = 0, .external_lex_state = 4},
  [111] = {.lex_state = 0, .external_lex_state = 4},
  [112] = {.lex_state = 0, .external_lex_state = 4},
  [113] = {.lex_state = 0, .external_lex_state = 4},
  [114] = {.lex_state = 0, .external_lex_state = 4},
  [115] = {.lex_state = 0, .external_lex_state = 4},
  [116] = {.lex_state = 0, .external_lex_state = 4},
  [117] = {.lex_state = 0, .external_lex_state = 4},
  [118] = {.lex_state = 0, .external_lex_state = 4},
  [119] = {.lex_state = 0, .external_lex_state = 3},
  [120] = {.lex_state = 0, .external_lex_state = 4},
  [121] = {.lex_state = 0, .external_lex_state = 4},
  [122] = {.lex_state = 0, .external_lex_state = 3},
  [123] = {.lex_state = 0, .external_lex_state = 3},
  [124] = {.lex_state = 0, .external_lex_state = 3},
  [125] = {.lex_state = 0, .external_lex_state = 3},
  [126] = {.lex_state = 0, .external_lex_state = 3},
  [127] = {.lex_state = 0, .external_lex_state = 3},
  [128] = {.lex_state = 0, .external_lex_state = 3},
  [129] = {.lex_state = 0, .external_lex_state = 4},
  [130] = {.lex_state = 0, .external_lex_state = 5},
  [131] = {.lex_state = 0, .external_lex_state = 6},
  [132] = {.lex_state = 0, .external_lex_state = 6},
  [133] = {.lex_state = 0, .external_lex_state = 6},
  [134] = {.lex_state = 0, .external_lex_state = 6},
  [135] = {.lex_state = 0, .external_lex_state = 6},
  [136] = {.lex_state = 0, .external_lex_state = 6},
  [137] = {.lex_state = 0, .external_lex_state = 6},
  [138] = {.lex_state = 0, .external_lex_state = 6},
  [139] = {.lex_state = 0, .external_lex_state = 6},
  [140] = {.lex_state = 0, .external_lex_state = 6},
  [141] = {.lex_state = 0, .external_lex_state = 6},
  [142] = {.lex_state = 0, .external_lex_state = 6},
  [143] = {.lex_state = 0, .external_lex_state = 6},
  [144] = {.lex_state = 0, .external_lex_state = 6},
  [145] = {.lex_state = 0, .external_lex_state = 6},
  [146] = {.lex_state = 0, .external_lex_state = 6},
  [147] = {.lex_state = 0, .external_lex_state = 6},
  [148] = {.lex_state = 0, .external_lex_state = 6},
  [149] = {.lex_state = 0, .external_lex_state = 6},
  [150] = {.lex_state = 0, .external_lex_state = 6},
  [151] = {.lex_state = 0, .external_lex_state = 6},
  [152] = {.lex_state = 0, .external_lex_state = 6},
  [153] = {.lex_state = 0, .external_lex_state = 6},
  [154] = {.lex_state = 0, .external_lex_state = 6},
  [155] = {.lex_state = 0, .external_lex_state = 6},
  [156] = {.lex_state = 0, .external_lex_state = 6},
  [157] = {.lex_state = 0, .external_lex_state = 6},
  [158] = {.lex_state = 0, .external_lex_state = 6},
  [159] = {.lex_state = 0, .external_lex_state = 6},
  [160] = {.lex_state = 0, .external_lex_state = 6},
  [161] = {.lex_state = 0, .external_lex_state = 6},
  [162] = {.lex_state = 0, .external_lex_state = 6},
  [163] = {.lex_state = 0, .external_lex_state = 6},
  [164] = {.lex_state = 0, .external_lex_state = 6},
  [165] = {.lex_state = 0, .external_lex_state = 6},
  [166] = {.lex_state = 0, .external_lex_state = 5},
  [167] = {.lex_state = 0, .external_lex_state = 6},
  [168] = {.lex_state = 0, .external_lex_state = 6},
  [169] = {.lex_state = 0, .external_lex_state = 6},
  [170] = {.lex_state = 0, .external_lex_state = 6},
  [171] = {.lex_state = 0, .external_lex_state = 5},
  [172] = {.lex_state = 0, .external_lex_state = 6},
  [173] = {.lex_state = 0, .external_lex_state = 6},
  [174] = {.lex_state = 0, .external_lex_state = 6},
  [175] = {.lex_state = 0, .external_lex_state = 6},
  [176] = {.lex_state = 0, .external_lex_state = 6},
  [177] = {.lex_state = 0, .external_lex_state = 6},
  [178] = {.lex_state = 0, .external_lex_state = 6},
  [179] = {.lex_state = 0, .external_lex_state = 6},
  [180] = {.lex_state = 0, .external_lex_state = 6},
  [181] = {.lex_state = 0, .external_lex_state = 6},
  [182] = {.lex_state = 0, .external_lex_state = 6},
  [183] = {.lex_state = 0, .external_lex_state = 6},
  [184] = {.lex_state = 0, .external_lex_state = 5},
  [185] = {.lex_state = 0, .external_lex_state = 5},
  [186] = {.lex_state = 0, .external_lex_state = 5},
  [187] = {.lex_state = 0, .external_lex_state = 5},
  [188] = {.lex_state = 0, .external_lex_state = 3},
  [189] = {.lex_state = 0, .external_lex_state = 6},
  [190] = {.lex_state = 0, .external_lex_state = 6},
  [191] = {.lex_state = 0, .external_lex_state = 5},
  [192] = {.lex_state = 0, .external_lex_state = 5},
  [193] = {.lex_state = 0, .external_lex_state = 5},
  [194] = {.lex_state = 0, .external_lex_state = 3},
  [195] = {.lex_state = 0, .external_lex_state = 5},
  [196] = {.lex_state = 0, .external_lex_state = 5},
  [197] = {.lex_state = 0, .external_lex_state = 5},
  [198] = {.lex_state = 0, .external_lex_state = 5},
  [199] = {.lex_state = 0, .external_lex_state = 5},
  [200] = {.lex_state = 0, .external_lex_state = 5},
  [201] = {.lex_state = 0, .external_lex_state = 5},
  [202] = {.lex_state = 0, .external_lex_state = 5},
  [203] = {.lex_state = 0, .external_lex_state = 5},
  [204] = {.lex_state = 0, .external_lex_state = 5},
  [205] = {.lex_state = 0, .external_lex_state = 5},
  [206] = {.lex_state = 0, .external_lex_state = 5},
  [207] = {.lex_state = 0, .external_lex_state = 5},
  [208] = {.lex_state = 0, .external_lex_state = 5},
  [209] = {.lex_state = 0, .external_lex_state = 5},
  [210] = {.lex_state = 0, .external_lex_state = 5},
  [211] = {.lex_state = 0, .external_lex_state = 5},
  [212] = {.lex_state = 0, .external_lex_state = 5},
  [213] = {.lex_state = 0, .external_lex_state = 5},
  [214] = {.lex_state = 0, .external_lex_state = 5},
  [215] = {.lex_state = 0, .external_lex_state = 5},
  [216] = {.lex_state = 0, .external_lex_state = 5},
  [217] = {.lex_state = 0, .external_lex_state = 5},
  [218] = {.lex_state = 0, .external_lex_state = 5},
  [219] = {.lex_state = 0, .external_lex_state = 4},
  [220] = {.lex_state = 0, .external_lex_state = 5},
  [221] = {.lex_state = 0, .external_lex_state = 5},
  [222] = {.lex_state = 0, .external_lex_state = 5},
  [223] = {.lex_state = 0, .external_lex_state = 5},
  [224] = {.lex_state = 0, .external_lex_state = 5},
  [225] = {.lex_state = 0, .external_lex_state = 5},
  [226] = {.lex_state = 0, .external_lex_state = 5},
  [227] = {.lex_state = 0, .external_lex_state = 4},
  [228] = {.lex_state = 0, .external_lex_state = 5},
  [229] = {.lex_state = 0, .external_lex_state = 5},
  [230] = {.lex_state = 0, .external_lex_state = 5},
  [231] = {.lex_state = 0, .external_lex_state = 5},
  [232] = {.lex_state = 0, .external_lex_state = 5},
  [233] = {.lex_state = 0, .external_lex_state = 5},
  [234] = {.lex_state = 0, .external_lex_state = 5},
  [235] = {.lex_state = 0, .external_lex_state = 5},
  [236] = {.lex_state = 0, .external_lex_state = 5},
  [237] = {.lex_state = 0, .external_lex_state = 5},
  [238] = {.lex_state = 0, .external_lex_state = 5},
  [239] = {.lex_state = 0, .external_lex_state = 5},
  [240] = {.lex_state = 0, .external_lex_state = 5},
  [241] = {.lex_state = 0, .external_lex_state = 5},
  [242] = {.lex_state = 0, .external_lex_state = 5},
  [243] = {.lex_state = 0, .external_lex_state = 6},
  [244] = {.lex_state = 0, .external_lex_state = 6},
  [245] = {.lex_state = 0, .external_lex_state = 6},
  [246] = {.lex_state = 0, .external_lex_state = 6},
  [247] = {.lex_state = 0, .external_lex_state = 5},
  [248] = {.lex_state = 0, .external_lex_state = 4},
  [249] = {.lex_state = 0, .external_lex_state = 7},
  [250] = {.lex_state = 0, .external_lex_state = 8},
  [251] = {.lex_state = 0, .external_lex_state = 6},
  [252] = {.lex_state = 0, .external_lex_state = 5},
  [253] = {.lex_state = 0, .external_lex_state = 3},
  [254] = {.lex_state = 0, .external_lex_state = 5},
  [255] = {.lex_state = 0, .external_lex_state = 9},
  [256] = {.lex_state = 0, .external_lex_state = 7},
  [257] = {.lex_state = 0, .external_lex_state = 8},
  [258] = {.lex_state = 0, .external_lex_state = 6},
  [259] = {.lex_state = 0, .external_lex_state = 9},
  [260] = {.lex_state = 0, .external_lex_state = 7},
  [261] = {.lex_state = 0, .external_lex_state = 8},
  [262] = {.lex_state = 0, .external_lex_state = 9},
  [263] = {.lex_state = 0, .external_lex_state = 7},
  [264] = {.lex_state = 0, .external_lex_state = 8},
  [265] = {.lex_state = 0, .external_lex_state = 9},
  [266] = {.lex_state = 0, .external_lex_state = 7},
  [267] = {.lex_state = 0, .external_lex_state = 8},
  [268] = {.lex_state = 0, .external_lex_state = 9},
  [269] = {.lex_state = 0, .external_lex_state = 7},
  [270] = {.lex_state = 0, .external_lex_state = 8},
  [271] = {.lex_state = 0, .external_lex_state = 9},
  [272] = {.lex_state = 0, .external_lex_state = 7},
  [273] = {.lex_state = 0, .external_lex_state = 8},
  [274] = {.lex_state = 0, .external_lex_state = 9},
  [275] = {.lex_state = 0, .external_lex_state = 7},
  [276] = {.lex_state = 0, .external_lex_state = 8},
  [277] = {.lex_state = 0, .external_lex_state = 9},
  [278] = {.lex_state = 0, .external_lex_state = 7},
  [279] = {.lex_state = 0, .external_lex_state = 8},
  [280] = {.lex_state = 0, .external_lex_state = 9},
  [281] = {.lex_state = 0, .external_lex_state = 7},
  [282] = {.lex_state = 0, .external_lex_state = 8},
  [283] = {.lex_state = 0, .external_lex_state = 9},
  [284] = {.lex_state = 0, .external_lex_state = 5},
  [285] = {.lex_state = 0, .external_lex_state = 6},
  [286] = {.lex_state = 0, .external_lex_state = 7},
  [287] = {.lex_state = 0, .external_lex_state = 3},
  [288] = {.lex_state = 0, .external_lex_state = 8},
  [289] = {.lex_state = 0, .external_lex_state = 3},
  [290] = {.lex_state = 0, .external_lex_state = 9},
  [291] = {.lex_state = 0, .external_lex_state = 4},
  [292] = {.lex_state = 0, .external_lex_state = 4},
  [293] = {.lex_state = 0, .external_lex_state = 4},
  [294] = {.lex_state = 0, .external_lex_state = 4},
  [295] = {.lex_state = 0, .external_lex_state = 4},
  [296] = {.lex_state = 0, .external_lex_state = 3},
  [297] = {.lex_state = 0, .external_lex_state = 3},
  [298] = {.lex_state = 0, .external_lex_state = 3},
  [299] = {.lex_state = 0, .external_lex_state = 4},
  [300] = {.lex_state = 0, .external_lex_state = 4},
  [301] = {.lex_state = 0, .external_lex_state = 3},
  [302] = {.lex_state = 0, .external_lex_state = 3},
  [303] = {.lex_state = 0, .external_lex_state = 4},
  [304] = {.lex_state = 0, .external_lex_state = 4},
  [305] = {.lex_state = 0, .external_lex_state = 3},
  [306] = {.lex_state = 0, .external_lex_state = 3},
  [307] = {.lex_state = 0, .external_lex_state = 5},
  [308] = {.lex_state = 0, .external_lex_state = 5},
  [309] = {.lex_state = 0, .external_lex_state = 6},
  [310] = {.lex_state = 0, .external_lex_state = 5},
  [311] = {.lex_state = 0, .external_lex_state = 6},
  [312] = {.lex_state = 0, .external_lex_state = 6},
  [313] = {.lex_state = 0, .external_lex_state = 6},
  [314] = {.lex_state = 0, .external_lex_state = 5},
  [315] = {.lex_state = 0, .external_lex_state = 6},
  [316] = {.lex_state = 0, .external_lex_state = 3},
  [317] = {.lex_state = 0, .external_lex_state = 6},
  [318] = {.lex_state = 0, .external_lex_state = 6},
  [319] = {.lex_state = 0, .external_lex_state = 5},
  [320] = {.lex_state = 0, .external_lex_state = 5},
  [321] = {.lex_state = 0, .external_lex_state = 6},
  [322] = {.lex_state = 0, .external_lex_state = 4},
  [323] = {.lex_state = 0, .external_lex_state = 5},
  [324] = {.lex_state = 0, .external_lex_state = 6},
  [325] = {.lex_state = 0, .external_lex_state = 5},
  [326] = {.lex_state = 0, .external_lex_state = 5},
  [327] = {.lex_state = 0, .external_lex_state = 4},
  [328] = {.lex_state = 0, .external_lex_state = 4},
  [329] = {.lex_state = 0, .external_lex_state = 4},
  [330] = {.lex_state = 0, .external_lex_state = 4},
  [331] = {.lex_state = 0, .external_lex_state = 10},
  [332] = {.lex_state = 0, .external_lex_state = 10},
  [333] = {.lex_state = 0, .external_lex_state = 4},
  [334] = {.lex_state = 0, .external_lex_state = 4},
  [335] = {.lex_state = 0, .external_lex_state = 4},
  [336] = {.lex_state = 0, .external_lex_state = 4},
  [337] = {.lex_state = 0, .external_lex_state = 4},
  [338] = {.lex_state = 0, .external_lex_state = 4},
  [339] = {.lex_state = 0, .external_lex_state = 3},
  [340] = {.lex_state = 0, .external_lex_state = 3},
  [341] = {.lex_state = 0, .external_lex_state = 3},
  [342] = {.lex_state = 0, .external_lex_state = 3},
  [343] = {.lex_state = 0, .external_lex_state = 3},
  [344] = {.lex_state = 0, .external_lex_state = 3},
  [345] = {.lex_state = 0, .external_lex_state = 3},
  [346] = {.lex_state = 0, .external_lex_state = 3},
  [347] = {.lex_state = 0, .external_lex_state = 10},
  [348] = {.lex_state = 0, .external_lex_state = 3},
  [349] = {.lex_state = 0, .external_lex_state = 4},
  [350] = {.lex_state = 0, .external_lex_state = 4},
  [351] = {.lex_state = 0, .external_lex_state = 4},
  [352] = {.lex_state = 0, .external_lex_state = 4},
  [353] = {.lex_state = 0, .external_lex_state = 4},
  [354] = {.lex_state = 0, .external_lex_state = 4},
  [355] = {.lex_state = 0, .external_lex_state = 4},
  [356] = {.lex_state = 0, .external_lex_state = 3},
  [357] = {.lex_state = 0, .external_lex_state = 4},
  [358] = {.lex_state = 0, .external_lex_state = 4},
  [359] = {.lex_state = 0, .external_lex_state = 4},
  [360] = {.lex_state = 0, .external_lex_state = 3},
  [361] = {.lex_state = 0, .external_lex_state = 4},
  [362] = {.lex_state = 0, .external_lex_state = 3},
  [363] = {.lex_state = 0, .external_lex_state = 3},
  [364] = {.lex_state = 0, .external_lex_state = 3},
  [365] = {.lex_state = 0, .external_lex_state = 3},
  [366] = {.lex_state = 0, .external_lex_state = 3},
  [367] = {.lex_state = 0, .external_lex_state = 3},
  [368] = {.lex_state = 0, .external_lex_state = 10},
  [369] = {.lex_state = 0, .external_lex_state = 10},
  [370] = {.lex_state = 0, .external_lex_state = 10},
  [371] = {.lex_state = 0, .external_lex_state = 3},
  [372] = {.lex_state = 0, .external_lex_state = 10},
  [373] = {.lex_state = 0, .external_lex_state = 10},
  [374] = {.lex_state = 0, .external_lex_state = 10},
  [375] = {.lex_state = 0, .external_lex_state = 10},
  [376] = {.lex_state = 0, .external_lex_state = 10},
  [377] = {.lex_state = 0, .external_lex_state = 10},
  [378] = {.lex_state = 0, .external_lex_state = 10},
  [379] = {.lex_state = 0, .external_lex_state = 3},
  [380] = {.lex_state = 0, .external_lex_state = 10},
  [381] = {.lex_state = 0, .external_lex_state = 4},
  [382] = {.lex_state = 0, .external_lex_state = 3},
  [383] = {.lex_state = 0, .external_lex_state = 3},
  [384] = {.lex_state = 0, .external_lex_state = 10},
  [385] = {.lex_state = 0, .external_lex_state = 3},
  [386] = {.lex_state = 0, .external_lex_state = 6},
  [387] = {.lex_state = 0, .external_lex_state = 3},
  [388] = {.lex_state = 0, .external_lex_state = 10},
  [389] = {.lex_state = 0, .external_lex_state = 3},
  [390] = {.lex_state = 0, .external_lex_state = 5},
  [391] = {.lex_state = 0, .external_lex_state = 10},
  [392] = {.lex_state = 0, .external_lex_state = 10},
  [393] = {.lex_state = 0, .external_lex_state = 4},
  [394] = {.lex_state = 0, .external_lex_state = 10},
  [395] = {.lex_state = 0, .external_lex_state = 4},
  [396] = {.lex_state = 0, .external_lex_state = 10},
  [397] = {.lex_state = 0, .external_lex_state = 10},
  [398] = {.lex_state = 0, .external_lex_state = 11},
  [399] = {.lex_state = 0, .external_lex_state = 6},
  [400] = {.lex_state = 0, .external_lex_state = 6},
  [401] = {.lex_state = 0, .external_lex_state = 6},
  [402] = {.lex_state = 0, .external_lex_state = 6},
  [403] = {.lex_state = 0, .external_lex_state = 5},
  [404] = {.lex_state = 0, .external_lex_state = 6},
  [405] = {.lex_state = 0, .external_lex_state = 5},
  [406] = {.lex_state = 0, .external_lex_state = 5},
  [407] = {.lex_state = 0, .external_lex_state = 6},
  [408] = {.lex_state = 0, .external_lex_state = 5},
  [409] = {.lex_state = 0, .external_lex_state = 5},
  [410] = {.lex_state = 0, .external_lex_state = 5},
  [411] = {.lex_state = 0, .external_lex_state = 5},
  [412] = {.lex_state = 0, .external_lex_state = 5},
  [413] = {.lex_state = 0, .external_lex_state = 6},
  [414] = {.lex_state = 0, .external_lex_state = 6},
  [415] = {.lex_state = 0, .external_lex_state = 5},
  [416] = {.lex_state = 0, .external_lex_state = 5},
  [417] = {.lex_state = 0, .external_lex_state = 6},
  [418] = {.lex_state = 0, .external_lex_state = 5},
  [419] = {.lex_state = 0, .external_lex_state = 6},
  [420] = {.lex_state = 0, .external_lex_state = 6},
  [421] = {.lex_state = 0, .external_lex_state = 5},
  [422] = {.lex_state = 0, .external_lex_state = 6},
  [423] = {.lex_state = 0, .external_lex_state = 5},
  [424] = {.lex_state = 0, .external_lex_state = 5},
  [425] = {.lex_state = 0, .external_lex_state = 5},
  [426] = {.lex_state = 0, .external_lex_state = 6},
  [427] = {.lex_state = 0, .external_lex_state = 6},
  [428] = {.lex_state = 0, .external_lex_state = 6},
  [429] = {.lex_state = 0, .external_lex_state = 5},
  [430] = {.lex_state = 0, .external_lex_state = 5},
  [431] = {.lex_state = 0, .external_lex_state = 5},
  [432] = {.lex_state = 0, .external_lex_state = 6},
  [433] = {.lex_state = 0, .external_lex_state = 5},
  [434] = {.lex_state = 0, .external_lex_state = 6},
  [435] = {.lex_state = 0, .external_lex_state = 6},
  [436] = {.lex_state = 0, .external_lex_state = 6},
  [437] = {.lex_state = 0, .external_lex_state = 6},
  [438] = {.lex_state = 0, .external_lex_state = 11},
  [439] = {.lex_state = 0, .external_lex_state = 6},
  [440] = {.lex_state = 0, .external_lex_state = 5},
  [441] = {.lex_state = 0, .external_lex_state = 5},
  [442] = {.lex_state = 0, .external_lex_state = 5},
  [443] = {.lex_state = 0, .external_lex_state = 5},
  [444] = {.lex_state = 0, .external_lex_state = 6},
  [445] = {.lex_state = 0, .external_lex_state = 6},
  [446] = {.lex_state = 0, .external_lex_state = 11},
  [447] = {.lex_state = 0, .external_lex_state = 5},
  [448] = {.lex_state = 0, .external_lex_state = 6},
  [449] = {.lex_state = 0, .external_lex_state = 9},
  [450] = {.lex_state = 0, .external_lex_state = 7},
  [451] = {.lex_state = 0, .external_lex_state = 8},
  [452] = {.lex_state = 0, .external_lex_state = 12},
  [453] = {.lex_state = 0, .external_lex_state = 12},
  [454] = {.lex_state = 0, .external_lex_state = 12},
  [455] = {.lex_state = 0, .external_lex_state = 12},
  [456] = {.lex_state = 0, .external_lex_state = 12},
  [457] = {.lex_state = 0, .external_lex_state = 12},
  [458] = {.lex_state = 0, .external_lex_state = 12},
  [459] = {.lex_state = 0, .external_lex_state = 12},
  [460] = {.lex_state = 0, .external_lex_state = 12},
  [461] = {.lex_state = 0, .external_lex_state = 12},
  [462] = {.lex_state = 0, .external_lex_state = 12},
  [463] = {.lex_state = 0, .external_lex_state = 12},
  [464] = {.lex_state = 0, .external_lex_state = 12},
  [465] = {.lex_state = 0, .external_lex_state = 12},
  [466] = {.lex_state = 0, .external_lex_state = 12},
  [467] = {.lex_state = 0, .external_lex_state = 12},
  [468] = {.lex_state = 0, .external_lex_state = 12},
  [469] = {.lex_state = 0, .external_lex_state = 12},
  [470] = {.lex_state = 0, .external_lex_state = 12},
  [471] = {.lex_state = 0, .external_lex_state = 12},
  [472] = {.lex_state = 0, .external_lex_state = 12},
  [473] = {.lex_state = 0, .external_lex_state = 9},
  [474] = {.lex_state = 0, .external_lex_state = 12},
  [475] = {.lex_state = 0, .external_lex_state = 12},
  [476] = {.lex_state = 0, .external_lex_state = 12},
  [477] = {.lex_state = 0, .external_lex_state = 12},
  [478] = {.lex_state = 0, .external_lex_state = 12},
  [479] = {.lex_state = 0, .external_lex_state = 12},
  [480] = {.lex_state = 0, .external_lex_state = 12},
  [481] = {.lex_state = 0, .external_lex_state = 12},
  [482] = {.lex_state = 0, .external_lex_state = 12},
  [483] = {.lex_state = 0, .external_lex_state = 12},
  [484] = {.lex_state = 0, .external_lex_state = 12},
  [485] = {.lex_state = 0, .external_lex_state = 12},
  [486] = {.lex_state = 0, .external_lex_state = 12},
  [487] = {.lex_state = 0, .external_lex_state = 12},
  [488] = {.lex_state = 0, .external_lex_state = 12},
  [489] = {.lex_state = 0, .external_lex_state = 12},
  [490] = {.lex_state = 0, .external_lex_state = 12},
  [491] = {.lex_state = 0, .external_lex_state = 12},
  [492] = {.lex_state = 0, .external_lex_state = 12},
  [493] = {.lex_state = 0, .external_lex_state = 12},
  [494] = {.lex_state = 0, .external_lex_state = 12},
  [495] = {.lex_state = 0, .external_lex_state = 12},
  [496] = {.lex_state = 0, .external_lex_state = 12},
  [497] = {.lex_state = 0, .external_lex_state = 12},
  [498] = {.lex_state = 0, .external_lex_state = 12},
  [499] = {.lex_state = 0, .external_lex_state = 12},
  [500] = {.lex_state = 0, .external_lex_state = 12},
  [501] = {.lex_state = 0, .external_lex_state = 12},
  [502] = {.lex_state = 0, .external_lex_state = 12},
  [503] = {.lex_state = 0, .external_lex_state = 12},
  [504] = {.lex_state = 0, .external_lex_state = 12},
  [505] = {.lex_state = 0, .external_lex_state = 12},
  [506] = {.lex_state = 0, .external_lex_state = 12},
  [507] = {.lex_state = 0, .external_lex_state = 12},
  [508] = {.lex_state = 0, .external_lex_state = 12},
  [509] = {.lex_state = 0, .external_lex_state = 12},
  [510] = {.lex_state = 0, .external_lex_state = 12},
  [511] = {.lex_state = 0, .external_lex_state = 12},
  [512] = {.lex_state = 0, .external_lex_state = 12},
  [513] = {.lex_state = 0, .external_lex_state = 12},
  [514] = {.lex_state = 0, .external_lex_state = 12},
  [515] = {.lex_state = 0, .external_lex_state = 12},
  [516] = {.lex_state = 0, .external_lex_state = 12},
  [517] = {.lex_state = 0, .external_lex_state = 12},
  [518] = {.lex_state = 0, .external_lex_state = 12},
  [519] = {.lex_state = 0, .external_lex_state = 12},
  [520] = {.lex_state = 0, .external_lex_state = 12},
  [521] = {.lex_state = 0, .external_lex_state = 12},
  [522] = {.lex_state = 0, .external_lex_state = 12},
  [523] = {.lex_state = 0, .external_lex_state = 12},
  [524] = {.lex_state = 0, .external_lex_state = 12},
  [525] = {.lex_state = 0, .external_lex_state = 12},
  [526] = {.lex_state = 0, .external_lex_state = 12},
  [527] = {.lex_state = 0, .external_lex_state = 12},
  [528] = {.lex_state = 0, .external_lex_state = 12},
  [529] = {.lex_state = 0, .external_lex_state = 12},
  [530] = {.lex_state = 0, .external_lex_state = 12},
  [531] = {.lex_state = 0, .external_lex_state = 12},
  [532] = {.lex_state = 0, .external_lex_state = 12},
  [533] = {.lex_state = 0, .external_lex_state = 12},
  [534] = {.lex_state = 0, .external_lex_state = 12},
  [535] = {.lex_state = 0, .external_lex_state = 12},
  [536] = {.lex_state = 0, .external_lex_state = 12},
  [537] = {.lex_state = 0, .external_lex_state = 12},
  [538] = {.lex_state = 0, .external_lex_state = 12},
  [539] = {.lex_state = 0, .external_lex_state = 12},
  [540] = {.lex_state = 0, .external_lex_state = 12},
  [541] = {.lex_state = 0, .external_lex_state = 12},
  [542] = {.lex_state = 0, .external_lex_state = 12},
  [543] = {.lex_state = 0, .external_lex_state = 12},
  [544] = {.lex_state = 0, .external_lex_state = 12},
  [545] = {.lex_state = 0, .external_lex_state = 12},
  [546] = {.lex_state = 0, .external_lex_state = 12},
  [547] = {.lex_state = 0, .external_lex_state = 12},
  [548] = {.lex_state = 0, .external_lex_state = 12},
  [549] = {.lex_state = 0, .external_lex_state = 12},
  [550] = {.lex_state = 0, .external_lex_state = 12},
  [551] = {.lex_state = 0, .external_lex_state = 12},
  [552] = {.lex_state = 0, .external_lex_state = 12},
  [553] = {.lex_state = 0, .external_lex_state = 12},
  [554] = {.lex_state = 0, .external_lex_state = 12},
  [555] = {.lex_state = 0, .external_lex_state = 12},
  [556] = {.lex_state = 0, .external_lex_state = 12},
  [557] = {.lex_state = 0, .external_lex_state = 12},
  [558] = {.lex_state = 0, .external_lex_state = 12},
  [559] = {.lex_state = 0, .external_lex_state = 12},
  [560] = {.lex_state = 0, .external_lex_state = 12},
  [561] = {.lex_state = 0, .external_lex_state = 12},
  [562] = {.lex_state = 0, .external_lex_state = 12},
  [563] = {.lex_state = 0, .external_lex_state = 12},
  [564] = {.lex_state = 0, .external_lex_state = 12},
  [565] = {.lex_state = 0, .external_lex_state = 12},
  [566] = {.lex_state = 0, .external_lex_state = 12},
  [567] = {.lex_state = 0, .external_lex_state = 12},
  [568] = {.lex_state = 0, .external_lex_state = 12},
  [569] = {.lex_state = 0, .external_lex_state = 12},
  [570] = {.lex_state = 0, .external_lex_state = 12},
  [571] = {.lex_state = 0, .external_lex_state = 12},
  [572] = {.lex_state = 0, .external_lex_state = 12},
  [573] = {.lex_state = 0, .external_lex_state = 12},
  [574] = {.lex_state = 0, .external_lex_state = 12},
  [575] = {.lex_state = 0, .external_lex_state = 12},
  [576] = {.lex_state = 0, .external_lex_state = 12},
  [577] = {.lex_state = 0, .external_lex_state = 12},
  [578] = {.lex_state = 0, .external_lex_state = 12},
  [579] = {.lex_state = 0, .external_lex_state = 12},
  [580] = {.lex_state = 0, .external_lex_state = 12},
  [581] = {.lex_state = 0, .external_lex_state = 12},
  [582] = {.lex_state = 0, .external_lex_state = 12},
  [583] = {.lex_state = 0, .external_lex_state = 12},
  [584] = {.lex_state = 0, .external_lex_state = 12},
  [585] = {.lex_state = 0, .external_lex_state = 12},
  [586] = {.lex_state = 0, .external_lex_state = 12},
  [587] = {.lex_state = 0, .external_lex_state = 12},
  [588] = {.lex_state = 0, .external_lex_state = 12},
  [589] = {.lex_state = 0, .external_lex_state = 12},
  [590] = {.lex_state = 0, .external_lex_state = 12},
  [591] = {.lex_state = 0, .external_lex_state = 12},
  [592] = {.lex_state = 0, .external_lex_state = 12},
  [593] = {.lex_state = 0, .external_lex_state = 12},
  [594] = {.lex_state = 0, .external_lex_state = 12},
  [595] = {.lex_state = 0, .external_lex_state = 12},
  [596] = {.lex_state = 0, .external_lex_state = 12},
  [597] = {.lex_state = 0, .external_lex_state = 12},
  [598] = {.lex_state = 0, .external_lex_state = 12},
  [599] = {.lex_state = 0, .external_lex_state = 12},
  [600] = {.lex_state = 0, .external_lex_state = 12},
  [601] = {.lex_state = 0, .external_lex_state = 12},
  [602] = {.lex_state = 0, .external_lex_state = 12},
  [603] = {.lex_state = 0, .external_lex_state = 12},
  [604] = {.lex_state = 0, .external_lex_state = 12},
  [605] = {.lex_state = 0, .external_lex_state = 12},
  [606] = {.lex_state = 0, .external_lex_state = 12},
  [607] = {.lex_state = 0, .external_lex_state = 12},
  [608] = {.lex_state = 0, .external_lex_state = 12},
  [609] = {.lex_state = 0, .external_lex_state = 12},
  [610] = {.lex_state = 0, .external_lex_state = 12},
  [611] = {.lex_state = 0, .external_lex_state = 12},
  [612] = {.lex_state = 0, .external_lex_state = 12},
  [613] = {.lex_state = 0, .external_lex_state = 12},
  [614] = {.lex_state = 0, .external_lex_state = 12},
  [615] = {.lex_state = 0, .external_lex_state = 12},
  [616] = {.lex_state = 0, .external_lex_state = 12},
  [617] = {.lex_state = 0, .external_lex_state = 12},
  [618] = {.lex_state = 0, .external_lex_state = 12},
  [619] = {.lex_state = 0, .external_lex_state = 12},
  [620] = {.lex_state = 0, .external_lex_state = 12},
  [621] = {.lex_state = 0, .external_lex_state = 12},
  [622] = {.lex_state = 0, .external_lex_state = 12},
  [623] = {.lex_state = 0, .external_lex_state = 12},
  [624] = {.lex_state = 0, .external_lex_state = 12},
  [625] = {.lex_state = 0, .external_lex_state = 12},
  [626] = {.lex_state = 0, .external_lex_state = 12},
  [627] = {.lex_state = 0, .external_lex_state = 12},
  [628] = {.lex_state = 0, .external_lex_state = 12},
  [629] = {.lex_state = 0, .external_lex_state = 12},
  [630] = {.lex_state = 0, .external_lex_state = 12},
  [631] = {.lex_state = 0, .external_lex_state = 12},
  [632] = {.lex_state = 0, .external_lex_state = 12},
  [633] = {.lex_state = 0, .external_lex_state = 12},
  [634] = {.lex_state = 0, .external_lex_state = 12},
  [635] = {.lex_state = 0, .external_lex_state = 12},
  [636] = {.lex_state = 0, .external_lex_state = 12},
  [637] = {.lex_state = 0, .external_lex_state = 12},
  [638] = {.lex_state = 0, .external_lex_state = 12},
  [639] = {.lex_state = 0, .external_lex_state = 12},
  [640] = {.lex_state = 0, .external_lex_state = 12},
  [641] = {.lex_state = 0, .external_lex_state = 12},
  [642] = {.lex_state = 0, .external_lex_state = 12},
  [643] = {.lex_state = 0, .external_lex_state = 12},
  [644] = {.lex_state = 0, .external_lex_state = 12},
  [645] = {.lex_state = 0, .external_lex_state = 12},
  [646] = {.lex_state = 0, .external_lex_state = 12},
  [647] = {.lex_state = 0, .external_lex_state = 12},
  [648] = {.lex_state = 0, .external_lex_state = 12},
  [649] = {.lex_state = 0, .external_lex_state = 12},
  [650] = {.lex_state = 0, .external_lex_state = 12},
  [651] = {.lex_state = 0, .external_lex_state = 12},
  [652] = {.lex_state = 0, .external_lex_state = 12},
  [653] = {.lex_state = 0, .external_lex_state = 12},
  [654] = {.lex_state = 0, .external_lex_state = 12},
  [655] = {.lex_state = 0, .external_lex_state = 12},
  [656] = {.lex_state = 0, .external_lex_state = 12},
  [657] = {.lex_state = 0, .external_lex_state = 12},
  [658] = {.lex_state = 0, .external_lex_state = 12},
  [659] = {.lex_state = 0, .external_lex_state = 12},
  [660] = {.lex_state = 0, .external_lex_state = 12},
  [661] = {.lex_state = 0, .external_lex_state = 12},
  [662] = {.lex_state = 0, .external_lex_state = 12},
  [663] = {.lex_state = 0, .external_lex_state = 12},
  [664] = {.lex_state = 0, .external_lex_state = 12},
  [665] = {.lex_state = 0, .external_lex_state = 12},
  [666] = {.lex_state = 0, .external_lex_state = 12},
  [667] = {.lex_state = 0, .external_lex_state = 12},
  [668] = {.lex_state = 0, .external_lex_state = 12},
  [669] = {.lex_state = 0, .external_lex_state = 12},
  [670] = {.lex_state = 0, .external_lex_state = 12},
  [671] = {.lex_state = 0, .external_lex_state = 12},
  [672] = {.lex_state = 0, .external_lex_state = 12},
  [673] = {.lex_state = 0, .external_lex_state = 12},
  [674] = {.lex_state = 0, .external_lex_state = 12},
  [675] = {.lex_state = 0, .external_lex_state = 12},
  [676] = {.lex_state = 0, .external_lex_state = 12},
  [677] = {.lex_state = 0, .external_lex_state = 12},
  [678] = {.lex_state = 0, .external_lex_state = 12},
  [679] = {.lex_state = 0, .external_lex_state = 12},
  [680] = {.lex_state = 0, .external_lex_state = 12},
  [681] = {.lex_state = 0, .external_lex_state = 12},
  [682] = {.lex_state = 0, .external_lex_state = 12},
  [683] = {.lex_state = 0, .external_lex_state = 12},
  [684] = {.lex_state = 0, .external_lex_state = 12},
  [685] = {.lex_state = 0, .external_lex_state = 12},
  [686] = {.lex_state = 0, .external_lex_state = 12},
  [687] = {.lex_state = 0, .external_lex_state = 12},
  [688] = {.lex_state = 0, .external_lex_state = 12},
  [689] = {.lex_state = 0, .external_lex_state = 12},
  [690] = {.lex_state = 0, .external_lex_state = 12},
  [691] = {.lex_state = 0, .external_lex_state = 12},
  [692] = {.lex_state = 0, .external_lex_state = 12},
  [693] = {.lex_state = 0, .external_lex_state = 12},
  [694] = {.lex_state = 0, .external_lex_state = 12},
  [695] = {.lex_state = 0, .external_lex_state = 12},
  [696] = {.lex_state = 0, .external_lex_state = 12},
  [697] = {.lex_state = 0, .external_lex_state = 12},
  [698] = {.lex_state = 0, .external_lex_state = 12},
  [699] = {.lex_state = 0, .external_lex_state = 12},
  [700] = {.lex_state = 0, .external_lex_state = 12},
  [701] = {.lex_state = 0, .external_lex_state = 12},
  [702] = {.lex_state = 0, .external_lex_state = 12},
  [703] = {.lex_state = 0, .external_lex_state = 12},
  [704] = {.lex_state = 0, .external_lex_state = 12},
  [705] = {.lex_state = 0, .external_lex_state = 12},
  [706] = {.lex_state = 0, .external_lex_state = 12},
  [707] = {.lex_state = 0, .external_lex_state = 12},
  [708] = {.lex_state = 0, .external_lex_state = 12},
  [709] = {.lex_state = 0, .external_lex_state = 12},
  [710] = {.lex_state = 0, .external_lex_state = 12},
  [711] = {.lex_state = 0, .external_lex_state = 12},
  [712] = {.lex_state = 0, .external_lex_state = 12},
  [713] = {.lex_state = 0, .external_lex_state = 12},
  [714] = {.lex_state = 0, .external_lex_state = 12},
  [715] = {.lex_state = 0, .external_lex_state = 12},
  [716] = {.lex_state = 0, .external_lex_state = 12},
  [717] = {.lex_state = 0, .external_lex_state = 12},
  [718] = {.lex_state = 0, .external_lex_state = 12},
  [719] = {.lex_state = 0, .external_lex_state = 12},
  [720] = {.lex_state = 0, .external_lex_state = 12},
  [721] = {.lex_state = 0, .external_lex_state = 12},
  [722] = {.lex_state = 0, .external_lex_state = 12},
  [723] = {.lex_state = 0, .external_lex_state = 12},
  [724] = {.lex_state = 0, .external_lex_state = 12},
  [725] = {.lex_state = 0, .external_lex_state = 12},
  [726] = {.lex_state = 0, .external_lex_state = 12},
  [727] = {.lex_state = 0, .external_lex_state = 12},
  [728] = {.lex_state = 0, .external_lex_state = 12},
  [729] = {.lex_state = 0, .external_lex_state = 12},
  [730] = {.lex_state = 0, .external_lex_state = 12},
  [731] = {.lex_state = 0, .external_lex_state = 12},
  [732] = {.lex_state = 0, .external_lex_state = 12},
  [733] = {.lex_state = 0, .external_lex_state = 12},
  [734] = {.lex_state = 0, .external_lex_state = 12},
  [735] = {.lex_state = 0, .external_lex_state = 12},
  [736] = {.lex_state = 0, .external_lex_state = 12},
  [737] = {.lex_state = 0, .external_lex_state = 12},
  [738] = {.lex_state = 0, .external_lex_state = 12},
  [739] = {.lex_state = 0, .external_lex_state = 12},
  [740] = {.lex_state = 0, .external_lex_state = 12},
  [741] = {.lex_state = 0, .external_lex_state = 12},
  [742] = {.lex_state = 0, .external_lex_state = 12},
  [743] = {.lex_state = 0, .external_lex_state = 12},
  [744] = {.lex_state = 0, .external_lex_state = 12},
  [745] = {.lex_state = 0, .external_lex_state = 12},
  [746] = {.lex_state = 0, .external_lex_state = 12},
  [747] = {.lex_state = 0, .external_lex_state = 12},
  [748] = {.lex_state = 0, .external_lex_state = 12},
  [749] = {.lex_state = 0, .external_lex_state = 12},
  [750] = {.lex_state = 0, .external_lex_state = 12},
  [751] = {.lex_state = 0, .external_lex_state = 12},
  [752] = {.lex_state = 0, .external_lex_state = 12},
  [753] = {.lex_state = 0, .external_lex_state = 12},
  [754] = {.lex_state = 0, .external_lex_state = 12},
  [755] = {.lex_state = 0, .external_lex_state = 12},
  [756] = {.lex_state = 0, .external_lex_state = 12},
  [757] = {.lex_state = 0, .external_lex_state = 12},
  [758] = {.lex_state = 0, .external_lex_state = 12},
  [759] = {.lex_state = 0, .external_lex_state = 12},
  [760] = {.lex_state = 0, .external_lex_state = 12},
  [761] = {.lex_state = 0, .external_lex_state = 12},
  [762] = {.lex_state = 0, .external_lex_state = 12},
  [763] = {.lex_state = 0, .external_lex_state = 12},
  [764] = {.lex_state = 0, .external_lex_state = 12},
  [765] = {.lex_state = 0, .external_lex_state = 12},
  [766] = {.lex_state = 0, .external_lex_state = 12},
  [767] = {.lex_state = 0, .external_lex_state = 12},
  [768] = {.lex_state = 0, .external_lex_state = 12},
  [769] = {.lex_state = 0, .external_lex_state = 12},
  [770] = {.lex_state = 0, .external_lex_state = 12},
  [771] = {.lex_state = 0, .external_lex_state = 12},
  [772] = {.lex_state = 0, .external_lex_state = 12},
  [773] = {.lex_state = 0, .external_lex_state = 12},
  [774] = {.lex_state = 0, .external_lex_state = 12},
  [775] = {.lex_state = 0, .external_lex_state = 12},
  [776] = {.lex_state = 0, .external_lex_state = 12},
  [777] = {.lex_state = 0, .external_lex_state = 12},
  [778] = {.lex_state = 0, .external_lex_state = 12},
  [779] = {.lex_state = 0, .external_lex_state = 12},
  [780] = {.lex_state = 0, .external_lex_state = 12},
  [781] = {.lex_state = 0, .external_lex_state = 12},
  [782] = {.lex_state = 0, .external_lex_state = 12},
  [783] = {.lex_state = 0, .external_lex_state = 12},
  [784] = {.lex_state = 0, .external_lex_state = 12},
  [785] = {.lex_state = 0, .external_lex_state = 12},
  [786] = {.lex_state = 0, .external_lex_state = 12},
  [787] = {.lex_state = 0, .external_lex_state = 12},
  [788] = {.lex_state = 0, .external_lex_state = 12},
  [789] = {.lex_state = 0, .external_lex_state = 12},
  [790] = {.lex_state = 0, .external_lex_state = 12},
  [791] = {.lex_state = 0, .external_lex_state = 12},
  [792] = {.lex_state = 0, .external_lex_state = 12},
  [793] = {.lex_state = 0, .external_lex_state = 12},
  [794] = {.lex_state = 0, .external_lex_state = 12},
  [795] = {.lex_state = 0, .external_lex_state = 12},
  [796] = {.lex_state = 0, .external_lex_state = 12},
  [797] = {.lex_state = 0, .external_lex_state = 12},
  [798] = {.lex_state = 0, .external_lex_state = 12},
  [799] = {.lex_state = 0, .external_lex_state = 12},
  [800] = {.lex_state = 0, .external_lex_state = 12},
  [801] = {.lex_state = 0, .external_lex_state = 12},
  [802] = {.lex_state = 0, .external_lex_state = 12},
  [803] = {.lex_state = 0, .external_lex_state = 12},
  [804] = {.lex_state = 0, .external_lex_state = 12},
  [805] = {.lex_state = 0, .external_lex_state = 12},
  [806] = {.lex_state = 0, .external_lex_state = 12},
  [807] = {.lex_state = 0, .external_lex_state = 12},
  [808] = {.lex_state = 0, .external_lex_state = 12},
  [809] = {.lex_state = 0, .external_lex_state = 12},
  [810] = {.lex_state = 0, .external_lex_state = 12},
  [811] = {.lex_state = 0, .external_lex_state = 12},
  [812] = {.lex_state = 0, .external_lex_state = 12},
  [813] = {.lex_state = 0, .external_lex_state = 12},
  [814] = {.lex_state = 0, .external_lex_state = 12},
  [815] = {.lex_state = 0, .external_lex_state = 12},
  [816] = {.lex_state = 0, .external_lex_state = 12},
  [817] = {.lex_state = 0, .external_lex_state = 12},
  [818] = {.lex_state = 0, .external_lex_state = 12},
  [819] = {.lex_state = 0, .external_lex_state = 12},
  [820] = {.lex_state = 0, .external_lex_state = 12},
  [821] = {.lex_state = 0, .external_lex_state = 12},
  [822] = {.lex_state = 0, .external_lex_state = 12},
  [823] = {.lex_state = 0, .external_lex_state = 12},
  [824] = {.lex_state = 0, .external_lex_state = 12},
  [825] = {.lex_state = 0, .external_lex_state = 12},
  [826] = {.lex_state = 0, .external_lex_state = 12},
  [827] = {.lex_state = 0, .external_lex_state = 12},
  [828] = {.lex_state = 0, .external_lex_state = 12},
  [829] = {.lex_state = 0, .external_lex_state = 12},
  [830] = {.lex_state = 0, .external_lex_state = 12},
  [831] = {.lex_state = 0, .external_lex_state = 12},
  [832] = {.lex_state = 0, .external_lex_state = 12},
  [833] = {.lex_state = 0, .external_lex_state = 12},
  [834] = {.lex_state = 0, .external_lex_state = 12},
  [835] = {.lex_state = 0, .external_lex_state = 12},
  [836] = {.lex_state = 0, .external_lex_state = 12},
  [837] = {.lex_state = 0, .external_lex_state = 12},
  [838] = {.lex_state = 0, .external_lex_state = 12},
  [839] = {.lex_state = 0, .external_lex_state = 12},
  [840] = {.lex_state = 0, .external_lex_state = 12},
  [841] = {.lex_state = 0, .external_lex_state = 12},
  [842] = {.lex_state = 0, .external_lex_state = 12},
  [843] = {.lex_state = 0, .external_lex_state = 12},
  [844] = {.lex_state = 0, .external_lex_state = 12},
  [845] = {.lex_state = 0, .external_lex_state = 12},
  [846] = {.lex_state = 0, .external_lex_state = 12},
  [847] = {.lex_state = 0, .external_lex_state = 12},
  [848] = {.lex_state = 0, .external_lex_state = 12},
  [849] = {.lex_state = 0, .external_lex_state = 12},
  [850] = {.lex_state = 0, .external_lex_state = 12},
  [851] = {.lex_state = 0, .external_lex_state = 12},
  [852] = {.lex_state = 0, .external_lex_state = 12},
  [853] = {.lex_state = 0, .external_lex_state = 12},
  [854] = {.lex_state = 0, .external_lex_state = 12},
  [855] = {.lex_state = 0, .external_lex_state = 12},
  [856] = {.lex_state = 0, .external_lex_state = 12},
  [857] = {.lex_state = 0, .external_lex_state = 12},
  [858] = {.lex_state = 0, .external_lex_state = 12},
  [859] = {.lex_state = 0, .external_lex_state = 12},
  [860] = {.lex_state = 0, .external_lex_state = 12},
  [861] = {.lex_state = 0, .external_lex_state = 12},
  [862] = {.lex_state = 0, .external_lex_state = 12},
  [863] = {.lex_state = 0, .external_lex_state = 12},
  [864] = {.lex_state = 0, .external_lex_state = 12},
  [865] = {.lex_state = 0, .external_lex_state = 12},
  [866] = {.lex_state = 0, .external_lex_state = 12},
  [867] = {.lex_state = 0, .external_lex_state = 12},
  [868] = {.lex_state = 0, .external_lex_state = 12},
  [869] = {.lex_state = 0, .external_lex_state = 12},
  [870] = {.lex_state = 0, .external_lex_state = 12},
  [871] = {.lex_state = 0, .external_lex_state = 12},
  [872] = {.lex_state = 0, .external_lex_state = 12},
  [873] = {.lex_state = 0, .external_lex_state = 12},
  [874] = {.lex_state = 0, .external_lex_state = 12},
  [875] = {.lex_state = 0, .external_lex_state = 12},
  [876] = {.lex_state = 0, .external_lex_state = 12},
  [877] = {.lex_state = 0, .external_lex_state = 12},
  [878] = {.lex_state = 0, .external_lex_state = 12},
  [879] = {.lex_state = 0, .external_lex_state = 12},
  [880] = {.lex_state = 0, .external_lex_state = 12},
  [881] = {.lex_state = 0, .external_lex_state = 12},
  [882] = {.lex_state = 0, .external_lex_state = 12},
  [883] = {.lex_state = 0, .external_lex_state = 12},
  [884] = {.lex_state = 0, .external_lex_state = 12},
  [885] = {.lex_state = 0, .external_lex_state = 12},
  [886] = {.lex_state = 0, .external_lex_state = 12},
  [887] = {.lex_state = 0, .external_lex_state = 12},
  [888] = {.lex_state = 0, .external_lex_state = 12},
  [889] = {.lex_state = 0, .external_lex_state = 12},
  [890] = {.lex_state = 0, .external_lex_state = 12},
  [891] = {.lex_state = 0, .external_lex_state = 12},
  [892] = {.lex_state = 0, .external_lex_state = 12},
  [893] = {.lex_state = 0, .external_lex_state = 12},
  [894] = {.lex_state = 0, .external_lex_state = 12},
  [895] = {.lex_state = 0, .external_lex_state = 12},
  [896] = {.lex_state = 0, .external_lex_state = 12},
  [897] = {.lex_state = 0, .external_lex_state = 12},
  [898] = {.lex_state = 0, .external_lex_state = 12},
  [899] = {.lex_state = 0, .external_lex_state = 12},
  [900] = {.lex_state = 0, .external_lex_state = 12},
  [901] = {.lex_state = 0, .external_lex_state = 12},
  [902] = {.lex_state = 0, .external_lex_state = 12},
  [903] = {.lex_state = 0, .external_lex_state = 12},
  [904] = {.lex_state = 0, .external_lex_state = 12},
  [905] = {.lex_state = 0, .external_lex_state = 12},
  [906] = {.lex_state = 0, .external_lex_state = 12},
  [907] = {.lex_state = 0, .external_lex_state = 12},
  [908] = {.lex_state = 0, .external_lex_state = 12},
  [909] = {.lex_state = 0, .external_lex_state = 12},
  [910] = {.lex_state = 0, .external_lex_state = 12},
  [911] = {.lex_state = 0, .external_lex_state = 12},
  [912] = {.lex_state = 0, .external_lex_state = 12},
  [913] = {.lex_state = 0, .external_lex_state = 12},
  [914] = {.lex_state = 0, .external_lex_state = 12},
  [915] = {.lex_state = 0, .external_lex_state = 12},
  [916] = {.lex_state = 0, .external_lex_state = 12},
  [917] = {.lex_state = 0, .external_lex_state = 12},
  [918] = {.lex_state = 0, .external_lex_state = 12},
  [919] = {.lex_state = 0, .external_lex_state = 12},
  [920] = {.lex_state = 0, .external_lex_state = 12},
  [921] = {.lex_state = 0, .external_lex_state = 12},
  [922] = {.lex_state = 0, .external_lex_state = 12},
  [923] = {.lex_state = 0, .external_lex_state = 12},
  [924] = {.lex_state = 0, .external_lex_state = 12},
  [925] = {.lex_state = 0, .external_lex_state = 12},
  [926] = {.lex_state = 0, .external_lex_state = 12},
  [927] = {.lex_state = 0, .external_lex_state = 12},
  [928] = {.lex_state = 0, .external_lex_state = 12},
  [929] = {.lex_state = 0, .external_lex_state = 12},
  [930] = {.lex_state = 0, .external_lex_state = 12},
  [931] = {.lex_state = 0, .external_lex_state = 12},
  [932] = {.lex_state = 0, .external_lex_state = 12},
  [933] = {.lex_state = 0, .external_lex_state = 12},
  [934] = {.lex_state = 0, .external_lex_state = 12},
  [935] = {.lex_state = 0, .external_lex_state = 12},
  [936] = {.lex_state = 0, .external_lex_state = 12},
  [937] = {.lex_state = 0, .external_lex_state = 12},
  [938] = {.lex_state = 0, .external_lex_state = 12},
  [939] = {.lex_state = 0, .external_lex_state = 12},
  [940] = {.lex_state = 0, .external_lex_state = 12},
  [941] = {.lex_state = 0, .external_lex_state = 12},
  [942] = {.lex_state = 0, .external_lex_state = 12},
  [943] = {.lex_state = 0, .external_lex_state = 12},
  [944] = {.lex_state = 0, .external_lex_state = 12},
  [945] = {.lex_state = 0, .external_lex_state = 12},
  [946] = {.lex_state = 0, .external_lex_state = 12},
  [947] = {.lex_state = 0, .external_lex_state = 12},
  [948] = {.lex_state = 0, .external_lex_state = 12},
  [949] = {.lex_state = 0, .external_lex_state = 12},
  [950] = {.lex_state = 0, .external_lex_state = 12},
  [951] = {.lex_state = 0, .external_lex_state = 12},
  [952] = {.lex_state = 0, .external_lex_state = 12},
  [953] = {.lex_state = 0, .external_lex_state = 12},
  [954] = {.lex_state = 0, .external_lex_state = 12},
  [955] = {.lex_state = 0, .external_lex_state = 12},
  [956] = {.lex_state = 0, .external_lex_state = 12},
  [957] = {.lex_state = 0, .external_lex_state = 12},
  [958] = {.lex_state = 0, .external_lex_state = 12},
  [959] = {.lex_state = 0, .external_lex_state = 12},
  [960] = {.lex_state = 0, .external_lex_state = 12},
  [961] = {.lex_state = 0, .external_lex_state = 12},
  [962] = {.lex_state = 0, .external_lex_state = 12},
  [963] = {.lex_state = 0, .external_lex_state = 12},
  [964] = {.lex_state = 0, .external_lex_state = 12},
  [965] = {.lex_state = 0, .external_lex_state = 12},
  [966] = {.lex_state = 0, .external_lex_state = 12},
  [967] = {.lex_state = 0, .external_lex_state = 12},
  [968] = {.lex_state = 0, .external_lex_state = 12},
  [969] = {.lex_state = 0, .external_lex_state = 12},
  [970] = {.lex_state = 0, .external_lex_state = 12},
  [971] = {.lex_state = 0, .external_lex_state = 12},
  [972] = {.lex_state = 0, .external_lex_state = 12},
  [973] = {.lex_state = 0, .external_lex_state = 12},
  [974] = {.lex_state = 0, .external_lex_state = 12},
  [975] = {.lex_state = 0, .external_lex_state = 12},
  [976] = {.lex_state = 0, .external_lex_state = 12},
  [977] = {.lex_state = 0, .external_lex_state = 12},
  [978] = {.lex_state = 0, .external_lex_state = 12},
  [979] = {.lex_state = 0, .external_lex_state = 12},
  [980] = {.lex_state = 0, .external_lex_state = 12},
  [981] = {.lex_state = 0, .external_lex_state = 12},
  [982] = {.lex_state = 0, .external_lex_state = 12},
  [983] = {.lex_state = 0, .external_lex_state = 12},
  [984] = {.lex_state = 0, .external_lex_state = 12},
  [985] = {.lex_state = 0, .external_lex_state = 12},
  [986] = {.lex_state = 0, .external_lex_state = 12},
  [987] = {.lex_state = 0, .external_lex_state = 12},
  [988] = {.lex_state = 0, .external_lex_state = 12},
  [989] = {.lex_state = 0, .external_lex_state = 12},
  [990] = {.lex_state = 0, .external_lex_state = 12},
  [991] = {.lex_state = 0, .external_lex_state = 12},
  [992] = {.lex_state = 0, .external_lex_state = 12},
  [993] = {.lex_state = 0, .external_lex_state = 12},
  [994] = {.lex_state = 0, .external_lex_state = 12},
  [995] = {.lex_state = 0, .external_lex_state = 12},
  [996] = {.lex_state = 0, .external_lex_state = 12},
  [997] = {.lex_state = 0, .external_lex_state = 12},
  [998] = {.lex_state = 0, .external_lex_state = 12},
  [999] = {.lex_state = 0, .external_lex_state = 12},
  [1000] = {.lex_state = 0, .external_lex_state = 12},
  [1001] = {.lex_state = 0, .external_lex_state = 12},
  [1002] = {.lex_state = 0, .external_lex_state = 12},
  [1003] = {.lex_state = 0, .external_lex_state = 12},
  [1004] = {.lex_state = 0, .external_lex_state = 12},
  [1005] = {.lex_state = 0, .external_lex_state = 12},
  [1006] = {.lex_state = 0, .external_lex_state = 12},
  [1007] = {.lex_state = 0, .external_lex_state = 12},
  [1008] = {.lex_state = 0, .external_lex_state = 12},
  [1009] = {.lex_state = 0, .external_lex_state = 12},
  [1010] = {.lex_state = 0, .external_lex_state = 12},
  [1011] = {.lex_state = 0, .external_lex_state = 12},
  [1012] = {.lex_state = 0, .external_lex_state = 12},
  [1013] = {.lex_state = 0, .external_lex_state = 12},
  [1014] = {.lex_state = 0, .external_lex_state = 12},
  [1015] = {.lex_state = 0, .external_lex_state = 12},
  [1016] = {.lex_state = 0, .external_lex_state = 12},
  [1017] = {.lex_state = 0, .external_lex_state = 12},
  [1018] = {.lex_state = 0, .external_lex_state = 12},
  [1019] = {.lex_state = 0, .external_lex_state = 12},
  [1020] = {.lex_state = 0, .external_lex_state = 12},
  [1021] = {.lex_state = 0, .external_lex_state = 12},
  [1022] = {.lex_state = 0, .external_lex_state = 12},
  [1023] = {.lex_state = 0, .external_lex_state = 12},
  [1024] = {.lex_state = 0, .external_lex_state = 12},
  [1025] = {.lex_state = 0, .external_lex_state = 12},
  [1026] = {.lex_state = 0, .external_lex_state = 12},
  [1027] = {.lex_state = 0, .external_lex_state = 12},
  [1028] = {.lex_state = 0, .external_lex_state = 12},
  [1029] = {.lex_state = 0, .external_lex_state = 12},
  [1030] = {.lex_state = 0, .external_lex_state = 12},
  [1031] = {.lex_state = 0, .external_lex_state = 12},
  [1032] = {.lex_state = 0, .external_lex_state = 12},
  [1033] = {.lex_state = 0, .external_lex_state = 12},
  [1034] = {.lex_state = 0, .external_lex_state = 12},
  [1035] = {.lex_state = 0, .external_lex_state = 12},
  [1036] = {.lex_state = 0, .external_lex_state = 12},
  [1037] = {.lex_state = 0, .external_lex_state = 12},
  [1038] = {.lex_state = 0, .external_lex_state = 12},
  [1039] = {.lex_state = 0, .external_lex_state = 12},
  [1040] = {.lex_state = 0, .external_lex_state = 12},
  [1041] = {.lex_state = 0, .external_lex_state = 12},
  [1042] = {.lex_state = 0, .external_lex_state = 12},
  [1043] = {.lex_state = 0, .external_lex_state = 12},
  [1044] = {.lex_state = 0, .external_lex_state = 12},
  [1045] = {.lex_state = 0, .external_lex_state = 12},
  [1046] = {.lex_state = 0, .external_lex_state = 12},
  [1047] = {.lex_state = 0, .external_lex_state = 12},
  [1048] = {.lex_state = 0, .external_lex_state = 13},
  [1049] = {.lex_state = 0, .external_lex_state = 13},
  [1050] = {.lex_state = 0, .external_lex_state = 13},
  [1051] = {.lex_state = 0, .external_lex_state = 13},
  [1052] = {.lex_state = 0, .external_lex_state = 13},
  [1053] = {.lex_state = 0, .external_lex_state = 13},
  [1054] = {.lex_state = 0, .external_lex_state = 13},
  [1055] = {.lex_state = 0, .external_lex_state = 13},
  [1056] = {.lex_state = 0, .external_lex_state = 13},
  [1057] = {.lex_state = 0, .external_lex_state = 13},
  [1058] = {.lex_state = 0, .external_lex_state = 13},
  [1059] = {.lex_state = 0, .external_lex_state = 13},
  [1060] = {.lex_state = 0, .external_lex_state = 13},
  [1061] = {.lex_state = 0, .external_lex_state = 13},
  [1062] = {.lex_state = 0, .external_lex_state = 13},
  [1063] = {.lex_state = 0, .external_lex_state = 13},
  [1064] = {.lex_state = 0, .external_lex_state = 13},
  [1065] = {.lex_state = 0, .external_lex_state = 13},
  [1066] = {.lex_state = 0, .external_lex_state = 13},
  [1067] = {.lex_state = 0, .external_lex_state = 13},
  [1068] = {.lex_state = 0, .external_lex_state = 13},
  [1069] = {.lex_state = 0, .external_lex_state = 13},
  [1070] = {.lex_state = 0, .external_lex_state = 13},
  [1071] = {.lex_state = 0, .external_lex_state = 13},
  [1072] = {.lex_state = 0, .external_lex_state = 13},
  [1073] = {.lex_state = 0, .external_lex_state = 13},
  [1074] = {.lex_state = 0, .external_lex_state = 13},
  [1075] = {.lex_state = 0, .external_lex_state = 13},
  [1076] = {.lex_state = 0, .external_lex_state = 13},
  [1077] = {.lex_state = 0, .external_lex_state = 13},
  [1078] = {.lex_state = 0, .external_lex_state = 13},
  [1079] = {.lex_state = 0, .external_lex_state = 13},
  [1080] = {.lex_state = 0, .external_lex_state = 13},
  [1081] = {.lex_state = 0, .external_lex_state = 13},
  [1082] = {.lex_state = 0, .external_lex_state = 13},
  [1083] = {.lex_state = 0, .external_lex_state = 13},
  [1084] = {.lex_state = 0, .external_lex_state = 13},
  [1085] = {.lex_state = 0, .external_lex_state = 13},
  [1086] = {.lex_state = 0, .external_lex_state = 13},
  [1087] = {.lex_state = 0, .external_lex_state = 13},
  [1088] = {.lex_state = 0, .external_lex_state = 13},
  [1089] = {.lex_state = 0, .external_lex_state = 13},
  [1090] = {.lex_state = 0, .external_lex_state = 13},
  [1091] = {.lex_state = 0, .external_lex_state = 13},
  [1092] = {.lex_state = 0, .external_lex_state = 13},
  [1093] = {.lex_state = 0, .external_lex_state = 13},
  [1094] = {.lex_state = 0, .external_lex_state = 13},
  [1095] = {.lex_state = 0, .external_lex_state = 13},
  [1096] = {.lex_state = 0, .external_lex_state = 13},
  [1097] = {.lex_state = 0, .external_lex_state = 13},
  [1098] = {.lex_state = 0, .external_lex_state = 13},
  [1099] = {.lex_state = 0, .external_lex_state = 13},
  [1100] = {.lex_state = 0, .external_lex_state = 13},
  [1101] = {.lex_state = 0, .external_lex_state = 13},
  [1102] = {.lex_state = 0, .external_lex_state = 13},
  [1103] = {.lex_state = 0, .external_lex_state = 13},
  [1104] = {.lex_state = 0, .external_lex_state = 13},
  [1105] = {.lex_state = 0, .external_lex_state = 13},
  [1106] = {.lex_state = 0, .external_lex_state = 13},
  [1107] = {.lex_state = 0, .external_lex_state = 13},
  [1108] = {.lex_state = 0, .external_lex_state = 13},
  [1109] = {.lex_state = 0, .external_lex_state = 13},
  [1110] = {.lex_state = 0, .external_lex_state = 13},
  [1111] = {.lex_state = 0, .external_lex_state = 13},
  [1112] = {.lex_state = 0, .external_lex_state = 13},
  [1113] = {.lex_state = 0, .external_lex_state = 13},
  [1114] = {.lex_state = 0, .external_lex_state = 13},
  [1115] = {.lex_state = 0, .external_lex_state = 13},
  [1116] = {.lex_state = 0, .external_lex_state = 13},
  [1117] = {.lex_state = 0, .external_lex_state = 13},
  [1118] = {.lex_state = 1, .external_lex_state = 14},
  [1119] = {.lex_state = 1, .external_lex_state = 15},
  [1120] = {.lex_state = 1, .external_lex_state = 16},
  [1121] = {.lex_state = 1, .external_lex_state = 15},
  [1122] = {.lex_state = 1, .external_lex_state = 14},
  [1123] = {.lex_state = 1, .external_lex_state = 16},
  [1124] = {.lex_state = 1, .external_lex_state = 17},
  [1125] = {.lex_state = 1, .external_lex_state = 17},
  [1126] = {.lex_state = 1, .external_lex_state = 18},
  [1127] = {.lex_state = 1, .external_lex_state = 18},
  [1128] = {.lex_state = 1, .external_lex_state = 19},
  [1129] = {.lex_state = 1, .external_lex_state = 19},
  [1130] = {.lex_state = 1, .external_lex_state = 20},
  [1131] = {.lex_state = 1, .external_lex_state = 21},
  [1132] = {.lex_state = 1, .external_lex_state = 22},
  [1133] = {.lex_state = 1, .external_lex_state = 23},
  [1134] = {.lex_state = 1, .external_lex_state = 24},
  [1135] = {.lex_state = 1, .external_lex_state = 25},
  [1136] = {.lex_state = 1, .external_lex_state = 15},
  [1137] = {.lex_state = 1, .external_lex_state = 14},
  [1138] = {.lex_state = 1, .external_lex_state = 16},
  [1139] = {.lex_state = 0, .external_lex_state = 26},
  [1140] = {.lex_state = 0, .external_lex_state = 27},
  [1141] = {.lex_state = 0, .external_lex_state = 26},
  [1142] = {.lex_state = 0, .external_lex_state = 28},
  [1143] = {.lex_state = 1, .external_lex_state = 18},
  [1144] = {.lex_state = 0, .external_lex_state = 26},
  [1145] = {.lex_state = 0, .external_lex_state = 28},
  [1146] = {.lex_state = 0, .external_lex_state = 27},
  [1147] = {.lex_state = 1, .external_lex_state = 19},
  [1148] = {.lex_state = 0, .external_lex_state = 28},
  [1149] = {.lex_state = 0, .external_lex_state = 28},
  [1150] = {.lex_state = 0, .external_lex_state = 28},
  [1151] = {.lex_state = 0, .external_lex_state = 26},
  [1152] = {.lex_state = 0, .external_lex_state = 28},
  [1153] = {.lex_state = 0, .external_lex_state = 28},
  [1154] = {.lex_state = 0, .external_lex_state = 28},
  [1155] = {.lex_state = 0, .external_lex_state = 27},
  [1156] = {.lex_state = 1, .external_lex_state = 17},
  [1157] = {.lex_state = 0, .external_lex_state = 26},
  [1158] = {.lex_state = 0, .external_lex_state = 27},
  [1159] = {.lex_state = 0, .external_lex_state = 26},
  [1160] = {.lex_state = 0, .external_lex_state = 27},
  [1161] = {.lex_state = 0, .external_lex_state = 27},
  [1162] = {.lex_state = 0, .external_lex_state = 27},
  [1163] = {.lex_state = 0, .external_lex_state = 26},
  [1164] = {.lex_state = 0, .external_lex_state = 27},
  [1165] = {.lex_state = 0, .external_lex_state = 26},
  [1166] = {.lex_state = 0, .external_lex_state = 27},
  [1167] = {.lex_state = 0, .external_lex_state = 28},
  [1168] = {.lex_state = 0, .external_lex_state = 27},
  [1169] = {.lex_state = 0, .external_lex_state = 26},
  [1170] = {.lex_state = 0, .external_lex_state = 26},
  [1171] = {.lex_state = 0, .external_lex_state = 26},
  [1172] = {.lex_state = 0, .external_lex_state = 28},
  [1173] = {.lex_state = 0, .external_lex_state = 26},
  [1174] = {.lex_state = 0, .external_lex_state = 28},
  [1175] = {.lex_state = 0, .external_lex_state = 28},
  [1176] = {.lex_state = 0, .external_lex_state = 26},
  [1177] = {.lex_state = 0, .external_lex_state = 26},
  [1178] = {.lex_state = 0, .external_lex_state = 28},
  [1179] = {.lex_state = 0, .external_lex_state = 26},
  [1180] = {.lex_state = 0, .external_lex_state = 26},
  [1181] = {.lex_state = 0, .external_lex_state = 26},
  [1182] = {.lex_state = 0, .external_lex_state = 28},
  [1183] = {.lex_state = 0, .external_lex_state = 26},
  [1184] = {.lex_state = 0, .external_lex_state = 26},
  [1185] = {.lex_state = 0, .external_lex_state = 28},
  [1186] = {.lex_state = 0, .external_lex_state = 26},
  [1187] = {.lex_state = 0, .external_lex_state = 28},
  [1188] = {.lex_state = 0, .external_lex_state = 27},
  [1189] = {.lex_state = 0, .external_lex_state = 28},
  [1190] = {.lex_state = 0, .external_lex_state = 26},
  [1191] = {.lex_state = 0, .external_lex_state = 28},
  [1192] = {.lex_state = 0, .external_lex_state = 28},
  [1193] = {.lex_state = 0, .external_lex_state = 28},
  [1194] = {.lex_state = 0, .external_lex_state = 26},
  [1195] = {.lex_state = 0, .external_lex_state = 28},
  [1196] = {.lex_state = 0, .external_lex_state = 28},
  [1197] = {.lex_state = 0, .external_lex_state = 26},
  [1198] = {.lex_state = 0, .external_lex_state = 28},
  [1199] = {.lex_state = 0, .external_lex_state = 26},
  [1200] = {.lex_state = 0, .external_lex_state = 28},
  [1201] = {.lex_state = 0, .external_lex_state = 27},
  [1202] = {.lex_state = 0, .external_lex_state = 27},
  [1203] = {.lex_state = 0, .external_lex_state = 27},
  [1204] = {.lex_state = 0, .external_lex_state = 27},
  [1205] = {.lex_state = 0, .external_lex_state = 28},
  [1206] = {.lex_state = 0, .external_lex_state = 28},
  [1207] = {.lex_state = 0, .external_lex_state = 28},
  [1208] = {.lex_state = 0, .external_lex_state = 27},
  [1209] = {.lex_state = 0, .external_lex_state = 28},
  [1210] = {.lex_state = 0, .external_lex_state = 28},
  [1211] = {.lex_state = 0, .external_lex_state = 28},
  [1212] = {.lex_state = 0, .external_lex_state = 27},
  [1213] = {.lex_state = 0, .external_lex_state = 27},
  [1214] = {.lex_state = 0, .external_lex_state = 27},
  [1215] = {.lex_state = 0, .external_lex_state = 28},
  [1216] = {.lex_state = 0, .external_lex_state = 27},
  [1217] = {.lex_state = 0, .external_lex_state = 27},
  [1218] = {.lex_state = 0, .external_lex_state = 27},
  [1219] = {.lex_state = 0, .external_lex_state = 28},
  [1220] = {.lex_state = 0, .external_lex_state = 27},
  [1221] = {.lex_state = 0, .external_lex_state = 28},
  [1222] = {.lex_state = 0, .external_lex_state = 27},
  [1223] = {.lex_state = 0, .external_lex_state = 28},
  [1224] = {.lex_state = 0, .external_lex_state = 27},
  [1225] = {.lex_state = 0, .external_lex_state = 28},
  [1226] = {.lex_state = 0, .external_lex_state = 27},
  [1227] = {.lex_state = 0, .external_lex_state = 28},
  [1228] = {.lex_state = 0, .external_lex_state = 27},
  [1229] = {.lex_state = 0, .external_lex_state = 28},
  [1230] = {.lex_state = 0, .external_lex_state = 27},
  [1231] = {.lex_state = 0, .external_lex_state = 28},
  [1232] = {.lex_state = 0, .external_lex_state = 27},
  [1233] = {.lex_state = 0, .external_lex_state = 27},
  [1234] = {.lex_state = 0, .external_lex_state = 27},
  [1235] = {.lex_state = 0, .external_lex_state = 28},
  [1236] = {.lex_state = 0, .external_lex_state = 27},
  [1237] = {.lex_state = 0, .external_lex_state = 28},
  [1238] = {.lex_state = 0, .external_lex_state = 27},
  [1239] = {.lex_state = 0, .external_lex_state = 28},
  [1240] = {.lex_state = 0, .external_lex_state = 27},
  [1241] = {.lex_state = 0, .external_lex_state = 28},
  [1242] = {.lex_state = 0, .external_lex_state = 27},
  [1243] = {.lex_state = 0, .external_lex_state = 28},
  [1244] = {.lex_state = 0, .external_lex_state = 26},
  [1245] = {.lex_state = 0, .external_lex_state = 27},
  [1246] = {.lex_state = 0, .external_lex_state = 27},
  [1247] = {.lex_state = 0, .external_lex_state = 28},
  [1248] = {.lex_state = 0, .external_lex_state = 28},
  [1249] = {.lex_state = 0, .external_lex_state = 27},
  [1250] = {.lex_state = 0, .external_lex_state = 27},
  [1251] = {.lex_state = 0, .external_lex_state = 27},
  [1252] = {.lex_state = 0, .external_lex_state = 27},
  [1253] = {.lex_state = 0, .external_lex_state = 27},
  [1254] = {.lex_state = 0, .external_lex_state = 27},
  [1255] = {.lex_state = 0, .external_lex_state = 27},
  [1256] = {.lex_state = 0, .external_lex_state = 27},
  [1257] = {.lex_state = 0, .external_lex_state = 27},
  [1258] = {.lex_state = 0, .external_lex_state = 27},
  [1259] = {.lex_state = 0, .external_lex_state = 27},
  [1260] = {.lex_state = 0, .external_lex_state = 27},
  [1261] = {.lex_state = 0, .external_lex_state = 27},
  [1262] = {.lex_state = 0, .external_lex_state = 27},
  [1263] = {.lex_state = 0, .external_lex_state = 27},
  [1264] = {.lex_state = 0, .external_lex_state = 27},
  [1265] = {.lex_state = 0, .external_lex_state = 28},
  [1266] = {.lex_state = 0, .external_lex_state = 26},
  [1267] = {.lex_state = 0, .external_lex_state = 26},
  [1268] = {.lex_state = 0, .external_lex_state = 26},
  [1269] = {.lex_state = 0, .external_lex_state = 28},
  [1270] = {.lex_state = 0, .external_lex_state = 26},
  [1271] = {.lex_state = 0, .external_lex_state = 28},
  [1272] = {.lex_state = 0, .external_lex_state = 27},
  [1273] = {.lex_state = 0, .external_lex_state = 26},
  [1274] = {.lex_state = 0, .external_lex_state = 27},
  [1275] = {.lex_state = 0, .external_lex_state = 26},
  [1276] = {.lex_state = 0, .external_lex_state = 28},
  [1277] = {.lex_state = 0, .external_lex_state = 26},
  [1278] = {.lex_state = 0, .external_lex_state = 28},
  [1279] = {.lex_state = 0, .external_lex_state = 26},
  [1280] = {.lex_state = 0, .external_lex_state = 27},
  [1281] = {.lex_state = 0, .external_lex_state = 26},
  [1282] = {.lex_state = 0, .external_lex_state = 28},
  [1283] = {.lex_state = 0, .external_lex_state = 26},
  [1284] = {.lex_state = 0, .external_lex_state = 27},
  [1285] = {.lex_state = 0, .external_lex_state = 26},
  [1286] = {.lex_state = 0, .external_lex_state = 28},
  [1287] = {.lex_state = 0, .external_lex_state = 26},
  [1288] = {.lex_state = 0, .external_lex_state = 28},
  [1289] = {.lex_state = 0, .external_lex_state = 26},
  [1290] = {.lex_state = 0, .external_lex_state = 28},
  [1291] = {.lex_state = 0, .external_lex_state = 26},
  [1292] = {.lex_state = 0, .external_lex_state = 27},
  [1293] = {.lex_state = 0, .external_lex_state = 26},
  [1294] = {.lex_state = 0, .external_lex_state = 28},
  [1295] = {.lex_state = 0, .external_lex_state = 26},
  [1296] = {.lex_state = 0, .external_lex_state = 28},
  [1297] = {.lex_state = 0, .external_lex_state = 26},
  [1298] = {.lex_state = 0, .external_lex_state = 28},
  [1299] = {.lex_state = 0, .external_lex_state = 26},
  [1300] = {.lex_state = 0, .external_lex_state = 27},
  [1301] = {.lex_state = 0, .external_lex_state = 28},
  [1302] = {.lex_state = 0, .external_lex_state = 26},
  [1303] = {.lex_state = 0, .external_lex_state = 26},
  [1304] = {.lex_state = 0, .external_lex_state = 28},
  [1305] = {.lex_state = 0, .external_lex_state = 28},
  [1306] = {.lex_state = 0, .external_lex_state = 26},
  [1307] = {.lex_state = 0, .external_lex_state = 26},
  [1308] = {.lex_state = 0, .external_lex_state = 26},
  [1309] = {.lex_state = 0, .external_lex_state = 26},
  [1310] = {.lex_state = 0, .external_lex_state = 26},
  [1311] = {.lex_state = 0, .external_lex_state = 26},
  [1312] = {.lex_state = 0, .external_lex_state = 26},
  [1313] = {.lex_state = 0, .external_lex_state = 26},
  [1314] = {.lex_state = 0, .external_lex_state = 26},
  [1315] = {.lex_state = 0, .external_lex_state = 26},
  [1316] = {.lex_state = 0, .external_lex_state = 26},
  [1317] = {.lex_state = 0, .external_lex_state = 26},
  [1318] = {.lex_state = 0, .external_lex_state = 26},
  [1319] = {.lex_state = 0, .external_lex_state = 26},
  [1320] = {.lex_state = 0, .external_lex_state = 26},
  [1321] = {.lex_state = 0, .external_lex_state = 28},
  [1322] = {.lex_state = 0, .external_lex_state = 27},
  [1323] = {.lex_state = 0, .external_lex_state = 28},
  [1324] = {.lex_state = 0, .external_lex_state = 27},
  [1325] = {.lex_state = 0, .external_lex_state = 26},
  [1326] = {.lex_state = 0, .external_lex_state = 26},
  [1327] = {.lex_state = 0, .external_lex_state = 28},
  [1328] = {.lex_state = 0, .external_lex_state = 26},
  [1329] = {.lex_state = 0, .external_lex_state = 27},
  [1330] = {.lex_state = 0, .external_lex_state = 28},
  [1331] = {.lex_state = 0, .external_lex_state = 27},
  [1332] = {.lex_state = 0, .external_lex_state = 26},
  [1333] = {.lex_state = 0, .external_lex_state = 27},
  [1334] = {.lex_state = 0, .external_lex_state = 29},
  [1335] = {.lex_state = 0, .external_lex_state = 30},
  [1336] = {.lex_state = 0, .external_lex_state = 30},
  [1337] = {.lex_state = 0, .external_lex_state = 29},
  [1338] = {.lex_state = 0, .external_lex_state = 30},
  [1339] = {.lex_state = 0, .external_lex_state = 30},
  [1340] = {.lex_state = 0, .external_lex_state = 30},
  [1341] = {.lex_state = 0, .external_lex_state = 29},
  [1342] = {.lex_state = 0, .external_lex_state = 30},
  [1343] = {.lex_state = 0, .external_lex_state = 30},
  [1344] = {.lex_state = 0, .external_lex_state = 30},
  [1345] = {.lex_state = 0, .external_lex_state = 30},
  [1346] = {.lex_state = 0, .external_lex_state = 30},
  [1347] = {.lex_state = 0, .external_lex_state = 30},
  [1348] = {.lex_state = 0, .external_lex_state = 29},
  [1349] = {.lex_state = 0, .external_lex_state = 29},
  [1350] = {.lex_state = 0, .external_lex_state = 30},
  [1351] = {.lex_state = 0, .external_lex_state = 29},
  [1352] = {.lex_state = 0, .external_lex_state = 30},
  [1353] = {.lex_state = 0, .external_lex_state = 30},
  [1354] = {.lex_state = 0, .external_lex_state = 29},
  [1355] = {.lex_state = 0, .external_lex_state = 29},
  [1356] = {.lex_state = 0, .external_lex_state = 29},
  [1357] = {.lex_state = 0, .external_lex_state = 30},
  [1358] = {.lex_state = 0, .external_lex_state = 29},
  [1359] = {.lex_state = 0, .external_lex_state = 30},
  [1360] = {.lex_state = 0, .external_lex_state = 29},
  [1361] = {.lex_state = 0, .external_lex_state = 29},
  [1362] = {.lex_state = 0, .external_lex_state = 29},
  [1363] = {.lex_state = 0, .external_lex_state = 29},
  [1364] = {.lex_state = 0, .external_lex_state = 30},
  [1365] = {.lex_state = 0, .external_lex_state = 30},
  [1366] = {.lex_state = 0, .external_lex_state = 29},
  [1367] = {.lex_state = 0, .external_lex_state = 29},
  [1368] = {.lex_state = 0, .external_lex_state = 30},
  [1369] = {.lex_state = 0, .external_lex_state = 29},
  [1370] = {.lex_state = 0, .external_lex_state = 30},
  [1371] = {.lex_state = 0, .external_lex_state = 29},
  [1372] = {.lex_state = 0, .external_lex_state = 30},
  [1373] = {.lex_state = 0, .external_lex_state = 30},
  [1374] = {.lex_state = 0, .external_lex_state = 30},
  [1375] = {.lex_state = 0, .external_lex_state = 30},
  [1376] = {.lex_state = 0, .external_lex_state = 29},
  [1377] = {.lex_state = 0, .external_lex_state = 30},
  [1378] = {.lex_state = 0, .external_lex_state = 30},
  [1379] = {.lex_state = 0, .external_lex_state = 29},
  [1380] = {.lex_state = 0, .external_lex_state = 30},
  [1381] = {.lex_state = 0, .external_lex_state = 29},
  [1382] = {.lex_state = 0, .external_lex_state = 30},
  [1383] = {.lex_state = 0, .external_lex_state = 30},
  [1384] = {.lex_state = 0, .external_lex_state = 29},
  [1385] = {.lex_state = 0, .external_lex_state = 29},
  [1386] = {.lex_state = 0, .external_lex_state = 29},
  [1387] = {.lex_state = 0, .external_lex_state = 29},
  [1388] = {.lex_state = 0, .external_lex_state = 30},
  [1389] = {.lex_state = 0, .external_lex_state = 29},
  [1390] = {.lex_state = 0, .external_lex_state = 30},
  [1391] = {.lex_state = 0, .external_lex_state = 29},
  [1392] = {.lex_state = 0, .external_lex_state = 29},
  [1393] = {.lex_state = 0, .external_lex_state = 29},
  [1394] = {.lex_state = 0, .external_lex_state = 29},
  [1395] = {.lex_state = 0, .external_lex_state = 31},
  [1396] = {.lex_state = 0, .external_lex_state = 29},
  [1397] = {.lex_state = 0, .external_lex_state = 31},
  [1398] = {.lex_state = 0, .external_lex_state = 29},
  [1399] = {.lex_state = 0, .external_lex_state = 31},
  [1400] = {.lex_state = 0, .external_lex_state = 31},
  [1401] = {.lex_state = 0, .external_lex_state = 30},
  [1402] = {.lex_state = 0, .external_lex_state = 31},
  [1403] = {.lex_state = 0, .external_lex_state = 30},
  [1404] = {.lex_state = 0, .external_lex_state = 30},
  [1405] = {.lex_state = 0, .external_lex_state = 30},
  [1406] = {.lex_state = 0, .external_lex_state = 30},
  [1407] = {.lex_state = 0, .external_lex_state = 31},
  [1408] = {.lex_state = 0, .external_lex_state = 29},
  [1409] = {.lex_state = 0, .external_lex_state = 29},
  [1410] = {.lex_state = 0, .external_lex_state = 31},
  [1411] = {.lex_state = 0, .external_lex_state = 31},
  [1412] = {.lex_state = 0, .external_lex_state = 31},
  [1413] = {.lex_state = 0, .external_lex_state = 31},
  [1414] = {.lex_state = 0, .external_lex_state = 31},
  [1415] = {.lex_state = 0, .external_lex_state = 31},
  [1416] = {.lex_state = 0, .external_lex_state = 31},
  [1417] = {.lex_state = 0, .external_lex_state = 31},
  [1418] = {.lex_state = 0, .external_lex_state = 31},
  [1419] = {.lex_state = 0, .external_lex_state = 31},
  [1420] = {.lex_state = 0, .external_lex_state = 31},
  [1421] = {.lex_state = 0, .external_lex_state = 31},
  [1422] = {.lex_state = 0, .external_lex_state = 31},
  [1423] = {.lex_state = 0, .external_lex_state = 31},
  [1424] = {.lex_state = 0, .external_lex_state = 31},
  [1425] = {.lex_state = 0, .external_lex_state = 31},
  [1426] = {.lex_state = 0, .external_lex_state = 31},
  [1427] = {.lex_state = 0, .external_lex_state = 31},
  [1428] = {.lex_state = 0, .external_lex_state = 31},
  [1429] = {.lex_state = 0, .external_lex_state = 31},
  [1430] = {.lex_state = 0, .external_lex_state = 30},
  [1431] = {.lex_state = 0, .external_lex_state = 31},
  [1432] = {.lex_state = 0, .external_lex_state = 31},
  [1433] = {.lex_state = 0, .external_lex_state = 31},
  [1434] = {.lex_state = 0, .external_lex_state = 31},
  [1435] = {.lex_state = 0, .external_lex_state = 31},
  [1436] = {.lex_state = 0, .external_lex_state = 31},
  [1437] = {.lex_state = 0, .external_lex_state = 31},
  [1438] = {.lex_state = 0, .external_lex_state = 31},
  [1439] = {.lex_state = 0, .external_lex_state = 31},
  [1440] = {.lex_state = 0, .external_lex_state = 31},
  [1441] = {.lex_state = 0, .external_lex_state = 29},
  [1442] = {.lex_state = 0, .external_lex_state = 29},
  [1443] = {.lex_state = 0, .external_lex_state = 31},
  [1444] = {.lex_state = 0, .external_lex_state = 29},
  [1445] = {.lex_state = 0, .external_lex_state = 29},
  [1446] = {.lex_state = 0, .external_lex_state = 31},
  [1447] = {.lex_state = 0, .external_lex_state = 29},
  [1448] = {.lex_state = 0, .external_lex_state = 31},
  [1449] = {.lex_state = 0, .external_lex_state = 29},
  [1450] = {.lex_state = 0, .external_lex_state = 29},
  [1451] = {.lex_state = 0, .external_lex_state = 31},
  [1452] = {.lex_state = 0, .external_lex_state = 31},
  [1453] = {.lex_state = 0, .external_lex_state = 29},
  [1454] = {.lex_state = 0, .external_lex_state = 30},
  [1455] = {.lex_state = 0, .external_lex_state = 30},
  [1456] = {.lex_state = 0, .external_lex_state = 30},
  [1457] = {.lex_state = 0, .external_lex_state = 29},
  [1458] = {.lex_state = 0, .external_lex_state = 30},
  [1459] = {.lex_state = 0, .external_lex_state = 30},
  [1460] = {.lex_state = 0, .external_lex_state = 31},
  [1461] = {.lex_state = 0, .external_lex_state = 29},
  [1462] = {.lex_state = 0, .external_lex_state = 29},
  [1463] = {.lex_state = 0, .external_lex_state = 31},
  [1464] = {.lex_state = 0, .external_lex_state = 29},
  [1465] = {.lex_state = 0, .external_lex_state = 31},
  [1466] = {.lex_state = 0, .external_lex_state = 29},
  [1467] = {.lex_state = 0, .external_lex_state = 29},
  [1468] = {.lex_state = 0, .external_lex_state = 29},
  [1469] = {.lex_state = 0, .external_lex_state = 29},
  [1470] = {.lex_state = 0, .external_lex_state = 29},
  [1471] = {.lex_state = 0, .external_lex_state = 29},
  [1472] = {.lex_state = 0, .external_lex_state = 30},
  [1473] = {.lex_state = 0, .external_lex_state = 29},
  [1474] = {.lex_state = 0, .external_lex_state = 29},
  [1475] = {.lex_state = 0, .external_lex_state = 29},
  [1476] = {.lex_state = 0, .external_lex_state = 31},
  [1477] = {.lex_state = 0, .external_lex_state = 29},
  [1478] = {.lex_state = 0, .external_lex_state = 30},
  [1479] = {.lex_state = 0, .external_lex_state = 29},
  [1480] = {.lex_state = 0, .external_lex_state = 29},
  [1481] = {.lex_state = 0, .external_lex_state = 29},
  [1482] = {.lex_state = 0, .external_lex_state = 29},
  [1483] = {.lex_state = 0, .external_lex_state = 31},
  [1484] = {.lex_state = 0, .external_lex_state = 29},
  [1485] = {.lex_state = 0, .external_lex_state = 31},
  [1486] = {.lex_state = 0, .external_lex_state = 29},
  [1487] = {.lex_state = 0, .external_lex_state = 29},
  [1488] = {.lex_state = 0, .external_lex_state = 31},
  [1489] = {.lex_state = 0, .external_lex_state = 29},
  [1490] = {.lex_state = 0, .external_lex_state = 30},
  [1491] = {.lex_state = 0, .external_lex_state = 29},
  [1492] = {.lex_state = 0, .external_lex_state = 29},
  [1493] = {.lex_state = 0, .external_lex_state = 29},
  [1494] = {.lex_state = 0, .external_lex_state = 31},
  [1495] = {.lex_state = 0, .external_lex_state = 29},
  [1496] = {.lex_state = 0, .external_lex_state = 29},
  [1497] = {.lex_state = 0, .external_lex_state = 30},
  [1498] = {.lex_state = 0, .external_lex_state = 29},
  [1499] = {.lex_state = 0, .external_lex_state = 31},
  [1500] = {.lex_state = 0, .external_lex_state = 31},
  [1501] = {.lex_state = 0, .external_lex_state = 31},
  [1502] = {.lex_state = 0, .external_lex_state = 29},
  [1503] = {.lex_state = 0, .external_lex_state = 29},
  [1504] = {.lex_state = 0, .external_lex_state = 31},
  [1505] = {.lex_state = 0, .external_lex_state = 29},
  [1506] = {.lex_state = 0, .external_lex_state = 31},
  [1507] = {.lex_state = 0, .external_lex_state = 30},
  [1508] = {.lex_state = 0, .external_lex_state = 29},
  [1509] = {.lex_state = 0, .external_lex_state = 31},
  [1510] = {.lex_state = 0, .external_lex_state = 29},
  [1511] = {.lex_state = 0, .external_lex_state = 31},
  [1512] = {.lex_state = 0, .external_lex_state = 30},
  [1513] = {.lex_state = 0, .external_lex_state = 29},
  [1514] = {.lex_state = 0, .external_lex_state = 29},
  [1515] = {.lex_state = 0, .external_lex_state = 29},
  [1516] = {.lex_state = 0, .external_lex_state = 29},
  [1517] = {.lex_state = 0, .external_lex_state = 29},
  [1518] = {.lex_state = 0, .external_lex_state = 30},
  [1519] = {.lex_state = 0, .external_lex_state = 30},
  [1520] = {.lex_state = 0, .external_lex_state = 29},
  [1521] = {.lex_state = 0, .external_lex_state = 29},
  [1522] = {.lex_state = 0, .external_lex_state = 29},
  [1523] = {.lex_state = 0, .external_lex_state = 29},
  [1524] = {.lex_state = 0, .external_lex_state = 29},
  [1525] = {.lex_state = 0, .external_lex_state = 29},
  [1526] = {.lex_state = 0, .external_lex_state = 29},
  [1527] = {.lex_state = 0, .external_lex_state = 29},
  [1528] = {.lex_state = 0, .external_lex_state = 29},
  [1529] = {.lex_state = 0, .external_lex_state = 29},
  [1530] = {.lex_state = 0, .external_lex_state = 29},
  [1531] = {.lex_state = 0, .external_lex_state = 29},
  [1532] = {.lex_state = 0, .external_lex_state = 29},
  [1533] = {.lex_state = 0, .external_lex_state = 29},
  [1534] = {.lex_state = 0, .external_lex_state = 30},
  [1535] = {.lex_state = 0, .external_lex_state = 29},
  [1536] = {.lex_state = 0, .external_lex_state = 30},
  [1537] = {.lex_state = 0, .external_lex_state = 31},
  [1538] = {.lex_state = 0, .external_lex_state = 30},
  [1539] = {.lex_state = 0, .external_lex_state = 29},
  [1540] = {.lex_state = 0, .external_lex_state = 29},
  [1541] = {.lex_state = 0, .external_lex_state = 30},
  [1542] = {.lex_state = 0, .external_lex_state = 29},
  [1543] = {.lex_state = 0, .external_lex_state = 29},
  [1544] = {.lex_state = 0, .external_lex_state = 29},
  [1545] = {.lex_state = 0, .external_lex_state = 29},
  [1546] = {.lex_state = 0, .external_lex_state = 30},
  [1547] = {.lex_state = 0, .external_lex_state = 29},
  [1548] = {.lex_state = 0, .external_lex_state = 29},
  [1549] = {.lex_state = 0, .external_lex_state = 29},
  [1550] = {.lex_state = 0, .external_lex_state = 29},
  [1551] = {.lex_state = 0, .external_lex_state = 30},
  [1552] = {.lex_state = 0, .external_lex_state = 29},
  [1553] = {.lex_state = 0, .external_lex_state = 29},
  [1554] = {.lex_state = 0, .external_lex_state = 29},
  [1555] = {.lex_state = 0, .external_lex_state = 29},
  [1556] = {.lex_state = 0, .external_lex_state = 29},
  [1557] = {.lex_state = 0, .external_lex_state = 29},
  [1558] = {.lex_state = 0, .external_lex_state = 29},
  [1559] = {.lex_state = 0, .external_lex_state = 29},
  [1560] = {.lex_state = 0, .external_lex_state = 29},
  [1561] = {.lex_state = 0, .external_lex_state = 29},
  [1562] = {.lex_state = 0, .external_lex_state = 29},
  [1563] = {.lex_state = 0, .external_lex_state = 29},
  [1564] = {.lex_state = 0, .external_lex_state = 29},
  [1565] = {.lex_state = 0, .external_lex_state = 29},
  [1566] = {.lex_state = 0, .external_lex_state = 29},
  [1567] = {.lex_state = 0, .external_lex_state = 29},
  [1568] = {.lex_state = 0, .external_lex_state = 29},
  [1569] = {.lex_state = 0, .external_lex_state = 29},
  [1570] = {.lex_state = 0, .external_lex_state = 29},
  [1571] = {.lex_state = 0, .external_lex_state = 29},
  [1572] = {.lex_state = 0, .external_lex_state = 29},
  [1573] = {.lex_state = 0, .external_lex_state = 29},
  [1574] = {.lex_state = 0, .external_lex_state = 29},
  [1575] = {.lex_state = 0, .external_lex_state = 30},
  [1576] = {.lex_state = 0, .external_lex_state = 27},
  [1577] = {.lex_state = 0, .external_lex_state = 27},
  [1578] = {.lex_state = 0, .external_lex_state = 27},
  [1579] = {.lex_state = 0, .external_lex_state = 28},
  [1580] = {.lex_state = 0, .external_lex_state = 27},
  [1581] = {.lex_state = 0, .external_lex_state = 28},
  [1582] = {.lex_state = 2, .external_lex_state = 28},
  [1583] = {.lex_state = 0, .external_lex_state = 28},
  [1584] = {.lex_state = 0, .external_lex_state = 28},
  [1585] = {.lex_state = 0, .external_lex_state = 26},
  [1586] = {.lex_state = 0, .external_lex_state = 26},
  [1587] = {.lex_state = 2, .external_lex_state = 26},
  [1588] = {.lex_state = 0, .external_lex_state = 26},
  [1589] = {.lex_state = 0, .external_lex_state = 26},
  [1590] = {.lex_state = 2, .external_lex_state = 27},
  [1591] = {.lex_state = 0, .external_lex_state = 28},
  [1592] = {.lex_state = 0, .external_lex_state = 28},
  [1593] = {.lex_state = 0, .external_lex_state = 27},
  [1594] = {.lex_state = 0, .external_lex_state = 26},
  [1595] = {.lex_state = 0, .external_lex_state = 26},
  [1596] = {.lex_state = 0, .external_lex_state = 27},
  [1597] = {.lex_state = 0, .external_lex_state = 26},
  [1598] = {.lex_state = 0, .external_lex_state = 26},
  [1599] = {.lex_state = 0, .external_lex_state = 28},
  [1600] = {.lex_state = 0, .external_lex_state = 28},
  [1601] = {.lex_state = 0, .external_lex_state = 10},
  [1602] = {.lex_state = 0, .external_lex_state = 27},
  [1603] = {.lex_state = 0, .external_lex_state = 27},
  [1604] = {.lex_state = 0, .external_lex_state = 30},
  [1605] = {.lex_state = 2, .external_lex_state = 30},
  [1606] = {.lex_state = 0, .external_lex_state = 29},
  [1607] = {.lex_state = 0, .external_lex_state = 30},
  [1608] = {.lex_state = 0, .external_lex_state = 31},
  [1609] = {.lex_state = 0, .external_lex_state = 30},
  [1610] = {.lex_state = 0, .external_lex_state = 30},
  [1611] = {.lex_state = 0, .external_lex_state = 30},
  [1612] = {.lex_state = 0, .external_lex_state = 31},
  [1613] = {.lex_state = 0, .external_lex_state = 12},
  [1614] = {.lex_state = 0, .external_lex_state = 31},
  [1615] = {.lex_state = 0, .external_lex_state = 30},
  [1616] = {.lex_state = 0, .external_lex_state = 31},
  [1617] = {.lex_state = 0, .external_lex_state = 31},
  [1618] = {.lex_state = 0, .external_lex_state = 29},
  [1619] = {.lex_state = 0, .external_lex_state = 29},
  [1620] = {.lex_state = 0, .external_lex_state = 30},
  [1621] = {.lex_state = 0, .external_lex_state = 29},
  [1622] = {.lex_state = 0, .external_lex_state = 29},
  [1623] = {.lex_state = 0, .external_lex_state = 29},
  [1624] = {.lex_state = 0, .external_lex_state = 29},
  [1625] = {.lex_state = 0, .external_lex_state = 29},
  [1626] = {.lex_state = 0, .external_lex_state = 29},
  [1627] = {.lex_state = 0, .external_lex_state = 31},
  [1628] = {.lex_state = 0, .external_lex_state = 30},
  [1629] = {.lex_state = 2, .external_lex_state = 29},
  [1630] = {.lex_state = 0, .external_lex_state = 31},
  [1631] = {.lex_state = 0, .external_lex_state = 30},
  [1632] = {.lex_state = 2, .external_lex_state = 31},
  [1633] = {.lex_state = 0, .external_lex_state = 31},
  [1634] = {.lex_state = 0, .external_lex_state = 31},
  [1635] = {.lex_state = 0, .external_lex_state = 27},
  [1636] = {.lex_state = 0, .external_lex_state = 12},
  [1637] = {.lex_state = 0, .external_lex_state = 26},
  [1638] = {.lex_state = 0, .external_lex_state = 28},
  [1639] = {.lex_state = 0, .external_lex_state = 27},
  [1640] = {.lex_state = 0, .external_lex_state = 28},
  [1641] = {.lex_state = 0, .external_lex_state = 26},
  [1642] = {.lex_state = 0, .external_lex_state = 26},
  [1643] = {.lex_state = 0, .external_lex_state = 28},
  [1644] = {.lex_state = 0, .external_lex_state = 28},
  [1645] = {.lex_state = 0, .external_lex_state = 27},
  [1646] = {.lex_state = 0, .external_lex_state = 28},
  [1647] = {.lex_state = 0, .external_lex_state = 27},
  [1648] = {.lex_state = 0, .external_lex_state = 27},
  [1649] = {.lex_state = 0, .external_lex_state = 27},
  [1650] = {.lex_state = 0, .external_lex_state = 28},
  [1651] = {.lex_state = 0, .external_lex_state = 28},
  [1652] = {.lex_state = 0, .external_lex_state = 12},
  [1653] = {.lex_state = 0, .external_lex_state = 26},
  [1654] = {.lex_state = 0, .external_lex_state = 26},
  [1655] = {.lex_state = 0, .external_lex_state = 26},
  [1656] = {.lex_state = 0, .external_lex_state = 26},
  [1657] = {.lex_state = 0, .external_lex_state = 26},
  [1658] = {.lex_state = 0, .external_lex_state = 26},
  [1659] = {.lex_state = 0, .external_lex_state = 26},
  [1660] = {.lex_state = 0, .external_lex_state = 26},
  [1661] = {.lex_state = 0, .external_lex_state = 26},
  [1662] = {.lex_state = 0, .external_lex_state = 26},
  [1663] = {.lex_state = 0, .external_lex_state = 27},
  [1664] = {.lex_state = 0, .external_lex_state = 28},
  [1665] = {.lex_state = 0, .external_lex_state = 28},
  [1666] = {.lex_state = 0, .external_lex_state = 28},
  [1667] = {.lex_state = 0, .external_lex_state = 28},
  [1668] = {.lex_state = 0, .external_lex_state = 28},
  [1669] = {.lex_state = 0, .external_lex_state = 28},
  [1670] = {.lex_state = 0, .external_lex_state = 26},
  [1671] = {.lex_state = 0, .external_lex_state = 26},
  [1672] = {.lex_state = 0, .external_lex_state = 26},
  [1673] = {.lex_state = 0, .external_lex_state = 26},
  [1674] = {.lex_state = 0, .external_lex_state = 26},
  [1675] = {.lex_state = 0, .external_lex_state = 27},
  [1676] = {.lex_state = 0, .external_lex_state = 26},
  [1677] = {.lex_state = 0, .external_lex_state = 26},
  [1678] = {.lex_state = 0, .external_lex_state = 26},
  [1679] = {.lex_state = 0, .external_lex_state = 26},
  [1680] = {.lex_state = 0, .external_lex_state = 26},
  [1681] = {.lex_state = 0, .external_lex_state = 12},
  [1682] = {.lex_state = 0, .external_lex_state = 27},
  [1683] = {.lex_state = 0, .external_lex_state = 27},
  [1684] = {.lex_state = 0, .external_lex_state = 28},
  [1685] = {.lex_state = 0, .external_lex_state = 28},
  [1686] = {.lex_state = 0, .external_lex_state = 28},
  [1687] = {.lex_state = 0, .external_lex_state = 28},
  [1688] = {.lex_state = 0, .external_lex_state = 28},
  [1689] = {.lex_state = 0, .external_lex_state = 28},
  [1690] = {.lex_state = 0, .external_lex_state = 28},
  [1691] = {.lex_state = 0, .external_lex_state = 27},
  [1692] = {.lex_state = 0, .external_lex_state = 27},
  [1693] = {.lex_state = 0, .external_lex_state = 27},
  [1694] = {.lex_state = 0, .external_lex_state = 27},
  [1695] = {.lex_state = 0, .external_lex_state = 28},
  [1696] = {.lex_state = 0, .external_lex_state = 28},
  [1697] = {.lex_state = 0, .external_lex_state = 28},
  [1698] = {.lex_state = 0, .external_lex_state = 27},
  [1699] = {.lex_state = 0, .external_lex_state = 27},
  [1700] = {.lex_state = 0, .external_lex_state = 28},
  [1701] = {.lex_state = 0, .external_lex_state = 27},
  [1702] = {.lex_state = 0, .external_lex_state = 27},
  [1703] = {.lex_state = 0, .external_lex_state = 27},
  [1704] = {.lex_state = 0, .external_lex_state = 27},
  [1705] = {.lex_state = 0, .external_lex_state = 27},
  [1706] = {.lex_state = 0, .external_lex_state = 27},
  [1707] = {.lex_state = 0, .external_lex_state = 27},
  [1708] = {.lex_state = 0, .external_lex_state = 27},
  [1709] = {.lex_state = 0, .external_lex_state = 26},
  [1710] = {.lex_state = 0, .external_lex_state = 30},
  [1711] = {.lex_state = 0, .external_lex_state = 31},
  [1712] = {.lex_state = 0, .external_lex_state = 29},
  [1713] = {.lex_state = 0, .external_lex_state = 31},
  [1714] = {.lex_state = 0, .external_lex_state = 31},
  [1715] = {.lex_state = 0, .external_lex_state = 31},
  [1716] = {.lex_state = 0, .external_lex_state = 29},
  [1717] = {.lex_state = 0, .external_lex_state = 30},
  [1718] = {.lex_state = 0, .external_lex_state = 30},
  [1719] = {.lex_state = 0, .external_lex_state = 30},
  [1720] = {.lex_state = 0, .external_lex_state = 30},
  [1721] = {.lex_state = 0, .external_lex_state = 31},
  [1722] = {.lex_state = 0, .external_lex_state = 30},
  [1723] = {.lex_state = 0, .external_lex_state = 31},
  [1724] = {.lex_state = 0, .external_lex_state = 30},
  [1725] = {.lex_state = 0, .external_lex_state = 30},
  [1726] = {.lex_state = 0, .external_lex_state = 29},
  [1727] = {.lex_state = 0, .external_lex_state = 30},
  [1728] = {.lex_state = 0, .external_lex_state = 29},
  [1729] = {.lex_state = 0, .external_lex_state = 30},
  [1730] = {.lex_state = 0, .external_lex_state = 29},
  [1731] = {.lex_state = 0, .external_lex_state = 30},
  [1732] = {.lex_state = 0, .external_lex_state = 31},
  [1733] = {.lex_state = 0, .external_lex_state = 30},
  [1734] = {.lex_state = 0, .external_lex_state = 30},
  [1735] = {.lex_state = 0, .external_lex_state = 30},
  [1736] = {.lex_state = 0, .external_lex_state = 31},
  [1737] = {.lex_state = 0, .external_lex_state = 31},
  [1738] = {.lex_state = 0, .external_lex_state = 30},
  [1739] = {.lex_state = 0, .external_lex_state = 30},
  [1740] = {.lex_state = 0, .external_lex_state = 30},
  [1741] = {.lex_state = 0, .external_lex_state = 31},
  [1742] = {.lex_state = 0, .external_lex_state = 31},
  [1743] = {.lex_state = 0, .external_lex_state = 29},
  [1744] = {.lex_state = 0, .external_lex_state = 31},
  [1745] = {.lex_state = 0, .external_lex_state = 31},
  [1746] = {.lex_state = 0, .external_lex_state = 29},
  [1747] = {.lex_state = 0, .external_lex_state = 31},
  [1748] = {.lex_state = 0, .external_lex_state = 31},
  [1749] = {.lex_state = 0, .external_lex_state = 29},
  [1750] = {.lex_state = 0, .external_lex_state = 29},
  [1751] = {.lex_state = 0, .external_lex_state = 29},
  [1752] = {.lex_state = 0, .external_lex_state = 30},
  [1753] = {.lex_state = 0, .external_lex_state = 29},
  [1754] = {.lex_state = 0, .external_lex_state = 29},
  [1755] = {.lex_state = 0, .external_lex_state = 29},
  [1756] = {.lex_state = 0, .external_lex_state = 29},
  [1757] = {.lex_state = 0, .external_lex_state = 31},
  [1758] = {.lex_state = 0, .external_lex_state = 30},
  [1759] = {.lex_state = 0, .external_lex_state = 30},
  [1760] = {.lex_state = 0, .external_lex_state = 30},
  [1761] = {.lex_state = 0, .external_lex_state = 31},
  [1762] = {.lex_state = 0, .external_lex_state = 29},
  [1763] = {.lex_state = 0, .external_lex_state = 31},
  [1764] = {.lex_state = 0, .external_lex_state = 29},
  [1765] = {.lex_state = 0, .external_lex_state = 31},
  [1766] = {.lex_state = 0, .external_lex_state = 29},
  [1767] = {.lex_state = 0, .external_lex_state = 31},
  [1768] = {.lex_state = 0, .external_lex_state = 30},
  [1769] = {.lex_state = 0, .external_lex_state = 29},
  [1770] = {.lex_state = 0, .external_lex_state = 29},
  [1771] = {.lex_state = 0, .external_lex_state = 29},
  [1772] = {.lex_state = 0, .external_lex_state = 29},
  [1773] = {.lex_state = 0, .external_lex_state = 31},
  [1774] = {.lex_state = 0, .external_lex_state = 31},
  [1775] = {.lex_state = 0, .external_lex_state = 30},
  [1776] = {.lex_state = 0, .external_lex_state = 29},
  [1777] = {.lex_state = 0, .external_lex_state = 29},
  [1778] = {.lex_state = 0, .external_lex_state = 29},
  [1779] = {.lex_state = 0, .external_lex_state = 30},
  [1780] = {.lex_state = 0, .external_lex_state = 31},
  [1781] = {.lex_state = 0, .external_lex_state = 31},
  [1782] = {.lex_state = 1, .external_lex_state = 32},
  [1783] = {.lex_state = 1},
  [1784] = {.lex_state = 0, .external_lex_state = 33},
  [1785] = {.lex_state = 0, .external_lex_state = 33},
  [1786] = {.lex_state = 0, .external_lex_state = 33},
  [1787] = {.lex_state = 0, .external_lex_state = 33},
  [1788] = {.lex_state = 0, .external_lex_state = 33},
  [1789] = {.lex_state = 0, .external_lex_state = 33},
  [1790] = {.lex_state = 0, .external_lex_state = 33},
  [1791] = {.lex_state = 0, .external_lex_state = 33},
  [1792] = {.lex_state = 0, .external_lex_state = 33},
  [1793] = {.lex_state = 0, .external_lex_state = 33},
  [1794] = {.lex_state = 0, .external_lex_state = 33},
  [1795] = {.lex_state = 0, .external_lex_state = 33},
  [1796] = {.lex_state = 0, .external_lex_state = 33},
  [1797] = {.lex_state = 0, .external_lex_state = 33},
  [1798] = {.lex_state = 0, .external_lex_state = 33},
  [1799] = {.lex_state = 0, .external_lex_state = 33},
  [1800] = {.lex_state = 0, .external_lex_state = 33},
  [1801] = {.lex_state = 0, .external_lex_state = 33},
  [1802] = {.lex_state = 0, .external_lex_state = 33},
  [1803] = {.lex_state = 0, .external_lex_state = 33},
  [1804] = {.lex_state = 4},
  [1805] = {.lex_state = 0, .external_lex_state = 32},
  [1806] = {.lex_state = 0, .external_lex_state = 32},
  [1807] = {.lex_state = 0, .external_lex_state = 32},
  [1808] = {.lex_state = 0, .external_lex_state = 32},
  [1809] = {.lex_state = 0, .external_lex_state = 32},
  [1810] = {.lex_state = 0, .external_lex_state = 33},
  [1811] = {.lex_state = 0, .external_lex_state = 34},
  [1812] = {.lex_state = 0, .external_lex_state = 33},
  [1813] = {.lex_state = 4},
  [1814] = {.lex_state = 4},
  [1815] = {.lex_state = 3},
  [1816] = {.lex_state = 0, .external_lex_state = 34},
  [1817] = {.lex_state = 3},
  [1818] = {.lex_state = 4},
  [1819] = {.lex_state = 3},
  [1820] = {.lex_state = 0, .external_lex_state = 34},
  [1821] = {.lex_state = 0, .external_lex_state = 35},
  [1822] = {.lex_state = 0, .external_lex_state = 35},
  [1823] = {.lex_state = 0, .external_lex_state = 34},
  [1824] = {.lex_state = 4},
  [1825] = {.lex_state = 0, .external_lex_state = 32},
  [1826] = {.lex_state = 0, .external_lex_state = 32},
  [1827] = {.lex_state = 3},
  [1828] = {.lex_state = 0, .external_lex_state = 35},
  [1829] = {.lex_state = 0, .external_lex_state = 32},
  [1830] = {.lex_state = 0, .external_lex_state = 35},
  [1831] = {.lex_state = 0, .external_lex_state = 34},
  [1832] = {.lex_state = 0, .external_lex_state = 34},
  [1833] = {.lex_state = 0, .external_lex_state = 35},
  [1834] = {.lex_state = 4},
  [1835] = {.lex_state = 3},
  [1836] = {.lex_state = 4},
  [1837] = {.lex_state = 4},
  [1838] = {.lex_state = 3},
  [1839] = {.lex_state = 3},
  [1840] = {.lex_state = 3},
  [1841] = {.lex_state = 0, .external_lex_state = 35},
  [1842] = {.lex_state = 0, .external_lex_state = 35},
  [1843] = {.lex_state = 0, .external_lex_state = 32},
  [1844] = {.lex_state = 0, .external_lex_state = 32},
  [1845] = {.lex_state = 0, .external_lex_state = 35},
  [1846] = {.lex_state = 0, .external_lex_state = 32},
  [1847] = {.lex_state = 0, .external_lex_state = 34},
  [1848] = {.lex_state = 4},
  [1849] = {.lex_state = 3},
  [1850] = {.lex_state = 4},
  [1851] = {.lex_state = 3},
  [1852] = {.lex_state = 0, .external_lex_state = 32},
  [1853] = {.lex_state = 4},
  [1854] = {.lex_state = 3},
  [1855] = {.lex_state = 0, .external_lex_state = 32},
  [1856] = {.lex_state = 0, .external_lex_state = 32},
  [1857] = {.lex_state = 1},
  [1858] = {.lex_state = 0, .external_lex_state = 32},
  [1859] = {.lex_state = 0, .external_lex_state = 32},
  [1860] = {.lex_state = 0, .external_lex_state = 34},
  [1861] = {.lex_state = 0, .external_lex_state = 32},
  [1862] = {.lex_state = 0, .external_lex_state = 32},
  [1863] = {.lex_state = 0, .external_lex_state = 34},
  [1864] = {.lex_state = 0, .external_lex_state = 35},
  [1865] = {.lex_state = 0, .external_lex_state = 35},
  [1866] = {.lex_state = 0, .external_lex_state = 34},
  [1867] = {.lex_state = 0, .external_lex_state = 32},
  [1868] = {.lex_state = 4},
  [1869] = {.lex_state = 3},
  [1870] = {.lex_state = 0, .external_lex_state = 34},
  [1871] = {.lex_state = 0, .external_lex_state = 35},
  [1872] = {.lex_state = 4},
  [1873] = {.lex_state = 3},
  [1874] = {.lex_state = 0, .external_lex_state = 35},
  [1875] = {.lex_state = 4},
  [1876] = {.lex_state = 0, .external_lex_state = 34},
  [1877] = {.lex_state = 3},
  [1878] = {.lex_state = 0, .external_lex_state = 32},
  [1879] = {.lex_state = 0, .external_lex_state = 32},
  [1880] = {.lex_state = 0, .external_lex_state = 32},
  [1881] = {.lex_state = 0, .external_lex_state = 35},
  [1882] = {.lex_state = 0, .external_lex_state = 35},
  [1883] = {.lex_state = 0, .external_lex_state = 33},
  [1884] = {.lex_state = 4},
  [1885] = {.lex_state = 3},
  [1886] = {.lex_state = 0, .external_lex_state = 33},
  [1887] = {.lex_state = 0, .external_lex_state = 34},
  [1888] = {.lex_state = 0, .external_lex_state = 35},
  [1889] = {.lex_state = 0, .external_lex_state = 35},
  [1890] = {.lex_state = 0, .external_lex_state = 34},
  [1891] = {.lex_state = 0, .external_lex_state = 35},
  [1892] = {.lex_state = 4},
  [1893] = {.lex_state = 0, .external_lex_state = 34},
  [1894] = {.lex_state = 3},
  [1895] = {.lex_state = 0, .external_lex_state = 32},
  [1896] = {.lex_state = 4},
  [1897] = {.lex_state = 3},
  [1898] = {.lex_state = 0, .external_lex_state = 35},
  [1899] = {.lex_state = 0, .external_lex_state = 32},
  [1900] = {.lex_state = 0, .external_lex_state = 34},
  [1901] = {.lex_state = 0, .external_lex_state = 34},
  [1902] = {.lex_state = 0, .external_lex_state = 34},
  [1903] = {.lex_state = 0, .external_lex_state = 32},
  [1904] = {.lex_state = 4},
  [1905] = {.lex_state = 0, .external_lex_state = 32},
  [1906] = {.lex_state = 0, .external_lex_state = 32},
  [1907] = {.lex_state = 4},
  [1908] = {.lex_state = 0, .external_lex_state = 32},
  [1909] = {.lex_state = 0, .external_lex_state = 35},
  [1910] = {.lex_state = 0, .external_lex_state = 34},
  [1911] = {.lex_state = 0, .external_lex_state = 32},
  [1912] = {.lex_state = 0, .external_lex_state = 32},
  [1913] = {.lex_state = 0, .external_lex_state = 34},
  [1914] = {.lex_state = 0, .external_lex_state = 35},
  [1915] = {.lex_state = 0, .external_lex_state = 35},
  [1916] = {.lex_state = 0, .external_lex_state = 34},
  [1917] = {.lex_state = 0, .external_lex_state = 32},
  [1918] = {.lex_state = 0, .external_lex_state = 33},
  [1919] = {.lex_state = 0, .external_lex_state = 34},
  [1920] = {.lex_state = 0, .external_lex_state = 34},
  [1921] = {.lex_state = 0, .external_lex_state = 34},
  [1922] = {.lex_state = 0, .external_lex_state = 34},
  [1923] = {.lex_state = 0, .external_lex_state = 32},
  [1924] = {.lex_state = 0, .external_lex_state = 34},
  [1925] = {.lex_state = 4},
  [1926] = {.lex_state = 3},
  [1927] = {.lex_state = 0, .external_lex_state = 35},
  [1928] = {.lex_state = 1},
  [1929] = {.lex_state = 0, .external_lex_state = 33},
  [1930] = {.lex_state = 0, .external_lex_state = 34},
  [1931] = {.lex_state = 0, .external_lex_state = 33},
  [1932] = {.lex_state = 0, .external_lex_state = 35},
  [1933] = {.lex_state = 0, .external_lex_state = 35},
  [1934] = {.lex_state = 0, .external_lex_state = 35},
  [1935] = {.lex_state = 0, .external_lex_state = 33},
  [1936] = {.lex_state = 3},
  [1937] = {.lex_state = 0, .external_lex_state = 33},
  [1938] = {.lex_state = 4},
  [1939] = {.lex_state = 0, .external_lex_state = 33},
  [1940] = {.lex_state = 3},
  [1941] = {.lex_state = 0, .external_lex_state = 33},
  [1942] = {.lex_state = 0, .external_lex_state = 33},
  [1943] = {.lex_state = 0, .external_lex_state = 33},
  [1944] = {.lex_state = 0, .external_lex_state = 33},
  [1945] = {.lex_state = 0, .external_lex_state = 33},
  [1946] = {.lex_state = 0, .external_lex_state = 34},
  [1947] = {.lex_state = 0, .external_lex_state = 33},
  [1948] = {.lex_state = 3},
  [1949] = {.lex_state = 0, .external_lex_state = 33},
  [1950] = {.lex_state = 0, .external_lex_state = 34},
  [1951] = {.lex_state = 0, .external_lex_state = 33},
  [1952] = {.lex_state = 0, .external_lex_state = 35},
  [1953] = {.lex_state = 0, .external_lex_state = 33},
  [1954] = {.lex_state = 0, .external_lex_state = 33},
  [1955] = {.lex_state = 0, .external_lex_state = 35},
  [1956] = {.lex_state = 0, .external_lex_state = 33},
  [1957] = {.lex_state = 0, .external_lex_state = 35},
  [1958] = {.lex_state = 0, .external_lex_state = 33},
  [1959] = {.lex_state = 0, .external_lex_state = 35},
  [1960] = {.lex_state = 0, .external_lex_state = 33},
  [1961] = {.lex_state = 0, .external_lex_state = 33},
  [1962] = {.lex_state = 0, .external_lex_state = 33},
  [1963] = {.lex_state = 0, .external_lex_state = 35},
  [1964] = {.lex_state = 0, .external_lex_state = 33},
  [1965] = {.lex_state = 1},
  [1966] = {.lex_state = 1},
  [1967] = {.lex_state = 0, .external_lex_state = 33},
  [1968] = {.lex_state = 0, .external_lex_state = 33},
  [1969] = {.lex_state = 1},
  [1970] = {.lex_state = 1},
  [1971] = {.lex_state = 0, .external_lex_state = 33},
  [1972] = {.lex_state = 0, .external_lex_state = 33},
  [1973] = {.lex_state = 1},
  [1974] = {.lex_state = 1},
  [1975] = {.lex_state = 0, .external_lex_state = 33},
  [1976] = {.lex_state = 0, .external_lex_state = 33},
  [1977] = {.lex_state = 1},
  [1978] = {.lex_state = 1},
  [1979] = {.lex_state = 0, .external_lex_state = 33},
  [1980] = {.lex_state = 0, .external_lex_state = 33},
  [1981] = {.lex_state = 1},
  [1982] = {.lex_state = 1},
  [1983] = {.lex_state = 0, .external_lex_state = 33},
  [1984] = {.lex_state = 0, .external_lex_state = 33},
  [1985] = {.lex_state = 1},
  [1986] = {.lex_state = 1},
  [1987] = {.lex_state = 0, .external_lex_state = 33},
  [1988] = {.lex_state = 0, .external_lex_state = 33},
  [1989] = {.lex_state = 1},
  [1990] = {.lex_state = 1},
  [1991] = {.lex_state = 0, .external_lex_state = 33},
  [1992] = {.lex_state = 0, .external_lex_state = 33},
  [1993] = {.lex_state = 1},
  [1994] = {.lex_state = 1},
  [1995] = {.lex_state = 1},
  [1996] = {.lex_state = 1},
  [1997] = {.lex_state = 0, .external_lex_state = 33},
  [1998] = {.lex_state = 0, .external_lex_state = 33},
  [1999] = {.lex_state = 0, .external_lex_state = 33},
  [2000] = {.lex_state = 0, .external_lex_state = 33},
  [2001] = {.lex_state = 0, .external_lex_state = 33},
  [2002] = {.lex_state = 0, .external_lex_state = 33},
  [2003] = {.lex_state = 0, .external_lex_state = 33},
  [2004] = {.lex_state = 0, .external_lex_state = 33},
  [2005] = {.lex_state = 0, .external_lex_state = 33},
  [2006] = {.lex_state = 0, .external_lex_state = 33},
  [2007] = {.lex_state = 0, .external_lex_state = 33},
  [2008] = {.lex_state = 0, .external_lex_state = 33},
  [2009] = {.lex_state = 0, .external_lex_state = 33},
  [2010] = {.lex_state = 0, .external_lex_state = 33},
  [2011] = {.lex_state = 0, .external_lex_state = 33},
  [2012] = {.lex_state = 0, .external_lex_state = 33},
  [2013] = {.lex_state = 0, .external_lex_state = 33},
  [2014] = {.lex_state = 0, .external_lex_state = 33},
  [2015] = {.lex_state = 0, .external_lex_state = 33},
  [2016] = {.lex_state = 0, .external_lex_state = 33},
  [2017] = {.lex_state = 0, .external_lex_state = 34},
  [2018] = {.lex_state = 0, .external_lex_state = 34},
  [2019] = {.lex_state = 0, .external_lex_state = 32},
  [2020] = {.lex_state = 0, .external_lex_state = 33},
  [2021] = {.lex_state = 0, .external_lex_state = 32},
  [2022] = {.lex_state = 0, .external_lex_state = 32},
  [2023] = {.lex_state = 0, .external_lex_state = 35},
  [2024] = {.lex_state = 0, .external_lex_state = 32},
  [2025] = {.lex_state = 4},
  [2026] = {.lex_state = 3},
  [2027] = {.lex_state = 0},
  [2028] = {.lex_state = 0, .external_lex_state = 32},
  [2029] = {.lex_state = 0, .external_lex_state = 32},
  [2030] = {.lex_state = 0, .external_lex_state = 32},
  [2031] = {.lex_state = 0, .external_lex_state = 35},
  [2032] = {.lex_state = 0},
  [2033] = {.lex_state = 0, .external_lex_state = 35},
  [2034] = {.lex_state = 0, .external_lex_state = 32},
  [2035] = {.lex_state = 0, .external_lex_state = 35},
  [2036] = {.lex_state = 0, .external_lex_state = 35},
  [2037] = {.lex_state = 0, .external_lex_state = 34},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 0, .external_lex_state = 34},
  [2040] = {.lex_state = 0, .external_lex_state = 32},
  [2041] = {.lex_state = 0, .external_lex_state = 32},
  [2042] = {.lex_state = 0, .external_lex_state = 32},
  [2043] = {.lex_state = 0, .external_lex_state = 32},
  [2044] = {.lex_state = 0},
  [2045] = {.lex_state = 0, .external_lex_state = 34},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 0, .external_lex_state = 34},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 0},
  [2050] = {.lex_state = 0, .external_lex_state = 35},
  [2051] = {.lex_state = 0},
  [2052] = {.lex_state = 0},
  [2053] = {.lex_state = 0, .external_lex_state = 34},
  [2054] = {.lex_state = 0},
  [2055] = {.lex_state = 2},
  [2056] = {.lex_state = 2},
  [2057] = {.lex_state = 0},
  [2058] = {.lex_state = 2},
  [2059] = {.lex_state = 2},
  [2060] = {.lex_state = 2},
  [2061] = {.lex_state = 2},
  [2062] = {.lex_state = 2},
  [2063] = {.lex_state = 2},
  [2064] = {.lex_state = 2},
  [2065] = {.lex_state = 0},
  [2066] = {.lex_state = 2},
  [2067] = {.lex_state = 2},
  [2068] = {.lex_state = 2},
  [2069] = {.lex_state = 0},
  [2070] = {.lex_state = 2},
  [2071] = {.lex_state = 2},
  [2072] = {.lex_state = 2},
  [2073] = {.lex_state = 2},
  [2074] = {.lex_state = 2},
  [2075] = {.lex_state = 2},
  [2076] = {.lex_state = 0},
  [2077] = {.lex_state = 2},
  [2078] = {.lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_repeat] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_DASH_GT_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [aux_sym_binary_operator_token1] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(1),
    [anon_sym_L] = ACTIONS(1),
    [anon_sym_i] = ACTIONS(1),
    [sym__hex_literal] = ACTIONS(1),
    [sym__number_literal] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_dots] = ACTIONS(1),
    [sym_dot_dot_i] = ACTIONS(1),
    [sym_return] = ACTIONS(1),
    [sym_next] = ACTIONS(1),
    [sym_break] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_inf] = ACTIONS(1),
    [sym_nan] = ACTIONS(1),
    [anon_sym_NA] = ACTIONS(1),
    [anon_sym_NA_integer_] = ACTIONS(1),
    [anon_sym_NA_real_] = ACTIONS(1),
    [anon_sym_NA_complex_] = ACTIONS(1),
    [anon_sym_NA_character_] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(1),
    [sym__start] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__semicolon] = ACTIONS(1),
    [sym__raw_string_literal] = ACTIONS(1),
    [sym__external_else] = ACTIONS(1),
    [sym__external_open_parenthesis] = ACTIONS(1),
    [sym__external_close_parenthesis] = ACTIONS(1),
    [sym__external_open_brace] = ACTIONS(1),
    [sym__external_close_brace] = ACTIONS(1),
    [sym__external_open_bracket] = ACTIONS(1),
    [sym__external_close_bracket] = ACTIONS(1),
    [sym__external_open_bracket2] = ACTIONS(1),
    [sym__external_close_bracket2] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2057),
    [sym_comment] = ACTIONS(3),
    [sym__start] = ACTIONS(5),
  },
  [2] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(507),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(9),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_while] = ACTIONS(9),
    [anon_sym_repeat] = ACTIONS(9),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(7),
    [sym__number_literal] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [sym_dots] = ACTIONS(9),
    [sym_dot_dot_i] = ACTIONS(7),
    [sym_return] = ACTIONS(9),
    [sym_next] = ACTIONS(9),
    [sym_break] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_inf] = ACTIONS(9),
    [sym_nan] = ACTIONS(9),
    [anon_sym_NA] = ACTIONS(9),
    [anon_sym_NA_integer_] = ACTIONS(9),
    [anon_sym_NA_real_] = ACTIONS(9),
    [anon_sym_NA_complex_] = ACTIONS(9),
    [anon_sym_NA_character_] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(7),
    [sym__semicolon] = ACTIONS(7),
    [sym__raw_string_literal] = ACTIONS(7),
    [sym__external_else] = ACTIONS(49),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(7),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [3] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(633),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(57),
    [sym_identifier] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_repeat] = ACTIONS(59),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(57),
    [sym__number_literal] = ACTIONS(59),
    [anon_sym_SQUOTE] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [sym_dots] = ACTIONS(59),
    [sym_dot_dot_i] = ACTIONS(57),
    [sym_return] = ACTIONS(59),
    [sym_next] = ACTIONS(59),
    [sym_break] = ACTIONS(59),
    [sym_true] = ACTIONS(59),
    [sym_false] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [sym_inf] = ACTIONS(59),
    [sym_nan] = ACTIONS(59),
    [anon_sym_NA] = ACTIONS(59),
    [anon_sym_NA_integer_] = ACTIONS(59),
    [anon_sym_NA_real_] = ACTIONS(59),
    [anon_sym_NA_complex_] = ACTIONS(59),
    [anon_sym_NA_character_] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(57),
    [sym__semicolon] = ACTIONS(57),
    [sym__raw_string_literal] = ACTIONS(57),
    [sym__external_else] = ACTIONS(61),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(57),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [4] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(647),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(63),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BSLASH] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_repeat] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(63),
    [sym__number_literal] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [sym_dots] = ACTIONS(65),
    [sym_dot_dot_i] = ACTIONS(63),
    [sym_return] = ACTIONS(65),
    [sym_next] = ACTIONS(65),
    [sym_break] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_null] = ACTIONS(65),
    [sym_inf] = ACTIONS(65),
    [sym_nan] = ACTIONS(65),
    [anon_sym_NA] = ACTIONS(65),
    [anon_sym_NA_integer_] = ACTIONS(65),
    [anon_sym_NA_real_] = ACTIONS(65),
    [anon_sym_NA_complex_] = ACTIONS(65),
    [anon_sym_NA_character_] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(63),
    [sym__semicolon] = ACTIONS(63),
    [sym__raw_string_literal] = ACTIONS(63),
    [sym__external_else] = ACTIONS(67),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(63),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [5] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(632),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(69),
    [sym_identifier] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_repeat] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(69),
    [sym__number_literal] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_dots] = ACTIONS(71),
    [sym_dot_dot_i] = ACTIONS(69),
    [sym_return] = ACTIONS(71),
    [sym_next] = ACTIONS(71),
    [sym_break] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_null] = ACTIONS(71),
    [sym_inf] = ACTIONS(71),
    [sym_nan] = ACTIONS(71),
    [anon_sym_NA] = ACTIONS(71),
    [anon_sym_NA_integer_] = ACTIONS(71),
    [anon_sym_NA_real_] = ACTIONS(71),
    [anon_sym_NA_complex_] = ACTIONS(71),
    [anon_sym_NA_character_] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(69),
    [sym__raw_string_literal] = ACTIONS(69),
    [sym__external_else] = ACTIONS(73),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(69),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [6] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(491),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(9),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_while] = ACTIONS(9),
    [anon_sym_repeat] = ACTIONS(9),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(7),
    [sym__number_literal] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [sym_dots] = ACTIONS(9),
    [sym_dot_dot_i] = ACTIONS(7),
    [sym_return] = ACTIONS(9),
    [sym_next] = ACTIONS(9),
    [sym_break] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_inf] = ACTIONS(9),
    [sym_nan] = ACTIONS(9),
    [anon_sym_NA] = ACTIONS(9),
    [anon_sym_NA_integer_] = ACTIONS(9),
    [anon_sym_NA_real_] = ACTIONS(9),
    [anon_sym_NA_complex_] = ACTIONS(9),
    [anon_sym_NA_character_] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(7),
    [sym__semicolon] = ACTIONS(7),
    [sym__raw_string_literal] = ACTIONS(7),
    [sym__external_else] = ACTIONS(113),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(7),
    [sym__external_close_brace] = ACTIONS(7),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [7] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(498),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_repeat] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(69),
    [sym__number_literal] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_dots] = ACTIONS(71),
    [sym_dot_dot_i] = ACTIONS(69),
    [sym_return] = ACTIONS(71),
    [sym_next] = ACTIONS(71),
    [sym_break] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_null] = ACTIONS(71),
    [sym_inf] = ACTIONS(71),
    [sym_nan] = ACTIONS(71),
    [anon_sym_NA] = ACTIONS(71),
    [anon_sym_NA_integer_] = ACTIONS(71),
    [anon_sym_NA_real_] = ACTIONS(71),
    [anon_sym_NA_complex_] = ACTIONS(71),
    [anon_sym_NA_character_] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(69),
    [sym__raw_string_literal] = ACTIONS(69),
    [sym__external_else] = ACTIONS(121),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(69),
    [sym__external_close_brace] = ACTIONS(69),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [8] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(499),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_repeat] = ACTIONS(59),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(57),
    [sym__number_literal] = ACTIONS(59),
    [anon_sym_SQUOTE] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [sym_dots] = ACTIONS(59),
    [sym_dot_dot_i] = ACTIONS(57),
    [sym_return] = ACTIONS(59),
    [sym_next] = ACTIONS(59),
    [sym_break] = ACTIONS(59),
    [sym_true] = ACTIONS(59),
    [sym_false] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [sym_inf] = ACTIONS(59),
    [sym_nan] = ACTIONS(59),
    [anon_sym_NA] = ACTIONS(59),
    [anon_sym_NA_integer_] = ACTIONS(59),
    [anon_sym_NA_real_] = ACTIONS(59),
    [anon_sym_NA_complex_] = ACTIONS(59),
    [anon_sym_NA_character_] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(57),
    [sym__semicolon] = ACTIONS(57),
    [sym__raw_string_literal] = ACTIONS(57),
    [sym__external_else] = ACTIONS(123),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(57),
    [sym__external_close_brace] = ACTIONS(57),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [9] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(506),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BSLASH] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_repeat] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(63),
    [sym__number_literal] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [sym_dots] = ACTIONS(65),
    [sym_dot_dot_i] = ACTIONS(63),
    [sym_return] = ACTIONS(65),
    [sym_next] = ACTIONS(65),
    [sym_break] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_null] = ACTIONS(65),
    [sym_inf] = ACTIONS(65),
    [sym_nan] = ACTIONS(65),
    [anon_sym_NA] = ACTIONS(65),
    [anon_sym_NA_integer_] = ACTIONS(65),
    [anon_sym_NA_real_] = ACTIONS(65),
    [anon_sym_NA_complex_] = ACTIONS(65),
    [anon_sym_NA_character_] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(63),
    [sym__semicolon] = ACTIONS(63),
    [sym__raw_string_literal] = ACTIONS(63),
    [sym__external_else] = ACTIONS(125),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(63),
    [sym__external_close_brace] = ACTIONS(63),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [10] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(858),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BSLASH] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_repeat] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(63),
    [sym__number_literal] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [sym_dots] = ACTIONS(65),
    [sym_dot_dot_i] = ACTIONS(63),
    [sym_return] = ACTIONS(65),
    [sym_next] = ACTIONS(65),
    [sym_break] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_null] = ACTIONS(65),
    [sym_inf] = ACTIONS(65),
    [sym_nan] = ACTIONS(65),
    [anon_sym_NA] = ACTIONS(65),
    [anon_sym_NA_integer_] = ACTIONS(65),
    [anon_sym_NA_real_] = ACTIONS(65),
    [anon_sym_NA_complex_] = ACTIONS(65),
    [anon_sym_NA_character_] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(63),
    [sym__semicolon] = ACTIONS(63),
    [sym__raw_string_literal] = ACTIONS(63),
    [sym__external_else] = ACTIONS(127),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(63),
    [sym__external_close_brace] = ACTIONS(63),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [11] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(712),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(9),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_while] = ACTIONS(9),
    [anon_sym_repeat] = ACTIONS(9),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(7),
    [sym__number_literal] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [sym_dots] = ACTIONS(9),
    [sym_dot_dot_i] = ACTIONS(7),
    [sym_return] = ACTIONS(9),
    [sym_next] = ACTIONS(9),
    [sym_break] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_inf] = ACTIONS(9),
    [sym_nan] = ACTIONS(9),
    [anon_sym_NA] = ACTIONS(9),
    [anon_sym_NA_integer_] = ACTIONS(9),
    [anon_sym_NA_real_] = ACTIONS(9),
    [anon_sym_NA_complex_] = ACTIONS(9),
    [anon_sym_NA_character_] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(7),
    [sym__semicolon] = ACTIONS(7),
    [sym__raw_string_literal] = ACTIONS(7),
    [sym__external_else] = ACTIONS(129),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(7),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [12] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(716),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(69),
    [sym_identifier] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_repeat] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(69),
    [sym__number_literal] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_dots] = ACTIONS(71),
    [sym_dot_dot_i] = ACTIONS(69),
    [sym_return] = ACTIONS(71),
    [sym_next] = ACTIONS(71),
    [sym_break] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_null] = ACTIONS(71),
    [sym_inf] = ACTIONS(71),
    [sym_nan] = ACTIONS(71),
    [anon_sym_NA] = ACTIONS(71),
    [anon_sym_NA_integer_] = ACTIONS(71),
    [anon_sym_NA_real_] = ACTIONS(71),
    [anon_sym_NA_complex_] = ACTIONS(71),
    [anon_sym_NA_character_] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(69),
    [sym__raw_string_literal] = ACTIONS(69),
    [sym__external_else] = ACTIONS(131),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(69),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [13] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(717),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(57),
    [sym_identifier] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_repeat] = ACTIONS(59),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(57),
    [sym__number_literal] = ACTIONS(59),
    [anon_sym_SQUOTE] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [sym_dots] = ACTIONS(59),
    [sym_dot_dot_i] = ACTIONS(57),
    [sym_return] = ACTIONS(59),
    [sym_next] = ACTIONS(59),
    [sym_break] = ACTIONS(59),
    [sym_true] = ACTIONS(59),
    [sym_false] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [sym_inf] = ACTIONS(59),
    [sym_nan] = ACTIONS(59),
    [anon_sym_NA] = ACTIONS(59),
    [anon_sym_NA_integer_] = ACTIONS(59),
    [anon_sym_NA_real_] = ACTIONS(59),
    [anon_sym_NA_complex_] = ACTIONS(59),
    [anon_sym_NA_character_] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(57),
    [sym__semicolon] = ACTIONS(57),
    [sym__raw_string_literal] = ACTIONS(57),
    [sym__external_else] = ACTIONS(133),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(57),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [14] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__else] = STATE(724),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(63),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BSLASH] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_repeat] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(63),
    [sym__number_literal] = ACTIONS(65),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [sym_dots] = ACTIONS(65),
    [sym_dot_dot_i] = ACTIONS(63),
    [sym_return] = ACTIONS(65),
    [sym_next] = ACTIONS(65),
    [sym_break] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_null] = ACTIONS(65),
    [sym_inf] = ACTIONS(65),
    [sym_nan] = ACTIONS(65),
    [anon_sym_NA] = ACTIONS(65),
    [anon_sym_NA_integer_] = ACTIONS(65),
    [anon_sym_NA_real_] = ACTIONS(65),
    [anon_sym_NA_complex_] = ACTIONS(65),
    [anon_sym_NA_character_] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(63),
    [sym__semicolon] = ACTIONS(63),
    [sym__raw_string_literal] = ACTIONS(63),
    [sym__external_else] = ACTIONS(135),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(63),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [15] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(845),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(9),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_while] = ACTIONS(9),
    [anon_sym_repeat] = ACTIONS(9),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(7),
    [sym__number_literal] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [sym_dots] = ACTIONS(9),
    [sym_dot_dot_i] = ACTIONS(7),
    [sym_return] = ACTIONS(9),
    [sym_next] = ACTIONS(9),
    [sym_break] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_inf] = ACTIONS(9),
    [sym_nan] = ACTIONS(9),
    [anon_sym_NA] = ACTIONS(9),
    [anon_sym_NA_integer_] = ACTIONS(9),
    [anon_sym_NA_real_] = ACTIONS(9),
    [anon_sym_NA_complex_] = ACTIONS(9),
    [anon_sym_NA_character_] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(7),
    [sym__semicolon] = ACTIONS(7),
    [sym__raw_string_literal] = ACTIONS(7),
    [sym__external_else] = ACTIONS(137),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(7),
    [sym__external_close_brace] = ACTIONS(7),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [16] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(850),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(71),
    [anon_sym_BSLASH] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_repeat] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(69),
    [sym__number_literal] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [sym_dots] = ACTIONS(71),
    [sym_dot_dot_i] = ACTIONS(69),
    [sym_return] = ACTIONS(71),
    [sym_next] = ACTIONS(71),
    [sym_break] = ACTIONS(71),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_null] = ACTIONS(71),
    [sym_inf] = ACTIONS(71),
    [sym_nan] = ACTIONS(71),
    [anon_sym_NA] = ACTIONS(71),
    [anon_sym_NA_integer_] = ACTIONS(71),
    [anon_sym_NA_real_] = ACTIONS(71),
    [anon_sym_NA_complex_] = ACTIONS(71),
    [anon_sym_NA_character_] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(69),
    [sym__raw_string_literal] = ACTIONS(69),
    [sym__external_else] = ACTIONS(139),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(69),
    [sym__external_close_brace] = ACTIONS(69),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [17] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__else] = STATE(851),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(57),
    [anon_sym_function] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(59),
    [anon_sym_repeat] = ACTIONS(59),
    [anon_sym_QMARK] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(57),
    [sym__number_literal] = ACTIONS(59),
    [anon_sym_SQUOTE] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(57),
    [sym_dots] = ACTIONS(59),
    [sym_dot_dot_i] = ACTIONS(57),
    [sym_return] = ACTIONS(59),
    [sym_next] = ACTIONS(59),
    [sym_break] = ACTIONS(59),
    [sym_true] = ACTIONS(59),
    [sym_false] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [sym_inf] = ACTIONS(59),
    [sym_nan] = ACTIONS(59),
    [anon_sym_NA] = ACTIONS(59),
    [anon_sym_NA_integer_] = ACTIONS(59),
    [anon_sym_NA_real_] = ACTIONS(59),
    [anon_sym_NA_complex_] = ACTIONS(59),
    [anon_sym_NA_character_] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(57),
    [sym__semicolon] = ACTIONS(57),
    [sym__raw_string_literal] = ACTIONS(57),
    [sym__external_else] = ACTIONS(141),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(57),
    [sym__external_close_brace] = ACTIONS(57),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [18] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_BSLASH] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_repeat] = ACTIONS(143),
    [anon_sym_QMARK] = ACTIONS(145),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(145),
    [sym__number_literal] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(145),
    [sym_dots] = ACTIONS(143),
    [sym_dot_dot_i] = ACTIONS(145),
    [sym_return] = ACTIONS(143),
    [sym_next] = ACTIONS(143),
    [sym_break] = ACTIONS(143),
    [sym_true] = ACTIONS(143),
    [sym_false] = ACTIONS(143),
    [sym_null] = ACTIONS(143),
    [sym_inf] = ACTIONS(143),
    [sym_nan] = ACTIONS(143),
    [anon_sym_NA] = ACTIONS(143),
    [anon_sym_NA_integer_] = ACTIONS(143),
    [anon_sym_NA_real_] = ACTIONS(143),
    [anon_sym_NA_complex_] = ACTIONS(143),
    [anon_sym_NA_character_] = ACTIONS(143),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(145),
    [sym__semicolon] = ACTIONS(145),
    [sym__raw_string_literal] = ACTIONS(145),
    [sym__external_else] = ACTIONS(145),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(145),
    [sym__external_close_brace] = ACTIONS(145),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [19] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [20] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(147),
    [anon_sym_DASH] = ACTIONS(149),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(147),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(147),
    [anon_sym_PIPE_GT] = ACTIONS(147),
    [anon_sym_COLON] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [21] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [22] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [23] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [24] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [25] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [26] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [27] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [28] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [29] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [30] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [31] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [32] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [33] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [34] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_repeat] = ACTIONS(157),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_dots] = ACTIONS(157),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_return] = ACTIONS(157),
    [sym_next] = ACTIONS(157),
    [sym_break] = ACTIONS(157),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_inf] = ACTIONS(157),
    [sym_nan] = ACTIONS(157),
    [anon_sym_NA] = ACTIONS(157),
    [anon_sym_NA_integer_] = ACTIONS(157),
    [anon_sym_NA_real_] = ACTIONS(157),
    [anon_sym_NA_complex_] = ACTIONS(157),
    [anon_sym_NA_character_] = ACTIONS(157),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(155),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [35] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BSLASH] = ACTIONS(159),
    [anon_sym_function] = ACTIONS(161),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_repeat] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(159),
    [sym__number_literal] = ACTIONS(161),
    [anon_sym_SQUOTE] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(159),
    [sym_dots] = ACTIONS(161),
    [sym_dot_dot_i] = ACTIONS(159),
    [sym_return] = ACTIONS(161),
    [sym_next] = ACTIONS(161),
    [sym_break] = ACTIONS(161),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [sym_null] = ACTIONS(161),
    [sym_inf] = ACTIONS(161),
    [sym_nan] = ACTIONS(161),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(159),
    [sym__semicolon] = ACTIONS(159),
    [sym__raw_string_literal] = ACTIONS(159),
    [sym__external_else] = ACTIONS(159),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(159),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [36] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [37] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [38] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [39] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [40] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [41] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [42] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [43] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [44] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [45] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [46] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [47] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [48] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [49] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_BSLASH] = ACTIONS(167),
    [anon_sym_function] = ACTIONS(169),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_repeat] = ACTIONS(169),
    [anon_sym_QMARK] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(167),
    [sym__number_literal] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(167),
    [sym_dots] = ACTIONS(169),
    [sym_dot_dot_i] = ACTIONS(167),
    [sym_return] = ACTIONS(169),
    [sym_next] = ACTIONS(169),
    [sym_break] = ACTIONS(169),
    [sym_true] = ACTIONS(169),
    [sym_false] = ACTIONS(169),
    [sym_null] = ACTIONS(169),
    [sym_inf] = ACTIONS(169),
    [sym_nan] = ACTIONS(169),
    [anon_sym_NA] = ACTIONS(169),
    [anon_sym_NA_integer_] = ACTIONS(169),
    [anon_sym_NA_real_] = ACTIONS(169),
    [anon_sym_NA_complex_] = ACTIONS(169),
    [anon_sym_NA_character_] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(167),
    [sym__semicolon] = ACTIONS(167),
    [sym__raw_string_literal] = ACTIONS(167),
    [sym__external_else] = ACTIONS(167),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(167),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [50] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym_identifier] = ACTIONS(173),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_function] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_while] = ACTIONS(173),
    [anon_sym_repeat] = ACTIONS(173),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(171),
    [sym__number_literal] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [sym_dots] = ACTIONS(173),
    [sym_dot_dot_i] = ACTIONS(171),
    [sym_return] = ACTIONS(173),
    [sym_next] = ACTIONS(173),
    [sym_break] = ACTIONS(173),
    [sym_true] = ACTIONS(173),
    [sym_false] = ACTIONS(173),
    [sym_null] = ACTIONS(173),
    [sym_inf] = ACTIONS(173),
    [sym_nan] = ACTIONS(173),
    [anon_sym_NA] = ACTIONS(173),
    [anon_sym_NA_integer_] = ACTIONS(173),
    [anon_sym_NA_real_] = ACTIONS(173),
    [anon_sym_NA_complex_] = ACTIONS(173),
    [anon_sym_NA_character_] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(171),
    [sym__semicolon] = ACTIONS(171),
    [sym__raw_string_literal] = ACTIONS(171),
    [sym__external_else] = ACTIONS(171),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(171),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [51] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(175),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BSLASH] = ACTIONS(175),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(177),
    [anon_sym_repeat] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(175),
    [sym__number_literal] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_dots] = ACTIONS(177),
    [sym_dot_dot_i] = ACTIONS(175),
    [sym_return] = ACTIONS(177),
    [sym_next] = ACTIONS(177),
    [sym_break] = ACTIONS(177),
    [sym_true] = ACTIONS(177),
    [sym_false] = ACTIONS(177),
    [sym_null] = ACTIONS(177),
    [sym_inf] = ACTIONS(177),
    [sym_nan] = ACTIONS(177),
    [anon_sym_NA] = ACTIONS(177),
    [anon_sym_NA_integer_] = ACTIONS(177),
    [anon_sym_NA_real_] = ACTIONS(177),
    [anon_sym_NA_complex_] = ACTIONS(177),
    [anon_sym_NA_character_] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(175),
    [sym__semicolon] = ACTIONS(175),
    [sym__raw_string_literal] = ACTIONS(175),
    [sym__external_else] = ACTIONS(175),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(175),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [52] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_BSLASH] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_repeat] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(179),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(181),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(179),
    [sym__number_literal] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(179),
    [sym_dots] = ACTIONS(181),
    [sym_dot_dot_i] = ACTIONS(179),
    [sym_return] = ACTIONS(181),
    [sym_next] = ACTIONS(181),
    [sym_break] = ACTIONS(181),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_inf] = ACTIONS(181),
    [sym_nan] = ACTIONS(181),
    [anon_sym_NA] = ACTIONS(181),
    [anon_sym_NA_integer_] = ACTIONS(181),
    [anon_sym_NA_real_] = ACTIONS(181),
    [anon_sym_NA_complex_] = ACTIONS(181),
    [anon_sym_NA_character_] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(179),
    [sym__semicolon] = ACTIONS(179),
    [sym__raw_string_literal] = ACTIONS(179),
    [sym__external_else] = ACTIONS(179),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(179),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [53] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(183),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_BSLASH] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(185),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(185),
    [anon_sym_repeat] = ACTIONS(185),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(183),
    [sym__number_literal] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_DQUOTE] = ACTIONS(183),
    [sym_dots] = ACTIONS(185),
    [sym_dot_dot_i] = ACTIONS(183),
    [sym_return] = ACTIONS(185),
    [sym_next] = ACTIONS(185),
    [sym_break] = ACTIONS(185),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_inf] = ACTIONS(185),
    [sym_nan] = ACTIONS(185),
    [anon_sym_NA] = ACTIONS(185),
    [anon_sym_NA_integer_] = ACTIONS(185),
    [anon_sym_NA_real_] = ACTIONS(185),
    [anon_sym_NA_complex_] = ACTIONS(185),
    [anon_sym_NA_character_] = ACTIONS(185),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(183),
    [sym__semicolon] = ACTIONS(183),
    [sym__raw_string_literal] = ACTIONS(183),
    [sym__external_else] = ACTIONS(183),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(183),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [54] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(187),
    [sym_identifier] = ACTIONS(189),
    [anon_sym_BSLASH] = ACTIONS(187),
    [anon_sym_function] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(189),
    [anon_sym_repeat] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(189),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(187),
    [sym__number_literal] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [sym_dots] = ACTIONS(189),
    [sym_dot_dot_i] = ACTIONS(187),
    [sym_return] = ACTIONS(189),
    [sym_next] = ACTIONS(189),
    [sym_break] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_inf] = ACTIONS(189),
    [sym_nan] = ACTIONS(189),
    [anon_sym_NA] = ACTIONS(189),
    [anon_sym_NA_integer_] = ACTIONS(189),
    [anon_sym_NA_real_] = ACTIONS(189),
    [anon_sym_NA_complex_] = ACTIONS(189),
    [anon_sym_NA_character_] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(187),
    [sym__semicolon] = ACTIONS(187),
    [sym__raw_string_literal] = ACTIONS(187),
    [sym__external_else] = ACTIONS(187),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(187),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [55] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(191),
    [sym_identifier] = ACTIONS(193),
    [anon_sym_BSLASH] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(193),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(193),
    [anon_sym_while] = ACTIONS(193),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_QMARK] = ACTIONS(191),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(191),
    [sym__number_literal] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(191),
    [anon_sym_DQUOTE] = ACTIONS(191),
    [sym_dots] = ACTIONS(193),
    [sym_dot_dot_i] = ACTIONS(191),
    [sym_return] = ACTIONS(193),
    [sym_next] = ACTIONS(193),
    [sym_break] = ACTIONS(193),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_inf] = ACTIONS(193),
    [sym_nan] = ACTIONS(193),
    [anon_sym_NA] = ACTIONS(193),
    [anon_sym_NA_integer_] = ACTIONS(193),
    [anon_sym_NA_real_] = ACTIONS(193),
    [anon_sym_NA_complex_] = ACTIONS(193),
    [anon_sym_NA_character_] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(191),
    [sym__semicolon] = ACTIONS(191),
    [sym__raw_string_literal] = ACTIONS(191),
    [sym__external_else] = ACTIONS(191),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(191),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [56] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(195),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(195),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(195),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(195),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(195),
    [sym__semicolon] = ACTIONS(195),
    [sym__raw_string_literal] = ACTIONS(195),
    [sym__external_else] = ACTIONS(195),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(195),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [57] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_repeat] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_dots] = ACTIONS(201),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_return] = ACTIONS(201),
    [sym_next] = ACTIONS(201),
    [sym_break] = ACTIONS(201),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_inf] = ACTIONS(201),
    [sym_nan] = ACTIONS(201),
    [anon_sym_NA] = ACTIONS(201),
    [anon_sym_NA_integer_] = ACTIONS(201),
    [anon_sym_NA_real_] = ACTIONS(201),
    [anon_sym_NA_complex_] = ACTIONS(201),
    [anon_sym_NA_character_] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(199),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [58] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(203),
    [sym_identifier] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_while] = ACTIONS(205),
    [anon_sym_repeat] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(203),
    [sym__number_literal] = ACTIONS(205),
    [anon_sym_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [sym_dots] = ACTIONS(205),
    [sym_dot_dot_i] = ACTIONS(203),
    [sym_return] = ACTIONS(205),
    [sym_next] = ACTIONS(205),
    [sym_break] = ACTIONS(205),
    [sym_true] = ACTIONS(205),
    [sym_false] = ACTIONS(205),
    [sym_null] = ACTIONS(205),
    [sym_inf] = ACTIONS(205),
    [sym_nan] = ACTIONS(205),
    [anon_sym_NA] = ACTIONS(205),
    [anon_sym_NA_integer_] = ACTIONS(205),
    [anon_sym_NA_real_] = ACTIONS(205),
    [anon_sym_NA_complex_] = ACTIONS(205),
    [anon_sym_NA_character_] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [sym__raw_string_literal] = ACTIONS(203),
    [sym__external_else] = ACTIONS(203),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(203),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [59] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(207),
    [sym_identifier] = ACTIONS(209),
    [anon_sym_BSLASH] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(209),
    [anon_sym_for] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_repeat] = ACTIONS(209),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(207),
    [sym__number_literal] = ACTIONS(209),
    [anon_sym_SQUOTE] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_dots] = ACTIONS(209),
    [sym_dot_dot_i] = ACTIONS(207),
    [sym_return] = ACTIONS(209),
    [sym_next] = ACTIONS(209),
    [sym_break] = ACTIONS(209),
    [sym_true] = ACTIONS(209),
    [sym_false] = ACTIONS(209),
    [sym_null] = ACTIONS(209),
    [sym_inf] = ACTIONS(209),
    [sym_nan] = ACTIONS(209),
    [anon_sym_NA] = ACTIONS(209),
    [anon_sym_NA_integer_] = ACTIONS(209),
    [anon_sym_NA_real_] = ACTIONS(209),
    [anon_sym_NA_complex_] = ACTIONS(209),
    [anon_sym_NA_character_] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [sym__raw_string_literal] = ACTIONS(207),
    [sym__external_else] = ACTIONS(207),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(207),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [60] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym_identifier] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(211),
    [anon_sym_function] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(213),
    [anon_sym_repeat] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(211),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(211),
    [sym__number_literal] = ACTIONS(213),
    [anon_sym_SQUOTE] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(211),
    [sym_dots] = ACTIONS(213),
    [sym_dot_dot_i] = ACTIONS(211),
    [sym_return] = ACTIONS(213),
    [sym_next] = ACTIONS(213),
    [sym_break] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_inf] = ACTIONS(213),
    [sym_nan] = ACTIONS(213),
    [anon_sym_NA] = ACTIONS(213),
    [anon_sym_NA_integer_] = ACTIONS(213),
    [anon_sym_NA_real_] = ACTIONS(213),
    [anon_sym_NA_complex_] = ACTIONS(213),
    [anon_sym_NA_character_] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(211),
    [sym__semicolon] = ACTIONS(211),
    [sym__raw_string_literal] = ACTIONS(211),
    [sym__external_else] = ACTIONS(211),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(211),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [61] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(215),
    [sym_identifier] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(215),
    [anon_sym_function] = ACTIONS(217),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(217),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_repeat] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(215),
    [sym__number_literal] = ACTIONS(217),
    [anon_sym_SQUOTE] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_dots] = ACTIONS(217),
    [sym_dot_dot_i] = ACTIONS(215),
    [sym_return] = ACTIONS(217),
    [sym_next] = ACTIONS(217),
    [sym_break] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_inf] = ACTIONS(217),
    [sym_nan] = ACTIONS(217),
    [anon_sym_NA] = ACTIONS(217),
    [anon_sym_NA_integer_] = ACTIONS(217),
    [anon_sym_NA_real_] = ACTIONS(217),
    [anon_sym_NA_complex_] = ACTIONS(217),
    [anon_sym_NA_character_] = ACTIONS(217),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [sym__raw_string_literal] = ACTIONS(215),
    [sym__external_else] = ACTIONS(215),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(215),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [62] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(219),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_BSLASH] = ACTIONS(219),
    [anon_sym_function] = ACTIONS(221),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(221),
    [anon_sym_repeat] = ACTIONS(221),
    [anon_sym_QMARK] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(219),
    [sym__number_literal] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_dots] = ACTIONS(221),
    [sym_dot_dot_i] = ACTIONS(219),
    [sym_return] = ACTIONS(221),
    [sym_next] = ACTIONS(221),
    [sym_break] = ACTIONS(221),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_null] = ACTIONS(221),
    [sym_inf] = ACTIONS(221),
    [sym_nan] = ACTIONS(221),
    [anon_sym_NA] = ACTIONS(221),
    [anon_sym_NA_integer_] = ACTIONS(221),
    [anon_sym_NA_real_] = ACTIONS(221),
    [anon_sym_NA_complex_] = ACTIONS(221),
    [anon_sym_NA_character_] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(219),
    [sym__semicolon] = ACTIONS(219),
    [sym__raw_string_literal] = ACTIONS(219),
    [sym__external_else] = ACTIONS(219),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(219),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [63] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_BSLASH] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_repeat] = ACTIONS(143),
    [anon_sym_QMARK] = ACTIONS(145),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(145),
    [sym__number_literal] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(145),
    [sym_dots] = ACTIONS(143),
    [sym_dot_dot_i] = ACTIONS(145),
    [sym_return] = ACTIONS(143),
    [sym_next] = ACTIONS(143),
    [sym_break] = ACTIONS(143),
    [sym_true] = ACTIONS(143),
    [sym_false] = ACTIONS(143),
    [sym_null] = ACTIONS(143),
    [sym_inf] = ACTIONS(143),
    [sym_nan] = ACTIONS(143),
    [anon_sym_NA] = ACTIONS(143),
    [anon_sym_NA_integer_] = ACTIONS(143),
    [anon_sym_NA_real_] = ACTIONS(143),
    [anon_sym_NA_complex_] = ACTIONS(143),
    [anon_sym_NA_character_] = ACTIONS(143),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(145),
    [sym__semicolon] = ACTIONS(145),
    [sym__raw_string_literal] = ACTIONS(145),
    [sym__external_else] = ACTIONS(145),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(145),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [64] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(223),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BSLASH] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(225),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(225),
    [anon_sym_while] = ACTIONS(225),
    [anon_sym_repeat] = ACTIONS(225),
    [anon_sym_QMARK] = ACTIONS(223),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(223),
    [sym__number_literal] = ACTIONS(225),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym_DQUOTE] = ACTIONS(223),
    [sym_dots] = ACTIONS(225),
    [sym_dot_dot_i] = ACTIONS(223),
    [sym_return] = ACTIONS(225),
    [sym_next] = ACTIONS(225),
    [sym_break] = ACTIONS(225),
    [sym_true] = ACTIONS(225),
    [sym_false] = ACTIONS(225),
    [sym_null] = ACTIONS(225),
    [sym_inf] = ACTIONS(225),
    [sym_nan] = ACTIONS(225),
    [anon_sym_NA] = ACTIONS(225),
    [anon_sym_NA_integer_] = ACTIONS(225),
    [anon_sym_NA_real_] = ACTIONS(225),
    [anon_sym_NA_complex_] = ACTIONS(225),
    [anon_sym_NA_character_] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(223),
    [sym__semicolon] = ACTIONS(223),
    [sym__raw_string_literal] = ACTIONS(223),
    [sym__external_else] = ACTIONS(223),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(223),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [65] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(227),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_function] = ACTIONS(229),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(229),
    [anon_sym_while] = ACTIONS(229),
    [anon_sym_repeat] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(227),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(227),
    [sym__number_literal] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(227),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [sym_dots] = ACTIONS(229),
    [sym_dot_dot_i] = ACTIONS(227),
    [sym_return] = ACTIONS(229),
    [sym_next] = ACTIONS(229),
    [sym_break] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_inf] = ACTIONS(229),
    [sym_nan] = ACTIONS(229),
    [anon_sym_NA] = ACTIONS(229),
    [anon_sym_NA_integer_] = ACTIONS(229),
    [anon_sym_NA_real_] = ACTIONS(229),
    [anon_sym_NA_complex_] = ACTIONS(229),
    [anon_sym_NA_character_] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(227),
    [sym__semicolon] = ACTIONS(227),
    [sym__raw_string_literal] = ACTIONS(227),
    [sym__external_else] = ACTIONS(227),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(227),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [66] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_BSLASH] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(231),
    [anon_sym_repeat] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(233),
    [sym__number_literal] = ACTIONS(231),
    [anon_sym_SQUOTE] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(233),
    [sym_dots] = ACTIONS(231),
    [sym_dot_dot_i] = ACTIONS(233),
    [sym_return] = ACTIONS(231),
    [sym_next] = ACTIONS(231),
    [sym_break] = ACTIONS(231),
    [sym_true] = ACTIONS(231),
    [sym_false] = ACTIONS(231),
    [sym_null] = ACTIONS(231),
    [sym_inf] = ACTIONS(231),
    [sym_nan] = ACTIONS(231),
    [anon_sym_NA] = ACTIONS(231),
    [anon_sym_NA_integer_] = ACTIONS(231),
    [anon_sym_NA_real_] = ACTIONS(231),
    [anon_sym_NA_complex_] = ACTIONS(231),
    [anon_sym_NA_character_] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(233),
    [sym__semicolon] = ACTIONS(233),
    [sym__raw_string_literal] = ACTIONS(233),
    [sym__external_else] = ACTIONS(233),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(233),
    [sym__external_close_brace] = ACTIONS(233),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [67] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [68] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [69] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [70] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(237),
    [anon_sym_PIPE_GT] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [71] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_BSLASH] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(239),
    [anon_sym_while] = ACTIONS(239),
    [anon_sym_repeat] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(241),
    [sym__number_literal] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [sym_dots] = ACTIONS(239),
    [sym_dot_dot_i] = ACTIONS(241),
    [sym_return] = ACTIONS(239),
    [sym_next] = ACTIONS(239),
    [sym_break] = ACTIONS(239),
    [sym_true] = ACTIONS(239),
    [sym_false] = ACTIONS(239),
    [sym_null] = ACTIONS(239),
    [sym_inf] = ACTIONS(239),
    [sym_nan] = ACTIONS(239),
    [anon_sym_NA] = ACTIONS(239),
    [anon_sym_NA_integer_] = ACTIONS(239),
    [anon_sym_NA_real_] = ACTIONS(239),
    [anon_sym_NA_complex_] = ACTIONS(239),
    [anon_sym_NA_character_] = ACTIONS(239),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(241),
    [sym__semicolon] = ACTIONS(241),
    [sym__raw_string_literal] = ACTIONS(241),
    [sym__external_else] = ACTIONS(241),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(241),
    [sym__external_close_brace] = ACTIONS(241),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [72] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_BSLASH] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(243),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_repeat] = ACTIONS(243),
    [anon_sym_QMARK] = ACTIONS(245),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(245),
    [sym__number_literal] = ACTIONS(243),
    [anon_sym_SQUOTE] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_dots] = ACTIONS(243),
    [sym_dot_dot_i] = ACTIONS(245),
    [sym_return] = ACTIONS(243),
    [sym_next] = ACTIONS(243),
    [sym_break] = ACTIONS(243),
    [sym_true] = ACTIONS(243),
    [sym_false] = ACTIONS(243),
    [sym_null] = ACTIONS(243),
    [sym_inf] = ACTIONS(243),
    [sym_nan] = ACTIONS(243),
    [anon_sym_NA] = ACTIONS(243),
    [anon_sym_NA_integer_] = ACTIONS(243),
    [anon_sym_NA_real_] = ACTIONS(243),
    [anon_sym_NA_complex_] = ACTIONS(243),
    [anon_sym_NA_character_] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(245),
    [sym__semicolon] = ACTIONS(245),
    [sym__raw_string_literal] = ACTIONS(245),
    [sym__external_else] = ACTIONS(245),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(245),
    [sym__external_close_brace] = ACTIONS(245),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [73] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [74] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [75] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [76] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(147),
    [anon_sym_DASH] = ACTIONS(149),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(147),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(147),
    [anon_sym_PIPE_GT] = ACTIONS(147),
    [anon_sym_COLON] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [77] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [78] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [79] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [80] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [81] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [82] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [83] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [84] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [85] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [86] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [87] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [88] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [89] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_else] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [90] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_repeat] = ACTIONS(157),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_dots] = ACTIONS(157),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_return] = ACTIONS(157),
    [sym_next] = ACTIONS(157),
    [sym_break] = ACTIONS(157),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_inf] = ACTIONS(157),
    [sym_nan] = ACTIONS(157),
    [anon_sym_NA] = ACTIONS(157),
    [anon_sym_NA_integer_] = ACTIONS(157),
    [anon_sym_NA_real_] = ACTIONS(157),
    [anon_sym_NA_complex_] = ACTIONS(157),
    [anon_sym_NA_character_] = ACTIONS(157),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_else] = ACTIONS(155),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_close_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [91] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BSLASH] = ACTIONS(159),
    [anon_sym_function] = ACTIONS(161),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_repeat] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(159),
    [sym__number_literal] = ACTIONS(161),
    [anon_sym_SQUOTE] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(159),
    [sym_dots] = ACTIONS(161),
    [sym_dot_dot_i] = ACTIONS(159),
    [sym_return] = ACTIONS(161),
    [sym_next] = ACTIONS(161),
    [sym_break] = ACTIONS(161),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [sym_null] = ACTIONS(161),
    [sym_inf] = ACTIONS(161),
    [sym_nan] = ACTIONS(161),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(159),
    [sym__semicolon] = ACTIONS(159),
    [sym__raw_string_literal] = ACTIONS(159),
    [sym__external_else] = ACTIONS(159),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(159),
    [sym__external_close_brace] = ACTIONS(159),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [92] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [93] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [94] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [95] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [96] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [97] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [98] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [99] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [100] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [101] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [102] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [103] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [104] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_else] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [105] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_BSLASH] = ACTIONS(167),
    [anon_sym_function] = ACTIONS(169),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_repeat] = ACTIONS(169),
    [anon_sym_QMARK] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(167),
    [sym__number_literal] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(167),
    [sym_dots] = ACTIONS(169),
    [sym_dot_dot_i] = ACTIONS(167),
    [sym_return] = ACTIONS(169),
    [sym_next] = ACTIONS(169),
    [sym_break] = ACTIONS(169),
    [sym_true] = ACTIONS(169),
    [sym_false] = ACTIONS(169),
    [sym_null] = ACTIONS(169),
    [sym_inf] = ACTIONS(169),
    [sym_nan] = ACTIONS(169),
    [anon_sym_NA] = ACTIONS(169),
    [anon_sym_NA_integer_] = ACTIONS(169),
    [anon_sym_NA_real_] = ACTIONS(169),
    [anon_sym_NA_complex_] = ACTIONS(169),
    [anon_sym_NA_character_] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(167),
    [sym__semicolon] = ACTIONS(167),
    [sym__raw_string_literal] = ACTIONS(167),
    [sym__external_else] = ACTIONS(167),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(167),
    [sym__external_close_brace] = ACTIONS(167),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [106] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(173),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_function] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_while] = ACTIONS(173),
    [anon_sym_repeat] = ACTIONS(173),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(171),
    [sym__number_literal] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [sym_dots] = ACTIONS(173),
    [sym_dot_dot_i] = ACTIONS(171),
    [sym_return] = ACTIONS(173),
    [sym_next] = ACTIONS(173),
    [sym_break] = ACTIONS(173),
    [sym_true] = ACTIONS(173),
    [sym_false] = ACTIONS(173),
    [sym_null] = ACTIONS(173),
    [sym_inf] = ACTIONS(173),
    [sym_nan] = ACTIONS(173),
    [anon_sym_NA] = ACTIONS(173),
    [anon_sym_NA_integer_] = ACTIONS(173),
    [anon_sym_NA_real_] = ACTIONS(173),
    [anon_sym_NA_complex_] = ACTIONS(173),
    [anon_sym_NA_character_] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(171),
    [sym__semicolon] = ACTIONS(171),
    [sym__raw_string_literal] = ACTIONS(171),
    [sym__external_else] = ACTIONS(171),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(171),
    [sym__external_close_brace] = ACTIONS(171),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [107] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BSLASH] = ACTIONS(175),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(177),
    [anon_sym_repeat] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(175),
    [sym__number_literal] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_dots] = ACTIONS(177),
    [sym_dot_dot_i] = ACTIONS(175),
    [sym_return] = ACTIONS(177),
    [sym_next] = ACTIONS(177),
    [sym_break] = ACTIONS(177),
    [sym_true] = ACTIONS(177),
    [sym_false] = ACTIONS(177),
    [sym_null] = ACTIONS(177),
    [sym_inf] = ACTIONS(177),
    [sym_nan] = ACTIONS(177),
    [anon_sym_NA] = ACTIONS(177),
    [anon_sym_NA_integer_] = ACTIONS(177),
    [anon_sym_NA_real_] = ACTIONS(177),
    [anon_sym_NA_complex_] = ACTIONS(177),
    [anon_sym_NA_character_] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(175),
    [sym__semicolon] = ACTIONS(175),
    [sym__raw_string_literal] = ACTIONS(175),
    [sym__external_else] = ACTIONS(175),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(175),
    [sym__external_close_brace] = ACTIONS(175),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [108] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_BSLASH] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_repeat] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(179),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(181),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(179),
    [sym__number_literal] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(179),
    [sym_dots] = ACTIONS(181),
    [sym_dot_dot_i] = ACTIONS(179),
    [sym_return] = ACTIONS(181),
    [sym_next] = ACTIONS(181),
    [sym_break] = ACTIONS(181),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_inf] = ACTIONS(181),
    [sym_nan] = ACTIONS(181),
    [anon_sym_NA] = ACTIONS(181),
    [anon_sym_NA_integer_] = ACTIONS(181),
    [anon_sym_NA_real_] = ACTIONS(181),
    [anon_sym_NA_complex_] = ACTIONS(181),
    [anon_sym_NA_character_] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(179),
    [sym__semicolon] = ACTIONS(179),
    [sym__raw_string_literal] = ACTIONS(179),
    [sym__external_else] = ACTIONS(179),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(179),
    [sym__external_close_brace] = ACTIONS(179),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [109] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_BSLASH] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(185),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(185),
    [anon_sym_repeat] = ACTIONS(185),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(183),
    [sym__number_literal] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_DQUOTE] = ACTIONS(183),
    [sym_dots] = ACTIONS(185),
    [sym_dot_dot_i] = ACTIONS(183),
    [sym_return] = ACTIONS(185),
    [sym_next] = ACTIONS(185),
    [sym_break] = ACTIONS(185),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_inf] = ACTIONS(185),
    [sym_nan] = ACTIONS(185),
    [anon_sym_NA] = ACTIONS(185),
    [anon_sym_NA_integer_] = ACTIONS(185),
    [anon_sym_NA_real_] = ACTIONS(185),
    [anon_sym_NA_complex_] = ACTIONS(185),
    [anon_sym_NA_character_] = ACTIONS(185),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(183),
    [sym__semicolon] = ACTIONS(183),
    [sym__raw_string_literal] = ACTIONS(183),
    [sym__external_else] = ACTIONS(183),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(183),
    [sym__external_close_brace] = ACTIONS(183),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [110] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(189),
    [anon_sym_BSLASH] = ACTIONS(187),
    [anon_sym_function] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(189),
    [anon_sym_repeat] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(189),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(187),
    [sym__number_literal] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [sym_dots] = ACTIONS(189),
    [sym_dot_dot_i] = ACTIONS(187),
    [sym_return] = ACTIONS(189),
    [sym_next] = ACTIONS(189),
    [sym_break] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_inf] = ACTIONS(189),
    [sym_nan] = ACTIONS(189),
    [anon_sym_NA] = ACTIONS(189),
    [anon_sym_NA_integer_] = ACTIONS(189),
    [anon_sym_NA_real_] = ACTIONS(189),
    [anon_sym_NA_complex_] = ACTIONS(189),
    [anon_sym_NA_character_] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(187),
    [sym__semicolon] = ACTIONS(187),
    [sym__raw_string_literal] = ACTIONS(187),
    [sym__external_else] = ACTIONS(187),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(187),
    [sym__external_close_brace] = ACTIONS(187),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [111] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(193),
    [anon_sym_BSLASH] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(193),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(193),
    [anon_sym_while] = ACTIONS(193),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_QMARK] = ACTIONS(191),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(191),
    [sym__number_literal] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(191),
    [anon_sym_DQUOTE] = ACTIONS(191),
    [sym_dots] = ACTIONS(193),
    [sym_dot_dot_i] = ACTIONS(191),
    [sym_return] = ACTIONS(193),
    [sym_next] = ACTIONS(193),
    [sym_break] = ACTIONS(193),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_inf] = ACTIONS(193),
    [sym_nan] = ACTIONS(193),
    [anon_sym_NA] = ACTIONS(193),
    [anon_sym_NA_integer_] = ACTIONS(193),
    [anon_sym_NA_real_] = ACTIONS(193),
    [anon_sym_NA_complex_] = ACTIONS(193),
    [anon_sym_NA_character_] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(191),
    [sym__semicolon] = ACTIONS(191),
    [sym__raw_string_literal] = ACTIONS(191),
    [sym__external_else] = ACTIONS(191),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(191),
    [sym__external_close_brace] = ACTIONS(191),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [112] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(195),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(195),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(195),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(195),
    [sym__semicolon] = ACTIONS(195),
    [sym__raw_string_literal] = ACTIONS(195),
    [sym__external_else] = ACTIONS(195),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(195),
    [sym__external_close_brace] = ACTIONS(195),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [113] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_repeat] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_dots] = ACTIONS(201),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_return] = ACTIONS(201),
    [sym_next] = ACTIONS(201),
    [sym_break] = ACTIONS(201),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_inf] = ACTIONS(201),
    [sym_nan] = ACTIONS(201),
    [anon_sym_NA] = ACTIONS(201),
    [anon_sym_NA_integer_] = ACTIONS(201),
    [anon_sym_NA_real_] = ACTIONS(201),
    [anon_sym_NA_complex_] = ACTIONS(201),
    [anon_sym_NA_character_] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_else] = ACTIONS(199),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_close_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [114] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_while] = ACTIONS(205),
    [anon_sym_repeat] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(203),
    [sym__number_literal] = ACTIONS(205),
    [anon_sym_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [sym_dots] = ACTIONS(205),
    [sym_dot_dot_i] = ACTIONS(203),
    [sym_return] = ACTIONS(205),
    [sym_next] = ACTIONS(205),
    [sym_break] = ACTIONS(205),
    [sym_true] = ACTIONS(205),
    [sym_false] = ACTIONS(205),
    [sym_null] = ACTIONS(205),
    [sym_inf] = ACTIONS(205),
    [sym_nan] = ACTIONS(205),
    [anon_sym_NA] = ACTIONS(205),
    [anon_sym_NA_integer_] = ACTIONS(205),
    [anon_sym_NA_real_] = ACTIONS(205),
    [anon_sym_NA_complex_] = ACTIONS(205),
    [anon_sym_NA_character_] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [sym__raw_string_literal] = ACTIONS(203),
    [sym__external_else] = ACTIONS(203),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(203),
    [sym__external_close_brace] = ACTIONS(203),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [115] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(209),
    [anon_sym_BSLASH] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(209),
    [anon_sym_for] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_repeat] = ACTIONS(209),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(207),
    [sym__number_literal] = ACTIONS(209),
    [anon_sym_SQUOTE] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_dots] = ACTIONS(209),
    [sym_dot_dot_i] = ACTIONS(207),
    [sym_return] = ACTIONS(209),
    [sym_next] = ACTIONS(209),
    [sym_break] = ACTIONS(209),
    [sym_true] = ACTIONS(209),
    [sym_false] = ACTIONS(209),
    [sym_null] = ACTIONS(209),
    [sym_inf] = ACTIONS(209),
    [sym_nan] = ACTIONS(209),
    [anon_sym_NA] = ACTIONS(209),
    [anon_sym_NA_integer_] = ACTIONS(209),
    [anon_sym_NA_real_] = ACTIONS(209),
    [anon_sym_NA_complex_] = ACTIONS(209),
    [anon_sym_NA_character_] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [sym__raw_string_literal] = ACTIONS(207),
    [sym__external_else] = ACTIONS(207),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(207),
    [sym__external_close_brace] = ACTIONS(207),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [116] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(211),
    [anon_sym_function] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(213),
    [anon_sym_repeat] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(211),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(211),
    [sym__number_literal] = ACTIONS(213),
    [anon_sym_SQUOTE] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(211),
    [sym_dots] = ACTIONS(213),
    [sym_dot_dot_i] = ACTIONS(211),
    [sym_return] = ACTIONS(213),
    [sym_next] = ACTIONS(213),
    [sym_break] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_inf] = ACTIONS(213),
    [sym_nan] = ACTIONS(213),
    [anon_sym_NA] = ACTIONS(213),
    [anon_sym_NA_integer_] = ACTIONS(213),
    [anon_sym_NA_real_] = ACTIONS(213),
    [anon_sym_NA_complex_] = ACTIONS(213),
    [anon_sym_NA_character_] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(211),
    [sym__semicolon] = ACTIONS(211),
    [sym__raw_string_literal] = ACTIONS(211),
    [sym__external_else] = ACTIONS(211),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(211),
    [sym__external_close_brace] = ACTIONS(211),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [117] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(215),
    [anon_sym_function] = ACTIONS(217),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(217),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_repeat] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(215),
    [sym__number_literal] = ACTIONS(217),
    [anon_sym_SQUOTE] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_dots] = ACTIONS(217),
    [sym_dot_dot_i] = ACTIONS(215),
    [sym_return] = ACTIONS(217),
    [sym_next] = ACTIONS(217),
    [sym_break] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_inf] = ACTIONS(217),
    [sym_nan] = ACTIONS(217),
    [anon_sym_NA] = ACTIONS(217),
    [anon_sym_NA_integer_] = ACTIONS(217),
    [anon_sym_NA_real_] = ACTIONS(217),
    [anon_sym_NA_complex_] = ACTIONS(217),
    [anon_sym_NA_character_] = ACTIONS(217),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [sym__raw_string_literal] = ACTIONS(215),
    [sym__external_else] = ACTIONS(215),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(215),
    [sym__external_close_brace] = ACTIONS(215),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [118] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_BSLASH] = ACTIONS(219),
    [anon_sym_function] = ACTIONS(221),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(221),
    [anon_sym_repeat] = ACTIONS(221),
    [anon_sym_QMARK] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(219),
    [sym__number_literal] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_dots] = ACTIONS(221),
    [sym_dot_dot_i] = ACTIONS(219),
    [sym_return] = ACTIONS(221),
    [sym_next] = ACTIONS(221),
    [sym_break] = ACTIONS(221),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_null] = ACTIONS(221),
    [sym_inf] = ACTIONS(221),
    [sym_nan] = ACTIONS(221),
    [anon_sym_NA] = ACTIONS(221),
    [anon_sym_NA_integer_] = ACTIONS(221),
    [anon_sym_NA_real_] = ACTIONS(221),
    [anon_sym_NA_complex_] = ACTIONS(221),
    [anon_sym_NA_character_] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(219),
    [sym__semicolon] = ACTIONS(219),
    [sym__raw_string_literal] = ACTIONS(219),
    [sym__external_else] = ACTIONS(219),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(219),
    [sym__external_close_brace] = ACTIONS(219),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [119] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(233),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_BSLASH] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(231),
    [anon_sym_repeat] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(233),
    [sym__number_literal] = ACTIONS(231),
    [anon_sym_SQUOTE] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(233),
    [sym_dots] = ACTIONS(231),
    [sym_dot_dot_i] = ACTIONS(233),
    [sym_return] = ACTIONS(231),
    [sym_next] = ACTIONS(231),
    [sym_break] = ACTIONS(231),
    [sym_true] = ACTIONS(231),
    [sym_false] = ACTIONS(231),
    [sym_null] = ACTIONS(231),
    [sym_inf] = ACTIONS(231),
    [sym_nan] = ACTIONS(231),
    [anon_sym_NA] = ACTIONS(231),
    [anon_sym_NA_integer_] = ACTIONS(231),
    [anon_sym_NA_real_] = ACTIONS(231),
    [anon_sym_NA_complex_] = ACTIONS(231),
    [anon_sym_NA_character_] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(233),
    [sym__semicolon] = ACTIONS(233),
    [sym__raw_string_literal] = ACTIONS(233),
    [sym__external_else] = ACTIONS(233),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(233),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [120] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BSLASH] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(225),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(225),
    [anon_sym_while] = ACTIONS(225),
    [anon_sym_repeat] = ACTIONS(225),
    [anon_sym_QMARK] = ACTIONS(223),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(223),
    [sym__number_literal] = ACTIONS(225),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym_DQUOTE] = ACTIONS(223),
    [sym_dots] = ACTIONS(225),
    [sym_dot_dot_i] = ACTIONS(223),
    [sym_return] = ACTIONS(225),
    [sym_next] = ACTIONS(225),
    [sym_break] = ACTIONS(225),
    [sym_true] = ACTIONS(225),
    [sym_false] = ACTIONS(225),
    [sym_null] = ACTIONS(225),
    [sym_inf] = ACTIONS(225),
    [sym_nan] = ACTIONS(225),
    [anon_sym_NA] = ACTIONS(225),
    [anon_sym_NA_integer_] = ACTIONS(225),
    [anon_sym_NA_real_] = ACTIONS(225),
    [anon_sym_NA_complex_] = ACTIONS(225),
    [anon_sym_NA_character_] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(223),
    [sym__semicolon] = ACTIONS(223),
    [sym__raw_string_literal] = ACTIONS(223),
    [sym__external_else] = ACTIONS(223),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(223),
    [sym__external_close_brace] = ACTIONS(223),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [121] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_function] = ACTIONS(229),
    [anon_sym_EQ] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(229),
    [anon_sym_while] = ACTIONS(229),
    [anon_sym_repeat] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(227),
    [anon_sym_TILDE] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(83),
    [anon_sym_LT_LT_DASH] = ACTIONS(83),
    [anon_sym_COLON_EQ] = ACTIONS(83),
    [anon_sym_DASH_GT] = ACTIONS(85),
    [anon_sym_DASH_GT_GT] = ACTIONS(87),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(227),
    [sym__number_literal] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(227),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [sym_dots] = ACTIONS(229),
    [sym_dot_dot_i] = ACTIONS(227),
    [sym_return] = ACTIONS(229),
    [sym_next] = ACTIONS(229),
    [sym_break] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_inf] = ACTIONS(229),
    [sym_nan] = ACTIONS(229),
    [anon_sym_NA] = ACTIONS(229),
    [anon_sym_NA_integer_] = ACTIONS(229),
    [anon_sym_NA_real_] = ACTIONS(229),
    [anon_sym_NA_complex_] = ACTIONS(229),
    [anon_sym_NA_character_] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(227),
    [sym__semicolon] = ACTIONS(227),
    [sym__raw_string_literal] = ACTIONS(227),
    [sym__external_else] = ACTIONS(227),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(227),
    [sym__external_close_brace] = ACTIONS(227),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [122] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [123] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [124] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [125] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(237),
    [anon_sym_PIPE_GT] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_else] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [126] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(241),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_BSLASH] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(239),
    [anon_sym_while] = ACTIONS(239),
    [anon_sym_repeat] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(241),
    [sym__number_literal] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [sym_dots] = ACTIONS(239),
    [sym_dot_dot_i] = ACTIONS(241),
    [sym_return] = ACTIONS(239),
    [sym_next] = ACTIONS(239),
    [sym_break] = ACTIONS(239),
    [sym_true] = ACTIONS(239),
    [sym_false] = ACTIONS(239),
    [sym_null] = ACTIONS(239),
    [sym_inf] = ACTIONS(239),
    [sym_nan] = ACTIONS(239),
    [anon_sym_NA] = ACTIONS(239),
    [anon_sym_NA_integer_] = ACTIONS(239),
    [anon_sym_NA_real_] = ACTIONS(239),
    [anon_sym_NA_complex_] = ACTIONS(239),
    [anon_sym_NA_character_] = ACTIONS(239),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(241),
    [sym__semicolon] = ACTIONS(241),
    [sym__raw_string_literal] = ACTIONS(241),
    [sym__external_else] = ACTIONS(241),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(241),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [127] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(245),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_BSLASH] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(243),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_repeat] = ACTIONS(243),
    [anon_sym_QMARK] = ACTIONS(245),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(245),
    [sym__number_literal] = ACTIONS(243),
    [anon_sym_SQUOTE] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_dots] = ACTIONS(243),
    [sym_dot_dot_i] = ACTIONS(245),
    [sym_return] = ACTIONS(243),
    [sym_next] = ACTIONS(243),
    [sym_break] = ACTIONS(243),
    [sym_true] = ACTIONS(243),
    [sym_false] = ACTIONS(243),
    [sym_null] = ACTIONS(243),
    [sym_inf] = ACTIONS(243),
    [sym_nan] = ACTIONS(243),
    [anon_sym_NA] = ACTIONS(243),
    [anon_sym_NA_integer_] = ACTIONS(243),
    [anon_sym_NA_real_] = ACTIONS(243),
    [anon_sym_NA_complex_] = ACTIONS(243),
    [anon_sym_NA_character_] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(245),
    [sym__semicolon] = ACTIONS(245),
    [sym__raw_string_literal] = ACTIONS(245),
    [sym__external_else] = ACTIONS(245),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(245),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [128] = {
    [sym_call_arguments] = STATE(343),
    [sym_subset_arguments] = STATE(344),
    [sym_subset2_arguments] = STATE(345),
    [sym__open_parenthesis] = STATE(268),
    [sym__open_bracket] = STATE(269),
    [sym__open_bracket2] = STATE(270),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(15),
    [anon_sym_DASH] = ACTIONS(17),
    [anon_sym_LT_DASH] = ACTIONS(19),
    [anon_sym_LT_LT_DASH] = ACTIONS(19),
    [anon_sym_COLON_EQ] = ACTIONS(19),
    [anon_sym_DASH_GT] = ACTIONS(21),
    [anon_sym_DASH_GT_GT] = ACTIONS(23),
    [anon_sym_PIPE] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_PIPE_PIPE] = ACTIONS(29),
    [anon_sym_AMP_AMP] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(33),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(33),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(37),
    [anon_sym_SLASH] = ACTIONS(39),
    [anon_sym_STAR_STAR] = ACTIONS(41),
    [anon_sym_CARET] = ACTIONS(41),
    [aux_sym_binary_operator_token1] = ACTIONS(43),
    [anon_sym_PIPE_GT] = ACTIONS(43),
    [anon_sym_COLON] = ACTIONS(45),
    [anon_sym_DOLLAR] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(47),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(51),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(53),
    [sym__external_open_bracket2] = ACTIONS(55),
  },
  [129] = {
    [sym_call_arguments] = STATE(361),
    [sym_subset_arguments] = STATE(328),
    [sym_subset2_arguments] = STATE(329),
    [sym__open_parenthesis] = STATE(274),
    [sym__open_bracket] = STATE(275),
    [sym__open_bracket2] = STATE(276),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(79),
    [anon_sym_DASH] = ACTIONS(81),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(91),
    [anon_sym_PIPE_PIPE] = ACTIONS(93),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_SLASH] = ACTIONS(103),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [aux_sym_binary_operator_token1] = ACTIONS(107),
    [anon_sym_PIPE_GT] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_DOLLAR] = ACTIONS(111),
    [anon_sym_AT] = ACTIONS(111),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_else] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(115),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(117),
    [sym__external_open_bracket2] = ACTIONS(119),
  },
  [130] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [131] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_BSLASH] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(239),
    [anon_sym_while] = ACTIONS(239),
    [anon_sym_repeat] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(241),
    [sym__number_literal] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [sym_dots] = ACTIONS(239),
    [sym_dot_dot_i] = ACTIONS(241),
    [sym_return] = ACTIONS(239),
    [sym_next] = ACTIONS(239),
    [sym_break] = ACTIONS(239),
    [sym_true] = ACTIONS(239),
    [sym_false] = ACTIONS(239),
    [sym_null] = ACTIONS(239),
    [sym_inf] = ACTIONS(239),
    [sym_nan] = ACTIONS(239),
    [anon_sym_NA] = ACTIONS(239),
    [anon_sym_NA_integer_] = ACTIONS(239),
    [anon_sym_NA_real_] = ACTIONS(239),
    [anon_sym_NA_complex_] = ACTIONS(239),
    [anon_sym_NA_character_] = ACTIONS(239),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(241),
    [sym__semicolon] = ACTIONS(241),
    [sym__raw_string_literal] = ACTIONS(241),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(241),
    [sym__external_close_brace] = ACTIONS(241),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [132] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_BSLASH] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(243),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_repeat] = ACTIONS(243),
    [anon_sym_QMARK] = ACTIONS(245),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(245),
    [sym__number_literal] = ACTIONS(243),
    [anon_sym_SQUOTE] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_dots] = ACTIONS(243),
    [sym_dot_dot_i] = ACTIONS(245),
    [sym_return] = ACTIONS(243),
    [sym_next] = ACTIONS(243),
    [sym_break] = ACTIONS(243),
    [sym_true] = ACTIONS(243),
    [sym_false] = ACTIONS(243),
    [sym_null] = ACTIONS(243),
    [sym_inf] = ACTIONS(243),
    [sym_nan] = ACTIONS(243),
    [anon_sym_NA] = ACTIONS(243),
    [anon_sym_NA_integer_] = ACTIONS(243),
    [anon_sym_NA_real_] = ACTIONS(243),
    [anon_sym_NA_complex_] = ACTIONS(243),
    [anon_sym_NA_character_] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(245),
    [sym__semicolon] = ACTIONS(245),
    [sym__raw_string_literal] = ACTIONS(245),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(245),
    [sym__external_close_brace] = ACTIONS(245),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [133] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [134] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [135] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [136] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(147),
    [anon_sym_DASH] = ACTIONS(149),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(147),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(147),
    [anon_sym_PIPE_GT] = ACTIONS(147),
    [anon_sym_COLON] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_close_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [137] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [138] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [139] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [140] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [141] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [142] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [143] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [144] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [145] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [146] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [147] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [148] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [149] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_close_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [150] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_repeat] = ACTIONS(157),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_dots] = ACTIONS(157),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_return] = ACTIONS(157),
    [sym_next] = ACTIONS(157),
    [sym_break] = ACTIONS(157),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_inf] = ACTIONS(157),
    [sym_nan] = ACTIONS(157),
    [anon_sym_NA] = ACTIONS(157),
    [anon_sym_NA_integer_] = ACTIONS(157),
    [anon_sym_NA_real_] = ACTIONS(157),
    [anon_sym_NA_complex_] = ACTIONS(157),
    [anon_sym_NA_character_] = ACTIONS(157),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_close_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [151] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BSLASH] = ACTIONS(159),
    [anon_sym_function] = ACTIONS(161),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_repeat] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(159),
    [sym__number_literal] = ACTIONS(161),
    [anon_sym_SQUOTE] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(159),
    [sym_dots] = ACTIONS(161),
    [sym_dot_dot_i] = ACTIONS(159),
    [sym_return] = ACTIONS(161),
    [sym_next] = ACTIONS(161),
    [sym_break] = ACTIONS(161),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [sym_null] = ACTIONS(161),
    [sym_inf] = ACTIONS(161),
    [sym_nan] = ACTIONS(161),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(159),
    [sym__semicolon] = ACTIONS(159),
    [sym__raw_string_literal] = ACTIONS(159),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(159),
    [sym__external_close_brace] = ACTIONS(159),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [152] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [153] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [154] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [155] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [156] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [157] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [158] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [159] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [160] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [161] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [162] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [163] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [164] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_close_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [165] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_BSLASH] = ACTIONS(167),
    [anon_sym_function] = ACTIONS(169),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_repeat] = ACTIONS(169),
    [anon_sym_QMARK] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(167),
    [sym__number_literal] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(167),
    [sym_dots] = ACTIONS(169),
    [sym_dot_dot_i] = ACTIONS(167),
    [sym_return] = ACTIONS(169),
    [sym_next] = ACTIONS(169),
    [sym_break] = ACTIONS(169),
    [sym_true] = ACTIONS(169),
    [sym_false] = ACTIONS(169),
    [sym_null] = ACTIONS(169),
    [sym_inf] = ACTIONS(169),
    [sym_nan] = ACTIONS(169),
    [anon_sym_NA] = ACTIONS(169),
    [anon_sym_NA_integer_] = ACTIONS(169),
    [anon_sym_NA_real_] = ACTIONS(169),
    [anon_sym_NA_complex_] = ACTIONS(169),
    [anon_sym_NA_character_] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(167),
    [sym__semicolon] = ACTIONS(167),
    [sym__raw_string_literal] = ACTIONS(167),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(167),
    [sym__external_close_brace] = ACTIONS(167),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [166] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(313),
    [sym_identifier] = ACTIONS(315),
    [anon_sym_BSLASH] = ACTIONS(313),
    [anon_sym_function] = ACTIONS(315),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_repeat] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(315),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(313),
    [sym__number_literal] = ACTIONS(315),
    [anon_sym_SQUOTE] = ACTIONS(313),
    [anon_sym_DQUOTE] = ACTIONS(313),
    [sym_dots] = ACTIONS(315),
    [sym_dot_dot_i] = ACTIONS(313),
    [sym_return] = ACTIONS(315),
    [sym_next] = ACTIONS(315),
    [sym_break] = ACTIONS(315),
    [sym_true] = ACTIONS(315),
    [sym_false] = ACTIONS(315),
    [sym_null] = ACTIONS(315),
    [sym_inf] = ACTIONS(315),
    [sym_nan] = ACTIONS(315),
    [anon_sym_NA] = ACTIONS(315),
    [anon_sym_NA_integer_] = ACTIONS(315),
    [anon_sym_NA_real_] = ACTIONS(315),
    [anon_sym_NA_complex_] = ACTIONS(315),
    [anon_sym_NA_character_] = ACTIONS(315),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(313),
    [sym__semicolon] = ACTIONS(313),
    [sym__raw_string_literal] = ACTIONS(313),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(313),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [167] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(173),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_function] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_while] = ACTIONS(173),
    [anon_sym_repeat] = ACTIONS(173),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(171),
    [sym__number_literal] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [sym_dots] = ACTIONS(173),
    [sym_dot_dot_i] = ACTIONS(171),
    [sym_return] = ACTIONS(173),
    [sym_next] = ACTIONS(173),
    [sym_break] = ACTIONS(173),
    [sym_true] = ACTIONS(173),
    [sym_false] = ACTIONS(173),
    [sym_null] = ACTIONS(173),
    [sym_inf] = ACTIONS(173),
    [sym_nan] = ACTIONS(173),
    [anon_sym_NA] = ACTIONS(173),
    [anon_sym_NA_integer_] = ACTIONS(173),
    [anon_sym_NA_real_] = ACTIONS(173),
    [anon_sym_NA_complex_] = ACTIONS(173),
    [anon_sym_NA_character_] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(171),
    [sym__semicolon] = ACTIONS(171),
    [sym__raw_string_literal] = ACTIONS(171),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(171),
    [sym__external_close_brace] = ACTIONS(171),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [168] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BSLASH] = ACTIONS(175),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(177),
    [anon_sym_repeat] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(175),
    [sym__number_literal] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_dots] = ACTIONS(177),
    [sym_dot_dot_i] = ACTIONS(175),
    [sym_return] = ACTIONS(177),
    [sym_next] = ACTIONS(177),
    [sym_break] = ACTIONS(177),
    [sym_true] = ACTIONS(177),
    [sym_false] = ACTIONS(177),
    [sym_null] = ACTIONS(177),
    [sym_inf] = ACTIONS(177),
    [sym_nan] = ACTIONS(177),
    [anon_sym_NA] = ACTIONS(177),
    [anon_sym_NA_integer_] = ACTIONS(177),
    [anon_sym_NA_real_] = ACTIONS(177),
    [anon_sym_NA_complex_] = ACTIONS(177),
    [anon_sym_NA_character_] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(175),
    [sym__semicolon] = ACTIONS(175),
    [sym__raw_string_literal] = ACTIONS(175),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(175),
    [sym__external_close_brace] = ACTIONS(175),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [169] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_BSLASH] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_repeat] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(179),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(181),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(179),
    [sym__number_literal] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(179),
    [sym_dots] = ACTIONS(181),
    [sym_dot_dot_i] = ACTIONS(179),
    [sym_return] = ACTIONS(181),
    [sym_next] = ACTIONS(181),
    [sym_break] = ACTIONS(181),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_inf] = ACTIONS(181),
    [sym_nan] = ACTIONS(181),
    [anon_sym_NA] = ACTIONS(181),
    [anon_sym_NA_integer_] = ACTIONS(181),
    [anon_sym_NA_real_] = ACTIONS(181),
    [anon_sym_NA_complex_] = ACTIONS(181),
    [anon_sym_NA_character_] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(179),
    [sym__semicolon] = ACTIONS(179),
    [sym__raw_string_literal] = ACTIONS(179),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(179),
    [sym__external_close_brace] = ACTIONS(179),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [170] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_BSLASH] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(185),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(185),
    [anon_sym_repeat] = ACTIONS(185),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(183),
    [sym__number_literal] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_DQUOTE] = ACTIONS(183),
    [sym_dots] = ACTIONS(185),
    [sym_dot_dot_i] = ACTIONS(183),
    [sym_return] = ACTIONS(185),
    [sym_next] = ACTIONS(185),
    [sym_break] = ACTIONS(185),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_inf] = ACTIONS(185),
    [sym_nan] = ACTIONS(185),
    [anon_sym_NA] = ACTIONS(185),
    [anon_sym_NA_integer_] = ACTIONS(185),
    [anon_sym_NA_real_] = ACTIONS(185),
    [anon_sym_NA_complex_] = ACTIONS(185),
    [anon_sym_NA_character_] = ACTIONS(185),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(183),
    [sym__semicolon] = ACTIONS(183),
    [sym__raw_string_literal] = ACTIONS(183),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(183),
    [sym__external_close_brace] = ACTIONS(183),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [171] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(233),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_BSLASH] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(231),
    [anon_sym_repeat] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(233),
    [sym__number_literal] = ACTIONS(231),
    [anon_sym_SQUOTE] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(233),
    [sym_dots] = ACTIONS(231),
    [sym_dot_dot_i] = ACTIONS(233),
    [sym_return] = ACTIONS(231),
    [sym_next] = ACTIONS(231),
    [sym_break] = ACTIONS(231),
    [sym_true] = ACTIONS(231),
    [sym_false] = ACTIONS(231),
    [sym_null] = ACTIONS(231),
    [sym_inf] = ACTIONS(231),
    [sym_nan] = ACTIONS(231),
    [anon_sym_NA] = ACTIONS(231),
    [anon_sym_NA_integer_] = ACTIONS(231),
    [anon_sym_NA_real_] = ACTIONS(231),
    [anon_sym_NA_complex_] = ACTIONS(231),
    [anon_sym_NA_character_] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(233),
    [sym__semicolon] = ACTIONS(233),
    [sym__raw_string_literal] = ACTIONS(233),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(233),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [172] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(189),
    [anon_sym_BSLASH] = ACTIONS(187),
    [anon_sym_function] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(189),
    [anon_sym_repeat] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(189),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(187),
    [sym__number_literal] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [sym_dots] = ACTIONS(189),
    [sym_dot_dot_i] = ACTIONS(187),
    [sym_return] = ACTIONS(189),
    [sym_next] = ACTIONS(189),
    [sym_break] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_inf] = ACTIONS(189),
    [sym_nan] = ACTIONS(189),
    [anon_sym_NA] = ACTIONS(189),
    [anon_sym_NA_integer_] = ACTIONS(189),
    [anon_sym_NA_real_] = ACTIONS(189),
    [anon_sym_NA_complex_] = ACTIONS(189),
    [anon_sym_NA_character_] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(187),
    [sym__semicolon] = ACTIONS(187),
    [sym__raw_string_literal] = ACTIONS(187),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(187),
    [sym__external_close_brace] = ACTIONS(187),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [173] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(193),
    [anon_sym_BSLASH] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(193),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(193),
    [anon_sym_while] = ACTIONS(193),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_QMARK] = ACTIONS(191),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(191),
    [sym__number_literal] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(191),
    [anon_sym_DQUOTE] = ACTIONS(191),
    [sym_dots] = ACTIONS(193),
    [sym_dot_dot_i] = ACTIONS(191),
    [sym_return] = ACTIONS(193),
    [sym_next] = ACTIONS(193),
    [sym_break] = ACTIONS(193),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_inf] = ACTIONS(193),
    [sym_nan] = ACTIONS(193),
    [anon_sym_NA] = ACTIONS(193),
    [anon_sym_NA_integer_] = ACTIONS(193),
    [anon_sym_NA_real_] = ACTIONS(193),
    [anon_sym_NA_complex_] = ACTIONS(193),
    [anon_sym_NA_character_] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(191),
    [sym__semicolon] = ACTIONS(191),
    [sym__raw_string_literal] = ACTIONS(191),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(191),
    [sym__external_close_brace] = ACTIONS(191),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [174] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(195),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(195),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(195),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(195),
    [sym__semicolon] = ACTIONS(195),
    [sym__raw_string_literal] = ACTIONS(195),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(195),
    [sym__external_close_brace] = ACTIONS(195),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [175] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_repeat] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_dots] = ACTIONS(201),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_return] = ACTIONS(201),
    [sym_next] = ACTIONS(201),
    [sym_break] = ACTIONS(201),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_inf] = ACTIONS(201),
    [sym_nan] = ACTIONS(201),
    [anon_sym_NA] = ACTIONS(201),
    [anon_sym_NA_integer_] = ACTIONS(201),
    [anon_sym_NA_real_] = ACTIONS(201),
    [anon_sym_NA_complex_] = ACTIONS(201),
    [anon_sym_NA_character_] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_close_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [176] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_while] = ACTIONS(205),
    [anon_sym_repeat] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(203),
    [sym__number_literal] = ACTIONS(205),
    [anon_sym_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [sym_dots] = ACTIONS(205),
    [sym_dot_dot_i] = ACTIONS(203),
    [sym_return] = ACTIONS(205),
    [sym_next] = ACTIONS(205),
    [sym_break] = ACTIONS(205),
    [sym_true] = ACTIONS(205),
    [sym_false] = ACTIONS(205),
    [sym_null] = ACTIONS(205),
    [sym_inf] = ACTIONS(205),
    [sym_nan] = ACTIONS(205),
    [anon_sym_NA] = ACTIONS(205),
    [anon_sym_NA_integer_] = ACTIONS(205),
    [anon_sym_NA_real_] = ACTIONS(205),
    [anon_sym_NA_complex_] = ACTIONS(205),
    [anon_sym_NA_character_] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [sym__raw_string_literal] = ACTIONS(203),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(203),
    [sym__external_close_brace] = ACTIONS(203),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [177] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(209),
    [anon_sym_BSLASH] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(209),
    [anon_sym_for] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_repeat] = ACTIONS(209),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(207),
    [sym__number_literal] = ACTIONS(209),
    [anon_sym_SQUOTE] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_dots] = ACTIONS(209),
    [sym_dot_dot_i] = ACTIONS(207),
    [sym_return] = ACTIONS(209),
    [sym_next] = ACTIONS(209),
    [sym_break] = ACTIONS(209),
    [sym_true] = ACTIONS(209),
    [sym_false] = ACTIONS(209),
    [sym_null] = ACTIONS(209),
    [sym_inf] = ACTIONS(209),
    [sym_nan] = ACTIONS(209),
    [anon_sym_NA] = ACTIONS(209),
    [anon_sym_NA_integer_] = ACTIONS(209),
    [anon_sym_NA_real_] = ACTIONS(209),
    [anon_sym_NA_complex_] = ACTIONS(209),
    [anon_sym_NA_character_] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [sym__raw_string_literal] = ACTIONS(207),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(207),
    [sym__external_close_brace] = ACTIONS(207),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [178] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(211),
    [anon_sym_function] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(213),
    [anon_sym_repeat] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(211),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(211),
    [sym__number_literal] = ACTIONS(213),
    [anon_sym_SQUOTE] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(211),
    [sym_dots] = ACTIONS(213),
    [sym_dot_dot_i] = ACTIONS(211),
    [sym_return] = ACTIONS(213),
    [sym_next] = ACTIONS(213),
    [sym_break] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_inf] = ACTIONS(213),
    [sym_nan] = ACTIONS(213),
    [anon_sym_NA] = ACTIONS(213),
    [anon_sym_NA_integer_] = ACTIONS(213),
    [anon_sym_NA_real_] = ACTIONS(213),
    [anon_sym_NA_complex_] = ACTIONS(213),
    [anon_sym_NA_character_] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(211),
    [sym__semicolon] = ACTIONS(211),
    [sym__raw_string_literal] = ACTIONS(211),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(211),
    [sym__external_close_brace] = ACTIONS(211),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [179] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(215),
    [anon_sym_function] = ACTIONS(217),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(217),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_repeat] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(215),
    [sym__number_literal] = ACTIONS(217),
    [anon_sym_SQUOTE] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_dots] = ACTIONS(217),
    [sym_dot_dot_i] = ACTIONS(215),
    [sym_return] = ACTIONS(217),
    [sym_next] = ACTIONS(217),
    [sym_break] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_inf] = ACTIONS(217),
    [sym_nan] = ACTIONS(217),
    [anon_sym_NA] = ACTIONS(217),
    [anon_sym_NA_integer_] = ACTIONS(217),
    [anon_sym_NA_real_] = ACTIONS(217),
    [anon_sym_NA_complex_] = ACTIONS(217),
    [anon_sym_NA_character_] = ACTIONS(217),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [sym__raw_string_literal] = ACTIONS(215),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(215),
    [sym__external_close_brace] = ACTIONS(215),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [180] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_BSLASH] = ACTIONS(219),
    [anon_sym_function] = ACTIONS(221),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(221),
    [anon_sym_repeat] = ACTIONS(221),
    [anon_sym_QMARK] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(219),
    [sym__number_literal] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_dots] = ACTIONS(221),
    [sym_dot_dot_i] = ACTIONS(219),
    [sym_return] = ACTIONS(221),
    [sym_next] = ACTIONS(221),
    [sym_break] = ACTIONS(221),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_null] = ACTIONS(221),
    [sym_inf] = ACTIONS(221),
    [sym_nan] = ACTIONS(221),
    [anon_sym_NA] = ACTIONS(221),
    [anon_sym_NA_integer_] = ACTIONS(221),
    [anon_sym_NA_real_] = ACTIONS(221),
    [anon_sym_NA_complex_] = ACTIONS(221),
    [anon_sym_NA_character_] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(219),
    [sym__semicolon] = ACTIONS(219),
    [sym__raw_string_literal] = ACTIONS(219),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(219),
    [sym__external_close_brace] = ACTIONS(219),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [181] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_BSLASH] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_repeat] = ACTIONS(143),
    [anon_sym_QMARK] = ACTIONS(145),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(145),
    [sym__number_literal] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(145),
    [sym_dots] = ACTIONS(143),
    [sym_dot_dot_i] = ACTIONS(145),
    [sym_return] = ACTIONS(143),
    [sym_next] = ACTIONS(143),
    [sym_break] = ACTIONS(143),
    [sym_true] = ACTIONS(143),
    [sym_false] = ACTIONS(143),
    [sym_null] = ACTIONS(143),
    [sym_inf] = ACTIONS(143),
    [sym_nan] = ACTIONS(143),
    [anon_sym_NA] = ACTIONS(143),
    [anon_sym_NA_integer_] = ACTIONS(143),
    [anon_sym_NA_real_] = ACTIONS(143),
    [anon_sym_NA_complex_] = ACTIONS(143),
    [anon_sym_NA_character_] = ACTIONS(143),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(145),
    [sym__semicolon] = ACTIONS(145),
    [sym__raw_string_literal] = ACTIONS(145),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(145),
    [sym__external_close_brace] = ACTIONS(145),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [182] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BSLASH] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(225),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(225),
    [anon_sym_while] = ACTIONS(225),
    [anon_sym_repeat] = ACTIONS(225),
    [anon_sym_QMARK] = ACTIONS(223),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(223),
    [sym__number_literal] = ACTIONS(225),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym_DQUOTE] = ACTIONS(223),
    [sym_dots] = ACTIONS(225),
    [sym_dot_dot_i] = ACTIONS(223),
    [sym_return] = ACTIONS(225),
    [sym_next] = ACTIONS(225),
    [sym_break] = ACTIONS(225),
    [sym_true] = ACTIONS(225),
    [sym_false] = ACTIONS(225),
    [sym_null] = ACTIONS(225),
    [sym_inf] = ACTIONS(225),
    [sym_nan] = ACTIONS(225),
    [anon_sym_NA] = ACTIONS(225),
    [anon_sym_NA_integer_] = ACTIONS(225),
    [anon_sym_NA_real_] = ACTIONS(225),
    [anon_sym_NA_complex_] = ACTIONS(225),
    [anon_sym_NA_character_] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(223),
    [sym__semicolon] = ACTIONS(223),
    [sym__raw_string_literal] = ACTIONS(223),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(223),
    [sym__external_close_brace] = ACTIONS(223),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [183] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_function] = ACTIONS(229),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(229),
    [anon_sym_while] = ACTIONS(229),
    [anon_sym_repeat] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(227),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(227),
    [sym__number_literal] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(227),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [sym_dots] = ACTIONS(229),
    [sym_dot_dot_i] = ACTIONS(227),
    [sym_return] = ACTIONS(229),
    [sym_next] = ACTIONS(229),
    [sym_break] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_inf] = ACTIONS(229),
    [sym_nan] = ACTIONS(229),
    [anon_sym_NA] = ACTIONS(229),
    [anon_sym_NA_integer_] = ACTIONS(229),
    [anon_sym_NA_real_] = ACTIONS(229),
    [anon_sym_NA_complex_] = ACTIONS(229),
    [anon_sym_NA_character_] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(227),
    [sym__semicolon] = ACTIONS(227),
    [sym__raw_string_literal] = ACTIONS(227),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(227),
    [sym__external_close_brace] = ACTIONS(227),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [184] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [185] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [186] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [187] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(237),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(237),
    [anon_sym_PIPE_GT] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [188] = {
    [sym_string] = STATE(371),
    [sym__single_quoted_string] = STATE(301),
    [sym__double_quoted_string] = STATE(302),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(371),
    [aux_sym_function_definition_repeat1] = STATE(194),
    [ts_builtin_sym_end] = ACTIONS(341),
    [sym_identifier] = ACTIONS(343),
    [anon_sym_BSLASH] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(341),
    [anon_sym_TILDE] = ACTIONS(341),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(341),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_DASH] = ACTIONS(341),
    [anon_sym_COLON_EQ] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(341),
    [anon_sym_AMP_AMP] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(341),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(341),
    [anon_sym_EQ_EQ] = ACTIONS(341),
    [anon_sym_BANG_EQ] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_CARET] = ACTIONS(341),
    [aux_sym_binary_operator_token1] = ACTIONS(341),
    [anon_sym_PIPE_GT] = ACTIONS(341),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(341),
    [anon_sym_AT] = ACTIONS(341),
    [sym__hex_literal] = ACTIONS(341),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_dots] = ACTIONS(343),
    [sym_dot_dot_i] = ACTIONS(351),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__semicolon] = ACTIONS(341),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(341),
    [sym__external_open_parenthesis] = ACTIONS(341),
    [sym__external_open_brace] = ACTIONS(341),
    [sym__external_open_bracket] = ACTIONS(341),
    [sym__external_open_bracket2] = ACTIONS(341),
  },
  [189] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(357),
    [anon_sym_BSLASH] = ACTIONS(359),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_repeat] = ACTIONS(357),
    [anon_sym_QMARK] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(359),
    [sym__number_literal] = ACTIONS(357),
    [anon_sym_SQUOTE] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_dots] = ACTIONS(357),
    [sym_dot_dot_i] = ACTIONS(359),
    [sym_return] = ACTIONS(357),
    [sym_next] = ACTIONS(357),
    [sym_break] = ACTIONS(357),
    [sym_true] = ACTIONS(357),
    [sym_false] = ACTIONS(357),
    [sym_null] = ACTIONS(357),
    [sym_inf] = ACTIONS(357),
    [sym_nan] = ACTIONS(357),
    [anon_sym_NA] = ACTIONS(357),
    [anon_sym_NA_integer_] = ACTIONS(357),
    [anon_sym_NA_real_] = ACTIONS(357),
    [anon_sym_NA_complex_] = ACTIONS(357),
    [anon_sym_NA_character_] = ACTIONS(357),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__semicolon] = ACTIONS(359),
    [sym__raw_string_literal] = ACTIONS(359),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(359),
    [sym__external_close_brace] = ACTIONS(359),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [190] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(237),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(237),
    [anon_sym_PIPE_GT] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [191] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(245),
    [sym_identifier] = ACTIONS(243),
    [anon_sym_BSLASH] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(243),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(243),
    [anon_sym_while] = ACTIONS(243),
    [anon_sym_repeat] = ACTIONS(243),
    [anon_sym_QMARK] = ACTIONS(245),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(245),
    [sym__number_literal] = ACTIONS(243),
    [anon_sym_SQUOTE] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_dots] = ACTIONS(243),
    [sym_dot_dot_i] = ACTIONS(245),
    [sym_return] = ACTIONS(243),
    [sym_next] = ACTIONS(243),
    [sym_break] = ACTIONS(243),
    [sym_true] = ACTIONS(243),
    [sym_false] = ACTIONS(243),
    [sym_null] = ACTIONS(243),
    [sym_inf] = ACTIONS(243),
    [sym_nan] = ACTIONS(243),
    [anon_sym_NA] = ACTIONS(243),
    [anon_sym_NA_integer_] = ACTIONS(243),
    [anon_sym_NA_real_] = ACTIONS(243),
    [anon_sym_NA_complex_] = ACTIONS(243),
    [anon_sym_NA_character_] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(245),
    [sym__semicolon] = ACTIONS(245),
    [sym__raw_string_literal] = ACTIONS(245),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(245),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [192] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [193] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [194] = {
    [sym_string] = STATE(341),
    [sym__single_quoted_string] = STATE(301),
    [sym__double_quoted_string] = STATE(302),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(341),
    [aux_sym_function_definition_repeat1] = STATE(316),
    [ts_builtin_sym_end] = ACTIONS(363),
    [sym_identifier] = ACTIONS(365),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_LT_DASH] = ACTIONS(363),
    [anon_sym_LT_LT_DASH] = ACTIONS(363),
    [anon_sym_COLON_EQ] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_DASH_GT_GT] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(367),
    [anon_sym_AMP] = ACTIONS(367),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT] = ACTIONS(367),
    [anon_sym_LT_EQ] = ACTIONS(363),
    [anon_sym_GT] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(367),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [aux_sym_binary_operator_token1] = ACTIONS(363),
    [anon_sym_PIPE_GT] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(363),
    [anon_sym_AT] = ACTIONS(363),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_dots] = ACTIONS(365),
    [sym_dot_dot_i] = ACTIONS(369),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(363),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(363),
    [sym__external_open_bracket2] = ACTIONS(363),
  },
  [195] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [196] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_BSLASH] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(149),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(149),
    [anon_sym_repeat] = ACTIONS(149),
    [anon_sym_QMARK] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(147),
    [anon_sym_DASH] = ACTIONS(149),
    [anon_sym_LT_DASH] = ACTIONS(147),
    [anon_sym_LT_LT_DASH] = ACTIONS(147),
    [anon_sym_COLON_EQ] = ACTIONS(147),
    [anon_sym_DASH_GT] = ACTIONS(149),
    [anon_sym_DASH_GT_GT] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_AMP] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_AMP_AMP] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(147),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(147),
    [anon_sym_PIPE_GT] = ACTIONS(147),
    [anon_sym_COLON] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(147),
    [sym__number_literal] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [sym_dots] = ACTIONS(149),
    [sym_dot_dot_i] = ACTIONS(147),
    [sym_return] = ACTIONS(149),
    [sym_next] = ACTIONS(149),
    [sym_break] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_null] = ACTIONS(149),
    [sym_inf] = ACTIONS(149),
    [sym_nan] = ACTIONS(149),
    [anon_sym_NA] = ACTIONS(149),
    [anon_sym_NA_integer_] = ACTIONS(149),
    [anon_sym_NA_real_] = ACTIONS(149),
    [anon_sym_NA_complex_] = ACTIONS(149),
    [anon_sym_NA_character_] = ACTIONS(149),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(147),
    [sym__semicolon] = ACTIONS(147),
    [sym__raw_string_literal] = ACTIONS(147),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(147),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [197] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [198] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [199] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [200] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [201] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [202] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [203] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [204] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [205] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [206] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [207] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [208] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_BSLASH] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_repeat] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(151),
    [anon_sym_LT_LT_DASH] = ACTIONS(151),
    [anon_sym_COLON_EQ] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(153),
    [anon_sym_DASH_GT_GT] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(151),
    [anon_sym_PIPE_GT] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(151),
    [sym__number_literal] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [sym_dots] = ACTIONS(153),
    [sym_dot_dot_i] = ACTIONS(151),
    [sym_return] = ACTIONS(153),
    [sym_next] = ACTIONS(153),
    [sym_break] = ACTIONS(153),
    [sym_true] = ACTIONS(153),
    [sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(153),
    [sym_inf] = ACTIONS(153),
    [sym_nan] = ACTIONS(153),
    [anon_sym_NA] = ACTIONS(153),
    [anon_sym_NA_integer_] = ACTIONS(153),
    [anon_sym_NA_real_] = ACTIONS(153),
    [anon_sym_NA_complex_] = ACTIONS(153),
    [anon_sym_NA_character_] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(151),
    [sym__semicolon] = ACTIONS(151),
    [sym__raw_string_literal] = ACTIONS(151),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(151),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [209] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_repeat] = ACTIONS(157),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(155),
    [sym__number_literal] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_dots] = ACTIONS(157),
    [sym_dot_dot_i] = ACTIONS(155),
    [sym_return] = ACTIONS(157),
    [sym_next] = ACTIONS(157),
    [sym_break] = ACTIONS(157),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_inf] = ACTIONS(157),
    [sym_nan] = ACTIONS(157),
    [anon_sym_NA] = ACTIONS(157),
    [anon_sym_NA_integer_] = ACTIONS(157),
    [anon_sym_NA_real_] = ACTIONS(157),
    [anon_sym_NA_complex_] = ACTIONS(157),
    [anon_sym_NA_character_] = ACTIONS(157),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(155),
    [sym__semicolon] = ACTIONS(155),
    [sym__raw_string_literal] = ACTIONS(155),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(155),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [210] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_identifier] = ACTIONS(161),
    [anon_sym_BSLASH] = ACTIONS(159),
    [anon_sym_function] = ACTIONS(161),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_repeat] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(159),
    [sym__number_literal] = ACTIONS(161),
    [anon_sym_SQUOTE] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(159),
    [sym_dots] = ACTIONS(161),
    [sym_dot_dot_i] = ACTIONS(159),
    [sym_return] = ACTIONS(161),
    [sym_next] = ACTIONS(161),
    [sym_break] = ACTIONS(161),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [sym_null] = ACTIONS(161),
    [sym_inf] = ACTIONS(161),
    [sym_nan] = ACTIONS(161),
    [anon_sym_NA] = ACTIONS(161),
    [anon_sym_NA_integer_] = ACTIONS(161),
    [anon_sym_NA_real_] = ACTIONS(161),
    [anon_sym_NA_complex_] = ACTIONS(161),
    [anon_sym_NA_character_] = ACTIONS(161),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(159),
    [sym__semicolon] = ACTIONS(159),
    [sym__raw_string_literal] = ACTIONS(159),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(159),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [211] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [212] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [213] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [214] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [215] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [216] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [217] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [218] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [219] = {
    [sym_string] = STATE(334),
    [sym__single_quoted_string] = STATE(294),
    [sym__double_quoted_string] = STATE(295),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(334),
    [aux_sym_function_definition_repeat1] = STATE(227),
    [sym_identifier] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(341),
    [anon_sym_TILDE] = ACTIONS(341),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(341),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_DASH] = ACTIONS(341),
    [anon_sym_COLON_EQ] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(341),
    [anon_sym_AMP_AMP] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(341),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(341),
    [anon_sym_EQ_EQ] = ACTIONS(341),
    [anon_sym_BANG_EQ] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_CARET] = ACTIONS(341),
    [aux_sym_binary_operator_token1] = ACTIONS(341),
    [anon_sym_PIPE_GT] = ACTIONS(341),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(341),
    [anon_sym_AT] = ACTIONS(341),
    [sym__hex_literal] = ACTIONS(341),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_dots] = ACTIONS(371),
    [sym_dot_dot_i] = ACTIONS(377),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__semicolon] = ACTIONS(341),
    [sym__raw_string_literal] = ACTIONS(381),
    [sym__external_else] = ACTIONS(341),
    [sym__external_open_parenthesis] = ACTIONS(341),
    [sym__external_open_brace] = ACTIONS(341),
    [sym__external_close_brace] = ACTIONS(341),
    [sym__external_open_bracket] = ACTIONS(341),
    [sym__external_open_bracket2] = ACTIONS(341),
  },
  [220] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [221] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [222] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [223] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [224] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(165),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(165),
    [anon_sym_repeat] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(163),
    [anon_sym_LT_LT_DASH] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_DASH_GT_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(163),
    [anon_sym_PIPE_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(163),
    [sym__number_literal] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_dots] = ACTIONS(165),
    [sym_dot_dot_i] = ACTIONS(163),
    [sym_return] = ACTIONS(165),
    [sym_next] = ACTIONS(165),
    [sym_break] = ACTIONS(165),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_null] = ACTIONS(165),
    [sym_inf] = ACTIONS(165),
    [sym_nan] = ACTIONS(165),
    [anon_sym_NA] = ACTIONS(165),
    [anon_sym_NA_integer_] = ACTIONS(165),
    [anon_sym_NA_real_] = ACTIONS(165),
    [anon_sym_NA_complex_] = ACTIONS(165),
    [anon_sym_NA_character_] = ACTIONS(165),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__semicolon] = ACTIONS(163),
    [sym__raw_string_literal] = ACTIONS(163),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(163),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [225] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_BSLASH] = ACTIONS(167),
    [anon_sym_function] = ACTIONS(169),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_repeat] = ACTIONS(169),
    [anon_sym_QMARK] = ACTIONS(167),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(167),
    [sym__number_literal] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(167),
    [sym_dots] = ACTIONS(169),
    [sym_dot_dot_i] = ACTIONS(167),
    [sym_return] = ACTIONS(169),
    [sym_next] = ACTIONS(169),
    [sym_break] = ACTIONS(169),
    [sym_true] = ACTIONS(169),
    [sym_false] = ACTIONS(169),
    [sym_null] = ACTIONS(169),
    [sym_inf] = ACTIONS(169),
    [sym_nan] = ACTIONS(169),
    [anon_sym_NA] = ACTIONS(169),
    [anon_sym_NA_integer_] = ACTIONS(169),
    [anon_sym_NA_real_] = ACTIONS(169),
    [anon_sym_NA_complex_] = ACTIONS(169),
    [anon_sym_NA_character_] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(167),
    [sym__semicolon] = ACTIONS(167),
    [sym__raw_string_literal] = ACTIONS(167),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(167),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [226] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym_identifier] = ACTIONS(173),
    [anon_sym_BSLASH] = ACTIONS(171),
    [anon_sym_function] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_while] = ACTIONS(173),
    [anon_sym_repeat] = ACTIONS(173),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(171),
    [sym__number_literal] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [sym_dots] = ACTIONS(173),
    [sym_dot_dot_i] = ACTIONS(171),
    [sym_return] = ACTIONS(173),
    [sym_next] = ACTIONS(173),
    [sym_break] = ACTIONS(173),
    [sym_true] = ACTIONS(173),
    [sym_false] = ACTIONS(173),
    [sym_null] = ACTIONS(173),
    [sym_inf] = ACTIONS(173),
    [sym_nan] = ACTIONS(173),
    [anon_sym_NA] = ACTIONS(173),
    [anon_sym_NA_integer_] = ACTIONS(173),
    [anon_sym_NA_real_] = ACTIONS(173),
    [anon_sym_NA_complex_] = ACTIONS(173),
    [anon_sym_NA_character_] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(171),
    [sym__semicolon] = ACTIONS(171),
    [sym__raw_string_literal] = ACTIONS(171),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(171),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [227] = {
    [sym_string] = STATE(349),
    [sym__single_quoted_string] = STATE(294),
    [sym__double_quoted_string] = STATE(295),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(349),
    [aux_sym_function_definition_repeat1] = STATE(322),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_LT_DASH] = ACTIONS(363),
    [anon_sym_LT_LT_DASH] = ACTIONS(363),
    [anon_sym_COLON_EQ] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_DASH_GT_GT] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(367),
    [anon_sym_AMP] = ACTIONS(367),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT] = ACTIONS(367),
    [anon_sym_LT_EQ] = ACTIONS(363),
    [anon_sym_GT] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(367),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [aux_sym_binary_operator_token1] = ACTIONS(363),
    [anon_sym_PIPE_GT] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(363),
    [anon_sym_AT] = ACTIONS(363),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_dots] = ACTIONS(383),
    [sym_dot_dot_i] = ACTIONS(385),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(381),
    [sym__external_else] = ACTIONS(363),
    [sym__external_open_parenthesis] = ACTIONS(363),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_close_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(363),
    [sym__external_open_bracket2] = ACTIONS(363),
  },
  [228] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(175),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BSLASH] = ACTIONS(175),
    [anon_sym_function] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(177),
    [anon_sym_repeat] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(175),
    [sym__number_literal] = ACTIONS(177),
    [anon_sym_SQUOTE] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_dots] = ACTIONS(177),
    [sym_dot_dot_i] = ACTIONS(175),
    [sym_return] = ACTIONS(177),
    [sym_next] = ACTIONS(177),
    [sym_break] = ACTIONS(177),
    [sym_true] = ACTIONS(177),
    [sym_false] = ACTIONS(177),
    [sym_null] = ACTIONS(177),
    [sym_inf] = ACTIONS(177),
    [sym_nan] = ACTIONS(177),
    [anon_sym_NA] = ACTIONS(177),
    [anon_sym_NA_integer_] = ACTIONS(177),
    [anon_sym_NA_real_] = ACTIONS(177),
    [anon_sym_NA_complex_] = ACTIONS(177),
    [anon_sym_NA_character_] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(175),
    [sym__semicolon] = ACTIONS(175),
    [sym__raw_string_literal] = ACTIONS(175),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(175),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [229] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_BSLASH] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_repeat] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(179),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(181),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(179),
    [sym__number_literal] = ACTIONS(181),
    [anon_sym_SQUOTE] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(179),
    [sym_dots] = ACTIONS(181),
    [sym_dot_dot_i] = ACTIONS(179),
    [sym_return] = ACTIONS(181),
    [sym_next] = ACTIONS(181),
    [sym_break] = ACTIONS(181),
    [sym_true] = ACTIONS(181),
    [sym_false] = ACTIONS(181),
    [sym_null] = ACTIONS(181),
    [sym_inf] = ACTIONS(181),
    [sym_nan] = ACTIONS(181),
    [anon_sym_NA] = ACTIONS(181),
    [anon_sym_NA_integer_] = ACTIONS(181),
    [anon_sym_NA_real_] = ACTIONS(181),
    [anon_sym_NA_complex_] = ACTIONS(181),
    [anon_sym_NA_character_] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(179),
    [sym__semicolon] = ACTIONS(179),
    [sym__raw_string_literal] = ACTIONS(179),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(179),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [230] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(183),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_BSLASH] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(185),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(185),
    [anon_sym_while] = ACTIONS(185),
    [anon_sym_repeat] = ACTIONS(185),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(183),
    [sym__number_literal] = ACTIONS(185),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_DQUOTE] = ACTIONS(183),
    [sym_dots] = ACTIONS(185),
    [sym_dot_dot_i] = ACTIONS(183),
    [sym_return] = ACTIONS(185),
    [sym_next] = ACTIONS(185),
    [sym_break] = ACTIONS(185),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_inf] = ACTIONS(185),
    [sym_nan] = ACTIONS(185),
    [anon_sym_NA] = ACTIONS(185),
    [anon_sym_NA_integer_] = ACTIONS(185),
    [anon_sym_NA_real_] = ACTIONS(185),
    [anon_sym_NA_complex_] = ACTIONS(185),
    [anon_sym_NA_character_] = ACTIONS(185),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(183),
    [sym__semicolon] = ACTIONS(183),
    [sym__raw_string_literal] = ACTIONS(183),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(183),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [231] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(187),
    [sym_identifier] = ACTIONS(189),
    [anon_sym_BSLASH] = ACTIONS(187),
    [anon_sym_function] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_while] = ACTIONS(189),
    [anon_sym_repeat] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(189),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(187),
    [sym__number_literal] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(187),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [sym_dots] = ACTIONS(189),
    [sym_dot_dot_i] = ACTIONS(187),
    [sym_return] = ACTIONS(189),
    [sym_next] = ACTIONS(189),
    [sym_break] = ACTIONS(189),
    [sym_true] = ACTIONS(189),
    [sym_false] = ACTIONS(189),
    [sym_null] = ACTIONS(189),
    [sym_inf] = ACTIONS(189),
    [sym_nan] = ACTIONS(189),
    [anon_sym_NA] = ACTIONS(189),
    [anon_sym_NA_integer_] = ACTIONS(189),
    [anon_sym_NA_real_] = ACTIONS(189),
    [anon_sym_NA_complex_] = ACTIONS(189),
    [anon_sym_NA_character_] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(187),
    [sym__semicolon] = ACTIONS(187),
    [sym__raw_string_literal] = ACTIONS(187),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(187),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [232] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(191),
    [sym_identifier] = ACTIONS(193),
    [anon_sym_BSLASH] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(193),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_for] = ACTIONS(193),
    [anon_sym_while] = ACTIONS(193),
    [anon_sym_repeat] = ACTIONS(193),
    [anon_sym_QMARK] = ACTIONS(191),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(191),
    [sym__number_literal] = ACTIONS(193),
    [anon_sym_SQUOTE] = ACTIONS(191),
    [anon_sym_DQUOTE] = ACTIONS(191),
    [sym_dots] = ACTIONS(193),
    [sym_dot_dot_i] = ACTIONS(191),
    [sym_return] = ACTIONS(193),
    [sym_next] = ACTIONS(193),
    [sym_break] = ACTIONS(193),
    [sym_true] = ACTIONS(193),
    [sym_false] = ACTIONS(193),
    [sym_null] = ACTIONS(193),
    [sym_inf] = ACTIONS(193),
    [sym_nan] = ACTIONS(193),
    [anon_sym_NA] = ACTIONS(193),
    [anon_sym_NA_integer_] = ACTIONS(193),
    [anon_sym_NA_real_] = ACTIONS(193),
    [anon_sym_NA_complex_] = ACTIONS(193),
    [anon_sym_NA_character_] = ACTIONS(193),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(191),
    [sym__semicolon] = ACTIONS(191),
    [sym__raw_string_literal] = ACTIONS(191),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(191),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [233] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(195),
    [sym_identifier] = ACTIONS(197),
    [anon_sym_BSLASH] = ACTIONS(195),
    [anon_sym_function] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_for] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_repeat] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(195),
    [sym__number_literal] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(195),
    [sym_dots] = ACTIONS(197),
    [sym_dot_dot_i] = ACTIONS(195),
    [sym_return] = ACTIONS(197),
    [sym_next] = ACTIONS(197),
    [sym_break] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_inf] = ACTIONS(197),
    [sym_nan] = ACTIONS(197),
    [anon_sym_NA] = ACTIONS(197),
    [anon_sym_NA_integer_] = ACTIONS(197),
    [anon_sym_NA_real_] = ACTIONS(197),
    [anon_sym_NA_complex_] = ACTIONS(197),
    [anon_sym_NA_character_] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(195),
    [sym__semicolon] = ACTIONS(195),
    [sym__raw_string_literal] = ACTIONS(195),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(195),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [234] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(199),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_BSLASH] = ACTIONS(199),
    [anon_sym_function] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_repeat] = ACTIONS(201),
    [anon_sym_QMARK] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(199),
    [sym__number_literal] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [sym_dots] = ACTIONS(201),
    [sym_dot_dot_i] = ACTIONS(199),
    [sym_return] = ACTIONS(201),
    [sym_next] = ACTIONS(201),
    [sym_break] = ACTIONS(201),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_inf] = ACTIONS(201),
    [sym_nan] = ACTIONS(201),
    [anon_sym_NA] = ACTIONS(201),
    [anon_sym_NA_integer_] = ACTIONS(201),
    [anon_sym_NA_real_] = ACTIONS(201),
    [anon_sym_NA_complex_] = ACTIONS(201),
    [anon_sym_NA_character_] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(199),
    [sym__semicolon] = ACTIONS(199),
    [sym__raw_string_literal] = ACTIONS(199),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(199),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [235] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(203),
    [sym_identifier] = ACTIONS(205),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_while] = ACTIONS(205),
    [anon_sym_repeat] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(203),
    [sym__number_literal] = ACTIONS(205),
    [anon_sym_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [sym_dots] = ACTIONS(205),
    [sym_dot_dot_i] = ACTIONS(203),
    [sym_return] = ACTIONS(205),
    [sym_next] = ACTIONS(205),
    [sym_break] = ACTIONS(205),
    [sym_true] = ACTIONS(205),
    [sym_false] = ACTIONS(205),
    [sym_null] = ACTIONS(205),
    [sym_inf] = ACTIONS(205),
    [sym_nan] = ACTIONS(205),
    [anon_sym_NA] = ACTIONS(205),
    [anon_sym_NA_integer_] = ACTIONS(205),
    [anon_sym_NA_real_] = ACTIONS(205),
    [anon_sym_NA_complex_] = ACTIONS(205),
    [anon_sym_NA_character_] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [sym__raw_string_literal] = ACTIONS(203),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(203),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [236] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(207),
    [sym_identifier] = ACTIONS(209),
    [anon_sym_BSLASH] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(209),
    [anon_sym_for] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_repeat] = ACTIONS(209),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(207),
    [sym__number_literal] = ACTIONS(209),
    [anon_sym_SQUOTE] = ACTIONS(207),
    [anon_sym_DQUOTE] = ACTIONS(207),
    [sym_dots] = ACTIONS(209),
    [sym_dot_dot_i] = ACTIONS(207),
    [sym_return] = ACTIONS(209),
    [sym_next] = ACTIONS(209),
    [sym_break] = ACTIONS(209),
    [sym_true] = ACTIONS(209),
    [sym_false] = ACTIONS(209),
    [sym_null] = ACTIONS(209),
    [sym_inf] = ACTIONS(209),
    [sym_nan] = ACTIONS(209),
    [anon_sym_NA] = ACTIONS(209),
    [anon_sym_NA_integer_] = ACTIONS(209),
    [anon_sym_NA_real_] = ACTIONS(209),
    [anon_sym_NA_complex_] = ACTIONS(209),
    [anon_sym_NA_character_] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [sym__raw_string_literal] = ACTIONS(207),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(207),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [237] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym_identifier] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(211),
    [anon_sym_function] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(213),
    [anon_sym_repeat] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(211),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(211),
    [sym__number_literal] = ACTIONS(213),
    [anon_sym_SQUOTE] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(211),
    [sym_dots] = ACTIONS(213),
    [sym_dot_dot_i] = ACTIONS(211),
    [sym_return] = ACTIONS(213),
    [sym_next] = ACTIONS(213),
    [sym_break] = ACTIONS(213),
    [sym_true] = ACTIONS(213),
    [sym_false] = ACTIONS(213),
    [sym_null] = ACTIONS(213),
    [sym_inf] = ACTIONS(213),
    [sym_nan] = ACTIONS(213),
    [anon_sym_NA] = ACTIONS(213),
    [anon_sym_NA_integer_] = ACTIONS(213),
    [anon_sym_NA_real_] = ACTIONS(213),
    [anon_sym_NA_complex_] = ACTIONS(213),
    [anon_sym_NA_character_] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(211),
    [sym__semicolon] = ACTIONS(211),
    [sym__raw_string_literal] = ACTIONS(211),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(211),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [238] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(215),
    [sym_identifier] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(215),
    [anon_sym_function] = ACTIONS(217),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(217),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_repeat] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(215),
    [sym__number_literal] = ACTIONS(217),
    [anon_sym_SQUOTE] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_dots] = ACTIONS(217),
    [sym_dot_dot_i] = ACTIONS(215),
    [sym_return] = ACTIONS(217),
    [sym_next] = ACTIONS(217),
    [sym_break] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_null] = ACTIONS(217),
    [sym_inf] = ACTIONS(217),
    [sym_nan] = ACTIONS(217),
    [anon_sym_NA] = ACTIONS(217),
    [anon_sym_NA_integer_] = ACTIONS(217),
    [anon_sym_NA_real_] = ACTIONS(217),
    [anon_sym_NA_complex_] = ACTIONS(217),
    [anon_sym_NA_character_] = ACTIONS(217),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [sym__raw_string_literal] = ACTIONS(215),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(215),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [239] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(219),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_BSLASH] = ACTIONS(219),
    [anon_sym_function] = ACTIONS(221),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(221),
    [anon_sym_repeat] = ACTIONS(221),
    [anon_sym_QMARK] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(219),
    [sym__number_literal] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_dots] = ACTIONS(221),
    [sym_dot_dot_i] = ACTIONS(219),
    [sym_return] = ACTIONS(221),
    [sym_next] = ACTIONS(221),
    [sym_break] = ACTIONS(221),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_null] = ACTIONS(221),
    [sym_inf] = ACTIONS(221),
    [sym_nan] = ACTIONS(221),
    [anon_sym_NA] = ACTIONS(221),
    [anon_sym_NA_integer_] = ACTIONS(221),
    [anon_sym_NA_real_] = ACTIONS(221),
    [anon_sym_NA_complex_] = ACTIONS(221),
    [anon_sym_NA_character_] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(219),
    [sym__semicolon] = ACTIONS(219),
    [sym__raw_string_literal] = ACTIONS(219),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(219),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [240] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_BSLASH] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_repeat] = ACTIONS(143),
    [anon_sym_QMARK] = ACTIONS(145),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(145),
    [sym__number_literal] = ACTIONS(143),
    [anon_sym_SQUOTE] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(145),
    [sym_dots] = ACTIONS(143),
    [sym_dot_dot_i] = ACTIONS(145),
    [sym_return] = ACTIONS(143),
    [sym_next] = ACTIONS(143),
    [sym_break] = ACTIONS(143),
    [sym_true] = ACTIONS(143),
    [sym_false] = ACTIONS(143),
    [sym_null] = ACTIONS(143),
    [sym_inf] = ACTIONS(143),
    [sym_nan] = ACTIONS(143),
    [anon_sym_NA] = ACTIONS(143),
    [anon_sym_NA_integer_] = ACTIONS(143),
    [anon_sym_NA_real_] = ACTIONS(143),
    [anon_sym_NA_complex_] = ACTIONS(143),
    [anon_sym_NA_character_] = ACTIONS(143),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(145),
    [sym__semicolon] = ACTIONS(145),
    [sym__raw_string_literal] = ACTIONS(145),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(145),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [241] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(223),
    [sym_identifier] = ACTIONS(225),
    [anon_sym_BSLASH] = ACTIONS(223),
    [anon_sym_function] = ACTIONS(225),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(225),
    [anon_sym_while] = ACTIONS(225),
    [anon_sym_repeat] = ACTIONS(225),
    [anon_sym_QMARK] = ACTIONS(223),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(223),
    [sym__number_literal] = ACTIONS(225),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym_DQUOTE] = ACTIONS(223),
    [sym_dots] = ACTIONS(225),
    [sym_dot_dot_i] = ACTIONS(223),
    [sym_return] = ACTIONS(225),
    [sym_next] = ACTIONS(225),
    [sym_break] = ACTIONS(225),
    [sym_true] = ACTIONS(225),
    [sym_false] = ACTIONS(225),
    [sym_null] = ACTIONS(225),
    [sym_inf] = ACTIONS(225),
    [sym_nan] = ACTIONS(225),
    [anon_sym_NA] = ACTIONS(225),
    [anon_sym_NA_integer_] = ACTIONS(225),
    [anon_sym_NA_real_] = ACTIONS(225),
    [anon_sym_NA_complex_] = ACTIONS(225),
    [anon_sym_NA_character_] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(223),
    [sym__semicolon] = ACTIONS(223),
    [sym__raw_string_literal] = ACTIONS(223),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(223),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [242] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(227),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_BSLASH] = ACTIONS(227),
    [anon_sym_function] = ACTIONS(229),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(229),
    [anon_sym_while] = ACTIONS(229),
    [anon_sym_repeat] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(227),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(227),
    [sym__number_literal] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(227),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [sym_dots] = ACTIONS(229),
    [sym_dot_dot_i] = ACTIONS(227),
    [sym_return] = ACTIONS(229),
    [sym_next] = ACTIONS(229),
    [sym_break] = ACTIONS(229),
    [sym_true] = ACTIONS(229),
    [sym_false] = ACTIONS(229),
    [sym_null] = ACTIONS(229),
    [sym_inf] = ACTIONS(229),
    [sym_nan] = ACTIONS(229),
    [anon_sym_NA] = ACTIONS(229),
    [anon_sym_NA_integer_] = ACTIONS(229),
    [anon_sym_NA_real_] = ACTIONS(229),
    [anon_sym_NA_complex_] = ACTIONS(229),
    [anon_sym_NA_character_] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(227),
    [sym__semicolon] = ACTIONS(227),
    [sym__raw_string_literal] = ACTIONS(227),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(227),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [243] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_BSLASH] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(231),
    [anon_sym_repeat] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(233),
    [sym__number_literal] = ACTIONS(231),
    [anon_sym_SQUOTE] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(233),
    [sym_dots] = ACTIONS(231),
    [sym_dot_dot_i] = ACTIONS(233),
    [sym_return] = ACTIONS(231),
    [sym_next] = ACTIONS(231),
    [sym_break] = ACTIONS(231),
    [sym_true] = ACTIONS(231),
    [sym_false] = ACTIONS(231),
    [sym_null] = ACTIONS(231),
    [sym_inf] = ACTIONS(231),
    [sym_nan] = ACTIONS(231),
    [anon_sym_NA] = ACTIONS(231),
    [anon_sym_NA_integer_] = ACTIONS(231),
    [anon_sym_NA_real_] = ACTIONS(231),
    [anon_sym_NA_complex_] = ACTIONS(231),
    [anon_sym_NA_character_] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(233),
    [sym__semicolon] = ACTIONS(233),
    [sym__raw_string_literal] = ACTIONS(233),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(233),
    [sym__external_close_brace] = ACTIONS(233),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [244] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(277),
    [anon_sym_LT_LT_DASH] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(277),
    [anon_sym_DASH_GT] = ACTIONS(279),
    [anon_sym_DASH_GT_GT] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [245] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(285),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [246] = {
    [sym_call_arguments] = STATE(417),
    [sym_subset_arguments] = STATE(439),
    [sym_subset2_arguments] = STATE(426),
    [sym__open_parenthesis] = STATE(259),
    [sym__open_bracket] = STATE(260),
    [sym__open_bracket2] = STATE(261),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_BSLASH] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_EQ] = ACTIONS(235),
    [anon_sym_if] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(235),
    [anon_sym_while] = ACTIONS(235),
    [anon_sym_repeat] = ACTIONS(235),
    [anon_sym_QMARK] = ACTIONS(237),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_LT_DASH] = ACTIONS(237),
    [anon_sym_LT_LT_DASH] = ACTIONS(237),
    [anon_sym_COLON_EQ] = ACTIONS(237),
    [anon_sym_DASH_GT] = ACTIONS(235),
    [anon_sym_DASH_GT_GT] = ACTIONS(237),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(237),
    [anon_sym_AMP_AMP] = ACTIONS(237),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_LT_EQ] = ACTIONS(293),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_GT_EQ] = ACTIONS(293),
    [anon_sym_EQ_EQ] = ACTIONS(293),
    [anon_sym_BANG_EQ] = ACTIONS(293),
    [anon_sym_STAR] = ACTIONS(295),
    [anon_sym_SLASH] = ACTIONS(297),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_CARET] = ACTIONS(299),
    [aux_sym_binary_operator_token1] = ACTIONS(301),
    [anon_sym_PIPE_GT] = ACTIONS(301),
    [anon_sym_COLON] = ACTIONS(303),
    [anon_sym_DOLLAR] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [sym__hex_literal] = ACTIONS(237),
    [sym__number_literal] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [sym_dots] = ACTIONS(235),
    [sym_dot_dot_i] = ACTIONS(237),
    [sym_return] = ACTIONS(235),
    [sym_next] = ACTIONS(235),
    [sym_break] = ACTIONS(235),
    [sym_true] = ACTIONS(235),
    [sym_false] = ACTIONS(235),
    [sym_null] = ACTIONS(235),
    [sym_inf] = ACTIONS(235),
    [sym_nan] = ACTIONS(235),
    [anon_sym_NA] = ACTIONS(235),
    [anon_sym_NA_integer_] = ACTIONS(235),
    [anon_sym_NA_real_] = ACTIONS(235),
    [anon_sym_NA_complex_] = ACTIONS(235),
    [anon_sym_NA_character_] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(237),
    [sym__raw_string_literal] = ACTIONS(237),
    [sym__external_open_parenthesis] = ACTIONS(307),
    [sym__external_open_brace] = ACTIONS(237),
    [sym__external_close_brace] = ACTIONS(237),
    [sym__external_open_bracket] = ACTIONS(309),
    [sym__external_open_bracket2] = ACTIONS(311),
  },
  [247] = {
    [sym_call_arguments] = STATE(440),
    [sym_subset_arguments] = STATE(403),
    [sym_subset2_arguments] = STATE(410),
    [sym__open_parenthesis] = STATE(283),
    [sym__open_bracket] = STATE(249),
    [sym__open_bracket2] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(241),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_BSLASH] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_for] = ACTIONS(239),
    [anon_sym_while] = ACTIONS(239),
    [anon_sym_repeat] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(249),
    [anon_sym_LT_DASH] = ACTIONS(323),
    [anon_sym_LT_LT_DASH] = ACTIONS(323),
    [anon_sym_COLON_EQ] = ACTIONS(323),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_DASH_GT_GT] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(333),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_LT_EQ] = ACTIONS(339),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_GT_EQ] = ACTIONS(339),
    [anon_sym_EQ_EQ] = ACTIONS(339),
    [anon_sym_BANG_EQ] = ACTIONS(339),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(255),
    [anon_sym_CARET] = ACTIONS(255),
    [aux_sym_binary_operator_token1] = ACTIONS(257),
    [anon_sym_PIPE_GT] = ACTIONS(257),
    [anon_sym_COLON] = ACTIONS(259),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [sym__hex_literal] = ACTIONS(241),
    [sym__number_literal] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [sym_dots] = ACTIONS(239),
    [sym_dot_dot_i] = ACTIONS(241),
    [sym_return] = ACTIONS(239),
    [sym_next] = ACTIONS(239),
    [sym_break] = ACTIONS(239),
    [sym_true] = ACTIONS(239),
    [sym_false] = ACTIONS(239),
    [sym_null] = ACTIONS(239),
    [sym_inf] = ACTIONS(239),
    [sym_nan] = ACTIONS(239),
    [anon_sym_NA] = ACTIONS(239),
    [anon_sym_NA_integer_] = ACTIONS(239),
    [anon_sym_NA_real_] = ACTIONS(239),
    [anon_sym_NA_complex_] = ACTIONS(239),
    [anon_sym_NA_character_] = ACTIONS(239),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(241),
    [sym__semicolon] = ACTIONS(241),
    [sym__raw_string_literal] = ACTIONS(241),
    [sym__external_open_parenthesis] = ACTIONS(263),
    [sym__external_open_brace] = ACTIONS(241),
    [sym__external_open_bracket] = ACTIONS(265),
    [sym__external_open_bracket2] = ACTIONS(267),
  },
  [248] = {
    [sym_string] = STATE(333),
    [sym__single_quoted_string] = STATE(294),
    [sym__double_quoted_string] = STATE(295),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(333),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(389),
    [anon_sym_function] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(391),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_repeat] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_LT_DASH] = ACTIONS(389),
    [anon_sym_LT_LT_DASH] = ACTIONS(389),
    [anon_sym_COLON_EQ] = ACTIONS(389),
    [anon_sym_DASH_GT] = ACTIONS(391),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_PIPE] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_AMP_AMP] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(391),
    [anon_sym_LT_EQ] = ACTIONS(389),
    [anon_sym_GT] = ACTIONS(391),
    [anon_sym_GT_EQ] = ACTIONS(389),
    [anon_sym_EQ_EQ] = ACTIONS(389),
    [anon_sym_BANG_EQ] = ACTIONS(389),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_SLASH] = ACTIONS(389),
    [anon_sym_STAR_STAR] = ACTIONS(389),
    [anon_sym_CARET] = ACTIONS(389),
    [aux_sym_binary_operator_token1] = ACTIONS(389),
    [anon_sym_PIPE_GT] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(389),
    [sym__hex_literal] = ACTIONS(389),
    [sym__number_literal] = ACTIONS(391),
    [anon_sym_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE] = ACTIONS(375),
    [sym_dots] = ACTIONS(387),
    [sym_dot_dot_i] = ACTIONS(393),
    [sym_return] = ACTIONS(391),
    [sym_next] = ACTIONS(391),
    [sym_break] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_null] = ACTIONS(391),
    [sym_inf] = ACTIONS(391),
    [sym_nan] = ACTIONS(391),
    [anon_sym_NA] = ACTIONS(391),
    [anon_sym_NA_integer_] = ACTIONS(391),
    [anon_sym_NA_real_] = ACTIONS(391),
    [anon_sym_NA_complex_] = ACTIONS(391),
    [anon_sym_NA_character_] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__semicolon] = ACTIONS(389),
    [sym__raw_string_literal] = ACTIONS(381),
    [sym__external_else] = ACTIONS(389),
    [sym__external_open_parenthesis] = ACTIONS(389),
    [sym__external_open_brace] = ACTIONS(389),
    [sym__external_close_brace] = ACTIONS(389),
    [sym__external_open_bracket] = ACTIONS(389),
    [sym__external_open_bracket2] = ACTIONS(389),
  },
  [249] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1816),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(411),
    [aux_sym_call_arguments_repeat1] = STATE(1811),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(439),
  },
  [250] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1821),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(412),
    [aux_sym_call_arguments_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(485),
  },
  [251] = {
    [sym_string] = STATE(401),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(401),
    [aux_sym_function_definition_repeat1] = STATE(386),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_LT_DASH] = ACTIONS(363),
    [anon_sym_LT_LT_DASH] = ACTIONS(363),
    [anon_sym_COLON_EQ] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_DASH_GT_GT] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(367),
    [anon_sym_AMP] = ACTIONS(367),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT] = ACTIONS(367),
    [anon_sym_LT_EQ] = ACTIONS(363),
    [anon_sym_GT] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(367),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [aux_sym_binary_operator_token1] = ACTIONS(363),
    [anon_sym_PIPE_GT] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(363),
    [anon_sym_AT] = ACTIONS(363),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(487),
    [sym_dot_dot_i] = ACTIONS(493),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(363),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_close_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(363),
    [sym__external_open_bracket2] = ACTIONS(363),
  },
  [252] = {
    [sym_string] = STATE(441),
    [sym__single_quoted_string] = STATE(325),
    [sym__double_quoted_string] = STATE(326),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(441),
    [aux_sym_function_definition_repeat1] = STATE(390),
    [ts_builtin_sym_end] = ACTIONS(363),
    [sym_identifier] = ACTIONS(497),
    [anon_sym_BSLASH] = ACTIONS(363),
    [anon_sym_function] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(367),
    [anon_sym_repeat] = ACTIONS(367),
    [anon_sym_QMARK] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(363),
    [anon_sym_BANG] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_LT_DASH] = ACTIONS(363),
    [anon_sym_LT_LT_DASH] = ACTIONS(363),
    [anon_sym_COLON_EQ] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_DASH_GT_GT] = ACTIONS(363),
    [anon_sym_PIPE] = ACTIONS(367),
    [anon_sym_AMP] = ACTIONS(367),
    [anon_sym_PIPE_PIPE] = ACTIONS(363),
    [anon_sym_AMP_AMP] = ACTIONS(363),
    [anon_sym_LT] = ACTIONS(367),
    [anon_sym_LT_EQ] = ACTIONS(363),
    [anon_sym_GT] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(363),
    [anon_sym_EQ_EQ] = ACTIONS(363),
    [anon_sym_BANG_EQ] = ACTIONS(363),
    [anon_sym_STAR] = ACTIONS(367),
    [anon_sym_SLASH] = ACTIONS(363),
    [anon_sym_STAR_STAR] = ACTIONS(363),
    [anon_sym_CARET] = ACTIONS(363),
    [aux_sym_binary_operator_token1] = ACTIONS(363),
    [anon_sym_PIPE_GT] = ACTIONS(363),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(363),
    [anon_sym_AT] = ACTIONS(363),
    [sym__hex_literal] = ACTIONS(363),
    [sym__number_literal] = ACTIONS(367),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_dots] = ACTIONS(497),
    [sym_dot_dot_i] = ACTIONS(503),
    [sym_return] = ACTIONS(367),
    [sym_next] = ACTIONS(367),
    [sym_break] = ACTIONS(367),
    [sym_true] = ACTIONS(367),
    [sym_false] = ACTIONS(367),
    [sym_null] = ACTIONS(367),
    [sym_inf] = ACTIONS(367),
    [sym_nan] = ACTIONS(367),
    [anon_sym_NA] = ACTIONS(367),
    [anon_sym_NA_integer_] = ACTIONS(367),
    [anon_sym_NA_real_] = ACTIONS(367),
    [anon_sym_NA_complex_] = ACTIONS(367),
    [anon_sym_NA_character_] = ACTIONS(367),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [sym__raw_string_literal] = ACTIONS(505),
    [sym__external_open_parenthesis] = ACTIONS(363),
    [sym__external_open_brace] = ACTIONS(363),
    [sym__external_open_bracket] = ACTIONS(363),
    [sym__external_open_bracket2] = ACTIONS(363),
  },
  [253] = {
    [sym_string] = STATE(367),
    [sym__single_quoted_string] = STATE(301),
    [sym__double_quoted_string] = STATE(302),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(389),
    [sym_identifier] = ACTIONS(507),
    [anon_sym_BSLASH] = ACTIONS(389),
    [anon_sym_function] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(391),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_repeat] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_LT_DASH] = ACTIONS(389),
    [anon_sym_LT_LT_DASH] = ACTIONS(389),
    [anon_sym_COLON_EQ] = ACTIONS(389),
    [anon_sym_DASH_GT] = ACTIONS(391),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_PIPE] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_AMP_AMP] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(391),
    [anon_sym_LT_EQ] = ACTIONS(389),
    [anon_sym_GT] = ACTIONS(391),
    [anon_sym_GT_EQ] = ACTIONS(389),
    [anon_sym_EQ_EQ] = ACTIONS(389),
    [anon_sym_BANG_EQ] = ACTIONS(389),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_SLASH] = ACTIONS(389),
    [anon_sym_STAR_STAR] = ACTIONS(389),
    [anon_sym_CARET] = ACTIONS(389),
    [aux_sym_binary_operator_token1] = ACTIONS(389),
    [anon_sym_PIPE_GT] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(389),
    [sym__hex_literal] = ACTIONS(389),
    [sym__number_literal] = ACTIONS(391),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_dots] = ACTIONS(507),
    [sym_dot_dot_i] = ACTIONS(509),
    [sym_return] = ACTIONS(391),
    [sym_next] = ACTIONS(391),
    [sym_break] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_null] = ACTIONS(391),
    [sym_inf] = ACTIONS(391),
    [sym_nan] = ACTIONS(391),
    [anon_sym_NA] = ACTIONS(391),
    [anon_sym_NA_integer_] = ACTIONS(391),
    [anon_sym_NA_real_] = ACTIONS(391),
    [anon_sym_NA_complex_] = ACTIONS(391),
    [anon_sym_NA_character_] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__semicolon] = ACTIONS(389),
    [sym__raw_string_literal] = ACTIONS(355),
    [sym__external_else] = ACTIONS(389),
    [sym__external_open_parenthesis] = ACTIONS(389),
    [sym__external_open_brace] = ACTIONS(389),
    [sym__external_open_bracket] = ACTIONS(389),
    [sym__external_open_bracket2] = ACTIONS(389),
  },
  [254] = {
    [sym_string] = STATE(406),
    [sym__single_quoted_string] = STATE(325),
    [sym__double_quoted_string] = STATE(326),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(406),
    [aux_sym_function_definition_repeat1] = STATE(252),
    [ts_builtin_sym_end] = ACTIONS(341),
    [sym_identifier] = ACTIONS(511),
    [anon_sym_BSLASH] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(341),
    [anon_sym_TILDE] = ACTIONS(341),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(341),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_DASH] = ACTIONS(341),
    [anon_sym_COLON_EQ] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(341),
    [anon_sym_AMP_AMP] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(341),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(341),
    [anon_sym_EQ_EQ] = ACTIONS(341),
    [anon_sym_BANG_EQ] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_CARET] = ACTIONS(341),
    [aux_sym_binary_operator_token1] = ACTIONS(341),
    [anon_sym_PIPE_GT] = ACTIONS(341),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(341),
    [anon_sym_AT] = ACTIONS(341),
    [sym__hex_literal] = ACTIONS(341),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_dots] = ACTIONS(511),
    [sym_dot_dot_i] = ACTIONS(513),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(515),
    [sym__semicolon] = ACTIONS(341),
    [sym__raw_string_literal] = ACTIONS(505),
    [sym__external_open_parenthesis] = ACTIONS(341),
    [sym__external_open_brace] = ACTIONS(341),
    [sym__external_open_bracket] = ACTIONS(341),
    [sym__external_open_bracket2] = ACTIONS(341),
  },
  [255] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1903),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(1743),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1905),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(559),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [256] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1860),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(1746),
    [aux_sym_call_arguments_repeat1] = STATE(1863),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(563),
  },
  [257] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1865),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(1749),
    [aux_sym_call_arguments_repeat1] = STATE(1874),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(565),
  },
  [258] = {
    [sym_string] = STATE(399),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(399),
    [aux_sym_function_definition_repeat1] = STATE(251),
    [sym_identifier] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(341),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(345),
    [anon_sym_while] = ACTIONS(345),
    [anon_sym_repeat] = ACTIONS(345),
    [anon_sym_QMARK] = ACTIONS(341),
    [anon_sym_TILDE] = ACTIONS(341),
    [anon_sym_BANG] = ACTIONS(345),
    [anon_sym_PLUS] = ACTIONS(341),
    [anon_sym_DASH] = ACTIONS(345),
    [anon_sym_LT_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_DASH] = ACTIONS(341),
    [anon_sym_COLON_EQ] = ACTIONS(341),
    [anon_sym_DASH_GT] = ACTIONS(345),
    [anon_sym_DASH_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_PIPE_PIPE] = ACTIONS(341),
    [anon_sym_AMP_AMP] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(345),
    [anon_sym_LT_EQ] = ACTIONS(341),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_GT_EQ] = ACTIONS(341),
    [anon_sym_EQ_EQ] = ACTIONS(341),
    [anon_sym_BANG_EQ] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(345),
    [anon_sym_SLASH] = ACTIONS(341),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_CARET] = ACTIONS(341),
    [aux_sym_binary_operator_token1] = ACTIONS(341),
    [anon_sym_PIPE_GT] = ACTIONS(341),
    [anon_sym_COLON] = ACTIONS(345),
    [anon_sym_DOLLAR] = ACTIONS(341),
    [anon_sym_AT] = ACTIONS(341),
    [sym__hex_literal] = ACTIONS(341),
    [sym__number_literal] = ACTIONS(345),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(567),
    [sym_dot_dot_i] = ACTIONS(569),
    [sym_return] = ACTIONS(345),
    [sym_next] = ACTIONS(345),
    [sym_break] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_null] = ACTIONS(345),
    [sym_inf] = ACTIONS(345),
    [sym_nan] = ACTIONS(345),
    [anon_sym_NA] = ACTIONS(345),
    [anon_sym_NA_integer_] = ACTIONS(345),
    [anon_sym_NA_real_] = ACTIONS(345),
    [anon_sym_NA_complex_] = ACTIONS(345),
    [anon_sym_NA_character_] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(571),
    [sym__semicolon] = ACTIONS(341),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(341),
    [sym__external_open_brace] = ACTIONS(341),
    [sym__external_close_brace] = ACTIONS(341),
    [sym__external_open_bracket] = ACTIONS(341),
    [sym__external_open_bracket2] = ACTIONS(341),
  },
  [259] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1917),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(428),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1923),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(573),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [260] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1893),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(434),
    [aux_sym_call_arguments_repeat1] = STATE(1920),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(575),
  },
  [261] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1888),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(400),
    [aux_sym_call_arguments_repeat1] = STATE(1822),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(577),
  },
  [262] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1852),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(1768),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1855),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(579),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [263] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1930),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(1775),
    [aux_sym_call_arguments_repeat1] = STATE(1946),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(581),
  },
  [264] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1952),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(1779),
    [aux_sym_call_arguments_repeat1] = STATE(1963),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(583),
  },
  [265] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1899),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(1736),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1906),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(585),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [266] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1831),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(1737),
    [aux_sym_call_arguments_repeat1] = STATE(1832),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(587),
  },
  [267] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1841),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(1781),
    [aux_sym_call_arguments_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(589),
  },
  [268] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1805),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(379),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1806),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(591),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [269] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1901),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(382),
    [aux_sym_call_arguments_repeat1] = STATE(1916),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(593),
  },
  [270] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1833),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(383),
    [aux_sym_call_arguments_repeat1] = STATE(1882),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(595),
  },
  [271] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1825),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(1665),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(597),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [272] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1919),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(1666),
    [aux_sym_call_arguments_repeat1] = STATE(1921),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(599),
  },
  [273] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1932),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(1667),
    [aux_sym_call_arguments_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(601),
  },
  [274] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1843),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(335),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1844),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(603),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [275] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1910),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(336),
    [aux_sym_call_arguments_repeat1] = STATE(1913),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(605),
  },
  [276] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1914),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(337),
    [aux_sym_call_arguments_repeat1] = STATE(1915),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(607),
  },
  [277] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1858),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(1701),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(609),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [278] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1902),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(1702),
    [aux_sym_call_arguments_repeat1] = STATE(2017),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(611),
  },
  [279] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1909),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(1705),
    [aux_sym_call_arguments_repeat1] = STATE(1959),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(613),
  },
  [280] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1878),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(1658),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1879),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(615),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [281] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(1866),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym__close_bracket] = STATE(1659),
    [aux_sym_call_arguments_repeat1] = STATE(1870),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(431),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(617),
  },
  [282] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(1871),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym__close_bracket2] = STATE(1660),
    [aux_sym_call_arguments_repeat1] = STATE(1889),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(477),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(619),
  },
  [283] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(1895),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__close_parenthesis] = STATE(409),
    [sym__open_brace] = STATE(370),
    [aux_sym_call_arguments_repeat1] = STATE(1867),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(553),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(621),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [284] = {
    [sym_string] = STATE(447),
    [sym__single_quoted_string] = STATE(325),
    [sym__double_quoted_string] = STATE(326),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(389),
    [sym_identifier] = ACTIONS(623),
    [anon_sym_BSLASH] = ACTIONS(389),
    [anon_sym_function] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(391),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_repeat] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_LT_DASH] = ACTIONS(389),
    [anon_sym_LT_LT_DASH] = ACTIONS(389),
    [anon_sym_COLON_EQ] = ACTIONS(389),
    [anon_sym_DASH_GT] = ACTIONS(391),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_PIPE] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_AMP_AMP] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(391),
    [anon_sym_LT_EQ] = ACTIONS(389),
    [anon_sym_GT] = ACTIONS(391),
    [anon_sym_GT_EQ] = ACTIONS(389),
    [anon_sym_EQ_EQ] = ACTIONS(389),
    [anon_sym_BANG_EQ] = ACTIONS(389),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_SLASH] = ACTIONS(389),
    [anon_sym_STAR_STAR] = ACTIONS(389),
    [anon_sym_CARET] = ACTIONS(389),
    [aux_sym_binary_operator_token1] = ACTIONS(389),
    [anon_sym_PIPE_GT] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(389),
    [sym__hex_literal] = ACTIONS(389),
    [sym__number_literal] = ACTIONS(391),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_dots] = ACTIONS(623),
    [sym_dot_dot_i] = ACTIONS(625),
    [sym_return] = ACTIONS(391),
    [sym_next] = ACTIONS(391),
    [sym_break] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_null] = ACTIONS(391),
    [sym_inf] = ACTIONS(391),
    [sym_nan] = ACTIONS(391),
    [anon_sym_NA] = ACTIONS(391),
    [anon_sym_NA_integer_] = ACTIONS(391),
    [anon_sym_NA_real_] = ACTIONS(391),
    [anon_sym_NA_complex_] = ACTIONS(391),
    [anon_sym_NA_character_] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__semicolon] = ACTIONS(389),
    [sym__raw_string_literal] = ACTIONS(505),
    [sym__external_open_parenthesis] = ACTIONS(389),
    [sym__external_open_brace] = ACTIONS(389),
    [sym__external_open_bracket] = ACTIONS(389),
    [sym__external_open_bracket2] = ACTIONS(389),
  },
  [285] = {
    [sym_string] = STATE(404),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(404),
    [sym_identifier] = ACTIONS(627),
    [anon_sym_BSLASH] = ACTIONS(389),
    [anon_sym_function] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(391),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_repeat] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(389),
    [anon_sym_TILDE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_LT_DASH] = ACTIONS(389),
    [anon_sym_LT_LT_DASH] = ACTIONS(389),
    [anon_sym_COLON_EQ] = ACTIONS(389),
    [anon_sym_DASH_GT] = ACTIONS(391),
    [anon_sym_DASH_GT_GT] = ACTIONS(389),
    [anon_sym_PIPE] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_AMP_AMP] = ACTIONS(389),
    [anon_sym_LT] = ACTIONS(391),
    [anon_sym_LT_EQ] = ACTIONS(389),
    [anon_sym_GT] = ACTIONS(391),
    [anon_sym_GT_EQ] = ACTIONS(389),
    [anon_sym_EQ_EQ] = ACTIONS(389),
    [anon_sym_BANG_EQ] = ACTIONS(389),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_SLASH] = ACTIONS(389),
    [anon_sym_STAR_STAR] = ACTIONS(389),
    [anon_sym_CARET] = ACTIONS(389),
    [aux_sym_binary_operator_token1] = ACTIONS(389),
    [anon_sym_PIPE_GT] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(389),
    [anon_sym_AT] = ACTIONS(389),
    [sym__hex_literal] = ACTIONS(389),
    [sym__number_literal] = ACTIONS(391),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(627),
    [sym_dot_dot_i] = ACTIONS(629),
    [sym_return] = ACTIONS(391),
    [sym_next] = ACTIONS(391),
    [sym_break] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_null] = ACTIONS(391),
    [sym_inf] = ACTIONS(391),
    [sym_nan] = ACTIONS(391),
    [anon_sym_NA] = ACTIONS(391),
    [anon_sym_NA_integer_] = ACTIONS(391),
    [anon_sym_NA_real_] = ACTIONS(391),
    [anon_sym_NA_complex_] = ACTIONS(391),
    [anon_sym_NA_character_] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__semicolon] = ACTIONS(389),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(389),
    [sym__external_open_brace] = ACTIONS(389),
    [sym__external_close_brace] = ACTIONS(389),
    [sym__external_open_bracket] = ACTIONS(389),
    [sym__external_open_bracket2] = ACTIONS(389),
  },
  [286] = {
    [sym_function_definition] = STATE(1518),
    [sym_if_statement] = STATE(1518),
    [sym_for_statement] = STATE(1518),
    [sym_while_statement] = STATE(1518),
    [sym_repeat_statement] = STATE(1518),
    [sym_braced_expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_subset] = STATE(1518),
    [sym_subset2] = STATE(1518),
    [sym_argument] = STATE(2045),
    [sym__argument_named] = STATE(2039),
    [sym__argument_unnamed] = STATE(2047),
    [sym__argument_value] = STATE(2053),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_extract_operator] = STATE(1518),
    [sym_namespace_operator] = STATE(1518),
    [sym_integer] = STATE(1518),
    [sym_complex] = STATE(1518),
    [sym_float] = STATE(1518),
    [sym__float_literal] = STATE(1605),
    [sym_string] = STATE(1620),
    [sym__single_quoted_string] = STATE(1631),
    [sym__double_quoted_string] = STATE(1604),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2048),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2069),
    [sym_na] = STATE(1518),
    [sym__expression] = STATE(1518),
    [sym__open_parenthesis] = STATE(1066),
    [sym__open_brace] = STATE(373),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_BSLASH] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(405),
    [anon_sym_repeat] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_BANG] = ACTIONS(413),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_DASH] = ACTIONS(415),
    [sym__hex_literal] = ACTIONS(417),
    [sym__number_literal] = ACTIONS(419),
    [anon_sym_SQUOTE] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_dots] = ACTIONS(395),
    [sym_dot_dot_i] = ACTIONS(425),
    [sym_return] = ACTIONS(427),
    [sym_next] = ACTIONS(427),
    [sym_break] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_null] = ACTIONS(427),
    [sym_inf] = ACTIONS(427),
    [sym_nan] = ACTIONS(427),
    [anon_sym_NA] = ACTIONS(429),
    [anon_sym_NA_integer_] = ACTIONS(429),
    [anon_sym_NA_real_] = ACTIONS(429),
    [anon_sym_NA_complex_] = ACTIONS(429),
    [anon_sym_NA_character_] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(631),
    [sym__raw_string_literal] = ACTIONS(433),
    [sym__external_open_parenthesis] = ACTIONS(435),
    [sym__external_open_brace] = ACTIONS(437),
    [sym__external_close_bracket] = ACTIONS(631),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(633),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_function] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_if] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_repeat] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(633),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(633),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_LT_DASH] = ACTIONS(633),
    [anon_sym_LT_LT_DASH] = ACTIONS(633),
    [anon_sym_COLON_EQ] = ACTIONS(633),
    [anon_sym_DASH_GT] = ACTIONS(635),
    [anon_sym_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(635),
    [anon_sym_PIPE_PIPE] = ACTIONS(633),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(635),
    [anon_sym_LT_EQ] = ACTIONS(633),
    [anon_sym_GT] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(633),
    [anon_sym_EQ_EQ] = ACTIONS(633),
    [anon_sym_BANG_EQ] = ACTIONS(633),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(633),
    [anon_sym_CARET] = ACTIONS(633),
    [aux_sym_binary_operator_token1] = ACTIONS(633),
    [anon_sym_PIPE_GT] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_DOLLAR] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(633),
    [sym__hex_literal] = ACTIONS(633),
    [sym__number_literal] = ACTIONS(635),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [sym_dots] = ACTIONS(635),
    [sym_dot_dot_i] = ACTIONS(633),
    [sym_return] = ACTIONS(635),
    [sym_next] = ACTIONS(635),
    [sym_break] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym_null] = ACTIONS(635),
    [sym_inf] = ACTIONS(635),
    [sym_nan] = ACTIONS(635),
    [anon_sym_NA] = ACTIONS(635),
    [anon_sym_NA_integer_] = ACTIONS(635),
    [anon_sym_NA_real_] = ACTIONS(635),
    [anon_sym_NA_complex_] = ACTIONS(635),
    [anon_sym_NA_character_] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym__semicolon] = ACTIONS(633),
    [sym__raw_string_literal] = ACTIONS(633),
    [sym__external_else] = ACTIONS(633),
    [sym__external_open_parenthesis] = ACTIONS(633),
    [sym__external_open_brace] = ACTIONS(633),
    [sym__external_open_bracket] = ACTIONS(633),
    [sym__external_open_bracket2] = ACTIONS(633),
  },
  [288] = {
    [sym_function_definition] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_repeat_statement] = STATE(1537),
    [sym_braced_expression] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_subset] = STATE(1537),
    [sym_subset2] = STATE(1537),
    [sym_argument] = STATE(2031),
    [sym__argument_named] = STATE(2036),
    [sym__argument_unnamed] = STATE(2033),
    [sym__argument_value] = STATE(2035),
    [sym_unary_operator] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_extract_operator] = STATE(1537),
    [sym_namespace_operator] = STATE(1537),
    [sym_integer] = STATE(1537),
    [sym_complex] = STATE(1537),
    [sym_float] = STATE(1537),
    [sym__float_literal] = STATE(1632),
    [sym_string] = STATE(1614),
    [sym__single_quoted_string] = STATE(1633),
    [sym__double_quoted_string] = STATE(1634),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2046),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2076),
    [sym_na] = STATE(1537),
    [sym__expression] = STATE(1537),
    [sym__open_parenthesis] = STATE(1071),
    [sym__open_brace] = STATE(376),
    [sym_identifier] = ACTIONS(441),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(451),
    [anon_sym_repeat] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [sym__hex_literal] = ACTIONS(463),
    [sym__number_literal] = ACTIONS(465),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_dots] = ACTIONS(441),
    [sym_dot_dot_i] = ACTIONS(471),
    [sym_return] = ACTIONS(473),
    [sym_next] = ACTIONS(473),
    [sym_break] = ACTIONS(473),
    [sym_true] = ACTIONS(473),
    [sym_false] = ACTIONS(473),
    [sym_null] = ACTIONS(473),
    [sym_inf] = ACTIONS(473),
    [sym_nan] = ACTIONS(473),
    [anon_sym_NA] = ACTIONS(475),
    [anon_sym_NA_integer_] = ACTIONS(475),
    [anon_sym_NA_real_] = ACTIONS(475),
    [anon_sym_NA_complex_] = ACTIONS(475),
    [anon_sym_NA_character_] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(631),
    [sym__raw_string_literal] = ACTIONS(479),
    [sym__external_open_parenthesis] = ACTIONS(481),
    [sym__external_open_brace] = ACTIONS(483),
    [sym__external_close_bracket2] = ACTIONS(631),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(637),
    [sym_identifier] = ACTIONS(639),
    [anon_sym_BSLASH] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(639),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_repeat] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_TILDE] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_LT_LT_DASH] = ACTIONS(637),
    [anon_sym_COLON_EQ] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(639),
    [anon_sym_DASH_GT_GT] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(637),
    [anon_sym_AMP_AMP] = ACTIONS(637),
    [anon_sym_LT] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [aux_sym_binary_operator_token1] = ACTIONS(637),
    [anon_sym_PIPE_GT] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(637),
    [sym__hex_literal] = ACTIONS(637),
    [sym__number_literal] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_dots] = ACTIONS(639),
    [sym_dot_dot_i] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(639),
    [anon_sym_NA_integer_] = ACTIONS(639),
    [anon_sym_NA_real_] = ACTIONS(639),
    [anon_sym_NA_complex_] = ACTIONS(639),
    [anon_sym_NA_character_] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym__semicolon] = ACTIONS(637),
    [sym__raw_string_literal] = ACTIONS(637),
    [sym__external_else] = ACTIONS(637),
    [sym__external_open_parenthesis] = ACTIONS(637),
    [sym__external_open_brace] = ACTIONS(637),
    [sym__external_open_bracket] = ACTIONS(637),
    [sym__external_open_bracket2] = ACTIONS(637),
  },
  [290] = {
    [sym_function_definition] = STATE(1371),
    [sym_if_statement] = STATE(1371),
    [sym_for_statement] = STATE(1371),
    [sym_while_statement] = STATE(1371),
    [sym_repeat_statement] = STATE(1371),
    [sym_braced_expression] = STATE(1371),
    [sym_parenthesized_expression] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_subset] = STATE(1371),
    [sym_subset2] = STATE(1371),
    [sym_argument] = STATE(2030),
    [sym__argument_named] = STATE(2040),
    [sym__argument_unnamed] = STATE(2028),
    [sym__argument_value] = STATE(2042),
    [sym_unary_operator] = STATE(1371),
    [sym_binary_operator] = STATE(1371),
    [sym_extract_operator] = STATE(1371),
    [sym_namespace_operator] = STATE(1371),
    [sym_integer] = STATE(1371),
    [sym_complex] = STATE(1371),
    [sym_float] = STATE(1371),
    [sym__float_literal] = STATE(1629),
    [sym_string] = STATE(1624),
    [sym__single_quoted_string] = STATE(1618),
    [sym__double_quoted_string] = STATE(1621),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2054),
    [sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i] = STATE(2065),
    [sym_na] = STATE(1371),
    [sym__expression] = STATE(1371),
    [sym__open_parenthesis] = STATE(1057),
    [sym__open_brace] = STATE(370),
    [sym_identifier] = ACTIONS(517),
    [anon_sym_BSLASH] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_for] = ACTIONS(525),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_repeat] = ACTIONS(529),
    [anon_sym_QMARK] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [sym__hex_literal] = ACTIONS(539),
    [sym__number_literal] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(545),
    [sym_dots] = ACTIONS(517),
    [sym_dot_dot_i] = ACTIONS(547),
    [sym_return] = ACTIONS(549),
    [sym_next] = ACTIONS(549),
    [sym_break] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_null] = ACTIONS(549),
    [sym_inf] = ACTIONS(549),
    [sym_nan] = ACTIONS(549),
    [anon_sym_NA] = ACTIONS(551),
    [anon_sym_NA_integer_] = ACTIONS(551),
    [anon_sym_NA_real_] = ACTIONS(551),
    [anon_sym_NA_complex_] = ACTIONS(551),
    [anon_sym_NA_character_] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [sym_comma] = ACTIONS(631),
    [sym__raw_string_literal] = ACTIONS(555),
    [sym__external_open_parenthesis] = ACTIONS(557),
    [sym__external_close_parenthesis] = ACTIONS(631),
    [sym__external_open_brace] = ACTIONS(561),
  },
  [291] = {
    [sym_identifier] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_while] = ACTIONS(641),
    [anon_sym_repeat] = ACTIONS(641),
    [anon_sym_QMARK] = ACTIONS(643),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_LT_DASH] = ACTIONS(643),
    [anon_sym_LT_LT_DASH] = ACTIONS(643),
    [anon_sym_COLON_EQ] = ACTIONS(643),
    [anon_sym_DASH_GT] = ACTIONS(641),
    [anon_sym_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_PIPE_PIPE] = ACTIONS(643),
    [anon_sym_AMP_AMP] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(643),
    [anon_sym_STAR_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [aux_sym_binary_operator_token1] = ACTIONS(643),
    [anon_sym_PIPE_GT] = ACTIONS(643),
    [anon_sym_COLON] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(641),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(643),
    [sym__hex_literal] = ACTIONS(643),
    [sym__number_literal] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(643),
    [sym_dots] = ACTIONS(641),
    [sym_dot_dot_i] = ACTIONS(643),
    [sym_return] = ACTIONS(641),
    [sym_next] = ACTIONS(641),
    [sym_break] = ACTIONS(641),
    [sym_true] = ACTIONS(641),
    [sym_false] = ACTIONS(641),
    [sym_null] = ACTIONS(641),
    [sym_inf] = ACTIONS(641),
    [sym_nan] = ACTIONS(641),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym__semicolon] = ACTIONS(643),
    [sym__raw_string_literal] = ACTIONS(643),
    [sym__external_else] = ACTIONS(643),
    [sym__external_open_parenthesis] = ACTIONS(643),
    [sym__external_open_brace] = ACTIONS(643),
    [sym__external_close_brace] = ACTIONS(643),
    [sym__external_open_bracket] = ACTIONS(643),
    [sym__external_open_bracket2] = ACTIONS(643),
  },
  [292] = {
    [sym_identifier] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_function] = ACTIONS(645),
    [anon_sym_EQ] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(645),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_repeat] = ACTIONS(645),
    [anon_sym_QMARK] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [anon_sym_LT_LT_DASH] = ACTIONS(647),
    [anon_sym_COLON_EQ] = ACTIONS(647),
    [anon_sym_DASH_GT] = ACTIONS(645),
    [anon_sym_DASH_GT_GT] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(647),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_STAR_STAR] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(647),
    [aux_sym_binary_operator_token1] = ACTIONS(647),
    [anon_sym_PIPE_GT] = ACTIONS(647),
    [anon_sym_COLON] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_COLON_COLON] = ACTIONS(649),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(651),
    [sym__hex_literal] = ACTIONS(647),
    [sym__number_literal] = ACTIONS(645),
    [anon_sym_SQUOTE] = ACTIONS(647),
    [anon_sym_DQUOTE] = ACTIONS(647),
    [sym_dots] = ACTIONS(645),
    [sym_dot_dot_i] = ACTIONS(647),
    [sym_return] = ACTIONS(645),
    [sym_next] = ACTIONS(645),
    [sym_break] = ACTIONS(645),
    [sym_true] = ACTIONS(645),
    [sym_false] = ACTIONS(645),
    [sym_null] = ACTIONS(645),
    [sym_inf] = ACTIONS(645),
    [sym_nan] = ACTIONS(645),
    [anon_sym_NA] = ACTIONS(645),
    [anon_sym_NA_integer_] = ACTIONS(645),
    [anon_sym_NA_real_] = ACTIONS(645),
    [anon_sym_NA_complex_] = ACTIONS(645),
    [anon_sym_NA_character_] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym__semicolon] = ACTIONS(647),
    [sym__raw_string_literal] = ACTIONS(647),
    [sym__external_else] = ACTIONS(647),
    [sym__external_open_parenthesis] = ACTIONS(647),
    [sym__external_open_brace] = ACTIONS(647),
    [sym__external_close_brace] = ACTIONS(647),
    [sym__external_open_bracket] = ACTIONS(647),
    [sym__external_open_bracket2] = ACTIONS(647),
  },
  [293] = {
    [sym_identifier] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(653),
    [anon_sym_EQ] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(653),
    [anon_sym_for] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(653),
    [anon_sym_repeat] = ACTIONS(653),
    [anon_sym_QMARK] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_LT_DASH] = ACTIONS(655),
    [anon_sym_LT_LT_DASH] = ACTIONS(655),
    [anon_sym_COLON_EQ] = ACTIONS(655),
    [anon_sym_DASH_GT] = ACTIONS(653),
    [anon_sym_DASH_GT_GT] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(655),
    [anon_sym_AMP_AMP] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(655),
    [aux_sym_binary_operator_token1] = ACTIONS(655),
    [anon_sym_PIPE_GT] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(653),
    [anon_sym_DOLLAR] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_L] = ACTIONS(657),
    [anon_sym_i] = ACTIONS(659),
    [sym__hex_literal] = ACTIONS(655),
    [sym__number_literal] = ACTIONS(653),
    [anon_sym_SQUOTE] = ACTIONS(655),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [sym_dots] = ACTIONS(653),
    [sym_dot_dot_i] = ACTIONS(655),
    [sym_return] = ACTIONS(653),
    [sym_next] = ACTIONS(653),
    [sym_break] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_null] = ACTIONS(653),
    [sym_inf] = ACTIONS(653),
    [sym_nan] = ACTIONS(653),
    [anon_sym_NA] = ACTIONS(653),
    [anon_sym_NA_integer_] = ACTIONS(653),
    [anon_sym_NA_real_] = ACTIONS(653),
    [anon_sym_NA_complex_] = ACTIONS(653),
    [anon_sym_NA_character_] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(655),
    [sym__semicolon] = ACTIONS(655),
    [sym__raw_string_literal] = ACTIONS(655),
    [sym__external_else] = ACTIONS(655),
    [sym__external_open_parenthesis] = ACTIONS(655),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_brace] = ACTIONS(655),
    [sym__external_open_bracket] = ACTIONS(655),
    [sym__external_open_bracket2] = ACTIONS(655),
  },
  [294] = {
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_else] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_close_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [295] = {
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_else] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_close_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(643),
    [sym_identifier] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_while] = ACTIONS(641),
    [anon_sym_repeat] = ACTIONS(641),
    [anon_sym_QMARK] = ACTIONS(643),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_LT_DASH] = ACTIONS(643),
    [anon_sym_LT_LT_DASH] = ACTIONS(643),
    [anon_sym_COLON_EQ] = ACTIONS(643),
    [anon_sym_DASH_GT] = ACTIONS(641),
    [anon_sym_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_PIPE_PIPE] = ACTIONS(643),
    [anon_sym_AMP_AMP] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(643),
    [anon_sym_STAR_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [aux_sym_binary_operator_token1] = ACTIONS(643),
    [anon_sym_PIPE_GT] = ACTIONS(643),
    [anon_sym_COLON] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(641),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(643),
    [sym__hex_literal] = ACTIONS(643),
    [sym__number_literal] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(643),
    [sym_dots] = ACTIONS(641),
    [sym_dot_dot_i] = ACTIONS(643),
    [sym_return] = ACTIONS(641),
    [sym_next] = ACTIONS(641),
    [sym_break] = ACTIONS(641),
    [sym_true] = ACTIONS(641),
    [sym_false] = ACTIONS(641),
    [sym_null] = ACTIONS(641),
    [sym_inf] = ACTIONS(641),
    [sym_nan] = ACTIONS(641),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym__semicolon] = ACTIONS(643),
    [sym__raw_string_literal] = ACTIONS(643),
    [sym__external_else] = ACTIONS(643),
    [sym__external_open_parenthesis] = ACTIONS(643),
    [sym__external_open_brace] = ACTIONS(643),
    [sym__external_open_bracket] = ACTIONS(643),
    [sym__external_open_bracket2] = ACTIONS(643),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(647),
    [sym_identifier] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_function] = ACTIONS(645),
    [anon_sym_EQ] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(645),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_repeat] = ACTIONS(645),
    [anon_sym_QMARK] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [anon_sym_LT_LT_DASH] = ACTIONS(647),
    [anon_sym_COLON_EQ] = ACTIONS(647),
    [anon_sym_DASH_GT] = ACTIONS(645),
    [anon_sym_DASH_GT_GT] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(647),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_STAR_STAR] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(647),
    [aux_sym_binary_operator_token1] = ACTIONS(647),
    [anon_sym_PIPE_GT] = ACTIONS(647),
    [anon_sym_COLON] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_COLON_COLON] = ACTIONS(649),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(651),
    [sym__hex_literal] = ACTIONS(647),
    [sym__number_literal] = ACTIONS(645),
    [anon_sym_SQUOTE] = ACTIONS(647),
    [anon_sym_DQUOTE] = ACTIONS(647),
    [sym_dots] = ACTIONS(645),
    [sym_dot_dot_i] = ACTIONS(647),
    [sym_return] = ACTIONS(645),
    [sym_next] = ACTIONS(645),
    [sym_break] = ACTIONS(645),
    [sym_true] = ACTIONS(645),
    [sym_false] = ACTIONS(645),
    [sym_null] = ACTIONS(645),
    [sym_inf] = ACTIONS(645),
    [sym_nan] = ACTIONS(645),
    [anon_sym_NA] = ACTIONS(645),
    [anon_sym_NA_integer_] = ACTIONS(645),
    [anon_sym_NA_real_] = ACTIONS(645),
    [anon_sym_NA_complex_] = ACTIONS(645),
    [anon_sym_NA_character_] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym__semicolon] = ACTIONS(647),
    [sym__raw_string_literal] = ACTIONS(647),
    [sym__external_else] = ACTIONS(647),
    [sym__external_open_parenthesis] = ACTIONS(647),
    [sym__external_open_brace] = ACTIONS(647),
    [sym__external_open_bracket] = ACTIONS(647),
    [sym__external_open_bracket2] = ACTIONS(647),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(655),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(653),
    [anon_sym_EQ] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(653),
    [anon_sym_for] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(653),
    [anon_sym_repeat] = ACTIONS(653),
    [anon_sym_QMARK] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_LT_DASH] = ACTIONS(655),
    [anon_sym_LT_LT_DASH] = ACTIONS(655),
    [anon_sym_COLON_EQ] = ACTIONS(655),
    [anon_sym_DASH_GT] = ACTIONS(653),
    [anon_sym_DASH_GT_GT] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(655),
    [anon_sym_AMP_AMP] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(655),
    [aux_sym_binary_operator_token1] = ACTIONS(655),
    [anon_sym_PIPE_GT] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(653),
    [anon_sym_DOLLAR] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_L] = ACTIONS(665),
    [anon_sym_i] = ACTIONS(667),
    [sym__hex_literal] = ACTIONS(655),
    [sym__number_literal] = ACTIONS(653),
    [anon_sym_SQUOTE] = ACTIONS(655),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [sym_dots] = ACTIONS(653),
    [sym_dot_dot_i] = ACTIONS(655),
    [sym_return] = ACTIONS(653),
    [sym_next] = ACTIONS(653),
    [sym_break] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_null] = ACTIONS(653),
    [sym_inf] = ACTIONS(653),
    [sym_nan] = ACTIONS(653),
    [anon_sym_NA] = ACTIONS(653),
    [anon_sym_NA_integer_] = ACTIONS(653),
    [anon_sym_NA_real_] = ACTIONS(653),
    [anon_sym_NA_complex_] = ACTIONS(653),
    [anon_sym_NA_character_] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(655),
    [sym__semicolon] = ACTIONS(655),
    [sym__raw_string_literal] = ACTIONS(655),
    [sym__external_else] = ACTIONS(655),
    [sym__external_open_parenthesis] = ACTIONS(655),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_open_bracket] = ACTIONS(655),
    [sym__external_open_bracket2] = ACTIONS(655),
  },
  [299] = {
    [sym_identifier] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_EQ] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_repeat] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_LT_DASH] = ACTIONS(671),
    [anon_sym_LT_LT_DASH] = ACTIONS(671),
    [anon_sym_COLON_EQ] = ACTIONS(671),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(671),
    [anon_sym_AMP_AMP] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [aux_sym_binary_operator_token1] = ACTIONS(671),
    [anon_sym_PIPE_GT] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(669),
    [anon_sym_DOLLAR] = ACTIONS(671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(671),
    [sym__hex_literal] = ACTIONS(671),
    [sym__number_literal] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [sym_dots] = ACTIONS(669),
    [sym_dot_dot_i] = ACTIONS(671),
    [sym_return] = ACTIONS(669),
    [sym_next] = ACTIONS(669),
    [sym_break] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_null] = ACTIONS(669),
    [sym_inf] = ACTIONS(669),
    [sym_nan] = ACTIONS(669),
    [anon_sym_NA] = ACTIONS(669),
    [anon_sym_NA_integer_] = ACTIONS(669),
    [anon_sym_NA_real_] = ACTIONS(669),
    [anon_sym_NA_complex_] = ACTIONS(669),
    [anon_sym_NA_character_] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(671),
    [sym__semicolon] = ACTIONS(671),
    [sym__raw_string_literal] = ACTIONS(671),
    [sym__external_else] = ACTIONS(671),
    [sym__external_open_parenthesis] = ACTIONS(671),
    [sym__external_open_brace] = ACTIONS(671),
    [sym__external_close_brace] = ACTIONS(671),
    [sym__external_open_bracket] = ACTIONS(671),
    [sym__external_open_bracket2] = ACTIONS(671),
  },
  [300] = {
    [sym_identifier] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_LT_DASH] = ACTIONS(675),
    [anon_sym_LT_LT_DASH] = ACTIONS(675),
    [anon_sym_COLON_EQ] = ACTIONS(675),
    [anon_sym_DASH_GT] = ACTIONS(673),
    [anon_sym_DASH_GT_GT] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(675),
    [anon_sym_AMP_AMP] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(675),
    [anon_sym_CARET] = ACTIONS(675),
    [aux_sym_binary_operator_token1] = ACTIONS(675),
    [anon_sym_PIPE_GT] = ACTIONS(675),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(673),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(675),
    [sym__hex_literal] = ACTIONS(675),
    [sym__number_literal] = ACTIONS(673),
    [anon_sym_SQUOTE] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_dots] = ACTIONS(673),
    [sym_dot_dot_i] = ACTIONS(675),
    [sym_return] = ACTIONS(673),
    [sym_next] = ACTIONS(673),
    [sym_break] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_null] = ACTIONS(673),
    [sym_inf] = ACTIONS(673),
    [sym_nan] = ACTIONS(673),
    [anon_sym_NA] = ACTIONS(673),
    [anon_sym_NA_integer_] = ACTIONS(673),
    [anon_sym_NA_real_] = ACTIONS(673),
    [anon_sym_NA_complex_] = ACTIONS(673),
    [anon_sym_NA_character_] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(675),
    [sym__semicolon] = ACTIONS(675),
    [sym__raw_string_literal] = ACTIONS(675),
    [sym__external_else] = ACTIONS(675),
    [sym__external_open_parenthesis] = ACTIONS(675),
    [sym__external_open_brace] = ACTIONS(675),
    [sym__external_close_brace] = ACTIONS(675),
    [sym__external_open_bracket] = ACTIONS(675),
    [sym__external_open_bracket2] = ACTIONS(675),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_else] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_else] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [303] = {
    [sym_identifier] = ACTIONS(639),
    [anon_sym_BSLASH] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(639),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_repeat] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_TILDE] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_LT_LT_DASH] = ACTIONS(637),
    [anon_sym_COLON_EQ] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(639),
    [anon_sym_DASH_GT_GT] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(637),
    [anon_sym_AMP_AMP] = ACTIONS(637),
    [anon_sym_LT] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [aux_sym_binary_operator_token1] = ACTIONS(637),
    [anon_sym_PIPE_GT] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(637),
    [sym__hex_literal] = ACTIONS(637),
    [sym__number_literal] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_dots] = ACTIONS(639),
    [sym_dot_dot_i] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(639),
    [anon_sym_NA_integer_] = ACTIONS(639),
    [anon_sym_NA_real_] = ACTIONS(639),
    [anon_sym_NA_complex_] = ACTIONS(639),
    [anon_sym_NA_character_] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym__semicolon] = ACTIONS(637),
    [sym__raw_string_literal] = ACTIONS(637),
    [sym__external_else] = ACTIONS(637),
    [sym__external_open_parenthesis] = ACTIONS(637),
    [sym__external_open_brace] = ACTIONS(637),
    [sym__external_close_brace] = ACTIONS(637),
    [sym__external_open_bracket] = ACTIONS(637),
    [sym__external_open_bracket2] = ACTIONS(637),
  },
  [304] = {
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_function] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_if] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_repeat] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(633),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(633),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_LT_DASH] = ACTIONS(633),
    [anon_sym_LT_LT_DASH] = ACTIONS(633),
    [anon_sym_COLON_EQ] = ACTIONS(633),
    [anon_sym_DASH_GT] = ACTIONS(635),
    [anon_sym_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(635),
    [anon_sym_PIPE_PIPE] = ACTIONS(633),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(635),
    [anon_sym_LT_EQ] = ACTIONS(633),
    [anon_sym_GT] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(633),
    [anon_sym_EQ_EQ] = ACTIONS(633),
    [anon_sym_BANG_EQ] = ACTIONS(633),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(633),
    [anon_sym_CARET] = ACTIONS(633),
    [aux_sym_binary_operator_token1] = ACTIONS(633),
    [anon_sym_PIPE_GT] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_DOLLAR] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(633),
    [sym__hex_literal] = ACTIONS(633),
    [sym__number_literal] = ACTIONS(635),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [sym_dots] = ACTIONS(635),
    [sym_dot_dot_i] = ACTIONS(633),
    [sym_return] = ACTIONS(635),
    [sym_next] = ACTIONS(635),
    [sym_break] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym_null] = ACTIONS(635),
    [sym_inf] = ACTIONS(635),
    [sym_nan] = ACTIONS(635),
    [anon_sym_NA] = ACTIONS(635),
    [anon_sym_NA_integer_] = ACTIONS(635),
    [anon_sym_NA_real_] = ACTIONS(635),
    [anon_sym_NA_complex_] = ACTIONS(635),
    [anon_sym_NA_character_] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym__semicolon] = ACTIONS(633),
    [sym__raw_string_literal] = ACTIONS(633),
    [sym__external_else] = ACTIONS(633),
    [sym__external_open_parenthesis] = ACTIONS(633),
    [sym__external_open_brace] = ACTIONS(633),
    [sym__external_close_brace] = ACTIONS(633),
    [sym__external_open_bracket] = ACTIONS(633),
    [sym__external_open_bracket2] = ACTIONS(633),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_EQ] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_repeat] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_LT_DASH] = ACTIONS(671),
    [anon_sym_LT_LT_DASH] = ACTIONS(671),
    [anon_sym_COLON_EQ] = ACTIONS(671),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(671),
    [anon_sym_AMP_AMP] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [aux_sym_binary_operator_token1] = ACTIONS(671),
    [anon_sym_PIPE_GT] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(669),
    [anon_sym_DOLLAR] = ACTIONS(671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(671),
    [sym__hex_literal] = ACTIONS(671),
    [sym__number_literal] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [sym_dots] = ACTIONS(669),
    [sym_dot_dot_i] = ACTIONS(671),
    [sym_return] = ACTIONS(669),
    [sym_next] = ACTIONS(669),
    [sym_break] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_null] = ACTIONS(669),
    [sym_inf] = ACTIONS(669),
    [sym_nan] = ACTIONS(669),
    [anon_sym_NA] = ACTIONS(669),
    [anon_sym_NA_integer_] = ACTIONS(669),
    [anon_sym_NA_real_] = ACTIONS(669),
    [anon_sym_NA_complex_] = ACTIONS(669),
    [anon_sym_NA_character_] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(671),
    [sym__semicolon] = ACTIONS(671),
    [sym__raw_string_literal] = ACTIONS(671),
    [sym__external_else] = ACTIONS(671),
    [sym__external_open_parenthesis] = ACTIONS(671),
    [sym__external_open_brace] = ACTIONS(671),
    [sym__external_open_bracket] = ACTIONS(671),
    [sym__external_open_bracket2] = ACTIONS(671),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(675),
    [sym_identifier] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_LT_DASH] = ACTIONS(675),
    [anon_sym_LT_LT_DASH] = ACTIONS(675),
    [anon_sym_COLON_EQ] = ACTIONS(675),
    [anon_sym_DASH_GT] = ACTIONS(673),
    [anon_sym_DASH_GT_GT] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(675),
    [anon_sym_AMP_AMP] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(675),
    [anon_sym_CARET] = ACTIONS(675),
    [aux_sym_binary_operator_token1] = ACTIONS(675),
    [anon_sym_PIPE_GT] = ACTIONS(675),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(673),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(675),
    [sym__hex_literal] = ACTIONS(675),
    [sym__number_literal] = ACTIONS(673),
    [anon_sym_SQUOTE] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_dots] = ACTIONS(673),
    [sym_dot_dot_i] = ACTIONS(675),
    [sym_return] = ACTIONS(673),
    [sym_next] = ACTIONS(673),
    [sym_break] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_null] = ACTIONS(673),
    [sym_inf] = ACTIONS(673),
    [sym_nan] = ACTIONS(673),
    [anon_sym_NA] = ACTIONS(673),
    [anon_sym_NA_integer_] = ACTIONS(673),
    [anon_sym_NA_real_] = ACTIONS(673),
    [anon_sym_NA_complex_] = ACTIONS(673),
    [anon_sym_NA_character_] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(675),
    [sym__semicolon] = ACTIONS(675),
    [sym__raw_string_literal] = ACTIONS(675),
    [sym__external_else] = ACTIONS(675),
    [sym__external_open_parenthesis] = ACTIONS(675),
    [sym__external_open_brace] = ACTIONS(675),
    [sym__external_open_bracket] = ACTIONS(675),
    [sym__external_open_bracket2] = ACTIONS(675),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_EQ] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_repeat] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_LT_DASH] = ACTIONS(671),
    [anon_sym_LT_LT_DASH] = ACTIONS(671),
    [anon_sym_COLON_EQ] = ACTIONS(671),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(671),
    [anon_sym_AMP_AMP] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [aux_sym_binary_operator_token1] = ACTIONS(671),
    [anon_sym_PIPE_GT] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(669),
    [anon_sym_DOLLAR] = ACTIONS(671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(671),
    [sym__hex_literal] = ACTIONS(671),
    [sym__number_literal] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [sym_dots] = ACTIONS(669),
    [sym_dot_dot_i] = ACTIONS(671),
    [sym_return] = ACTIONS(669),
    [sym_next] = ACTIONS(669),
    [sym_break] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_null] = ACTIONS(669),
    [sym_inf] = ACTIONS(669),
    [sym_nan] = ACTIONS(669),
    [anon_sym_NA] = ACTIONS(669),
    [anon_sym_NA_integer_] = ACTIONS(669),
    [anon_sym_NA_real_] = ACTIONS(669),
    [anon_sym_NA_complex_] = ACTIONS(669),
    [anon_sym_NA_character_] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(671),
    [sym__semicolon] = ACTIONS(671),
    [sym__raw_string_literal] = ACTIONS(671),
    [sym__external_open_parenthesis] = ACTIONS(671),
    [sym__external_open_brace] = ACTIONS(671),
    [sym__external_open_bracket] = ACTIONS(671),
    [sym__external_open_bracket2] = ACTIONS(671),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(637),
    [sym_identifier] = ACTIONS(639),
    [anon_sym_BSLASH] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(639),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_repeat] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_TILDE] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_LT_LT_DASH] = ACTIONS(637),
    [anon_sym_COLON_EQ] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(639),
    [anon_sym_DASH_GT_GT] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(637),
    [anon_sym_AMP_AMP] = ACTIONS(637),
    [anon_sym_LT] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [aux_sym_binary_operator_token1] = ACTIONS(637),
    [anon_sym_PIPE_GT] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(637),
    [sym__hex_literal] = ACTIONS(637),
    [sym__number_literal] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_dots] = ACTIONS(639),
    [sym_dot_dot_i] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(639),
    [anon_sym_NA_integer_] = ACTIONS(639),
    [anon_sym_NA_real_] = ACTIONS(639),
    [anon_sym_NA_complex_] = ACTIONS(639),
    [anon_sym_NA_character_] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym__semicolon] = ACTIONS(637),
    [sym__raw_string_literal] = ACTIONS(637),
    [sym__external_open_parenthesis] = ACTIONS(637),
    [sym__external_open_brace] = ACTIONS(637),
    [sym__external_open_bracket] = ACTIONS(637),
    [sym__external_open_bracket2] = ACTIONS(637),
  },
  [309] = {
    [sym_identifier] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_function] = ACTIONS(645),
    [anon_sym_EQ] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(645),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_repeat] = ACTIONS(645),
    [anon_sym_QMARK] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [anon_sym_LT_LT_DASH] = ACTIONS(647),
    [anon_sym_COLON_EQ] = ACTIONS(647),
    [anon_sym_DASH_GT] = ACTIONS(645),
    [anon_sym_DASH_GT_GT] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(647),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_STAR_STAR] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(647),
    [aux_sym_binary_operator_token1] = ACTIONS(647),
    [anon_sym_PIPE_GT] = ACTIONS(647),
    [anon_sym_COLON] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_COLON_COLON] = ACTIONS(649),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(651),
    [sym__hex_literal] = ACTIONS(647),
    [sym__number_literal] = ACTIONS(645),
    [anon_sym_SQUOTE] = ACTIONS(647),
    [anon_sym_DQUOTE] = ACTIONS(647),
    [sym_dots] = ACTIONS(645),
    [sym_dot_dot_i] = ACTIONS(647),
    [sym_return] = ACTIONS(645),
    [sym_next] = ACTIONS(645),
    [sym_break] = ACTIONS(645),
    [sym_true] = ACTIONS(645),
    [sym_false] = ACTIONS(645),
    [sym_null] = ACTIONS(645),
    [sym_inf] = ACTIONS(645),
    [sym_nan] = ACTIONS(645),
    [anon_sym_NA] = ACTIONS(645),
    [anon_sym_NA_integer_] = ACTIONS(645),
    [anon_sym_NA_real_] = ACTIONS(645),
    [anon_sym_NA_complex_] = ACTIONS(645),
    [anon_sym_NA_character_] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym__semicolon] = ACTIONS(647),
    [sym__raw_string_literal] = ACTIONS(647),
    [sym__external_open_parenthesis] = ACTIONS(647),
    [sym__external_open_brace] = ACTIONS(647),
    [sym__external_close_brace] = ACTIONS(647),
    [sym__external_open_bracket] = ACTIONS(647),
    [sym__external_open_bracket2] = ACTIONS(647),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(643),
    [sym_identifier] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_while] = ACTIONS(641),
    [anon_sym_repeat] = ACTIONS(641),
    [anon_sym_QMARK] = ACTIONS(643),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_LT_DASH] = ACTIONS(643),
    [anon_sym_LT_LT_DASH] = ACTIONS(643),
    [anon_sym_COLON_EQ] = ACTIONS(643),
    [anon_sym_DASH_GT] = ACTIONS(641),
    [anon_sym_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_PIPE_PIPE] = ACTIONS(643),
    [anon_sym_AMP_AMP] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(643),
    [anon_sym_STAR_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [aux_sym_binary_operator_token1] = ACTIONS(643),
    [anon_sym_PIPE_GT] = ACTIONS(643),
    [anon_sym_COLON] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(641),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(643),
    [sym__hex_literal] = ACTIONS(643),
    [sym__number_literal] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(643),
    [sym_dots] = ACTIONS(641),
    [sym_dot_dot_i] = ACTIONS(643),
    [sym_return] = ACTIONS(641),
    [sym_next] = ACTIONS(641),
    [sym_break] = ACTIONS(641),
    [sym_true] = ACTIONS(641),
    [sym_false] = ACTIONS(641),
    [sym_null] = ACTIONS(641),
    [sym_inf] = ACTIONS(641),
    [sym_nan] = ACTIONS(641),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym__semicolon] = ACTIONS(643),
    [sym__raw_string_literal] = ACTIONS(643),
    [sym__external_open_parenthesis] = ACTIONS(643),
    [sym__external_open_brace] = ACTIONS(643),
    [sym__external_open_bracket] = ACTIONS(643),
    [sym__external_open_bracket2] = ACTIONS(643),
  },
  [311] = {
    [sym_identifier] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_EQ] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_repeat] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_LT_DASH] = ACTIONS(671),
    [anon_sym_LT_LT_DASH] = ACTIONS(671),
    [anon_sym_COLON_EQ] = ACTIONS(671),
    [anon_sym_DASH_GT] = ACTIONS(669),
    [anon_sym_DASH_GT_GT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(671),
    [anon_sym_AMP_AMP] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [aux_sym_binary_operator_token1] = ACTIONS(671),
    [anon_sym_PIPE_GT] = ACTIONS(671),
    [anon_sym_COLON] = ACTIONS(669),
    [anon_sym_DOLLAR] = ACTIONS(671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(671),
    [sym__hex_literal] = ACTIONS(671),
    [sym__number_literal] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [sym_dots] = ACTIONS(669),
    [sym_dot_dot_i] = ACTIONS(671),
    [sym_return] = ACTIONS(669),
    [sym_next] = ACTIONS(669),
    [sym_break] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_null] = ACTIONS(669),
    [sym_inf] = ACTIONS(669),
    [sym_nan] = ACTIONS(669),
    [anon_sym_NA] = ACTIONS(669),
    [anon_sym_NA_integer_] = ACTIONS(669),
    [anon_sym_NA_real_] = ACTIONS(669),
    [anon_sym_NA_complex_] = ACTIONS(669),
    [anon_sym_NA_character_] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(671),
    [sym__semicolon] = ACTIONS(671),
    [sym__raw_string_literal] = ACTIONS(671),
    [sym__external_open_parenthesis] = ACTIONS(671),
    [sym__external_open_brace] = ACTIONS(671),
    [sym__external_close_brace] = ACTIONS(671),
    [sym__external_open_bracket] = ACTIONS(671),
    [sym__external_open_bracket2] = ACTIONS(671),
  },
  [312] = {
    [sym_identifier] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_LT_DASH] = ACTIONS(675),
    [anon_sym_LT_LT_DASH] = ACTIONS(675),
    [anon_sym_COLON_EQ] = ACTIONS(675),
    [anon_sym_DASH_GT] = ACTIONS(673),
    [anon_sym_DASH_GT_GT] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(675),
    [anon_sym_AMP_AMP] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(675),
    [anon_sym_CARET] = ACTIONS(675),
    [aux_sym_binary_operator_token1] = ACTIONS(675),
    [anon_sym_PIPE_GT] = ACTIONS(675),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(673),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(675),
    [sym__hex_literal] = ACTIONS(675),
    [sym__number_literal] = ACTIONS(673),
    [anon_sym_SQUOTE] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_dots] = ACTIONS(673),
    [sym_dot_dot_i] = ACTIONS(675),
    [sym_return] = ACTIONS(673),
    [sym_next] = ACTIONS(673),
    [sym_break] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_null] = ACTIONS(673),
    [sym_inf] = ACTIONS(673),
    [sym_nan] = ACTIONS(673),
    [anon_sym_NA] = ACTIONS(673),
    [anon_sym_NA_integer_] = ACTIONS(673),
    [anon_sym_NA_real_] = ACTIONS(673),
    [anon_sym_NA_complex_] = ACTIONS(673),
    [anon_sym_NA_character_] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(675),
    [sym__semicolon] = ACTIONS(675),
    [sym__raw_string_literal] = ACTIONS(675),
    [sym__external_open_parenthesis] = ACTIONS(675),
    [sym__external_open_brace] = ACTIONS(675),
    [sym__external_close_brace] = ACTIONS(675),
    [sym__external_open_bracket] = ACTIONS(675),
    [sym__external_open_bracket2] = ACTIONS(675),
  },
  [313] = {
    [sym_identifier] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(653),
    [anon_sym_EQ] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(653),
    [anon_sym_for] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(653),
    [anon_sym_repeat] = ACTIONS(653),
    [anon_sym_QMARK] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_LT_DASH] = ACTIONS(655),
    [anon_sym_LT_LT_DASH] = ACTIONS(655),
    [anon_sym_COLON_EQ] = ACTIONS(655),
    [anon_sym_DASH_GT] = ACTIONS(653),
    [anon_sym_DASH_GT_GT] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(655),
    [anon_sym_AMP_AMP] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(655),
    [aux_sym_binary_operator_token1] = ACTIONS(655),
    [anon_sym_PIPE_GT] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(653),
    [anon_sym_DOLLAR] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_L] = ACTIONS(677),
    [anon_sym_i] = ACTIONS(679),
    [sym__hex_literal] = ACTIONS(655),
    [sym__number_literal] = ACTIONS(653),
    [anon_sym_SQUOTE] = ACTIONS(655),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [sym_dots] = ACTIONS(653),
    [sym_dot_dot_i] = ACTIONS(655),
    [sym_return] = ACTIONS(653),
    [sym_next] = ACTIONS(653),
    [sym_break] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_null] = ACTIONS(653),
    [sym_inf] = ACTIONS(653),
    [sym_nan] = ACTIONS(653),
    [anon_sym_NA] = ACTIONS(653),
    [anon_sym_NA_integer_] = ACTIONS(653),
    [anon_sym_NA_real_] = ACTIONS(653),
    [anon_sym_NA_complex_] = ACTIONS(653),
    [anon_sym_NA_character_] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(655),
    [sym__semicolon] = ACTIONS(655),
    [sym__raw_string_literal] = ACTIONS(655),
    [sym__external_open_parenthesis] = ACTIONS(655),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_close_brace] = ACTIONS(655),
    [sym__external_open_bracket] = ACTIONS(655),
    [sym__external_open_bracket2] = ACTIONS(655),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(633),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_function] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_if] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_repeat] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(633),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(633),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_LT_DASH] = ACTIONS(633),
    [anon_sym_LT_LT_DASH] = ACTIONS(633),
    [anon_sym_COLON_EQ] = ACTIONS(633),
    [anon_sym_DASH_GT] = ACTIONS(635),
    [anon_sym_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(635),
    [anon_sym_PIPE_PIPE] = ACTIONS(633),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(635),
    [anon_sym_LT_EQ] = ACTIONS(633),
    [anon_sym_GT] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(633),
    [anon_sym_EQ_EQ] = ACTIONS(633),
    [anon_sym_BANG_EQ] = ACTIONS(633),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(633),
    [anon_sym_CARET] = ACTIONS(633),
    [aux_sym_binary_operator_token1] = ACTIONS(633),
    [anon_sym_PIPE_GT] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_DOLLAR] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(633),
    [sym__hex_literal] = ACTIONS(633),
    [sym__number_literal] = ACTIONS(635),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [sym_dots] = ACTIONS(635),
    [sym_dot_dot_i] = ACTIONS(633),
    [sym_return] = ACTIONS(635),
    [sym_next] = ACTIONS(635),
    [sym_break] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym_null] = ACTIONS(635),
    [sym_inf] = ACTIONS(635),
    [sym_nan] = ACTIONS(635),
    [anon_sym_NA] = ACTIONS(635),
    [anon_sym_NA_integer_] = ACTIONS(635),
    [anon_sym_NA_real_] = ACTIONS(635),
    [anon_sym_NA_complex_] = ACTIONS(635),
    [anon_sym_NA_character_] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym__semicolon] = ACTIONS(633),
    [sym__raw_string_literal] = ACTIONS(633),
    [sym__external_open_parenthesis] = ACTIONS(633),
    [sym__external_open_brace] = ACTIONS(633),
    [sym__external_open_bracket] = ACTIONS(633),
    [sym__external_open_bracket2] = ACTIONS(633),
  },
  [315] = {
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_close_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [316] = {
    [aux_sym_function_definition_repeat1] = STATE(316),
    [ts_builtin_sym_end] = ACTIONS(681),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_BSLASH] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_repeat] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_LT_DASH] = ACTIONS(681),
    [anon_sym_LT_LT_DASH] = ACTIONS(681),
    [anon_sym_COLON_EQ] = ACTIONS(681),
    [anon_sym_DASH_GT] = ACTIONS(683),
    [anon_sym_DASH_GT_GT] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_CARET] = ACTIONS(681),
    [aux_sym_binary_operator_token1] = ACTIONS(681),
    [anon_sym_PIPE_GT] = ACTIONS(681),
    [anon_sym_COLON] = ACTIONS(683),
    [anon_sym_DOLLAR] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(681),
    [sym__hex_literal] = ACTIONS(681),
    [sym__number_literal] = ACTIONS(683),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_dots] = ACTIONS(683),
    [sym_dot_dot_i] = ACTIONS(681),
    [sym_return] = ACTIONS(683),
    [sym_next] = ACTIONS(683),
    [sym_break] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_inf] = ACTIONS(683),
    [sym_nan] = ACTIONS(683),
    [anon_sym_NA] = ACTIONS(683),
    [anon_sym_NA_integer_] = ACTIONS(683),
    [anon_sym_NA_real_] = ACTIONS(683),
    [anon_sym_NA_complex_] = ACTIONS(683),
    [anon_sym_NA_character_] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(685),
    [sym__semicolon] = ACTIONS(681),
    [sym__raw_string_literal] = ACTIONS(681),
    [sym__external_else] = ACTIONS(681),
    [sym__external_open_parenthesis] = ACTIONS(681),
    [sym__external_open_brace] = ACTIONS(681),
    [sym__external_open_bracket] = ACTIONS(681),
    [sym__external_open_bracket2] = ACTIONS(681),
  },
  [317] = {
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_close_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [318] = {
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_function] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_if] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(635),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_repeat] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(633),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(633),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_LT_DASH] = ACTIONS(633),
    [anon_sym_LT_LT_DASH] = ACTIONS(633),
    [anon_sym_COLON_EQ] = ACTIONS(633),
    [anon_sym_DASH_GT] = ACTIONS(635),
    [anon_sym_DASH_GT_GT] = ACTIONS(633),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_AMP] = ACTIONS(635),
    [anon_sym_PIPE_PIPE] = ACTIONS(633),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(635),
    [anon_sym_LT_EQ] = ACTIONS(633),
    [anon_sym_GT] = ACTIONS(635),
    [anon_sym_GT_EQ] = ACTIONS(633),
    [anon_sym_EQ_EQ] = ACTIONS(633),
    [anon_sym_BANG_EQ] = ACTIONS(633),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(633),
    [anon_sym_CARET] = ACTIONS(633),
    [aux_sym_binary_operator_token1] = ACTIONS(633),
    [anon_sym_PIPE_GT] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(635),
    [anon_sym_DOLLAR] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(633),
    [sym__hex_literal] = ACTIONS(633),
    [sym__number_literal] = ACTIONS(635),
    [anon_sym_SQUOTE] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(633),
    [sym_dots] = ACTIONS(635),
    [sym_dot_dot_i] = ACTIONS(633),
    [sym_return] = ACTIONS(635),
    [sym_next] = ACTIONS(635),
    [sym_break] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym_null] = ACTIONS(635),
    [sym_inf] = ACTIONS(635),
    [sym_nan] = ACTIONS(635),
    [anon_sym_NA] = ACTIONS(635),
    [anon_sym_NA_integer_] = ACTIONS(635),
    [anon_sym_NA_real_] = ACTIONS(635),
    [anon_sym_NA_complex_] = ACTIONS(635),
    [anon_sym_NA_character_] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym__semicolon] = ACTIONS(633),
    [sym__raw_string_literal] = ACTIONS(633),
    [sym__external_open_parenthesis] = ACTIONS(633),
    [sym__external_open_brace] = ACTIONS(633),
    [sym__external_close_brace] = ACTIONS(633),
    [sym__external_open_bracket] = ACTIONS(633),
    [sym__external_open_bracket2] = ACTIONS(633),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(675),
    [sym_identifier] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_repeat] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_LT_DASH] = ACTIONS(675),
    [anon_sym_LT_LT_DASH] = ACTIONS(675),
    [anon_sym_COLON_EQ] = ACTIONS(675),
    [anon_sym_DASH_GT] = ACTIONS(673),
    [anon_sym_DASH_GT_GT] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE_PIPE] = ACTIONS(675),
    [anon_sym_AMP_AMP] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(675),
    [anon_sym_CARET] = ACTIONS(675),
    [aux_sym_binary_operator_token1] = ACTIONS(675),
    [anon_sym_PIPE_GT] = ACTIONS(675),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(673),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(675),
    [sym__hex_literal] = ACTIONS(675),
    [sym__number_literal] = ACTIONS(673),
    [anon_sym_SQUOTE] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(675),
    [sym_dots] = ACTIONS(673),
    [sym_dot_dot_i] = ACTIONS(675),
    [sym_return] = ACTIONS(673),
    [sym_next] = ACTIONS(673),
    [sym_break] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_null] = ACTIONS(673),
    [sym_inf] = ACTIONS(673),
    [sym_nan] = ACTIONS(673),
    [anon_sym_NA] = ACTIONS(673),
    [anon_sym_NA_integer_] = ACTIONS(673),
    [anon_sym_NA_real_] = ACTIONS(673),
    [anon_sym_NA_complex_] = ACTIONS(673),
    [anon_sym_NA_character_] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(675),
    [sym__semicolon] = ACTIONS(675),
    [sym__raw_string_literal] = ACTIONS(675),
    [sym__external_open_parenthesis] = ACTIONS(675),
    [sym__external_open_brace] = ACTIONS(675),
    [sym__external_open_bracket] = ACTIONS(675),
    [sym__external_open_bracket2] = ACTIONS(675),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(647),
    [sym_identifier] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_function] = ACTIONS(645),
    [anon_sym_EQ] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(645),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_repeat] = ACTIONS(645),
    [anon_sym_QMARK] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_LT_DASH] = ACTIONS(647),
    [anon_sym_LT_LT_DASH] = ACTIONS(647),
    [anon_sym_COLON_EQ] = ACTIONS(647),
    [anon_sym_DASH_GT] = ACTIONS(645),
    [anon_sym_DASH_GT_GT] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(645),
    [anon_sym_AMP] = ACTIONS(645),
    [anon_sym_PIPE_PIPE] = ACTIONS(647),
    [anon_sym_AMP_AMP] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_LT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_EQ] = ACTIONS(647),
    [anon_sym_EQ_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(647),
    [anon_sym_STAR_STAR] = ACTIONS(647),
    [anon_sym_CARET] = ACTIONS(647),
    [aux_sym_binary_operator_token1] = ACTIONS(647),
    [anon_sym_PIPE_GT] = ACTIONS(647),
    [anon_sym_COLON] = ACTIONS(645),
    [anon_sym_DOLLAR] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_COLON_COLON] = ACTIONS(649),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(651),
    [sym__hex_literal] = ACTIONS(647),
    [sym__number_literal] = ACTIONS(645),
    [anon_sym_SQUOTE] = ACTIONS(647),
    [anon_sym_DQUOTE] = ACTIONS(647),
    [sym_dots] = ACTIONS(645),
    [sym_dot_dot_i] = ACTIONS(647),
    [sym_return] = ACTIONS(645),
    [sym_next] = ACTIONS(645),
    [sym_break] = ACTIONS(645),
    [sym_true] = ACTIONS(645),
    [sym_false] = ACTIONS(645),
    [sym_null] = ACTIONS(645),
    [sym_inf] = ACTIONS(645),
    [sym_nan] = ACTIONS(645),
    [anon_sym_NA] = ACTIONS(645),
    [anon_sym_NA_integer_] = ACTIONS(645),
    [anon_sym_NA_real_] = ACTIONS(645),
    [anon_sym_NA_complex_] = ACTIONS(645),
    [anon_sym_NA_character_] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym__semicolon] = ACTIONS(647),
    [sym__raw_string_literal] = ACTIONS(647),
    [sym__external_open_parenthesis] = ACTIONS(647),
    [sym__external_open_brace] = ACTIONS(647),
    [sym__external_open_bracket] = ACTIONS(647),
    [sym__external_open_bracket2] = ACTIONS(647),
  },
  [321] = {
    [sym_identifier] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(641),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(641),
    [anon_sym_for] = ACTIONS(641),
    [anon_sym_while] = ACTIONS(641),
    [anon_sym_repeat] = ACTIONS(641),
    [anon_sym_QMARK] = ACTIONS(643),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_LT_DASH] = ACTIONS(643),
    [anon_sym_LT_LT_DASH] = ACTIONS(643),
    [anon_sym_COLON_EQ] = ACTIONS(643),
    [anon_sym_DASH_GT] = ACTIONS(641),
    [anon_sym_DASH_GT_GT] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(641),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_PIPE_PIPE] = ACTIONS(643),
    [anon_sym_AMP_AMP] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_LT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(643),
    [anon_sym_STAR_STAR] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [aux_sym_binary_operator_token1] = ACTIONS(643),
    [anon_sym_PIPE_GT] = ACTIONS(643),
    [anon_sym_COLON] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(641),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(643),
    [sym__hex_literal] = ACTIONS(643),
    [sym__number_literal] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(643),
    [sym_dots] = ACTIONS(641),
    [sym_dot_dot_i] = ACTIONS(643),
    [sym_return] = ACTIONS(641),
    [sym_next] = ACTIONS(641),
    [sym_break] = ACTIONS(641),
    [sym_true] = ACTIONS(641),
    [sym_false] = ACTIONS(641),
    [sym_null] = ACTIONS(641),
    [sym_inf] = ACTIONS(641),
    [sym_nan] = ACTIONS(641),
    [anon_sym_NA] = ACTIONS(641),
    [anon_sym_NA_integer_] = ACTIONS(641),
    [anon_sym_NA_real_] = ACTIONS(641),
    [anon_sym_NA_complex_] = ACTIONS(641),
    [anon_sym_NA_character_] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym__semicolon] = ACTIONS(643),
    [sym__raw_string_literal] = ACTIONS(643),
    [sym__external_open_parenthesis] = ACTIONS(643),
    [sym__external_open_brace] = ACTIONS(643),
    [sym__external_close_brace] = ACTIONS(643),
    [sym__external_open_bracket] = ACTIONS(643),
    [sym__external_open_bracket2] = ACTIONS(643),
  },
  [322] = {
    [aux_sym_function_definition_repeat1] = STATE(322),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_BSLASH] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_repeat] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_LT_DASH] = ACTIONS(681),
    [anon_sym_LT_LT_DASH] = ACTIONS(681),
    [anon_sym_COLON_EQ] = ACTIONS(681),
    [anon_sym_DASH_GT] = ACTIONS(683),
    [anon_sym_DASH_GT_GT] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_CARET] = ACTIONS(681),
    [aux_sym_binary_operator_token1] = ACTIONS(681),
    [anon_sym_PIPE_GT] = ACTIONS(681),
    [anon_sym_COLON] = ACTIONS(683),
    [anon_sym_DOLLAR] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(681),
    [sym__hex_literal] = ACTIONS(681),
    [sym__number_literal] = ACTIONS(683),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_dots] = ACTIONS(683),
    [sym_dot_dot_i] = ACTIONS(681),
    [sym_return] = ACTIONS(683),
    [sym_next] = ACTIONS(683),
    [sym_break] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_inf] = ACTIONS(683),
    [sym_nan] = ACTIONS(683),
    [anon_sym_NA] = ACTIONS(683),
    [anon_sym_NA_integer_] = ACTIONS(683),
    [anon_sym_NA_real_] = ACTIONS(683),
    [anon_sym_NA_complex_] = ACTIONS(683),
    [anon_sym_NA_character_] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(688),
    [sym__semicolon] = ACTIONS(681),
    [sym__raw_string_literal] = ACTIONS(681),
    [sym__external_else] = ACTIONS(681),
    [sym__external_open_parenthesis] = ACTIONS(681),
    [sym__external_open_brace] = ACTIONS(681),
    [sym__external_close_brace] = ACTIONS(681),
    [sym__external_open_bracket] = ACTIONS(681),
    [sym__external_open_bracket2] = ACTIONS(681),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(655),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_function] = ACTIONS(653),
    [anon_sym_EQ] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(653),
    [anon_sym_for] = ACTIONS(653),
    [anon_sym_while] = ACTIONS(653),
    [anon_sym_repeat] = ACTIONS(653),
    [anon_sym_QMARK] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_LT_DASH] = ACTIONS(655),
    [anon_sym_LT_LT_DASH] = ACTIONS(655),
    [anon_sym_COLON_EQ] = ACTIONS(655),
    [anon_sym_DASH_GT] = ACTIONS(653),
    [anon_sym_DASH_GT_GT] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(653),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PIPE_PIPE] = ACTIONS(655),
    [anon_sym_AMP_AMP] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_EQ] = ACTIONS(655),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(655),
    [anon_sym_STAR_STAR] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(655),
    [aux_sym_binary_operator_token1] = ACTIONS(655),
    [anon_sym_PIPE_GT] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(653),
    [anon_sym_DOLLAR] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_L] = ACTIONS(691),
    [anon_sym_i] = ACTIONS(693),
    [sym__hex_literal] = ACTIONS(655),
    [sym__number_literal] = ACTIONS(653),
    [anon_sym_SQUOTE] = ACTIONS(655),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [sym_dots] = ACTIONS(653),
    [sym_dot_dot_i] = ACTIONS(655),
    [sym_return] = ACTIONS(653),
    [sym_next] = ACTIONS(653),
    [sym_break] = ACTIONS(653),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_null] = ACTIONS(653),
    [sym_inf] = ACTIONS(653),
    [sym_nan] = ACTIONS(653),
    [anon_sym_NA] = ACTIONS(653),
    [anon_sym_NA_integer_] = ACTIONS(653),
    [anon_sym_NA_real_] = ACTIONS(653),
    [anon_sym_NA_complex_] = ACTIONS(653),
    [anon_sym_NA_character_] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(655),
    [sym__semicolon] = ACTIONS(655),
    [sym__raw_string_literal] = ACTIONS(655),
    [sym__external_open_parenthesis] = ACTIONS(655),
    [sym__external_open_brace] = ACTIONS(655),
    [sym__external_open_bracket] = ACTIONS(655),
    [sym__external_open_bracket2] = ACTIONS(655),
  },
  [324] = {
    [sym_identifier] = ACTIONS(639),
    [anon_sym_BSLASH] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(639),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_repeat] = ACTIONS(639),
    [anon_sym_QMARK] = ACTIONS(637),
    [anon_sym_TILDE] = ACTIONS(637),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_LT_DASH] = ACTIONS(637),
    [anon_sym_LT_LT_DASH] = ACTIONS(637),
    [anon_sym_COLON_EQ] = ACTIONS(637),
    [anon_sym_DASH_GT] = ACTIONS(639),
    [anon_sym_DASH_GT_GT] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(639),
    [anon_sym_PIPE_PIPE] = ACTIONS(637),
    [anon_sym_AMP_AMP] = ACTIONS(637),
    [anon_sym_LT] = ACTIONS(639),
    [anon_sym_LT_EQ] = ACTIONS(637),
    [anon_sym_GT] = ACTIONS(639),
    [anon_sym_GT_EQ] = ACTIONS(637),
    [anon_sym_EQ_EQ] = ACTIONS(637),
    [anon_sym_BANG_EQ] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(639),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_CARET] = ACTIONS(637),
    [aux_sym_binary_operator_token1] = ACTIONS(637),
    [anon_sym_PIPE_GT] = ACTIONS(637),
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(637),
    [anon_sym_AT] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(637),
    [sym__hex_literal] = ACTIONS(637),
    [sym__number_literal] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [sym_dots] = ACTIONS(639),
    [sym_dot_dot_i] = ACTIONS(637),
    [sym_return] = ACTIONS(639),
    [sym_next] = ACTIONS(639),
    [sym_break] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_null] = ACTIONS(639),
    [sym_inf] = ACTIONS(639),
    [sym_nan] = ACTIONS(639),
    [anon_sym_NA] = ACTIONS(639),
    [anon_sym_NA_integer_] = ACTIONS(639),
    [anon_sym_NA_real_] = ACTIONS(639),
    [anon_sym_NA_complex_] = ACTIONS(639),
    [anon_sym_NA_character_] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym__semicolon] = ACTIONS(637),
    [sym__raw_string_literal] = ACTIONS(637),
    [sym__external_open_parenthesis] = ACTIONS(637),
    [sym__external_open_brace] = ACTIONS(637),
    [sym__external_close_brace] = ACTIONS(637),
    [sym__external_open_bracket] = ACTIONS(637),
    [sym__external_open_bracket2] = ACTIONS(637),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_repeat] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_LT_DASH] = ACTIONS(663),
    [anon_sym_LT_LT_DASH] = ACTIONS(663),
    [anon_sym_COLON_EQ] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(661),
    [anon_sym_DASH_GT_GT] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(661),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(663),
    [anon_sym_STAR_STAR] = ACTIONS(663),
    [anon_sym_CARET] = ACTIONS(663),
    [aux_sym_binary_operator_token1] = ACTIONS(663),
    [anon_sym_PIPE_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(661),
    [anon_sym_COLON_COLON_COLON] = ACTIONS(663),
    [sym__hex_literal] = ACTIONS(663),
    [sym__number_literal] = ACTIONS(661),
    [anon_sym_SQUOTE] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [sym_dots] = ACTIONS(661),
    [sym_dot_dot_i] = ACTIONS(663),
    [sym_return] = ACTIONS(661),
    [sym_next] = ACTIONS(661),
    [sym_break] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_null] = ACTIONS(661),
    [sym_inf] = ACTIONS(661),
    [sym_nan] = ACTIONS(661),
    [anon_sym_NA] = ACTIONS(661),
    [anon_sym_NA_integer_] = ACTIONS(661),
    [anon_sym_NA_real_] = ACTIONS(661),
    [anon_sym_NA_complex_] = ACTIONS(661),
    [anon_sym_NA_character_] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym__semicolon] = ACTIONS(663),
    [sym__raw_string_literal] = ACTIONS(663),
    [sym__external_open_parenthesis] = ACTIONS(663),
    [sym__external_open_brace] = ACTIONS(663),
    [sym__external_open_bracket] = ACTIONS(663),
    [sym__external_open_bracket2] = ACTIONS(663),
  },
  [327] = {
    [sym_identifier] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_repeat] = ACTIONS(695),
    [anon_sym_QMARK] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LT_DASH] = ACTIONS(697),
    [anon_sym_LT_LT_DASH] = ACTIONS(697),
    [anon_sym_COLON_EQ] = ACTIONS(697),
    [anon_sym_DASH_GT] = ACTIONS(695),
    [anon_sym_DASH_GT_GT] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(695),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_PIPE_PIPE] = ACTIONS(697),
    [anon_sym_AMP_AMP] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_LT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_EQ] = ACTIONS(697),
    [anon_sym_EQ_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(697),
    [anon_sym_STAR_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(697),
    [aux_sym_binary_operator_token1] = ACTIONS(697),
    [anon_sym_PIPE_GT] = ACTIONS(697),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_DOLLAR] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(697),
    [sym__hex_literal] = ACTIONS(697),
    [sym__number_literal] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_DQUOTE] = ACTIONS(697),
    [sym_dots] = ACTIONS(695),
    [sym_dot_dot_i] = ACTIONS(697),
    [sym_return] = ACTIONS(695),
    [sym_next] = ACTIONS(695),
    [sym_break] = ACTIONS(695),
    [sym_true] = ACTIONS(695),
    [sym_false] = ACTIONS(695),
    [sym_null] = ACTIONS(695),
    [sym_inf] = ACTIONS(695),
    [sym_nan] = ACTIONS(695),
    [anon_sym_NA] = ACTIONS(695),
    [anon_sym_NA_integer_] = ACTIONS(695),
    [anon_sym_NA_real_] = ACTIONS(695),
    [anon_sym_NA_complex_] = ACTIONS(695),
    [anon_sym_NA_character_] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(697),
    [sym__semicolon] = ACTIONS(697),
    [sym__raw_string_literal] = ACTIONS(697),
    [sym__external_else] = ACTIONS(697),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(697),
    [sym__external_close_brace] = ACTIONS(697),
    [sym__external_open_bracket] = ACTIONS(697),
    [sym__external_open_bracket2] = ACTIONS(697),
  },
  [328] = {
    [sym_identifier] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_EQ] = ACTIONS(699),
    [anon_sym_if] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(699),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_repeat] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_LT_DASH] = ACTIONS(701),
    [anon_sym_LT_LT_DASH] = ACTIONS(701),
    [anon_sym_COLON_EQ] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(699),
    [anon_sym_DASH_GT_GT] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(699),
    [anon_sym_AMP] = ACTIONS(699),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(701),
    [anon_sym_PIPE_GT] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(699),
    [anon_sym_DOLLAR] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(701),
    [sym__hex_literal] = ACTIONS(701),
    [sym__number_literal] = ACTIONS(699),
    [anon_sym_SQUOTE] = ACTIONS(701),
    [anon_sym_DQUOTE] = ACTIONS(701),
    [sym_dots] = ACTIONS(699),
    [sym_dot_dot_i] = ACTIONS(701),
    [sym_return] = ACTIONS(699),
    [sym_next] = ACTIONS(699),
    [sym_break] = ACTIONS(699),
    [sym_true] = ACTIONS(699),
    [sym_false] = ACTIONS(699),
    [sym_null] = ACTIONS(699),
    [sym_inf] = ACTIONS(699),
    [sym_nan] = ACTIONS(699),
    [anon_sym_NA] = ACTIONS(699),
    [anon_sym_NA_integer_] = ACTIONS(699),
    [anon_sym_NA_real_] = ACTIONS(699),
    [anon_sym_NA_complex_] = ACTIONS(699),
    [anon_sym_NA_character_] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(701),
    [sym__semicolon] = ACTIONS(701),
    [sym__raw_string_literal] = ACTIONS(701),
    [sym__external_else] = ACTIONS(701),
    [sym__external_open_parenthesis] = ACTIONS(701),
    [sym__external_open_brace] = ACTIONS(701),
    [sym__external_close_brace] = ACTIONS(701),
    [sym__external_open_bracket] = ACTIONS(701),
    [sym__external_open_bracket2] = ACTIONS(701),
  },
  [329] = {
    [sym_identifier] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_function] = ACTIONS(703),
    [anon_sym_EQ] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(703),
    [anon_sym_for] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(703),
    [anon_sym_repeat] = ACTIONS(703),
    [anon_sym_QMARK] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_LT_DASH] = ACTIONS(705),
    [anon_sym_LT_LT_DASH] = ACTIONS(705),
    [anon_sym_COLON_EQ] = ACTIONS(705),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_DASH_GT_GT] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(703),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_PIPE_PIPE] = ACTIONS(705),
    [anon_sym_AMP_AMP] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_LT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_EQ] = ACTIONS(705),
    [anon_sym_EQ_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(705),
    [anon_sym_STAR_STAR] = ACTIONS(705),
    [anon_sym_CARET] = ACTIONS(705),
    [aux_sym_binary_operator_token1] = ACTIONS(705),
    [anon_sym_PIPE_GT] = ACTIONS(705),
    [anon_sym_COLON] = ACTIONS(703),
    [anon_sym_DOLLAR] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [sym__hex_literal] = ACTIONS(705),
    [sym__number_literal] = ACTIONS(703),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [sym_dots] = ACTIONS(703),
    [sym_dot_dot_i] = ACTIONS(705),
    [sym_return] = ACTIONS(703),
    [sym_next] = ACTIONS(703),
    [sym_break] = ACTIONS(703),
    [sym_true] = ACTIONS(703),
    [sym_false] = ACTIONS(703),
    [sym_null] = ACTIONS(703),
    [sym_inf] = ACTIONS(703),
    [sym_nan] = ACTIONS(703),
    [anon_sym_NA] = ACTIONS(703),
    [anon_sym_NA_integer_] = ACTIONS(703),
    [anon_sym_NA_real_] = ACTIONS(703),
    [anon_sym_NA_complex_] = ACTIONS(703),
    [anon_sym_NA_character_] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(705),
    [sym__semicolon] = ACTIONS(705),
    [sym__raw_string_literal] = ACTIONS(705),
    [sym__external_else] = ACTIONS(705),
    [sym__external_open_parenthesis] = ACTIONS(705),
    [sym__external_open_brace] = ACTIONS(705),
    [sym__external_close_brace] = ACTIONS(705),
    [sym__external_open_bracket] = ACTIONS(705),
    [sym__external_open_bracket2] = ACTIONS(705),
  },
  [330] = {
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(707),
    [anon_sym_repeat] = ACTIONS(707),
    [anon_sym_QMARK] = ACTIONS(709),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_PLUS] = ACTIONS(709),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [anon_sym_LT_LT_DASH] = ACTIONS(709),
    [anon_sym_COLON_EQ] = ACTIONS(709),
    [anon_sym_DASH_GT] = ACTIONS(707),
    [anon_sym_DASH_GT_GT] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(707),
    [anon_sym_PIPE_PIPE] = ACTIONS(709),
    [anon_sym_AMP_AMP] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_LT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_EQ] = ACTIONS(709),
    [anon_sym_EQ_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_CARET] = ACTIONS(709),
    [aux_sym_binary_operator_token1] = ACTIONS(709),
    [anon_sym_PIPE_GT] = ACTIONS(709),
    [anon_sym_COLON] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(709),
    [sym__hex_literal] = ACTIONS(709),
    [sym__number_literal] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(709),
    [sym_dots] = ACTIONS(707),
    [sym_dot_dot_i] = ACTIONS(709),
    [sym_return] = ACTIONS(707),
    [sym_next] = ACTIONS(707),
    [sym_break] = ACTIONS(707),
    [sym_true] = ACTIONS(707),
    [sym_false] = ACTIONS(707),
    [sym_null] = ACTIONS(707),
    [sym_inf] = ACTIONS(707),
    [sym_nan] = ACTIONS(707),
    [anon_sym_NA] = ACTIONS(707),
    [anon_sym_NA_integer_] = ACTIONS(707),
    [anon_sym_NA_real_] = ACTIONS(707),
    [anon_sym_NA_complex_] = ACTIONS(707),
    [anon_sym_NA_character_] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(709),
    [sym__semicolon] = ACTIONS(709),
    [sym__raw_string_literal] = ACTIONS(709),
    [sym__external_else] = ACTIONS(709),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(709),
    [sym__external_close_brace] = ACTIONS(709),
    [sym__external_open_bracket] = ACTIONS(709),
    [sym__external_open_bracket2] = ACTIONS(709),
  },
  [331] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(338),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(749),
  },
  [332] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(416),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(751),
  },
  [333] = {
    [sym_identifier] = ACTIONS(753),
    [anon_sym_BSLASH] = ACTIONS(755),
    [anon_sym_function] = ACTIONS(753),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [anon_sym_repeat] = ACTIONS(753),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_BANG] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_LT_DASH] = ACTIONS(755),
    [anon_sym_LT_LT_DASH] = ACTIONS(755),
    [anon_sym_COLON_EQ] = ACTIONS(755),
    [anon_sym_DASH_GT] = ACTIONS(753),
    [anon_sym_DASH_GT_GT] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(753),
    [anon_sym_PIPE_PIPE] = ACTIONS(755),
    [anon_sym_AMP_AMP] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_EQ_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(755),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(755),
    [anon_sym_STAR_STAR] = ACTIONS(755),
    [anon_sym_CARET] = ACTIONS(755),
    [aux_sym_binary_operator_token1] = ACTIONS(755),
    [anon_sym_PIPE_GT] = ACTIONS(755),
    [anon_sym_COLON] = ACTIONS(753),
    [anon_sym_DOLLAR] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(755),
    [sym__hex_literal] = ACTIONS(755),
    [sym__number_literal] = ACTIONS(753),
    [anon_sym_SQUOTE] = ACTIONS(755),
    [anon_sym_DQUOTE] = ACTIONS(755),
    [sym_dots] = ACTIONS(753),
    [sym_dot_dot_i] = ACTIONS(755),
    [sym_return] = ACTIONS(753),
    [sym_next] = ACTIONS(753),
    [sym_break] = ACTIONS(753),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_null] = ACTIONS(753),
    [sym_inf] = ACTIONS(753),
    [sym_nan] = ACTIONS(753),
    [anon_sym_NA] = ACTIONS(753),
    [anon_sym_NA_integer_] = ACTIONS(753),
    [anon_sym_NA_real_] = ACTIONS(753),
    [anon_sym_NA_complex_] = ACTIONS(753),
    [anon_sym_NA_character_] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(755),
    [sym__semicolon] = ACTIONS(755),
    [sym__raw_string_literal] = ACTIONS(755),
    [sym__external_else] = ACTIONS(755),
    [sym__external_open_parenthesis] = ACTIONS(755),
    [sym__external_open_brace] = ACTIONS(755),
    [sym__external_close_brace] = ACTIONS(755),
    [sym__external_open_bracket] = ACTIONS(755),
    [sym__external_open_bracket2] = ACTIONS(755),
  },
  [334] = {
    [sym_identifier] = ACTIONS(757),
    [anon_sym_BSLASH] = ACTIONS(759),
    [anon_sym_function] = ACTIONS(757),
    [anon_sym_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [anon_sym_repeat] = ACTIONS(757),
    [anon_sym_QMARK] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_LT_DASH] = ACTIONS(759),
    [anon_sym_LT_LT_DASH] = ACTIONS(759),
    [anon_sym_COLON_EQ] = ACTIONS(759),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_DASH_GT_GT] = ACTIONS(759),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_AMP] = ACTIONS(757),
    [anon_sym_PIPE_PIPE] = ACTIONS(759),
    [anon_sym_AMP_AMP] = ACTIONS(759),
    [anon_sym_LT] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(759),
    [anon_sym_GT] = ACTIONS(757),
    [anon_sym_GT_EQ] = ACTIONS(759),
    [anon_sym_EQ_EQ] = ACTIONS(759),
    [anon_sym_BANG_EQ] = ACTIONS(759),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(759),
    [anon_sym_STAR_STAR] = ACTIONS(759),
    [anon_sym_CARET] = ACTIONS(759),
    [aux_sym_binary_operator_token1] = ACTIONS(759),
    [anon_sym_PIPE_GT] = ACTIONS(759),
    [anon_sym_COLON] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(759),
    [sym__hex_literal] = ACTIONS(759),
    [sym__number_literal] = ACTIONS(757),
    [anon_sym_SQUOTE] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(759),
    [sym_dots] = ACTIONS(757),
    [sym_dot_dot_i] = ACTIONS(759),
    [sym_return] = ACTIONS(757),
    [sym_next] = ACTIONS(757),
    [sym_break] = ACTIONS(757),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_null] = ACTIONS(757),
    [sym_inf] = ACTIONS(757),
    [sym_nan] = ACTIONS(757),
    [anon_sym_NA] = ACTIONS(757),
    [anon_sym_NA_integer_] = ACTIONS(757),
    [anon_sym_NA_real_] = ACTIONS(757),
    [anon_sym_NA_complex_] = ACTIONS(757),
    [anon_sym_NA_character_] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(759),
    [sym__semicolon] = ACTIONS(759),
    [sym__raw_string_literal] = ACTIONS(759),
    [sym__external_else] = ACTIONS(759),
    [sym__external_open_parenthesis] = ACTIONS(759),
    [sym__external_open_brace] = ACTIONS(759),
    [sym__external_close_brace] = ACTIONS(759),
    [sym__external_open_bracket] = ACTIONS(759),
    [sym__external_open_bracket2] = ACTIONS(759),
  },
  [335] = {
    [sym_identifier] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(761),
    [anon_sym_EQ] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_repeat] = ACTIONS(761),
    [anon_sym_QMARK] = ACTIONS(763),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(761),
    [anon_sym_LT_DASH] = ACTIONS(763),
    [anon_sym_LT_LT_DASH] = ACTIONS(763),
    [anon_sym_COLON_EQ] = ACTIONS(763),
    [anon_sym_DASH_GT] = ACTIONS(761),
    [anon_sym_DASH_GT_GT] = ACTIONS(763),
    [anon_sym_PIPE] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(761),
    [anon_sym_LT_EQ] = ACTIONS(763),
    [anon_sym_GT] = ACTIONS(761),
    [anon_sym_GT_EQ] = ACTIONS(763),
    [anon_sym_EQ_EQ] = ACTIONS(763),
    [anon_sym_BANG_EQ] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_SLASH] = ACTIONS(763),
    [anon_sym_STAR_STAR] = ACTIONS(763),
    [anon_sym_CARET] = ACTIONS(763),
    [aux_sym_binary_operator_token1] = ACTIONS(763),
    [anon_sym_PIPE_GT] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(763),
    [sym__hex_literal] = ACTIONS(763),
    [sym__number_literal] = ACTIONS(761),
    [anon_sym_SQUOTE] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(763),
    [sym_dots] = ACTIONS(761),
    [sym_dot_dot_i] = ACTIONS(763),
    [sym_return] = ACTIONS(761),
    [sym_next] = ACTIONS(761),
    [sym_break] = ACTIONS(761),
    [sym_true] = ACTIONS(761),
    [sym_false] = ACTIONS(761),
    [sym_null] = ACTIONS(761),
    [sym_inf] = ACTIONS(761),
    [sym_nan] = ACTIONS(761),
    [anon_sym_NA] = ACTIONS(761),
    [anon_sym_NA_integer_] = ACTIONS(761),
    [anon_sym_NA_real_] = ACTIONS(761),
    [anon_sym_NA_complex_] = ACTIONS(761),
    [anon_sym_NA_character_] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(763),
    [sym__semicolon] = ACTIONS(763),
    [sym__raw_string_literal] = ACTIONS(763),
    [sym__external_else] = ACTIONS(763),
    [sym__external_open_parenthesis] = ACTIONS(763),
    [sym__external_open_brace] = ACTIONS(763),
    [sym__external_close_brace] = ACTIONS(763),
    [sym__external_open_bracket] = ACTIONS(763),
    [sym__external_open_bracket2] = ACTIONS(763),
  },
  [336] = {
    [sym_identifier] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [anon_sym_LT_LT_DASH] = ACTIONS(767),
    [anon_sym_COLON_EQ] = ACTIONS(767),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(767),
    [anon_sym_AMP_AMP] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(767),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_STAR_STAR] = ACTIONS(767),
    [anon_sym_CARET] = ACTIONS(767),
    [aux_sym_binary_operator_token1] = ACTIONS(767),
    [anon_sym_PIPE_GT] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(767),
    [sym__hex_literal] = ACTIONS(767),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(767),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(767),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(767),
    [sym__semicolon] = ACTIONS(767),
    [sym__raw_string_literal] = ACTIONS(767),
    [sym__external_else] = ACTIONS(767),
    [sym__external_open_parenthesis] = ACTIONS(767),
    [sym__external_open_brace] = ACTIONS(767),
    [sym__external_close_brace] = ACTIONS(767),
    [sym__external_open_bracket] = ACTIONS(767),
    [sym__external_open_bracket2] = ACTIONS(767),
  },
  [337] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(771),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_repeat] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_LT_DASH] = ACTIONS(771),
    [anon_sym_LT_LT_DASH] = ACTIONS(771),
    [anon_sym_COLON_EQ] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(769),
    [anon_sym_DASH_GT_GT] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [aux_sym_binary_operator_token1] = ACTIONS(771),
    [anon_sym_PIPE_GT] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(769),
    [anon_sym_DOLLAR] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(771),
    [sym__hex_literal] = ACTIONS(771),
    [sym__number_literal] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(771),
    [anon_sym_DQUOTE] = ACTIONS(771),
    [sym_dots] = ACTIONS(769),
    [sym_dot_dot_i] = ACTIONS(771),
    [sym_return] = ACTIONS(769),
    [sym_next] = ACTIONS(769),
    [sym_break] = ACTIONS(769),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_null] = ACTIONS(769),
    [sym_inf] = ACTIONS(769),
    [sym_nan] = ACTIONS(769),
    [anon_sym_NA] = ACTIONS(769),
    [anon_sym_NA_integer_] = ACTIONS(769),
    [anon_sym_NA_real_] = ACTIONS(769),
    [anon_sym_NA_complex_] = ACTIONS(769),
    [anon_sym_NA_character_] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(771),
    [sym__raw_string_literal] = ACTIONS(771),
    [sym__external_else] = ACTIONS(771),
    [sym__external_open_parenthesis] = ACTIONS(771),
    [sym__external_open_brace] = ACTIONS(771),
    [sym__external_close_brace] = ACTIONS(771),
    [sym__external_open_bracket] = ACTIONS(771),
    [sym__external_open_bracket2] = ACTIONS(771),
  },
  [338] = {
    [sym_identifier] = ACTIONS(773),
    [anon_sym_BSLASH] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_LT_DASH] = ACTIONS(775),
    [anon_sym_LT_LT_DASH] = ACTIONS(775),
    [anon_sym_COLON_EQ] = ACTIONS(775),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(775),
    [anon_sym_PIPE_GT] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(775),
    [sym__hex_literal] = ACTIONS(775),
    [sym__number_literal] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [sym_dots] = ACTIONS(773),
    [sym_dot_dot_i] = ACTIONS(775),
    [sym_return] = ACTIONS(773),
    [sym_next] = ACTIONS(773),
    [sym_break] = ACTIONS(773),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_null] = ACTIONS(773),
    [sym_inf] = ACTIONS(773),
    [sym_nan] = ACTIONS(773),
    [anon_sym_NA] = ACTIONS(773),
    [anon_sym_NA_integer_] = ACTIONS(773),
    [anon_sym_NA_real_] = ACTIONS(773),
    [anon_sym_NA_complex_] = ACTIONS(773),
    [anon_sym_NA_character_] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(775),
    [sym__raw_string_literal] = ACTIONS(775),
    [sym__external_else] = ACTIONS(775),
    [sym__external_open_parenthesis] = ACTIONS(775),
    [sym__external_open_brace] = ACTIONS(775),
    [sym__external_close_brace] = ACTIONS(775),
    [sym__external_open_bracket] = ACTIONS(775),
    [sym__external_open_bracket2] = ACTIONS(775),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(777),
    [sym_identifier] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_for] = ACTIONS(779),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_repeat] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_LT_DASH] = ACTIONS(777),
    [anon_sym_LT_LT_DASH] = ACTIONS(777),
    [anon_sym_COLON_EQ] = ACTIONS(777),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_DASH_GT_GT] = ACTIONS(777),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(777),
    [anon_sym_AMP_AMP] = ACTIONS(777),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(777),
    [anon_sym_STAR] = ACTIONS(779),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_STAR_STAR] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(777),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [sym__hex_literal] = ACTIONS(777),
    [sym__number_literal] = ACTIONS(779),
    [anon_sym_SQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [sym_dots] = ACTIONS(779),
    [sym_dot_dot_i] = ACTIONS(777),
    [sym_return] = ACTIONS(779),
    [sym_next] = ACTIONS(779),
    [sym_break] = ACTIONS(779),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_inf] = ACTIONS(779),
    [sym_nan] = ACTIONS(779),
    [anon_sym_NA] = ACTIONS(779),
    [anon_sym_NA_integer_] = ACTIONS(779),
    [anon_sym_NA_real_] = ACTIONS(779),
    [anon_sym_NA_complex_] = ACTIONS(779),
    [anon_sym_NA_character_] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(777),
    [sym__semicolon] = ACTIONS(777),
    [sym__raw_string_literal] = ACTIONS(777),
    [sym__external_else] = ACTIONS(777),
    [sym__external_open_parenthesis] = ACTIONS(777),
    [sym__external_open_brace] = ACTIONS(777),
    [sym__external_open_bracket] = ACTIONS(777),
    [sym__external_open_bracket2] = ACTIONS(777),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(781),
    [sym_identifier] = ACTIONS(783),
    [anon_sym_BSLASH] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_repeat] = ACTIONS(783),
    [anon_sym_QMARK] = ACTIONS(781),
    [anon_sym_TILDE] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(781),
    [anon_sym_LT_LT_DASH] = ACTIONS(781),
    [anon_sym_COLON_EQ] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(783),
    [anon_sym_DASH_GT_GT] = ACTIONS(781),
    [anon_sym_PIPE] = ACTIONS(783),
    [anon_sym_AMP] = ACTIONS(783),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(783),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_SLASH] = ACTIONS(781),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_CARET] = ACTIONS(781),
    [aux_sym_binary_operator_token1] = ACTIONS(781),
    [anon_sym_PIPE_GT] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(783),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(781),
    [sym__number_literal] = ACTIONS(783),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(781),
    [sym_dots] = ACTIONS(783),
    [sym_dot_dot_i] = ACTIONS(781),
    [sym_return] = ACTIONS(783),
    [sym_next] = ACTIONS(783),
    [sym_break] = ACTIONS(783),
    [sym_true] = ACTIONS(783),
    [sym_false] = ACTIONS(783),
    [sym_null] = ACTIONS(783),
    [sym_inf] = ACTIONS(783),
    [sym_nan] = ACTIONS(783),
    [anon_sym_NA] = ACTIONS(783),
    [anon_sym_NA_integer_] = ACTIONS(783),
    [anon_sym_NA_real_] = ACTIONS(783),
    [anon_sym_NA_complex_] = ACTIONS(783),
    [anon_sym_NA_character_] = ACTIONS(783),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(781),
    [sym__semicolon] = ACTIONS(781),
    [sym__raw_string_literal] = ACTIONS(781),
    [sym__external_else] = ACTIONS(781),
    [sym__external_open_parenthesis] = ACTIONS(781),
    [sym__external_open_brace] = ACTIONS(781),
    [sym__external_open_bracket] = ACTIONS(781),
    [sym__external_open_bracket2] = ACTIONS(781),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(785),
    [sym_identifier] = ACTIONS(787),
    [anon_sym_BSLASH] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(787),
    [anon_sym_repeat] = ACTIONS(787),
    [anon_sym_QMARK] = ACTIONS(785),
    [anon_sym_TILDE] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_LT_LT_DASH] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(785),
    [anon_sym_DASH_GT] = ACTIONS(787),
    [anon_sym_DASH_GT_GT] = ACTIONS(785),
    [anon_sym_PIPE] = ACTIONS(787),
    [anon_sym_AMP] = ACTIONS(787),
    [anon_sym_PIPE_PIPE] = ACTIONS(785),
    [anon_sym_AMP_AMP] = ACTIONS(785),
    [anon_sym_LT] = ACTIONS(787),
    [anon_sym_LT_EQ] = ACTIONS(785),
    [anon_sym_GT] = ACTIONS(787),
    [anon_sym_GT_EQ] = ACTIONS(785),
    [anon_sym_EQ_EQ] = ACTIONS(785),
    [anon_sym_BANG_EQ] = ACTIONS(785),
    [anon_sym_STAR] = ACTIONS(787),
    [anon_sym_SLASH] = ACTIONS(785),
    [anon_sym_STAR_STAR] = ACTIONS(785),
    [anon_sym_CARET] = ACTIONS(785),
    [aux_sym_binary_operator_token1] = ACTIONS(785),
    [anon_sym_PIPE_GT] = ACTIONS(785),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_DOLLAR] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(785),
    [sym__hex_literal] = ACTIONS(785),
    [sym__number_literal] = ACTIONS(787),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_dots] = ACTIONS(787),
    [sym_dot_dot_i] = ACTIONS(785),
    [sym_return] = ACTIONS(787),
    [sym_next] = ACTIONS(787),
    [sym_break] = ACTIONS(787),
    [sym_true] = ACTIONS(787),
    [sym_false] = ACTIONS(787),
    [sym_null] = ACTIONS(787),
    [sym_inf] = ACTIONS(787),
    [sym_nan] = ACTIONS(787),
    [anon_sym_NA] = ACTIONS(787),
    [anon_sym_NA_integer_] = ACTIONS(787),
    [anon_sym_NA_real_] = ACTIONS(787),
    [anon_sym_NA_complex_] = ACTIONS(787),
    [anon_sym_NA_character_] = ACTIONS(787),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(785),
    [sym__semicolon] = ACTIONS(785),
    [sym__raw_string_literal] = ACTIONS(785),
    [sym__external_else] = ACTIONS(785),
    [sym__external_open_parenthesis] = ACTIONS(785),
    [sym__external_open_brace] = ACTIONS(785),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(785),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(789),
    [sym_identifier] = ACTIONS(791),
    [anon_sym_BSLASH] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(791),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_if] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(791),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_repeat] = ACTIONS(791),
    [anon_sym_QMARK] = ACTIONS(789),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_AMP] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_AMP_AMP] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_LT_EQ] = ACTIONS(789),
    [anon_sym_GT] = ACTIONS(791),
    [anon_sym_GT_EQ] = ACTIONS(789),
    [anon_sym_EQ_EQ] = ACTIONS(789),
    [anon_sym_BANG_EQ] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_SLASH] = ACTIONS(789),
    [anon_sym_STAR_STAR] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [aux_sym_binary_operator_token1] = ACTIONS(789),
    [anon_sym_PIPE_GT] = ACTIONS(789),
    [anon_sym_COLON] = ACTIONS(791),
    [anon_sym_DOLLAR] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(789),
    [sym__hex_literal] = ACTIONS(789),
    [sym__number_literal] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [sym_dots] = ACTIONS(791),
    [sym_dot_dot_i] = ACTIONS(789),
    [sym_return] = ACTIONS(791),
    [sym_next] = ACTIONS(791),
    [sym_break] = ACTIONS(791),
    [sym_true] = ACTIONS(791),
    [sym_false] = ACTIONS(791),
    [sym_null] = ACTIONS(791),
    [sym_inf] = ACTIONS(791),
    [sym_nan] = ACTIONS(791),
    [anon_sym_NA] = ACTIONS(791),
    [anon_sym_NA_integer_] = ACTIONS(791),
    [anon_sym_NA_real_] = ACTIONS(791),
    [anon_sym_NA_complex_] = ACTIONS(791),
    [anon_sym_NA_character_] = ACTIONS(791),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(789),
    [sym__semicolon] = ACTIONS(789),
    [sym__raw_string_literal] = ACTIONS(789),
    [sym__external_else] = ACTIONS(789),
    [sym__external_open_parenthesis] = ACTIONS(789),
    [sym__external_open_brace] = ACTIONS(789),
    [sym__external_open_bracket] = ACTIONS(789),
    [sym__external_open_bracket2] = ACTIONS(789),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(793),
    [sym_identifier] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_repeat] = ACTIONS(795),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_LT_DASH] = ACTIONS(793),
    [anon_sym_LT_LT_DASH] = ACTIONS(793),
    [anon_sym_COLON_EQ] = ACTIONS(793),
    [anon_sym_DASH_GT] = ACTIONS(795),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_PIPE_PIPE] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(795),
    [anon_sym_LT_EQ] = ACTIONS(793),
    [anon_sym_GT] = ACTIONS(795),
    [anon_sym_GT_EQ] = ACTIONS(793),
    [anon_sym_EQ_EQ] = ACTIONS(793),
    [anon_sym_BANG_EQ] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(795),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_STAR_STAR] = ACTIONS(793),
    [anon_sym_CARET] = ACTIONS(793),
    [aux_sym_binary_operator_token1] = ACTIONS(793),
    [anon_sym_PIPE_GT] = ACTIONS(793),
    [anon_sym_COLON] = ACTIONS(795),
    [anon_sym_DOLLAR] = ACTIONS(793),
    [anon_sym_AT] = ACTIONS(793),
    [sym__hex_literal] = ACTIONS(793),
    [sym__number_literal] = ACTIONS(795),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_dots] = ACTIONS(795),
    [sym_dot_dot_i] = ACTIONS(793),
    [sym_return] = ACTIONS(795),
    [sym_next] = ACTIONS(795),
    [sym_break] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_inf] = ACTIONS(795),
    [sym_nan] = ACTIONS(795),
    [anon_sym_NA] = ACTIONS(795),
    [anon_sym_NA_integer_] = ACTIONS(795),
    [anon_sym_NA_real_] = ACTIONS(795),
    [anon_sym_NA_complex_] = ACTIONS(795),
    [anon_sym_NA_character_] = ACTIONS(795),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(793),
    [sym__semicolon] = ACTIONS(793),
    [sym__raw_string_literal] = ACTIONS(793),
    [sym__external_else] = ACTIONS(793),
    [sym__external_open_parenthesis] = ACTIONS(793),
    [sym__external_open_brace] = ACTIONS(793),
    [sym__external_open_bracket] = ACTIONS(793),
    [sym__external_open_bracket2] = ACTIONS(793),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(701),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_EQ] = ACTIONS(699),
    [anon_sym_if] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(699),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_repeat] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_LT_DASH] = ACTIONS(701),
    [anon_sym_LT_LT_DASH] = ACTIONS(701),
    [anon_sym_COLON_EQ] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(699),
    [anon_sym_DASH_GT_GT] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(699),
    [anon_sym_AMP] = ACTIONS(699),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(701),
    [anon_sym_PIPE_GT] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(699),
    [anon_sym_DOLLAR] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(701),
    [sym__hex_literal] = ACTIONS(701),
    [sym__number_literal] = ACTIONS(699),
    [anon_sym_SQUOTE] = ACTIONS(701),
    [anon_sym_DQUOTE] = ACTIONS(701),
    [sym_dots] = ACTIONS(699),
    [sym_dot_dot_i] = ACTIONS(701),
    [sym_return] = ACTIONS(699),
    [sym_next] = ACTIONS(699),
    [sym_break] = ACTIONS(699),
    [sym_true] = ACTIONS(699),
    [sym_false] = ACTIONS(699),
    [sym_null] = ACTIONS(699),
    [sym_inf] = ACTIONS(699),
    [sym_nan] = ACTIONS(699),
    [anon_sym_NA] = ACTIONS(699),
    [anon_sym_NA_integer_] = ACTIONS(699),
    [anon_sym_NA_real_] = ACTIONS(699),
    [anon_sym_NA_complex_] = ACTIONS(699),
    [anon_sym_NA_character_] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(701),
    [sym__semicolon] = ACTIONS(701),
    [sym__raw_string_literal] = ACTIONS(701),
    [sym__external_else] = ACTIONS(701),
    [sym__external_open_parenthesis] = ACTIONS(701),
    [sym__external_open_brace] = ACTIONS(701),
    [sym__external_open_bracket] = ACTIONS(701),
    [sym__external_open_bracket2] = ACTIONS(701),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(705),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_function] = ACTIONS(703),
    [anon_sym_EQ] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(703),
    [anon_sym_for] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(703),
    [anon_sym_repeat] = ACTIONS(703),
    [anon_sym_QMARK] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_LT_DASH] = ACTIONS(705),
    [anon_sym_LT_LT_DASH] = ACTIONS(705),
    [anon_sym_COLON_EQ] = ACTIONS(705),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_DASH_GT_GT] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(703),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_PIPE_PIPE] = ACTIONS(705),
    [anon_sym_AMP_AMP] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_LT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_EQ] = ACTIONS(705),
    [anon_sym_EQ_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(705),
    [anon_sym_STAR_STAR] = ACTIONS(705),
    [anon_sym_CARET] = ACTIONS(705),
    [aux_sym_binary_operator_token1] = ACTIONS(705),
    [anon_sym_PIPE_GT] = ACTIONS(705),
    [anon_sym_COLON] = ACTIONS(703),
    [anon_sym_DOLLAR] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [sym__hex_literal] = ACTIONS(705),
    [sym__number_literal] = ACTIONS(703),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [sym_dots] = ACTIONS(703),
    [sym_dot_dot_i] = ACTIONS(705),
    [sym_return] = ACTIONS(703),
    [sym_next] = ACTIONS(703),
    [sym_break] = ACTIONS(703),
    [sym_true] = ACTIONS(703),
    [sym_false] = ACTIONS(703),
    [sym_null] = ACTIONS(703),
    [sym_inf] = ACTIONS(703),
    [sym_nan] = ACTIONS(703),
    [anon_sym_NA] = ACTIONS(703),
    [anon_sym_NA_integer_] = ACTIONS(703),
    [anon_sym_NA_real_] = ACTIONS(703),
    [anon_sym_NA_complex_] = ACTIONS(703),
    [anon_sym_NA_character_] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(705),
    [sym__semicolon] = ACTIONS(705),
    [sym__raw_string_literal] = ACTIONS(705),
    [sym__external_else] = ACTIONS(705),
    [sym__external_open_parenthesis] = ACTIONS(705),
    [sym__external_open_brace] = ACTIONS(705),
    [sym__external_open_bracket] = ACTIONS(705),
    [sym__external_open_bracket2] = ACTIONS(705),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(709),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(707),
    [anon_sym_repeat] = ACTIONS(707),
    [anon_sym_QMARK] = ACTIONS(709),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_PLUS] = ACTIONS(709),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [anon_sym_LT_LT_DASH] = ACTIONS(709),
    [anon_sym_COLON_EQ] = ACTIONS(709),
    [anon_sym_DASH_GT] = ACTIONS(707),
    [anon_sym_DASH_GT_GT] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(707),
    [anon_sym_PIPE_PIPE] = ACTIONS(709),
    [anon_sym_AMP_AMP] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_LT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_EQ] = ACTIONS(709),
    [anon_sym_EQ_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_CARET] = ACTIONS(709),
    [aux_sym_binary_operator_token1] = ACTIONS(709),
    [anon_sym_PIPE_GT] = ACTIONS(709),
    [anon_sym_COLON] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(709),
    [sym__hex_literal] = ACTIONS(709),
    [sym__number_literal] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(709),
    [sym_dots] = ACTIONS(707),
    [sym_dot_dot_i] = ACTIONS(709),
    [sym_return] = ACTIONS(707),
    [sym_next] = ACTIONS(707),
    [sym_break] = ACTIONS(707),
    [sym_true] = ACTIONS(707),
    [sym_false] = ACTIONS(707),
    [sym_null] = ACTIONS(707),
    [sym_inf] = ACTIONS(707),
    [sym_nan] = ACTIONS(707),
    [anon_sym_NA] = ACTIONS(707),
    [anon_sym_NA_integer_] = ACTIONS(707),
    [anon_sym_NA_real_] = ACTIONS(707),
    [anon_sym_NA_complex_] = ACTIONS(707),
    [anon_sym_NA_character_] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(709),
    [sym__semicolon] = ACTIONS(709),
    [sym__raw_string_literal] = ACTIONS(709),
    [sym__external_else] = ACTIONS(709),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(709),
    [sym__external_open_bracket] = ACTIONS(709),
    [sym__external_open_bracket2] = ACTIONS(709),
  },
  [347] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(387),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(797),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(799),
    [anon_sym_function] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(801),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(801),
    [anon_sym_repeat] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(799),
    [anon_sym_TILDE] = ACTIONS(799),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(799),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_LT_DASH] = ACTIONS(799),
    [anon_sym_LT_LT_DASH] = ACTIONS(799),
    [anon_sym_COLON_EQ] = ACTIONS(799),
    [anon_sym_DASH_GT] = ACTIONS(801),
    [anon_sym_DASH_GT_GT] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_LT_EQ] = ACTIONS(799),
    [anon_sym_GT] = ACTIONS(801),
    [anon_sym_GT_EQ] = ACTIONS(799),
    [anon_sym_EQ_EQ] = ACTIONS(799),
    [anon_sym_BANG_EQ] = ACTIONS(799),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(799),
    [anon_sym_STAR_STAR] = ACTIONS(799),
    [anon_sym_CARET] = ACTIONS(799),
    [aux_sym_binary_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE_GT] = ACTIONS(799),
    [anon_sym_COLON] = ACTIONS(801),
    [anon_sym_DOLLAR] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(799),
    [sym__hex_literal] = ACTIONS(799),
    [sym__number_literal] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_dots] = ACTIONS(801),
    [sym_dot_dot_i] = ACTIONS(799),
    [sym_return] = ACTIONS(801),
    [sym_next] = ACTIONS(801),
    [sym_break] = ACTIONS(801),
    [sym_true] = ACTIONS(801),
    [sym_false] = ACTIONS(801),
    [sym_null] = ACTIONS(801),
    [sym_inf] = ACTIONS(801),
    [sym_nan] = ACTIONS(801),
    [anon_sym_NA] = ACTIONS(801),
    [anon_sym_NA_integer_] = ACTIONS(801),
    [anon_sym_NA_real_] = ACTIONS(801),
    [anon_sym_NA_complex_] = ACTIONS(801),
    [anon_sym_NA_character_] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(799),
    [sym__semicolon] = ACTIONS(799),
    [sym__raw_string_literal] = ACTIONS(799),
    [sym__external_else] = ACTIONS(799),
    [sym__external_open_parenthesis] = ACTIONS(799),
    [sym__external_open_brace] = ACTIONS(799),
    [sym__external_open_bracket] = ACTIONS(799),
    [sym__external_open_bracket2] = ACTIONS(799),
  },
  [349] = {
    [sym_identifier] = ACTIONS(787),
    [anon_sym_BSLASH] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(787),
    [anon_sym_repeat] = ACTIONS(787),
    [anon_sym_QMARK] = ACTIONS(785),
    [anon_sym_TILDE] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_LT_LT_DASH] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(785),
    [anon_sym_DASH_GT] = ACTIONS(787),
    [anon_sym_DASH_GT_GT] = ACTIONS(785),
    [anon_sym_PIPE] = ACTIONS(787),
    [anon_sym_AMP] = ACTIONS(787),
    [anon_sym_PIPE_PIPE] = ACTIONS(785),
    [anon_sym_AMP_AMP] = ACTIONS(785),
    [anon_sym_LT] = ACTIONS(787),
    [anon_sym_LT_EQ] = ACTIONS(785),
    [anon_sym_GT] = ACTIONS(787),
    [anon_sym_GT_EQ] = ACTIONS(785),
    [anon_sym_EQ_EQ] = ACTIONS(785),
    [anon_sym_BANG_EQ] = ACTIONS(785),
    [anon_sym_STAR] = ACTIONS(787),
    [anon_sym_SLASH] = ACTIONS(785),
    [anon_sym_STAR_STAR] = ACTIONS(785),
    [anon_sym_CARET] = ACTIONS(785),
    [aux_sym_binary_operator_token1] = ACTIONS(785),
    [anon_sym_PIPE_GT] = ACTIONS(785),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_DOLLAR] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(785),
    [sym__hex_literal] = ACTIONS(785),
    [sym__number_literal] = ACTIONS(787),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_dots] = ACTIONS(787),
    [sym_dot_dot_i] = ACTIONS(785),
    [sym_return] = ACTIONS(787),
    [sym_next] = ACTIONS(787),
    [sym_break] = ACTIONS(787),
    [sym_true] = ACTIONS(787),
    [sym_false] = ACTIONS(787),
    [sym_null] = ACTIONS(787),
    [sym_inf] = ACTIONS(787),
    [sym_nan] = ACTIONS(787),
    [anon_sym_NA] = ACTIONS(787),
    [anon_sym_NA_integer_] = ACTIONS(787),
    [anon_sym_NA_real_] = ACTIONS(787),
    [anon_sym_NA_complex_] = ACTIONS(787),
    [anon_sym_NA_character_] = ACTIONS(787),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(785),
    [sym__semicolon] = ACTIONS(785),
    [sym__raw_string_literal] = ACTIONS(785),
    [sym__external_else] = ACTIONS(785),
    [sym__external_open_parenthesis] = ACTIONS(785),
    [sym__external_open_brace] = ACTIONS(785),
    [sym__external_close_brace] = ACTIONS(785),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(785),
  },
  [350] = {
    [sym_identifier] = ACTIONS(791),
    [anon_sym_BSLASH] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(791),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_if] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(791),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_repeat] = ACTIONS(791),
    [anon_sym_QMARK] = ACTIONS(789),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_AMP] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_AMP_AMP] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_LT_EQ] = ACTIONS(789),
    [anon_sym_GT] = ACTIONS(791),
    [anon_sym_GT_EQ] = ACTIONS(789),
    [anon_sym_EQ_EQ] = ACTIONS(789),
    [anon_sym_BANG_EQ] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_SLASH] = ACTIONS(789),
    [anon_sym_STAR_STAR] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [aux_sym_binary_operator_token1] = ACTIONS(789),
    [anon_sym_PIPE_GT] = ACTIONS(789),
    [anon_sym_COLON] = ACTIONS(791),
    [anon_sym_DOLLAR] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(789),
    [sym__hex_literal] = ACTIONS(789),
    [sym__number_literal] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [sym_dots] = ACTIONS(791),
    [sym_dot_dot_i] = ACTIONS(789),
    [sym_return] = ACTIONS(791),
    [sym_next] = ACTIONS(791),
    [sym_break] = ACTIONS(791),
    [sym_true] = ACTIONS(791),
    [sym_false] = ACTIONS(791),
    [sym_null] = ACTIONS(791),
    [sym_inf] = ACTIONS(791),
    [sym_nan] = ACTIONS(791),
    [anon_sym_NA] = ACTIONS(791),
    [anon_sym_NA_integer_] = ACTIONS(791),
    [anon_sym_NA_real_] = ACTIONS(791),
    [anon_sym_NA_complex_] = ACTIONS(791),
    [anon_sym_NA_character_] = ACTIONS(791),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(789),
    [sym__semicolon] = ACTIONS(789),
    [sym__raw_string_literal] = ACTIONS(789),
    [sym__external_else] = ACTIONS(789),
    [sym__external_open_parenthesis] = ACTIONS(789),
    [sym__external_open_brace] = ACTIONS(789),
    [sym__external_close_brace] = ACTIONS(789),
    [sym__external_open_bracket] = ACTIONS(789),
    [sym__external_open_bracket2] = ACTIONS(789),
  },
  [351] = {
    [sym_identifier] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(799),
    [anon_sym_function] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(801),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(801),
    [anon_sym_repeat] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(799),
    [anon_sym_TILDE] = ACTIONS(799),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(799),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_LT_DASH] = ACTIONS(799),
    [anon_sym_LT_LT_DASH] = ACTIONS(799),
    [anon_sym_COLON_EQ] = ACTIONS(799),
    [anon_sym_DASH_GT] = ACTIONS(801),
    [anon_sym_DASH_GT_GT] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_LT_EQ] = ACTIONS(799),
    [anon_sym_GT] = ACTIONS(801),
    [anon_sym_GT_EQ] = ACTIONS(799),
    [anon_sym_EQ_EQ] = ACTIONS(799),
    [anon_sym_BANG_EQ] = ACTIONS(799),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(799),
    [anon_sym_STAR_STAR] = ACTIONS(799),
    [anon_sym_CARET] = ACTIONS(799),
    [aux_sym_binary_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE_GT] = ACTIONS(799),
    [anon_sym_COLON] = ACTIONS(801),
    [anon_sym_DOLLAR] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(799),
    [sym__hex_literal] = ACTIONS(799),
    [sym__number_literal] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_dots] = ACTIONS(801),
    [sym_dot_dot_i] = ACTIONS(799),
    [sym_return] = ACTIONS(801),
    [sym_next] = ACTIONS(801),
    [sym_break] = ACTIONS(801),
    [sym_true] = ACTIONS(801),
    [sym_false] = ACTIONS(801),
    [sym_null] = ACTIONS(801),
    [sym_inf] = ACTIONS(801),
    [sym_nan] = ACTIONS(801),
    [anon_sym_NA] = ACTIONS(801),
    [anon_sym_NA_integer_] = ACTIONS(801),
    [anon_sym_NA_real_] = ACTIONS(801),
    [anon_sym_NA_complex_] = ACTIONS(801),
    [anon_sym_NA_character_] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(799),
    [sym__semicolon] = ACTIONS(799),
    [sym__raw_string_literal] = ACTIONS(799),
    [sym__external_else] = ACTIONS(799),
    [sym__external_open_parenthesis] = ACTIONS(799),
    [sym__external_open_brace] = ACTIONS(799),
    [sym__external_close_brace] = ACTIONS(799),
    [sym__external_open_bracket] = ACTIONS(799),
    [sym__external_open_bracket2] = ACTIONS(799),
  },
  [352] = {
    [sym_identifier] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_QMARK] = ACTIONS(805),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_LT_DASH] = ACTIONS(805),
    [anon_sym_LT_LT_DASH] = ACTIONS(805),
    [anon_sym_COLON_EQ] = ACTIONS(805),
    [anon_sym_DASH_GT] = ACTIONS(803),
    [anon_sym_DASH_GT_GT] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(803),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE_PIPE] = ACTIONS(805),
    [anon_sym_AMP_AMP] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_STAR_STAR] = ACTIONS(805),
    [anon_sym_CARET] = ACTIONS(805),
    [aux_sym_binary_operator_token1] = ACTIONS(805),
    [anon_sym_PIPE_GT] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_DOLLAR] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(805),
    [sym__hex_literal] = ACTIONS(805),
    [sym__number_literal] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_dots] = ACTIONS(803),
    [sym_dot_dot_i] = ACTIONS(805),
    [sym_return] = ACTIONS(803),
    [sym_next] = ACTIONS(803),
    [sym_break] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_inf] = ACTIONS(803),
    [sym_nan] = ACTIONS(803),
    [anon_sym_NA] = ACTIONS(803),
    [anon_sym_NA_integer_] = ACTIONS(803),
    [anon_sym_NA_real_] = ACTIONS(803),
    [anon_sym_NA_complex_] = ACTIONS(803),
    [anon_sym_NA_character_] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(805),
    [sym__semicolon] = ACTIONS(805),
    [sym__raw_string_literal] = ACTIONS(805),
    [sym__external_else] = ACTIONS(805),
    [sym__external_open_parenthesis] = ACTIONS(805),
    [sym__external_open_brace] = ACTIONS(805),
    [sym__external_close_brace] = ACTIONS(805),
    [sym__external_open_bracket] = ACTIONS(805),
    [sym__external_open_bracket2] = ACTIONS(805),
  },
  [353] = {
    [sym_identifier] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_while] = ACTIONS(807),
    [anon_sym_repeat] = ACTIONS(807),
    [anon_sym_QMARK] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_LT_DASH] = ACTIONS(809),
    [anon_sym_LT_LT_DASH] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(809),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_DASH_GT_GT] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(809),
    [anon_sym_BANG_EQ] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(809),
    [aux_sym_binary_operator_token1] = ACTIONS(809),
    [anon_sym_PIPE_GT] = ACTIONS(809),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [sym__hex_literal] = ACTIONS(809),
    [sym__number_literal] = ACTIONS(807),
    [anon_sym_SQUOTE] = ACTIONS(809),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [sym_dots] = ACTIONS(807),
    [sym_dot_dot_i] = ACTIONS(809),
    [sym_return] = ACTIONS(807),
    [sym_next] = ACTIONS(807),
    [sym_break] = ACTIONS(807),
    [sym_true] = ACTIONS(807),
    [sym_false] = ACTIONS(807),
    [sym_null] = ACTIONS(807),
    [sym_inf] = ACTIONS(807),
    [sym_nan] = ACTIONS(807),
    [anon_sym_NA] = ACTIONS(807),
    [anon_sym_NA_integer_] = ACTIONS(807),
    [anon_sym_NA_real_] = ACTIONS(807),
    [anon_sym_NA_complex_] = ACTIONS(807),
    [anon_sym_NA_character_] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(809),
    [sym__semicolon] = ACTIONS(809),
    [sym__raw_string_literal] = ACTIONS(809),
    [sym__external_else] = ACTIONS(809),
    [sym__external_open_parenthesis] = ACTIONS(809),
    [sym__external_open_brace] = ACTIONS(809),
    [sym__external_close_brace] = ACTIONS(809),
    [sym__external_open_bracket] = ACTIONS(809),
    [sym__external_open_bracket2] = ACTIONS(809),
  },
  [354] = {
    [sym_identifier] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(813),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_repeat] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [anon_sym_TILDE] = ACTIONS(813),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(811),
    [anon_sym_DASH_GT_GT] = ACTIONS(813),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_AMP] = ACTIONS(811),
    [anon_sym_PIPE_PIPE] = ACTIONS(813),
    [anon_sym_AMP_AMP] = ACTIONS(813),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_LT_EQ] = ACTIONS(813),
    [anon_sym_GT] = ACTIONS(811),
    [anon_sym_GT_EQ] = ACTIONS(813),
    [anon_sym_EQ_EQ] = ACTIONS(813),
    [anon_sym_BANG_EQ] = ACTIONS(813),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_STAR_STAR] = ACTIONS(813),
    [anon_sym_CARET] = ACTIONS(813),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(811),
    [anon_sym_DOLLAR] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(813),
    [sym__hex_literal] = ACTIONS(813),
    [sym__number_literal] = ACTIONS(811),
    [anon_sym_SQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [sym_dots] = ACTIONS(811),
    [sym_dot_dot_i] = ACTIONS(813),
    [sym_return] = ACTIONS(811),
    [sym_next] = ACTIONS(811),
    [sym_break] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_inf] = ACTIONS(811),
    [sym_nan] = ACTIONS(811),
    [anon_sym_NA] = ACTIONS(811),
    [anon_sym_NA_integer_] = ACTIONS(811),
    [anon_sym_NA_real_] = ACTIONS(811),
    [anon_sym_NA_complex_] = ACTIONS(811),
    [anon_sym_NA_character_] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(813),
    [sym__semicolon] = ACTIONS(813),
    [sym__raw_string_literal] = ACTIONS(813),
    [sym__external_else] = ACTIONS(813),
    [sym__external_open_parenthesis] = ACTIONS(813),
    [sym__external_open_brace] = ACTIONS(813),
    [sym__external_close_brace] = ACTIONS(813),
    [sym__external_open_bracket] = ACTIONS(813),
    [sym__external_open_bracket2] = ACTIONS(813),
  },
  [355] = {
    [sym_identifier] = ACTIONS(815),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(815),
    [anon_sym_for] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(815),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_LT_DASH] = ACTIONS(817),
    [anon_sym_LT_LT_DASH] = ACTIONS(817),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(815),
    [anon_sym_SLASH] = ACTIONS(817),
    [anon_sym_STAR_STAR] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [aux_sym_binary_operator_token1] = ACTIONS(817),
    [anon_sym_PIPE_GT] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(817),
    [sym__number_literal] = ACTIONS(815),
    [anon_sym_SQUOTE] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [sym_dots] = ACTIONS(815),
    [sym_dot_dot_i] = ACTIONS(817),
    [sym_return] = ACTIONS(815),
    [sym_next] = ACTIONS(815),
    [sym_break] = ACTIONS(815),
    [sym_true] = ACTIONS(815),
    [sym_false] = ACTIONS(815),
    [sym_null] = ACTIONS(815),
    [sym_inf] = ACTIONS(815),
    [sym_nan] = ACTIONS(815),
    [anon_sym_NA] = ACTIONS(815),
    [anon_sym_NA_integer_] = ACTIONS(815),
    [anon_sym_NA_real_] = ACTIONS(815),
    [anon_sym_NA_complex_] = ACTIONS(815),
    [anon_sym_NA_character_] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__semicolon] = ACTIONS(817),
    [sym__raw_string_literal] = ACTIONS(817),
    [sym__external_else] = ACTIONS(817),
    [sym__external_open_parenthesis] = ACTIONS(817),
    [sym__external_open_brace] = ACTIONS(817),
    [sym__external_close_brace] = ACTIONS(817),
    [sym__external_open_bracket] = ACTIONS(817),
    [sym__external_open_bracket2] = ACTIONS(817),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(805),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_QMARK] = ACTIONS(805),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_LT_DASH] = ACTIONS(805),
    [anon_sym_LT_LT_DASH] = ACTIONS(805),
    [anon_sym_COLON_EQ] = ACTIONS(805),
    [anon_sym_DASH_GT] = ACTIONS(803),
    [anon_sym_DASH_GT_GT] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(803),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE_PIPE] = ACTIONS(805),
    [anon_sym_AMP_AMP] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_STAR_STAR] = ACTIONS(805),
    [anon_sym_CARET] = ACTIONS(805),
    [aux_sym_binary_operator_token1] = ACTIONS(805),
    [anon_sym_PIPE_GT] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_DOLLAR] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(805),
    [sym__hex_literal] = ACTIONS(805),
    [sym__number_literal] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_dots] = ACTIONS(803),
    [sym_dot_dot_i] = ACTIONS(805),
    [sym_return] = ACTIONS(803),
    [sym_next] = ACTIONS(803),
    [sym_break] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_inf] = ACTIONS(803),
    [sym_nan] = ACTIONS(803),
    [anon_sym_NA] = ACTIONS(803),
    [anon_sym_NA_integer_] = ACTIONS(803),
    [anon_sym_NA_real_] = ACTIONS(803),
    [anon_sym_NA_complex_] = ACTIONS(803),
    [anon_sym_NA_character_] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(805),
    [sym__semicolon] = ACTIONS(805),
    [sym__raw_string_literal] = ACTIONS(805),
    [sym__external_else] = ACTIONS(805),
    [sym__external_open_parenthesis] = ACTIONS(805),
    [sym__external_open_brace] = ACTIONS(805),
    [sym__external_open_bracket] = ACTIONS(805),
    [sym__external_open_bracket2] = ACTIONS(805),
  },
  [357] = {
    [sym_identifier] = ACTIONS(819),
    [anon_sym_BSLASH] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(819),
    [anon_sym_repeat] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_LT_DASH] = ACTIONS(821),
    [anon_sym_LT_LT_DASH] = ACTIONS(821),
    [anon_sym_COLON_EQ] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(819),
    [anon_sym_DASH_GT_GT] = ACTIONS(821),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(821),
    [anon_sym_AMP_AMP] = ACTIONS(821),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_LT_EQ] = ACTIONS(821),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(821),
    [anon_sym_EQ_EQ] = ACTIONS(821),
    [anon_sym_BANG_EQ] = ACTIONS(821),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_STAR_STAR] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(821),
    [aux_sym_binary_operator_token1] = ACTIONS(821),
    [anon_sym_PIPE_GT] = ACTIONS(821),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_DOLLAR] = ACTIONS(821),
    [anon_sym_AT] = ACTIONS(821),
    [sym__hex_literal] = ACTIONS(821),
    [sym__number_literal] = ACTIONS(819),
    [anon_sym_SQUOTE] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [sym_dots] = ACTIONS(819),
    [sym_dot_dot_i] = ACTIONS(821),
    [sym_return] = ACTIONS(819),
    [sym_next] = ACTIONS(819),
    [sym_break] = ACTIONS(819),
    [sym_true] = ACTIONS(819),
    [sym_false] = ACTIONS(819),
    [sym_null] = ACTIONS(819),
    [sym_inf] = ACTIONS(819),
    [sym_nan] = ACTIONS(819),
    [anon_sym_NA] = ACTIONS(819),
    [anon_sym_NA_integer_] = ACTIONS(819),
    [anon_sym_NA_real_] = ACTIONS(819),
    [anon_sym_NA_complex_] = ACTIONS(819),
    [anon_sym_NA_character_] = ACTIONS(819),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(821),
    [sym__semicolon] = ACTIONS(821),
    [sym__raw_string_literal] = ACTIONS(821),
    [sym__external_else] = ACTIONS(821),
    [sym__external_open_parenthesis] = ACTIONS(821),
    [sym__external_open_brace] = ACTIONS(821),
    [sym__external_close_brace] = ACTIONS(821),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(821),
  },
  [358] = {
    [sym_identifier] = ACTIONS(823),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_for] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_repeat] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(823),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(823),
    [anon_sym_AMP] = ACTIONS(823),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(823),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(823),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(823),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(823),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [sym_dots] = ACTIONS(823),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_return] = ACTIONS(823),
    [sym_next] = ACTIONS(823),
    [sym_break] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_null] = ACTIONS(823),
    [sym_inf] = ACTIONS(823),
    [sym_nan] = ACTIONS(823),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(825),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_close_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [359] = {
    [sym_identifier] = ACTIONS(827),
    [anon_sym_BSLASH] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(827),
    [anon_sym_for] = ACTIONS(827),
    [anon_sym_while] = ACTIONS(827),
    [anon_sym_repeat] = ACTIONS(827),
    [anon_sym_QMARK] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(829),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_LT_DASH] = ACTIONS(829),
    [anon_sym_LT_LT_DASH] = ACTIONS(829),
    [anon_sym_COLON_EQ] = ACTIONS(829),
    [anon_sym_DASH_GT] = ACTIONS(827),
    [anon_sym_DASH_GT_GT] = ACTIONS(829),
    [anon_sym_PIPE] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_PIPE_PIPE] = ACTIONS(829),
    [anon_sym_AMP_AMP] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_STAR_STAR] = ACTIONS(829),
    [anon_sym_CARET] = ACTIONS(829),
    [aux_sym_binary_operator_token1] = ACTIONS(829),
    [anon_sym_PIPE_GT] = ACTIONS(829),
    [anon_sym_COLON] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(829),
    [sym__hex_literal] = ACTIONS(829),
    [sym__number_literal] = ACTIONS(827),
    [anon_sym_SQUOTE] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [sym_dots] = ACTIONS(827),
    [sym_dot_dot_i] = ACTIONS(829),
    [sym_return] = ACTIONS(827),
    [sym_next] = ACTIONS(827),
    [sym_break] = ACTIONS(827),
    [sym_true] = ACTIONS(827),
    [sym_false] = ACTIONS(827),
    [sym_null] = ACTIONS(827),
    [sym_inf] = ACTIONS(827),
    [sym_nan] = ACTIONS(827),
    [anon_sym_NA] = ACTIONS(827),
    [anon_sym_NA_integer_] = ACTIONS(827),
    [anon_sym_NA_real_] = ACTIONS(827),
    [anon_sym_NA_complex_] = ACTIONS(827),
    [anon_sym_NA_character_] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(829),
    [sym__semicolon] = ACTIONS(829),
    [sym__raw_string_literal] = ACTIONS(829),
    [sym__external_else] = ACTIONS(829),
    [sym__external_open_parenthesis] = ACTIONS(829),
    [sym__external_open_brace] = ACTIONS(829),
    [sym__external_close_brace] = ACTIONS(829),
    [sym__external_open_bracket] = ACTIONS(829),
    [sym__external_open_bracket2] = ACTIONS(829),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(809),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_while] = ACTIONS(807),
    [anon_sym_repeat] = ACTIONS(807),
    [anon_sym_QMARK] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_LT_DASH] = ACTIONS(809),
    [anon_sym_LT_LT_DASH] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(809),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_DASH_GT_GT] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(809),
    [anon_sym_BANG_EQ] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(809),
    [aux_sym_binary_operator_token1] = ACTIONS(809),
    [anon_sym_PIPE_GT] = ACTIONS(809),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [sym__hex_literal] = ACTIONS(809),
    [sym__number_literal] = ACTIONS(807),
    [anon_sym_SQUOTE] = ACTIONS(809),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [sym_dots] = ACTIONS(807),
    [sym_dot_dot_i] = ACTIONS(809),
    [sym_return] = ACTIONS(807),
    [sym_next] = ACTIONS(807),
    [sym_break] = ACTIONS(807),
    [sym_true] = ACTIONS(807),
    [sym_false] = ACTIONS(807),
    [sym_null] = ACTIONS(807),
    [sym_inf] = ACTIONS(807),
    [sym_nan] = ACTIONS(807),
    [anon_sym_NA] = ACTIONS(807),
    [anon_sym_NA_integer_] = ACTIONS(807),
    [anon_sym_NA_real_] = ACTIONS(807),
    [anon_sym_NA_complex_] = ACTIONS(807),
    [anon_sym_NA_character_] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(809),
    [sym__semicolon] = ACTIONS(809),
    [sym__raw_string_literal] = ACTIONS(809),
    [sym__external_else] = ACTIONS(809),
    [sym__external_open_parenthesis] = ACTIONS(809),
    [sym__external_open_brace] = ACTIONS(809),
    [sym__external_open_bracket] = ACTIONS(809),
    [sym__external_open_bracket2] = ACTIONS(809),
  },
  [361] = {
    [sym_identifier] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_repeat] = ACTIONS(795),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_LT_DASH] = ACTIONS(793),
    [anon_sym_LT_LT_DASH] = ACTIONS(793),
    [anon_sym_COLON_EQ] = ACTIONS(793),
    [anon_sym_DASH_GT] = ACTIONS(795),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_PIPE_PIPE] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(795),
    [anon_sym_LT_EQ] = ACTIONS(793),
    [anon_sym_GT] = ACTIONS(795),
    [anon_sym_GT_EQ] = ACTIONS(793),
    [anon_sym_EQ_EQ] = ACTIONS(793),
    [anon_sym_BANG_EQ] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(795),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_STAR_STAR] = ACTIONS(793),
    [anon_sym_CARET] = ACTIONS(793),
    [aux_sym_binary_operator_token1] = ACTIONS(793),
    [anon_sym_PIPE_GT] = ACTIONS(793),
    [anon_sym_COLON] = ACTIONS(795),
    [anon_sym_DOLLAR] = ACTIONS(793),
    [anon_sym_AT] = ACTIONS(793),
    [sym__hex_literal] = ACTIONS(793),
    [sym__number_literal] = ACTIONS(795),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_dots] = ACTIONS(795),
    [sym_dot_dot_i] = ACTIONS(793),
    [sym_return] = ACTIONS(795),
    [sym_next] = ACTIONS(795),
    [sym_break] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_inf] = ACTIONS(795),
    [sym_nan] = ACTIONS(795),
    [anon_sym_NA] = ACTIONS(795),
    [anon_sym_NA_integer_] = ACTIONS(795),
    [anon_sym_NA_real_] = ACTIONS(795),
    [anon_sym_NA_complex_] = ACTIONS(795),
    [anon_sym_NA_character_] = ACTIONS(795),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(793),
    [sym__semicolon] = ACTIONS(793),
    [sym__raw_string_literal] = ACTIONS(793),
    [sym__external_else] = ACTIONS(793),
    [sym__external_open_parenthesis] = ACTIONS(793),
    [sym__external_open_brace] = ACTIONS(793),
    [sym__external_close_brace] = ACTIONS(793),
    [sym__external_open_bracket] = ACTIONS(793),
    [sym__external_open_bracket2] = ACTIONS(793),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(813),
    [sym_identifier] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(813),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_repeat] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [anon_sym_TILDE] = ACTIONS(813),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(811),
    [anon_sym_DASH_GT_GT] = ACTIONS(813),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_AMP] = ACTIONS(811),
    [anon_sym_PIPE_PIPE] = ACTIONS(813),
    [anon_sym_AMP_AMP] = ACTIONS(813),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_LT_EQ] = ACTIONS(813),
    [anon_sym_GT] = ACTIONS(811),
    [anon_sym_GT_EQ] = ACTIONS(813),
    [anon_sym_EQ_EQ] = ACTIONS(813),
    [anon_sym_BANG_EQ] = ACTIONS(813),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_STAR_STAR] = ACTIONS(813),
    [anon_sym_CARET] = ACTIONS(813),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(811),
    [anon_sym_DOLLAR] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(813),
    [sym__hex_literal] = ACTIONS(813),
    [sym__number_literal] = ACTIONS(811),
    [anon_sym_SQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [sym_dots] = ACTIONS(811),
    [sym_dot_dot_i] = ACTIONS(813),
    [sym_return] = ACTIONS(811),
    [sym_next] = ACTIONS(811),
    [sym_break] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_inf] = ACTIONS(811),
    [sym_nan] = ACTIONS(811),
    [anon_sym_NA] = ACTIONS(811),
    [anon_sym_NA_integer_] = ACTIONS(811),
    [anon_sym_NA_real_] = ACTIONS(811),
    [anon_sym_NA_complex_] = ACTIONS(811),
    [anon_sym_NA_character_] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(813),
    [sym__semicolon] = ACTIONS(813),
    [sym__raw_string_literal] = ACTIONS(813),
    [sym__external_else] = ACTIONS(813),
    [sym__external_open_parenthesis] = ACTIONS(813),
    [sym__external_open_brace] = ACTIONS(813),
    [sym__external_open_bracket] = ACTIONS(813),
    [sym__external_open_bracket2] = ACTIONS(813),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(817),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(815),
    [anon_sym_for] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(815),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_LT_DASH] = ACTIONS(817),
    [anon_sym_LT_LT_DASH] = ACTIONS(817),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(815),
    [anon_sym_SLASH] = ACTIONS(817),
    [anon_sym_STAR_STAR] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [aux_sym_binary_operator_token1] = ACTIONS(817),
    [anon_sym_PIPE_GT] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(817),
    [sym__number_literal] = ACTIONS(815),
    [anon_sym_SQUOTE] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [sym_dots] = ACTIONS(815),
    [sym_dot_dot_i] = ACTIONS(817),
    [sym_return] = ACTIONS(815),
    [sym_next] = ACTIONS(815),
    [sym_break] = ACTIONS(815),
    [sym_true] = ACTIONS(815),
    [sym_false] = ACTIONS(815),
    [sym_null] = ACTIONS(815),
    [sym_inf] = ACTIONS(815),
    [sym_nan] = ACTIONS(815),
    [anon_sym_NA] = ACTIONS(815),
    [anon_sym_NA_integer_] = ACTIONS(815),
    [anon_sym_NA_real_] = ACTIONS(815),
    [anon_sym_NA_complex_] = ACTIONS(815),
    [anon_sym_NA_character_] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__semicolon] = ACTIONS(817),
    [sym__raw_string_literal] = ACTIONS(817),
    [sym__external_else] = ACTIONS(817),
    [sym__external_open_parenthesis] = ACTIONS(817),
    [sym__external_open_brace] = ACTIONS(817),
    [sym__external_open_bracket] = ACTIONS(817),
    [sym__external_open_bracket2] = ACTIONS(817),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(821),
    [sym_identifier] = ACTIONS(819),
    [anon_sym_BSLASH] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(819),
    [anon_sym_repeat] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_LT_DASH] = ACTIONS(821),
    [anon_sym_LT_LT_DASH] = ACTIONS(821),
    [anon_sym_COLON_EQ] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(819),
    [anon_sym_DASH_GT_GT] = ACTIONS(821),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(821),
    [anon_sym_AMP_AMP] = ACTIONS(821),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_LT_EQ] = ACTIONS(821),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(821),
    [anon_sym_EQ_EQ] = ACTIONS(821),
    [anon_sym_BANG_EQ] = ACTIONS(821),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_STAR_STAR] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(821),
    [aux_sym_binary_operator_token1] = ACTIONS(821),
    [anon_sym_PIPE_GT] = ACTIONS(821),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_DOLLAR] = ACTIONS(821),
    [anon_sym_AT] = ACTIONS(821),
    [sym__hex_literal] = ACTIONS(821),
    [sym__number_literal] = ACTIONS(819),
    [anon_sym_SQUOTE] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [sym_dots] = ACTIONS(819),
    [sym_dot_dot_i] = ACTIONS(821),
    [sym_return] = ACTIONS(819),
    [sym_next] = ACTIONS(819),
    [sym_break] = ACTIONS(819),
    [sym_true] = ACTIONS(819),
    [sym_false] = ACTIONS(819),
    [sym_null] = ACTIONS(819),
    [sym_inf] = ACTIONS(819),
    [sym_nan] = ACTIONS(819),
    [anon_sym_NA] = ACTIONS(819),
    [anon_sym_NA_integer_] = ACTIONS(819),
    [anon_sym_NA_real_] = ACTIONS(819),
    [anon_sym_NA_complex_] = ACTIONS(819),
    [anon_sym_NA_character_] = ACTIONS(819),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(821),
    [sym__semicolon] = ACTIONS(821),
    [sym__raw_string_literal] = ACTIONS(821),
    [sym__external_else] = ACTIONS(821),
    [sym__external_open_parenthesis] = ACTIONS(821),
    [sym__external_open_brace] = ACTIONS(821),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(821),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(825),
    [sym_identifier] = ACTIONS(823),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_for] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_repeat] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(823),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(823),
    [anon_sym_AMP] = ACTIONS(823),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(823),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(823),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(823),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(823),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [sym_dots] = ACTIONS(823),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_return] = ACTIONS(823),
    [sym_next] = ACTIONS(823),
    [sym_break] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_null] = ACTIONS(823),
    [sym_inf] = ACTIONS(823),
    [sym_nan] = ACTIONS(823),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(825),
    [sym__external_else] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(829),
    [sym_identifier] = ACTIONS(827),
    [anon_sym_BSLASH] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(827),
    [anon_sym_for] = ACTIONS(827),
    [anon_sym_while] = ACTIONS(827),
    [anon_sym_repeat] = ACTIONS(827),
    [anon_sym_QMARK] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(829),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_LT_DASH] = ACTIONS(829),
    [anon_sym_LT_LT_DASH] = ACTIONS(829),
    [anon_sym_COLON_EQ] = ACTIONS(829),
    [anon_sym_DASH_GT] = ACTIONS(827),
    [anon_sym_DASH_GT_GT] = ACTIONS(829),
    [anon_sym_PIPE] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_PIPE_PIPE] = ACTIONS(829),
    [anon_sym_AMP_AMP] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_STAR_STAR] = ACTIONS(829),
    [anon_sym_CARET] = ACTIONS(829),
    [aux_sym_binary_operator_token1] = ACTIONS(829),
    [anon_sym_PIPE_GT] = ACTIONS(829),
    [anon_sym_COLON] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(829),
    [sym__hex_literal] = ACTIONS(829),
    [sym__number_literal] = ACTIONS(827),
    [anon_sym_SQUOTE] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [sym_dots] = ACTIONS(827),
    [sym_dot_dot_i] = ACTIONS(829),
    [sym_return] = ACTIONS(827),
    [sym_next] = ACTIONS(827),
    [sym_break] = ACTIONS(827),
    [sym_true] = ACTIONS(827),
    [sym_false] = ACTIONS(827),
    [sym_null] = ACTIONS(827),
    [sym_inf] = ACTIONS(827),
    [sym_nan] = ACTIONS(827),
    [anon_sym_NA] = ACTIONS(827),
    [anon_sym_NA_integer_] = ACTIONS(827),
    [anon_sym_NA_real_] = ACTIONS(827),
    [anon_sym_NA_complex_] = ACTIONS(827),
    [anon_sym_NA_character_] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(829),
    [sym__semicolon] = ACTIONS(829),
    [sym__raw_string_literal] = ACTIONS(829),
    [sym__external_else] = ACTIONS(829),
    [sym__external_open_parenthesis] = ACTIONS(829),
    [sym__external_open_brace] = ACTIONS(829),
    [sym__external_open_bracket] = ACTIONS(829),
    [sym__external_open_bracket2] = ACTIONS(829),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_BSLASH] = ACTIONS(755),
    [anon_sym_function] = ACTIONS(753),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [anon_sym_repeat] = ACTIONS(753),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_BANG] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_LT_DASH] = ACTIONS(755),
    [anon_sym_LT_LT_DASH] = ACTIONS(755),
    [anon_sym_COLON_EQ] = ACTIONS(755),
    [anon_sym_DASH_GT] = ACTIONS(753),
    [anon_sym_DASH_GT_GT] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(753),
    [anon_sym_PIPE_PIPE] = ACTIONS(755),
    [anon_sym_AMP_AMP] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_EQ_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(755),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(755),
    [anon_sym_STAR_STAR] = ACTIONS(755),
    [anon_sym_CARET] = ACTIONS(755),
    [aux_sym_binary_operator_token1] = ACTIONS(755),
    [anon_sym_PIPE_GT] = ACTIONS(755),
    [anon_sym_COLON] = ACTIONS(753),
    [anon_sym_DOLLAR] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(755),
    [sym__hex_literal] = ACTIONS(755),
    [sym__number_literal] = ACTIONS(753),
    [anon_sym_SQUOTE] = ACTIONS(755),
    [anon_sym_DQUOTE] = ACTIONS(755),
    [sym_dots] = ACTIONS(753),
    [sym_dot_dot_i] = ACTIONS(755),
    [sym_return] = ACTIONS(753),
    [sym_next] = ACTIONS(753),
    [sym_break] = ACTIONS(753),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_null] = ACTIONS(753),
    [sym_inf] = ACTIONS(753),
    [sym_nan] = ACTIONS(753),
    [anon_sym_NA] = ACTIONS(753),
    [anon_sym_NA_integer_] = ACTIONS(753),
    [anon_sym_NA_real_] = ACTIONS(753),
    [anon_sym_NA_complex_] = ACTIONS(753),
    [anon_sym_NA_character_] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(755),
    [sym__semicolon] = ACTIONS(755),
    [sym__raw_string_literal] = ACTIONS(755),
    [sym__external_else] = ACTIONS(755),
    [sym__external_open_parenthesis] = ACTIONS(755),
    [sym__external_open_brace] = ACTIONS(755),
    [sym__external_open_bracket] = ACTIONS(755),
    [sym__external_open_bracket2] = ACTIONS(755),
  },
  [368] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1708),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(831),
  },
  [369] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1662),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(833),
  },
  [370] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1756),
    [aux_sym_braced_expression_repeat1] = STATE(396),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(835),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(759),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_BSLASH] = ACTIONS(759),
    [anon_sym_function] = ACTIONS(757),
    [anon_sym_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [anon_sym_repeat] = ACTIONS(757),
    [anon_sym_QMARK] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_LT_DASH] = ACTIONS(759),
    [anon_sym_LT_LT_DASH] = ACTIONS(759),
    [anon_sym_COLON_EQ] = ACTIONS(759),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_DASH_GT_GT] = ACTIONS(759),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_AMP] = ACTIONS(757),
    [anon_sym_PIPE_PIPE] = ACTIONS(759),
    [anon_sym_AMP_AMP] = ACTIONS(759),
    [anon_sym_LT] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(759),
    [anon_sym_GT] = ACTIONS(757),
    [anon_sym_GT_EQ] = ACTIONS(759),
    [anon_sym_EQ_EQ] = ACTIONS(759),
    [anon_sym_BANG_EQ] = ACTIONS(759),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(759),
    [anon_sym_STAR_STAR] = ACTIONS(759),
    [anon_sym_CARET] = ACTIONS(759),
    [aux_sym_binary_operator_token1] = ACTIONS(759),
    [anon_sym_PIPE_GT] = ACTIONS(759),
    [anon_sym_COLON] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(759),
    [sym__hex_literal] = ACTIONS(759),
    [sym__number_literal] = ACTIONS(757),
    [anon_sym_SQUOTE] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(759),
    [sym_dots] = ACTIONS(757),
    [sym_dot_dot_i] = ACTIONS(759),
    [sym_return] = ACTIONS(757),
    [sym_next] = ACTIONS(757),
    [sym_break] = ACTIONS(757),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_null] = ACTIONS(757),
    [sym_inf] = ACTIONS(757),
    [sym_nan] = ACTIONS(757),
    [anon_sym_NA] = ACTIONS(757),
    [anon_sym_NA_integer_] = ACTIONS(757),
    [anon_sym_NA_real_] = ACTIONS(757),
    [anon_sym_NA_complex_] = ACTIONS(757),
    [anon_sym_NA_character_] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(759),
    [sym__semicolon] = ACTIONS(759),
    [sym__raw_string_literal] = ACTIONS(759),
    [sym__external_else] = ACTIONS(759),
    [sym__external_open_parenthesis] = ACTIONS(759),
    [sym__external_open_brace] = ACTIONS(759),
    [sym__external_open_bracket] = ACTIONS(759),
    [sym__external_open_bracket2] = ACTIONS(759),
  },
  [372] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(402),
    [aux_sym_braced_expression_repeat1] = STATE(392),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(837),
  },
  [373] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1731),
    [aux_sym_braced_expression_repeat1] = STATE(374),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(839),
  },
  [374] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1710),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(841),
  },
  [375] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1742),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(843),
  },
  [376] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1748),
    [aux_sym_braced_expression_repeat1] = STATE(375),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(845),
  },
  [377] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1669),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(847),
  },
  [378] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(443),
    [aux_sym_braced_expression_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(849),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(763),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(761),
    [anon_sym_EQ] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_repeat] = ACTIONS(761),
    [anon_sym_QMARK] = ACTIONS(763),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(761),
    [anon_sym_LT_DASH] = ACTIONS(763),
    [anon_sym_LT_LT_DASH] = ACTIONS(763),
    [anon_sym_COLON_EQ] = ACTIONS(763),
    [anon_sym_DASH_GT] = ACTIONS(761),
    [anon_sym_DASH_GT_GT] = ACTIONS(763),
    [anon_sym_PIPE] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(761),
    [anon_sym_LT_EQ] = ACTIONS(763),
    [anon_sym_GT] = ACTIONS(761),
    [anon_sym_GT_EQ] = ACTIONS(763),
    [anon_sym_EQ_EQ] = ACTIONS(763),
    [anon_sym_BANG_EQ] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_SLASH] = ACTIONS(763),
    [anon_sym_STAR_STAR] = ACTIONS(763),
    [anon_sym_CARET] = ACTIONS(763),
    [aux_sym_binary_operator_token1] = ACTIONS(763),
    [anon_sym_PIPE_GT] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(763),
    [sym__hex_literal] = ACTIONS(763),
    [sym__number_literal] = ACTIONS(761),
    [anon_sym_SQUOTE] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(763),
    [sym_dots] = ACTIONS(761),
    [sym_dot_dot_i] = ACTIONS(763),
    [sym_return] = ACTIONS(761),
    [sym_next] = ACTIONS(761),
    [sym_break] = ACTIONS(761),
    [sym_true] = ACTIONS(761),
    [sym_false] = ACTIONS(761),
    [sym_null] = ACTIONS(761),
    [sym_inf] = ACTIONS(761),
    [sym_nan] = ACTIONS(761),
    [anon_sym_NA] = ACTIONS(761),
    [anon_sym_NA_integer_] = ACTIONS(761),
    [anon_sym_NA_real_] = ACTIONS(761),
    [anon_sym_NA_complex_] = ACTIONS(761),
    [anon_sym_NA_character_] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(763),
    [sym__semicolon] = ACTIONS(763),
    [sym__raw_string_literal] = ACTIONS(763),
    [sym__external_else] = ACTIONS(763),
    [sym__external_open_parenthesis] = ACTIONS(763),
    [sym__external_open_brace] = ACTIONS(763),
    [sym__external_open_bracket] = ACTIONS(763),
    [sym__external_open_bracket2] = ACTIONS(763),
  },
  [380] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(346),
    [aux_sym_braced_expression_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(851),
  },
  [381] = {
    [sym_identifier] = ACTIONS(853),
    [anon_sym_BSLASH] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(853),
    [anon_sym_repeat] = ACTIONS(853),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_LT_DASH] = ACTIONS(855),
    [anon_sym_LT_LT_DASH] = ACTIONS(855),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_DASH_GT_GT] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(853),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(853),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(855),
    [anon_sym_STAR_STAR] = ACTIONS(855),
    [anon_sym_CARET] = ACTIONS(855),
    [aux_sym_binary_operator_token1] = ACTIONS(855),
    [anon_sym_PIPE_GT] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_AT] = ACTIONS(855),
    [sym__hex_literal] = ACTIONS(855),
    [sym__number_literal] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_dots] = ACTIONS(853),
    [sym_dot_dot_i] = ACTIONS(855),
    [sym_return] = ACTIONS(853),
    [sym_next] = ACTIONS(853),
    [sym_break] = ACTIONS(853),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [sym_inf] = ACTIONS(853),
    [sym_nan] = ACTIONS(853),
    [anon_sym_NA] = ACTIONS(853),
    [anon_sym_NA_integer_] = ACTIONS(853),
    [anon_sym_NA_real_] = ACTIONS(853),
    [anon_sym_NA_complex_] = ACTIONS(853),
    [anon_sym_NA_character_] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__semicolon] = ACTIONS(855),
    [sym__raw_string_literal] = ACTIONS(855),
    [sym__external_else] = ACTIONS(855),
    [sym__external_open_parenthesis] = ACTIONS(855),
    [sym__external_open_brace] = ACTIONS(855),
    [sym__external_close_brace] = ACTIONS(855),
    [sym__external_open_bracket] = ACTIONS(855),
    [sym__external_open_bracket2] = ACTIONS(855),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [anon_sym_LT_LT_DASH] = ACTIONS(767),
    [anon_sym_COLON_EQ] = ACTIONS(767),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(767),
    [anon_sym_AMP_AMP] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(767),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_STAR_STAR] = ACTIONS(767),
    [anon_sym_CARET] = ACTIONS(767),
    [aux_sym_binary_operator_token1] = ACTIONS(767),
    [anon_sym_PIPE_GT] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(767),
    [sym__hex_literal] = ACTIONS(767),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(767),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(767),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(767),
    [sym__semicolon] = ACTIONS(767),
    [sym__raw_string_literal] = ACTIONS(767),
    [sym__external_else] = ACTIONS(767),
    [sym__external_open_parenthesis] = ACTIONS(767),
    [sym__external_open_brace] = ACTIONS(767),
    [sym__external_open_bracket] = ACTIONS(767),
    [sym__external_open_bracket2] = ACTIONS(767),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(771),
    [sym_identifier] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(771),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_repeat] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_LT_DASH] = ACTIONS(771),
    [anon_sym_LT_LT_DASH] = ACTIONS(771),
    [anon_sym_COLON_EQ] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(769),
    [anon_sym_DASH_GT_GT] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [aux_sym_binary_operator_token1] = ACTIONS(771),
    [anon_sym_PIPE_GT] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(769),
    [anon_sym_DOLLAR] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(771),
    [sym__hex_literal] = ACTIONS(771),
    [sym__number_literal] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(771),
    [anon_sym_DQUOTE] = ACTIONS(771),
    [sym_dots] = ACTIONS(769),
    [sym_dot_dot_i] = ACTIONS(771),
    [sym_return] = ACTIONS(769),
    [sym_next] = ACTIONS(769),
    [sym_break] = ACTIONS(769),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_null] = ACTIONS(769),
    [sym_inf] = ACTIONS(769),
    [sym_nan] = ACTIONS(769),
    [anon_sym_NA] = ACTIONS(769),
    [anon_sym_NA_integer_] = ACTIONS(769),
    [anon_sym_NA_real_] = ACTIONS(769),
    [anon_sym_NA_complex_] = ACTIONS(769),
    [anon_sym_NA_character_] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(771),
    [sym__raw_string_literal] = ACTIONS(771),
    [sym__external_else] = ACTIONS(771),
    [sym__external_open_parenthesis] = ACTIONS(771),
    [sym__external_open_brace] = ACTIONS(771),
    [sym__external_open_bracket] = ACTIONS(771),
    [sym__external_open_bracket2] = ACTIONS(771),
  },
  [384] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1650),
    [aux_sym_braced_expression_repeat1] = STATE(377),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(857),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(697),
    [sym_identifier] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_repeat] = ACTIONS(695),
    [anon_sym_QMARK] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LT_DASH] = ACTIONS(697),
    [anon_sym_LT_LT_DASH] = ACTIONS(697),
    [anon_sym_COLON_EQ] = ACTIONS(697),
    [anon_sym_DASH_GT] = ACTIONS(695),
    [anon_sym_DASH_GT_GT] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(695),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_PIPE_PIPE] = ACTIONS(697),
    [anon_sym_AMP_AMP] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_LT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_EQ] = ACTIONS(697),
    [anon_sym_EQ_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(697),
    [anon_sym_STAR_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(697),
    [aux_sym_binary_operator_token1] = ACTIONS(697),
    [anon_sym_PIPE_GT] = ACTIONS(697),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_DOLLAR] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(697),
    [sym__hex_literal] = ACTIONS(697),
    [sym__number_literal] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_DQUOTE] = ACTIONS(697),
    [sym_dots] = ACTIONS(695),
    [sym_dot_dot_i] = ACTIONS(697),
    [sym_return] = ACTIONS(695),
    [sym_next] = ACTIONS(695),
    [sym_break] = ACTIONS(695),
    [sym_true] = ACTIONS(695),
    [sym_false] = ACTIONS(695),
    [sym_null] = ACTIONS(695),
    [sym_inf] = ACTIONS(695),
    [sym_nan] = ACTIONS(695),
    [anon_sym_NA] = ACTIONS(695),
    [anon_sym_NA_integer_] = ACTIONS(695),
    [anon_sym_NA_real_] = ACTIONS(695),
    [anon_sym_NA_complex_] = ACTIONS(695),
    [anon_sym_NA_character_] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(697),
    [sym__semicolon] = ACTIONS(697),
    [sym__raw_string_literal] = ACTIONS(697),
    [sym__external_else] = ACTIONS(697),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(697),
    [sym__external_open_bracket] = ACTIONS(697),
    [sym__external_open_bracket2] = ACTIONS(697),
  },
  [386] = {
    [aux_sym_function_definition_repeat1] = STATE(386),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_BSLASH] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_repeat] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_LT_DASH] = ACTIONS(681),
    [anon_sym_LT_LT_DASH] = ACTIONS(681),
    [anon_sym_COLON_EQ] = ACTIONS(681),
    [anon_sym_DASH_GT] = ACTIONS(683),
    [anon_sym_DASH_GT_GT] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_CARET] = ACTIONS(681),
    [aux_sym_binary_operator_token1] = ACTIONS(681),
    [anon_sym_PIPE_GT] = ACTIONS(681),
    [anon_sym_COLON] = ACTIONS(683),
    [anon_sym_DOLLAR] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(681),
    [sym__hex_literal] = ACTIONS(681),
    [sym__number_literal] = ACTIONS(683),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_dots] = ACTIONS(683),
    [sym_dot_dot_i] = ACTIONS(681),
    [sym_return] = ACTIONS(683),
    [sym_next] = ACTIONS(683),
    [sym_break] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_inf] = ACTIONS(683),
    [sym_nan] = ACTIONS(683),
    [anon_sym_NA] = ACTIONS(683),
    [anon_sym_NA_integer_] = ACTIONS(683),
    [anon_sym_NA_real_] = ACTIONS(683),
    [anon_sym_NA_complex_] = ACTIONS(683),
    [anon_sym_NA_character_] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(859),
    [sym__semicolon] = ACTIONS(681),
    [sym__raw_string_literal] = ACTIONS(681),
    [sym__external_open_parenthesis] = ACTIONS(681),
    [sym__external_open_brace] = ACTIONS(681),
    [sym__external_close_brace] = ACTIONS(681),
    [sym__external_open_bracket] = ACTIONS(681),
    [sym__external_open_bracket2] = ACTIONS(681),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_BSLASH] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_LT_DASH] = ACTIONS(775),
    [anon_sym_LT_LT_DASH] = ACTIONS(775),
    [anon_sym_COLON_EQ] = ACTIONS(775),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(775),
    [anon_sym_PIPE_GT] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(775),
    [sym__hex_literal] = ACTIONS(775),
    [sym__number_literal] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [sym_dots] = ACTIONS(773),
    [sym_dot_dot_i] = ACTIONS(775),
    [sym_return] = ACTIONS(773),
    [sym_next] = ACTIONS(773),
    [sym_break] = ACTIONS(773),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_null] = ACTIONS(773),
    [sym_inf] = ACTIONS(773),
    [sym_nan] = ACTIONS(773),
    [anon_sym_NA] = ACTIONS(773),
    [anon_sym_NA_integer_] = ACTIONS(773),
    [anon_sym_NA_real_] = ACTIONS(773),
    [anon_sym_NA_complex_] = ACTIONS(773),
    [anon_sym_NA_character_] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(775),
    [sym__raw_string_literal] = ACTIONS(775),
    [sym__external_else] = ACTIONS(775),
    [sym__external_open_parenthesis] = ACTIONS(775),
    [sym__external_open_brace] = ACTIONS(775),
    [sym__external_open_bracket] = ACTIONS(775),
    [sym__external_open_bracket2] = ACTIONS(775),
  },
  [388] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(330),
    [aux_sym_braced_expression_repeat1] = STATE(331),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(862),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_BSLASH] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(853),
    [anon_sym_repeat] = ACTIONS(853),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_LT_DASH] = ACTIONS(855),
    [anon_sym_LT_LT_DASH] = ACTIONS(855),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_DASH_GT_GT] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(853),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(853),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(855),
    [anon_sym_STAR_STAR] = ACTIONS(855),
    [anon_sym_CARET] = ACTIONS(855),
    [aux_sym_binary_operator_token1] = ACTIONS(855),
    [anon_sym_PIPE_GT] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_AT] = ACTIONS(855),
    [sym__hex_literal] = ACTIONS(855),
    [sym__number_literal] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_dots] = ACTIONS(853),
    [sym_dot_dot_i] = ACTIONS(855),
    [sym_return] = ACTIONS(853),
    [sym_next] = ACTIONS(853),
    [sym_break] = ACTIONS(853),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [sym_inf] = ACTIONS(853),
    [sym_nan] = ACTIONS(853),
    [anon_sym_NA] = ACTIONS(853),
    [anon_sym_NA_integer_] = ACTIONS(853),
    [anon_sym_NA_real_] = ACTIONS(853),
    [anon_sym_NA_complex_] = ACTIONS(853),
    [anon_sym_NA_character_] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__semicolon] = ACTIONS(855),
    [sym__raw_string_literal] = ACTIONS(855),
    [sym__external_else] = ACTIONS(855),
    [sym__external_open_parenthesis] = ACTIONS(855),
    [sym__external_open_brace] = ACTIONS(855),
    [sym__external_open_bracket] = ACTIONS(855),
    [sym__external_open_bracket2] = ACTIONS(855),
  },
  [390] = {
    [aux_sym_function_definition_repeat1] = STATE(390),
    [ts_builtin_sym_end] = ACTIONS(681),
    [sym_identifier] = ACTIONS(683),
    [anon_sym_BSLASH] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(683),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_repeat] = ACTIONS(683),
    [anon_sym_QMARK] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_LT_DASH] = ACTIONS(681),
    [anon_sym_LT_LT_DASH] = ACTIONS(681),
    [anon_sym_COLON_EQ] = ACTIONS(681),
    [anon_sym_DASH_GT] = ACTIONS(683),
    [anon_sym_DASH_GT_GT] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(683),
    [anon_sym_PIPE_PIPE] = ACTIONS(681),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_LT_EQ] = ACTIONS(681),
    [anon_sym_GT] = ACTIONS(683),
    [anon_sym_GT_EQ] = ACTIONS(681),
    [anon_sym_EQ_EQ] = ACTIONS(681),
    [anon_sym_BANG_EQ] = ACTIONS(681),
    [anon_sym_STAR] = ACTIONS(683),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_CARET] = ACTIONS(681),
    [aux_sym_binary_operator_token1] = ACTIONS(681),
    [anon_sym_PIPE_GT] = ACTIONS(681),
    [anon_sym_COLON] = ACTIONS(683),
    [anon_sym_DOLLAR] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(681),
    [sym__hex_literal] = ACTIONS(681),
    [sym__number_literal] = ACTIONS(683),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_dots] = ACTIONS(683),
    [sym_dot_dot_i] = ACTIONS(681),
    [sym_return] = ACTIONS(683),
    [sym_next] = ACTIONS(683),
    [sym_break] = ACTIONS(683),
    [sym_true] = ACTIONS(683),
    [sym_false] = ACTIONS(683),
    [sym_null] = ACTIONS(683),
    [sym_inf] = ACTIONS(683),
    [sym_nan] = ACTIONS(683),
    [anon_sym_NA] = ACTIONS(683),
    [anon_sym_NA_integer_] = ACTIONS(683),
    [anon_sym_NA_real_] = ACTIONS(683),
    [anon_sym_NA_complex_] = ACTIONS(683),
    [anon_sym_NA_character_] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(864),
    [sym__semicolon] = ACTIONS(681),
    [sym__raw_string_literal] = ACTIONS(681),
    [sym__external_open_parenthesis] = ACTIONS(681),
    [sym__external_open_brace] = ACTIONS(681),
    [sym__external_open_bracket] = ACTIONS(681),
    [sym__external_open_bracket2] = ACTIONS(681),
  },
  [391] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1649),
    [aux_sym_braced_expression_repeat1] = STATE(368),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(867),
  },
  [392] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(420),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(869),
  },
  [393] = {
    [sym_identifier] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_for] = ACTIONS(779),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_repeat] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_LT_DASH] = ACTIONS(777),
    [anon_sym_LT_LT_DASH] = ACTIONS(777),
    [anon_sym_COLON_EQ] = ACTIONS(777),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_DASH_GT_GT] = ACTIONS(777),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(777),
    [anon_sym_AMP_AMP] = ACTIONS(777),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(777),
    [anon_sym_STAR] = ACTIONS(779),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_STAR_STAR] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(777),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [sym__hex_literal] = ACTIONS(777),
    [sym__number_literal] = ACTIONS(779),
    [anon_sym_SQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [sym_dots] = ACTIONS(779),
    [sym_dot_dot_i] = ACTIONS(777),
    [sym_return] = ACTIONS(779),
    [sym_next] = ACTIONS(779),
    [sym_break] = ACTIONS(779),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_inf] = ACTIONS(779),
    [sym_nan] = ACTIONS(779),
    [anon_sym_NA] = ACTIONS(779),
    [anon_sym_NA_integer_] = ACTIONS(779),
    [anon_sym_NA_real_] = ACTIONS(779),
    [anon_sym_NA_complex_] = ACTIONS(779),
    [anon_sym_NA_character_] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(777),
    [sym__semicolon] = ACTIONS(777),
    [sym__raw_string_literal] = ACTIONS(777),
    [sym__external_else] = ACTIONS(777),
    [sym__external_open_parenthesis] = ACTIONS(777),
    [sym__external_open_brace] = ACTIONS(777),
    [sym__external_close_brace] = ACTIONS(777),
    [sym__external_open_bracket] = ACTIONS(777),
    [sym__external_open_bracket2] = ACTIONS(777),
  },
  [394] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1657),
    [aux_sym_braced_expression_repeat1] = STATE(369),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(871),
  },
  [395] = {
    [sym_identifier] = ACTIONS(783),
    [anon_sym_BSLASH] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_repeat] = ACTIONS(783),
    [anon_sym_QMARK] = ACTIONS(781),
    [anon_sym_TILDE] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(781),
    [anon_sym_LT_LT_DASH] = ACTIONS(781),
    [anon_sym_COLON_EQ] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(783),
    [anon_sym_DASH_GT_GT] = ACTIONS(781),
    [anon_sym_PIPE] = ACTIONS(783),
    [anon_sym_AMP] = ACTIONS(783),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(783),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_SLASH] = ACTIONS(781),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_CARET] = ACTIONS(781),
    [aux_sym_binary_operator_token1] = ACTIONS(781),
    [anon_sym_PIPE_GT] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(783),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(781),
    [sym__number_literal] = ACTIONS(783),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(781),
    [sym_dots] = ACTIONS(783),
    [sym_dot_dot_i] = ACTIONS(781),
    [sym_return] = ACTIONS(783),
    [sym_next] = ACTIONS(783),
    [sym_break] = ACTIONS(783),
    [sym_true] = ACTIONS(783),
    [sym_false] = ACTIONS(783),
    [sym_null] = ACTIONS(783),
    [sym_inf] = ACTIONS(783),
    [sym_nan] = ACTIONS(783),
    [anon_sym_NA] = ACTIONS(783),
    [anon_sym_NA_integer_] = ACTIONS(783),
    [anon_sym_NA_real_] = ACTIONS(783),
    [anon_sym_NA_complex_] = ACTIONS(783),
    [anon_sym_NA_character_] = ACTIONS(783),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(781),
    [sym__semicolon] = ACTIONS(781),
    [sym__raw_string_literal] = ACTIONS(781),
    [sym__external_else] = ACTIONS(781),
    [sym__external_open_parenthesis] = ACTIONS(781),
    [sym__external_open_brace] = ACTIONS(781),
    [sym__external_close_brace] = ACTIONS(781),
    [sym__external_open_bracket] = ACTIONS(781),
    [sym__external_open_bracket2] = ACTIONS(781),
  },
  [396] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [sym__close_brace] = STATE(1751),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_repeat] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [sym__hex_literal] = ACTIONS(733),
    [sym__number_literal] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(491),
    [sym_dots] = ACTIONS(711),
    [sym_dot_dot_i] = ACTIONS(737),
    [sym_return] = ACTIONS(739),
    [sym_next] = ACTIONS(739),
    [sym_break] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_null] = ACTIONS(739),
    [sym_inf] = ACTIONS(739),
    [sym_nan] = ACTIONS(739),
    [anon_sym_NA] = ACTIONS(741),
    [anon_sym_NA_integer_] = ACTIONS(741),
    [anon_sym_NA_real_] = ACTIONS(741),
    [anon_sym_NA_complex_] = ACTIONS(741),
    [anon_sym_NA_character_] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(743),
    [sym__semicolon] = ACTIONS(743),
    [sym__raw_string_literal] = ACTIONS(495),
    [sym__external_open_parenthesis] = ACTIONS(745),
    [sym__external_open_brace] = ACTIONS(747),
    [sym__external_close_brace] = ACTIONS(873),
  },
  [397] = {
    [sym_function_definition] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_repeat_statement] = STATE(189),
    [sym_braced_expression] = STATE(189),
    [sym_parenthesized_expression] = STATE(189),
    [sym_call] = STATE(189),
    [sym_subset] = STATE(189),
    [sym_subset2] = STATE(189),
    [sym_unary_operator] = STATE(189),
    [sym_binary_operator] = STATE(189),
    [sym_extract_operator] = STATE(189),
    [sym_namespace_operator] = STATE(189),
    [sym_integer] = STATE(189),
    [sym_complex] = STATE(189),
    [sym_float] = STATE(189),
    [sym__float_literal] = STATE(313),
    [sym_string] = STATE(309),
    [sym__single_quoted_string] = STATE(315),
    [sym__double_quoted_string] = STATE(317),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2051),
    [sym_na] = STATE(189),
    [sym__expression] = STATE(189),
    [sym__open_parenthesis] = STATE(1117),
    [sym__open_brace] = STATE(372),
    [aux_sym_braced_expression_repeat1] = STATE(397),
    [sym_identifier] = ACTIONS(875),
    [anon_sym_BSLASH] = ACTIONS(878),
    [anon_sym_function] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(887),
    [anon_sym_while] = ACTIONS(890),
    [anon_sym_repeat] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(899),
    [anon_sym_BANG] = ACTIONS(902),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [sym__hex_literal] = ACTIONS(908),
    [sym__number_literal] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [sym_dots] = ACTIONS(875),
    [sym_dot_dot_i] = ACTIONS(920),
    [sym_return] = ACTIONS(923),
    [sym_next] = ACTIONS(923),
    [sym_break] = ACTIONS(923),
    [sym_true] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [sym_null] = ACTIONS(923),
    [sym_inf] = ACTIONS(923),
    [sym_nan] = ACTIONS(923),
    [anon_sym_NA] = ACTIONS(926),
    [anon_sym_NA_integer_] = ACTIONS(926),
    [anon_sym_NA_real_] = ACTIONS(926),
    [anon_sym_NA_complex_] = ACTIONS(926),
    [anon_sym_NA_character_] = ACTIONS(926),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(929),
    [sym__semicolon] = ACTIONS(929),
    [sym__raw_string_literal] = ACTIONS(932),
    [sym__external_open_parenthesis] = ACTIONS(935),
    [sym__external_open_brace] = ACTIONS(938),
    [sym__external_close_brace] = ACTIONS(941),
  },
  [398] = {
    [sym_function_definition] = STATE(166),
    [sym_if_statement] = STATE(166),
    [sym_for_statement] = STATE(166),
    [sym_while_statement] = STATE(166),
    [sym_repeat_statement] = STATE(166),
    [sym_braced_expression] = STATE(166),
    [sym_parenthesized_expression] = STATE(166),
    [sym_call] = STATE(166),
    [sym_subset] = STATE(166),
    [sym_subset2] = STATE(166),
    [sym_unary_operator] = STATE(166),
    [sym_binary_operator] = STATE(166),
    [sym_extract_operator] = STATE(166),
    [sym_namespace_operator] = STATE(166),
    [sym_integer] = STATE(166),
    [sym_complex] = STATE(166),
    [sym_float] = STATE(166),
    [sym__float_literal] = STATE(323),
    [sym_string] = STATE(320),
    [sym__single_quoted_string] = STATE(325),
    [sym__double_quoted_string] = STATE(326),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2049),
    [sym_na] = STATE(166),
    [sym__expression] = STATE(166),
    [sym__open_parenthesis] = STATE(1053),
    [sym__open_brace] = STATE(378),
    [aux_sym_program_repeat1] = STATE(398),
    [ts_builtin_sym_end] = ACTIONS(943),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_BSLASH] = ACTIONS(948),
    [anon_sym_function] = ACTIONS(951),
    [anon_sym_if] = ACTIONS(954),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_while] = ACTIONS(960),
    [anon_sym_repeat] = ACTIONS(963),
    [anon_sym_QMARK] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [sym__hex_literal] = ACTIONS(978),
    [sym__number_literal] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [sym_dots] = ACTIONS(945),
    [sym_dot_dot_i] = ACTIONS(990),
    [sym_return] = ACTIONS(993),
    [sym_next] = ACTIONS(993),
    [sym_break] = ACTIONS(993),
    [sym_true] = ACTIONS(993),
    [sym_false] = ACTIONS(993),
    [sym_null] = ACTIONS(993),
    [sym_inf] = ACTIONS(993),
    [sym_nan] = ACTIONS(993),
    [anon_sym_NA] = ACTIONS(996),
    [anon_sym_NA_integer_] = ACTIONS(996),
    [anon_sym_NA_real_] = ACTIONS(996),
    [anon_sym_NA_complex_] = ACTIONS(996),
    [anon_sym_NA_character_] = ACTIONS(996),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(999),
    [sym__semicolon] = ACTIONS(999),
    [sym__raw_string_literal] = ACTIONS(1002),
    [sym__external_open_parenthesis] = ACTIONS(1005),
    [sym__external_open_brace] = ACTIONS(1008),
  },
  [399] = {
    [sym_identifier] = ACTIONS(757),
    [anon_sym_BSLASH] = ACTIONS(759),
    [anon_sym_function] = ACTIONS(757),
    [anon_sym_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [anon_sym_repeat] = ACTIONS(757),
    [anon_sym_QMARK] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_LT_DASH] = ACTIONS(759),
    [anon_sym_LT_LT_DASH] = ACTIONS(759),
    [anon_sym_COLON_EQ] = ACTIONS(759),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_DASH_GT_GT] = ACTIONS(759),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_AMP] = ACTIONS(757),
    [anon_sym_PIPE_PIPE] = ACTIONS(759),
    [anon_sym_AMP_AMP] = ACTIONS(759),
    [anon_sym_LT] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(759),
    [anon_sym_GT] = ACTIONS(757),
    [anon_sym_GT_EQ] = ACTIONS(759),
    [anon_sym_EQ_EQ] = ACTIONS(759),
    [anon_sym_BANG_EQ] = ACTIONS(759),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(759),
    [anon_sym_STAR_STAR] = ACTIONS(759),
    [anon_sym_CARET] = ACTIONS(759),
    [aux_sym_binary_operator_token1] = ACTIONS(759),
    [anon_sym_PIPE_GT] = ACTIONS(759),
    [anon_sym_COLON] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(759),
    [sym__hex_literal] = ACTIONS(759),
    [sym__number_literal] = ACTIONS(757),
    [anon_sym_SQUOTE] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(759),
    [sym_dots] = ACTIONS(757),
    [sym_dot_dot_i] = ACTIONS(759),
    [sym_return] = ACTIONS(757),
    [sym_next] = ACTIONS(757),
    [sym_break] = ACTIONS(757),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_null] = ACTIONS(757),
    [sym_inf] = ACTIONS(757),
    [sym_nan] = ACTIONS(757),
    [anon_sym_NA] = ACTIONS(757),
    [anon_sym_NA_integer_] = ACTIONS(757),
    [anon_sym_NA_real_] = ACTIONS(757),
    [anon_sym_NA_complex_] = ACTIONS(757),
    [anon_sym_NA_character_] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(759),
    [sym__semicolon] = ACTIONS(759),
    [sym__raw_string_literal] = ACTIONS(759),
    [sym__external_open_parenthesis] = ACTIONS(759),
    [sym__external_open_brace] = ACTIONS(759),
    [sym__external_close_brace] = ACTIONS(759),
    [sym__external_open_bracket] = ACTIONS(759),
    [sym__external_open_bracket2] = ACTIONS(759),
  },
  [400] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(771),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_repeat] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_LT_DASH] = ACTIONS(771),
    [anon_sym_LT_LT_DASH] = ACTIONS(771),
    [anon_sym_COLON_EQ] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(769),
    [anon_sym_DASH_GT_GT] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [aux_sym_binary_operator_token1] = ACTIONS(771),
    [anon_sym_PIPE_GT] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(769),
    [anon_sym_DOLLAR] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(771),
    [sym__hex_literal] = ACTIONS(771),
    [sym__number_literal] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(771),
    [anon_sym_DQUOTE] = ACTIONS(771),
    [sym_dots] = ACTIONS(769),
    [sym_dot_dot_i] = ACTIONS(771),
    [sym_return] = ACTIONS(769),
    [sym_next] = ACTIONS(769),
    [sym_break] = ACTIONS(769),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_null] = ACTIONS(769),
    [sym_inf] = ACTIONS(769),
    [sym_nan] = ACTIONS(769),
    [anon_sym_NA] = ACTIONS(769),
    [anon_sym_NA_integer_] = ACTIONS(769),
    [anon_sym_NA_real_] = ACTIONS(769),
    [anon_sym_NA_complex_] = ACTIONS(769),
    [anon_sym_NA_character_] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(771),
    [sym__raw_string_literal] = ACTIONS(771),
    [sym__external_open_parenthesis] = ACTIONS(771),
    [sym__external_open_brace] = ACTIONS(771),
    [sym__external_close_brace] = ACTIONS(771),
    [sym__external_open_bracket] = ACTIONS(771),
    [sym__external_open_bracket2] = ACTIONS(771),
  },
  [401] = {
    [sym_identifier] = ACTIONS(787),
    [anon_sym_BSLASH] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(787),
    [anon_sym_repeat] = ACTIONS(787),
    [anon_sym_QMARK] = ACTIONS(785),
    [anon_sym_TILDE] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_LT_LT_DASH] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(785),
    [anon_sym_DASH_GT] = ACTIONS(787),
    [anon_sym_DASH_GT_GT] = ACTIONS(785),
    [anon_sym_PIPE] = ACTIONS(787),
    [anon_sym_AMP] = ACTIONS(787),
    [anon_sym_PIPE_PIPE] = ACTIONS(785),
    [anon_sym_AMP_AMP] = ACTIONS(785),
    [anon_sym_LT] = ACTIONS(787),
    [anon_sym_LT_EQ] = ACTIONS(785),
    [anon_sym_GT] = ACTIONS(787),
    [anon_sym_GT_EQ] = ACTIONS(785),
    [anon_sym_EQ_EQ] = ACTIONS(785),
    [anon_sym_BANG_EQ] = ACTIONS(785),
    [anon_sym_STAR] = ACTIONS(787),
    [anon_sym_SLASH] = ACTIONS(785),
    [anon_sym_STAR_STAR] = ACTIONS(785),
    [anon_sym_CARET] = ACTIONS(785),
    [aux_sym_binary_operator_token1] = ACTIONS(785),
    [anon_sym_PIPE_GT] = ACTIONS(785),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_DOLLAR] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(785),
    [sym__hex_literal] = ACTIONS(785),
    [sym__number_literal] = ACTIONS(787),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_dots] = ACTIONS(787),
    [sym_dot_dot_i] = ACTIONS(785),
    [sym_return] = ACTIONS(787),
    [sym_next] = ACTIONS(787),
    [sym_break] = ACTIONS(787),
    [sym_true] = ACTIONS(787),
    [sym_false] = ACTIONS(787),
    [sym_null] = ACTIONS(787),
    [sym_inf] = ACTIONS(787),
    [sym_nan] = ACTIONS(787),
    [anon_sym_NA] = ACTIONS(787),
    [anon_sym_NA_integer_] = ACTIONS(787),
    [anon_sym_NA_real_] = ACTIONS(787),
    [anon_sym_NA_complex_] = ACTIONS(787),
    [anon_sym_NA_character_] = ACTIONS(787),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(785),
    [sym__semicolon] = ACTIONS(785),
    [sym__raw_string_literal] = ACTIONS(785),
    [sym__external_open_parenthesis] = ACTIONS(785),
    [sym__external_open_brace] = ACTIONS(785),
    [sym__external_close_brace] = ACTIONS(785),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(785),
  },
  [402] = {
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(707),
    [anon_sym_repeat] = ACTIONS(707),
    [anon_sym_QMARK] = ACTIONS(709),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_PLUS] = ACTIONS(709),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [anon_sym_LT_LT_DASH] = ACTIONS(709),
    [anon_sym_COLON_EQ] = ACTIONS(709),
    [anon_sym_DASH_GT] = ACTIONS(707),
    [anon_sym_DASH_GT_GT] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(707),
    [anon_sym_PIPE_PIPE] = ACTIONS(709),
    [anon_sym_AMP_AMP] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_LT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_EQ] = ACTIONS(709),
    [anon_sym_EQ_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_CARET] = ACTIONS(709),
    [aux_sym_binary_operator_token1] = ACTIONS(709),
    [anon_sym_PIPE_GT] = ACTIONS(709),
    [anon_sym_COLON] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(709),
    [sym__hex_literal] = ACTIONS(709),
    [sym__number_literal] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(709),
    [sym_dots] = ACTIONS(707),
    [sym_dot_dot_i] = ACTIONS(709),
    [sym_return] = ACTIONS(707),
    [sym_next] = ACTIONS(707),
    [sym_break] = ACTIONS(707),
    [sym_true] = ACTIONS(707),
    [sym_false] = ACTIONS(707),
    [sym_null] = ACTIONS(707),
    [sym_inf] = ACTIONS(707),
    [sym_nan] = ACTIONS(707),
    [anon_sym_NA] = ACTIONS(707),
    [anon_sym_NA_integer_] = ACTIONS(707),
    [anon_sym_NA_real_] = ACTIONS(707),
    [anon_sym_NA_complex_] = ACTIONS(707),
    [anon_sym_NA_character_] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(709),
    [sym__semicolon] = ACTIONS(709),
    [sym__raw_string_literal] = ACTIONS(709),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(709),
    [sym__external_close_brace] = ACTIONS(709),
    [sym__external_open_bracket] = ACTIONS(709),
    [sym__external_open_bracket2] = ACTIONS(709),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(701),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_EQ] = ACTIONS(699),
    [anon_sym_if] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(699),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_repeat] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_LT_DASH] = ACTIONS(701),
    [anon_sym_LT_LT_DASH] = ACTIONS(701),
    [anon_sym_COLON_EQ] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(699),
    [anon_sym_DASH_GT_GT] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(699),
    [anon_sym_AMP] = ACTIONS(699),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(701),
    [anon_sym_PIPE_GT] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(699),
    [anon_sym_DOLLAR] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(701),
    [sym__hex_literal] = ACTIONS(701),
    [sym__number_literal] = ACTIONS(699),
    [anon_sym_SQUOTE] = ACTIONS(701),
    [anon_sym_DQUOTE] = ACTIONS(701),
    [sym_dots] = ACTIONS(699),
    [sym_dot_dot_i] = ACTIONS(701),
    [sym_return] = ACTIONS(699),
    [sym_next] = ACTIONS(699),
    [sym_break] = ACTIONS(699),
    [sym_true] = ACTIONS(699),
    [sym_false] = ACTIONS(699),
    [sym_null] = ACTIONS(699),
    [sym_inf] = ACTIONS(699),
    [sym_nan] = ACTIONS(699),
    [anon_sym_NA] = ACTIONS(699),
    [anon_sym_NA_integer_] = ACTIONS(699),
    [anon_sym_NA_real_] = ACTIONS(699),
    [anon_sym_NA_complex_] = ACTIONS(699),
    [anon_sym_NA_character_] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(701),
    [sym__semicolon] = ACTIONS(701),
    [sym__raw_string_literal] = ACTIONS(701),
    [sym__external_open_parenthesis] = ACTIONS(701),
    [sym__external_open_brace] = ACTIONS(701),
    [sym__external_open_bracket] = ACTIONS(701),
    [sym__external_open_bracket2] = ACTIONS(701),
  },
  [404] = {
    [sym_identifier] = ACTIONS(753),
    [anon_sym_BSLASH] = ACTIONS(755),
    [anon_sym_function] = ACTIONS(753),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [anon_sym_repeat] = ACTIONS(753),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_BANG] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_LT_DASH] = ACTIONS(755),
    [anon_sym_LT_LT_DASH] = ACTIONS(755),
    [anon_sym_COLON_EQ] = ACTIONS(755),
    [anon_sym_DASH_GT] = ACTIONS(753),
    [anon_sym_DASH_GT_GT] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(753),
    [anon_sym_PIPE_PIPE] = ACTIONS(755),
    [anon_sym_AMP_AMP] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_EQ_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(755),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(755),
    [anon_sym_STAR_STAR] = ACTIONS(755),
    [anon_sym_CARET] = ACTIONS(755),
    [aux_sym_binary_operator_token1] = ACTIONS(755),
    [anon_sym_PIPE_GT] = ACTIONS(755),
    [anon_sym_COLON] = ACTIONS(753),
    [anon_sym_DOLLAR] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(755),
    [sym__hex_literal] = ACTIONS(755),
    [sym__number_literal] = ACTIONS(753),
    [anon_sym_SQUOTE] = ACTIONS(755),
    [anon_sym_DQUOTE] = ACTIONS(755),
    [sym_dots] = ACTIONS(753),
    [sym_dot_dot_i] = ACTIONS(755),
    [sym_return] = ACTIONS(753),
    [sym_next] = ACTIONS(753),
    [sym_break] = ACTIONS(753),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_null] = ACTIONS(753),
    [sym_inf] = ACTIONS(753),
    [sym_nan] = ACTIONS(753),
    [anon_sym_NA] = ACTIONS(753),
    [anon_sym_NA_integer_] = ACTIONS(753),
    [anon_sym_NA_real_] = ACTIONS(753),
    [anon_sym_NA_complex_] = ACTIONS(753),
    [anon_sym_NA_character_] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(755),
    [sym__semicolon] = ACTIONS(755),
    [sym__raw_string_literal] = ACTIONS(755),
    [sym__external_open_parenthesis] = ACTIONS(755),
    [sym__external_open_brace] = ACTIONS(755),
    [sym__external_close_brace] = ACTIONS(755),
    [sym__external_open_bracket] = ACTIONS(755),
    [sym__external_open_bracket2] = ACTIONS(755),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(789),
    [sym_identifier] = ACTIONS(791),
    [anon_sym_BSLASH] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(791),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_if] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(791),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_repeat] = ACTIONS(791),
    [anon_sym_QMARK] = ACTIONS(789),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_AMP] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_AMP_AMP] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_LT_EQ] = ACTIONS(789),
    [anon_sym_GT] = ACTIONS(791),
    [anon_sym_GT_EQ] = ACTIONS(789),
    [anon_sym_EQ_EQ] = ACTIONS(789),
    [anon_sym_BANG_EQ] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_SLASH] = ACTIONS(789),
    [anon_sym_STAR_STAR] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [aux_sym_binary_operator_token1] = ACTIONS(789),
    [anon_sym_PIPE_GT] = ACTIONS(789),
    [anon_sym_COLON] = ACTIONS(791),
    [anon_sym_DOLLAR] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(789),
    [sym__hex_literal] = ACTIONS(789),
    [sym__number_literal] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [sym_dots] = ACTIONS(791),
    [sym_dot_dot_i] = ACTIONS(789),
    [sym_return] = ACTIONS(791),
    [sym_next] = ACTIONS(791),
    [sym_break] = ACTIONS(791),
    [sym_true] = ACTIONS(791),
    [sym_false] = ACTIONS(791),
    [sym_null] = ACTIONS(791),
    [sym_inf] = ACTIONS(791),
    [sym_nan] = ACTIONS(791),
    [anon_sym_NA] = ACTIONS(791),
    [anon_sym_NA_integer_] = ACTIONS(791),
    [anon_sym_NA_real_] = ACTIONS(791),
    [anon_sym_NA_complex_] = ACTIONS(791),
    [anon_sym_NA_character_] = ACTIONS(791),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(789),
    [sym__semicolon] = ACTIONS(789),
    [sym__raw_string_literal] = ACTIONS(789),
    [sym__external_open_parenthesis] = ACTIONS(789),
    [sym__external_open_brace] = ACTIONS(789),
    [sym__external_open_bracket] = ACTIONS(789),
    [sym__external_open_bracket2] = ACTIONS(789),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(759),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_BSLASH] = ACTIONS(759),
    [anon_sym_function] = ACTIONS(757),
    [anon_sym_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [anon_sym_repeat] = ACTIONS(757),
    [anon_sym_QMARK] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_LT_DASH] = ACTIONS(759),
    [anon_sym_LT_LT_DASH] = ACTIONS(759),
    [anon_sym_COLON_EQ] = ACTIONS(759),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_DASH_GT_GT] = ACTIONS(759),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_AMP] = ACTIONS(757),
    [anon_sym_PIPE_PIPE] = ACTIONS(759),
    [anon_sym_AMP_AMP] = ACTIONS(759),
    [anon_sym_LT] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(759),
    [anon_sym_GT] = ACTIONS(757),
    [anon_sym_GT_EQ] = ACTIONS(759),
    [anon_sym_EQ_EQ] = ACTIONS(759),
    [anon_sym_BANG_EQ] = ACTIONS(759),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(759),
    [anon_sym_STAR_STAR] = ACTIONS(759),
    [anon_sym_CARET] = ACTIONS(759),
    [aux_sym_binary_operator_token1] = ACTIONS(759),
    [anon_sym_PIPE_GT] = ACTIONS(759),
    [anon_sym_COLON] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(759),
    [sym__hex_literal] = ACTIONS(759),
    [sym__number_literal] = ACTIONS(757),
    [anon_sym_SQUOTE] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(759),
    [sym_dots] = ACTIONS(757),
    [sym_dot_dot_i] = ACTIONS(759),
    [sym_return] = ACTIONS(757),
    [sym_next] = ACTIONS(757),
    [sym_break] = ACTIONS(757),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_null] = ACTIONS(757),
    [sym_inf] = ACTIONS(757),
    [sym_nan] = ACTIONS(757),
    [anon_sym_NA] = ACTIONS(757),
    [anon_sym_NA_integer_] = ACTIONS(757),
    [anon_sym_NA_real_] = ACTIONS(757),
    [anon_sym_NA_complex_] = ACTIONS(757),
    [anon_sym_NA_character_] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(759),
    [sym__semicolon] = ACTIONS(759),
    [sym__raw_string_literal] = ACTIONS(759),
    [sym__external_open_parenthesis] = ACTIONS(759),
    [sym__external_open_brace] = ACTIONS(759),
    [sym__external_open_bracket] = ACTIONS(759),
    [sym__external_open_bracket2] = ACTIONS(759),
  },
  [407] = {
    [sym_identifier] = ACTIONS(827),
    [anon_sym_BSLASH] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(827),
    [anon_sym_for] = ACTIONS(827),
    [anon_sym_while] = ACTIONS(827),
    [anon_sym_repeat] = ACTIONS(827),
    [anon_sym_QMARK] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(829),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_LT_DASH] = ACTIONS(829),
    [anon_sym_LT_LT_DASH] = ACTIONS(829),
    [anon_sym_COLON_EQ] = ACTIONS(829),
    [anon_sym_DASH_GT] = ACTIONS(827),
    [anon_sym_DASH_GT_GT] = ACTIONS(829),
    [anon_sym_PIPE] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_PIPE_PIPE] = ACTIONS(829),
    [anon_sym_AMP_AMP] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_STAR_STAR] = ACTIONS(829),
    [anon_sym_CARET] = ACTIONS(829),
    [aux_sym_binary_operator_token1] = ACTIONS(829),
    [anon_sym_PIPE_GT] = ACTIONS(829),
    [anon_sym_COLON] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(829),
    [sym__hex_literal] = ACTIONS(829),
    [sym__number_literal] = ACTIONS(827),
    [anon_sym_SQUOTE] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [sym_dots] = ACTIONS(827),
    [sym_dot_dot_i] = ACTIONS(829),
    [sym_return] = ACTIONS(827),
    [sym_next] = ACTIONS(827),
    [sym_break] = ACTIONS(827),
    [sym_true] = ACTIONS(827),
    [sym_false] = ACTIONS(827),
    [sym_null] = ACTIONS(827),
    [sym_inf] = ACTIONS(827),
    [sym_nan] = ACTIONS(827),
    [anon_sym_NA] = ACTIONS(827),
    [anon_sym_NA_integer_] = ACTIONS(827),
    [anon_sym_NA_real_] = ACTIONS(827),
    [anon_sym_NA_complex_] = ACTIONS(827),
    [anon_sym_NA_character_] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(829),
    [sym__semicolon] = ACTIONS(829),
    [sym__raw_string_literal] = ACTIONS(829),
    [sym__external_open_parenthesis] = ACTIONS(829),
    [sym__external_open_brace] = ACTIONS(829),
    [sym__external_close_brace] = ACTIONS(829),
    [sym__external_open_bracket] = ACTIONS(829),
    [sym__external_open_bracket2] = ACTIONS(829),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(799),
    [anon_sym_function] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(801),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(801),
    [anon_sym_repeat] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(799),
    [anon_sym_TILDE] = ACTIONS(799),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(799),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_LT_DASH] = ACTIONS(799),
    [anon_sym_LT_LT_DASH] = ACTIONS(799),
    [anon_sym_COLON_EQ] = ACTIONS(799),
    [anon_sym_DASH_GT] = ACTIONS(801),
    [anon_sym_DASH_GT_GT] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_LT_EQ] = ACTIONS(799),
    [anon_sym_GT] = ACTIONS(801),
    [anon_sym_GT_EQ] = ACTIONS(799),
    [anon_sym_EQ_EQ] = ACTIONS(799),
    [anon_sym_BANG_EQ] = ACTIONS(799),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(799),
    [anon_sym_STAR_STAR] = ACTIONS(799),
    [anon_sym_CARET] = ACTIONS(799),
    [aux_sym_binary_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE_GT] = ACTIONS(799),
    [anon_sym_COLON] = ACTIONS(801),
    [anon_sym_DOLLAR] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(799),
    [sym__hex_literal] = ACTIONS(799),
    [sym__number_literal] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_dots] = ACTIONS(801),
    [sym_dot_dot_i] = ACTIONS(799),
    [sym_return] = ACTIONS(801),
    [sym_next] = ACTIONS(801),
    [sym_break] = ACTIONS(801),
    [sym_true] = ACTIONS(801),
    [sym_false] = ACTIONS(801),
    [sym_null] = ACTIONS(801),
    [sym_inf] = ACTIONS(801),
    [sym_nan] = ACTIONS(801),
    [anon_sym_NA] = ACTIONS(801),
    [anon_sym_NA_integer_] = ACTIONS(801),
    [anon_sym_NA_real_] = ACTIONS(801),
    [anon_sym_NA_complex_] = ACTIONS(801),
    [anon_sym_NA_character_] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(799),
    [sym__semicolon] = ACTIONS(799),
    [sym__raw_string_literal] = ACTIONS(799),
    [sym__external_open_parenthesis] = ACTIONS(799),
    [sym__external_open_brace] = ACTIONS(799),
    [sym__external_open_bracket] = ACTIONS(799),
    [sym__external_open_bracket2] = ACTIONS(799),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(763),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(761),
    [anon_sym_EQ] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_repeat] = ACTIONS(761),
    [anon_sym_QMARK] = ACTIONS(763),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(761),
    [anon_sym_LT_DASH] = ACTIONS(763),
    [anon_sym_LT_LT_DASH] = ACTIONS(763),
    [anon_sym_COLON_EQ] = ACTIONS(763),
    [anon_sym_DASH_GT] = ACTIONS(761),
    [anon_sym_DASH_GT_GT] = ACTIONS(763),
    [anon_sym_PIPE] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(761),
    [anon_sym_LT_EQ] = ACTIONS(763),
    [anon_sym_GT] = ACTIONS(761),
    [anon_sym_GT_EQ] = ACTIONS(763),
    [anon_sym_EQ_EQ] = ACTIONS(763),
    [anon_sym_BANG_EQ] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_SLASH] = ACTIONS(763),
    [anon_sym_STAR_STAR] = ACTIONS(763),
    [anon_sym_CARET] = ACTIONS(763),
    [aux_sym_binary_operator_token1] = ACTIONS(763),
    [anon_sym_PIPE_GT] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(763),
    [sym__hex_literal] = ACTIONS(763),
    [sym__number_literal] = ACTIONS(761),
    [anon_sym_SQUOTE] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(763),
    [sym_dots] = ACTIONS(761),
    [sym_dot_dot_i] = ACTIONS(763),
    [sym_return] = ACTIONS(761),
    [sym_next] = ACTIONS(761),
    [sym_break] = ACTIONS(761),
    [sym_true] = ACTIONS(761),
    [sym_false] = ACTIONS(761),
    [sym_null] = ACTIONS(761),
    [sym_inf] = ACTIONS(761),
    [sym_nan] = ACTIONS(761),
    [anon_sym_NA] = ACTIONS(761),
    [anon_sym_NA_integer_] = ACTIONS(761),
    [anon_sym_NA_real_] = ACTIONS(761),
    [anon_sym_NA_complex_] = ACTIONS(761),
    [anon_sym_NA_character_] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(763),
    [sym__semicolon] = ACTIONS(763),
    [sym__raw_string_literal] = ACTIONS(763),
    [sym__external_open_parenthesis] = ACTIONS(763),
    [sym__external_open_brace] = ACTIONS(763),
    [sym__external_open_bracket] = ACTIONS(763),
    [sym__external_open_bracket2] = ACTIONS(763),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(705),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_function] = ACTIONS(703),
    [anon_sym_EQ] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(703),
    [anon_sym_for] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(703),
    [anon_sym_repeat] = ACTIONS(703),
    [anon_sym_QMARK] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_LT_DASH] = ACTIONS(705),
    [anon_sym_LT_LT_DASH] = ACTIONS(705),
    [anon_sym_COLON_EQ] = ACTIONS(705),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_DASH_GT_GT] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(703),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_PIPE_PIPE] = ACTIONS(705),
    [anon_sym_AMP_AMP] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_LT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_EQ] = ACTIONS(705),
    [anon_sym_EQ_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(705),
    [anon_sym_STAR_STAR] = ACTIONS(705),
    [anon_sym_CARET] = ACTIONS(705),
    [aux_sym_binary_operator_token1] = ACTIONS(705),
    [anon_sym_PIPE_GT] = ACTIONS(705),
    [anon_sym_COLON] = ACTIONS(703),
    [anon_sym_DOLLAR] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [sym__hex_literal] = ACTIONS(705),
    [sym__number_literal] = ACTIONS(703),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [sym_dots] = ACTIONS(703),
    [sym_dot_dot_i] = ACTIONS(705),
    [sym_return] = ACTIONS(703),
    [sym_next] = ACTIONS(703),
    [sym_break] = ACTIONS(703),
    [sym_true] = ACTIONS(703),
    [sym_false] = ACTIONS(703),
    [sym_null] = ACTIONS(703),
    [sym_inf] = ACTIONS(703),
    [sym_nan] = ACTIONS(703),
    [anon_sym_NA] = ACTIONS(703),
    [anon_sym_NA_integer_] = ACTIONS(703),
    [anon_sym_NA_real_] = ACTIONS(703),
    [anon_sym_NA_complex_] = ACTIONS(703),
    [anon_sym_NA_character_] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(705),
    [sym__semicolon] = ACTIONS(705),
    [sym__raw_string_literal] = ACTIONS(705),
    [sym__external_open_parenthesis] = ACTIONS(705),
    [sym__external_open_brace] = ACTIONS(705),
    [sym__external_open_bracket] = ACTIONS(705),
    [sym__external_open_bracket2] = ACTIONS(705),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [anon_sym_LT_LT_DASH] = ACTIONS(767),
    [anon_sym_COLON_EQ] = ACTIONS(767),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(767),
    [anon_sym_AMP_AMP] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(767),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_STAR_STAR] = ACTIONS(767),
    [anon_sym_CARET] = ACTIONS(767),
    [aux_sym_binary_operator_token1] = ACTIONS(767),
    [anon_sym_PIPE_GT] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(767),
    [sym__hex_literal] = ACTIONS(767),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(767),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(767),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(767),
    [sym__semicolon] = ACTIONS(767),
    [sym__raw_string_literal] = ACTIONS(767),
    [sym__external_open_parenthesis] = ACTIONS(767),
    [sym__external_open_brace] = ACTIONS(767),
    [sym__external_open_bracket] = ACTIONS(767),
    [sym__external_open_bracket2] = ACTIONS(767),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(771),
    [sym_identifier] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(771),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_repeat] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_LT_DASH] = ACTIONS(771),
    [anon_sym_LT_LT_DASH] = ACTIONS(771),
    [anon_sym_COLON_EQ] = ACTIONS(771),
    [anon_sym_DASH_GT] = ACTIONS(769),
    [anon_sym_DASH_GT_GT] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_PIPE_PIPE] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [aux_sym_binary_operator_token1] = ACTIONS(771),
    [anon_sym_PIPE_GT] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(769),
    [anon_sym_DOLLAR] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(771),
    [sym__hex_literal] = ACTIONS(771),
    [sym__number_literal] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(771),
    [anon_sym_DQUOTE] = ACTIONS(771),
    [sym_dots] = ACTIONS(769),
    [sym_dot_dot_i] = ACTIONS(771),
    [sym_return] = ACTIONS(769),
    [sym_next] = ACTIONS(769),
    [sym_break] = ACTIONS(769),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_null] = ACTIONS(769),
    [sym_inf] = ACTIONS(769),
    [sym_nan] = ACTIONS(769),
    [anon_sym_NA] = ACTIONS(769),
    [anon_sym_NA_integer_] = ACTIONS(769),
    [anon_sym_NA_real_] = ACTIONS(769),
    [anon_sym_NA_complex_] = ACTIONS(769),
    [anon_sym_NA_character_] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(771),
    [sym__raw_string_literal] = ACTIONS(771),
    [sym__external_open_parenthesis] = ACTIONS(771),
    [sym__external_open_brace] = ACTIONS(771),
    [sym__external_open_bracket] = ACTIONS(771),
    [sym__external_open_bracket2] = ACTIONS(771),
  },
  [413] = {
    [sym_identifier] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_for] = ACTIONS(779),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_repeat] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_LT_DASH] = ACTIONS(777),
    [anon_sym_LT_LT_DASH] = ACTIONS(777),
    [anon_sym_COLON_EQ] = ACTIONS(777),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_DASH_GT_GT] = ACTIONS(777),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(777),
    [anon_sym_AMP_AMP] = ACTIONS(777),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(777),
    [anon_sym_STAR] = ACTIONS(779),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_STAR_STAR] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(777),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [sym__hex_literal] = ACTIONS(777),
    [sym__number_literal] = ACTIONS(779),
    [anon_sym_SQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [sym_dots] = ACTIONS(779),
    [sym_dot_dot_i] = ACTIONS(777),
    [sym_return] = ACTIONS(779),
    [sym_next] = ACTIONS(779),
    [sym_break] = ACTIONS(779),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_inf] = ACTIONS(779),
    [sym_nan] = ACTIONS(779),
    [anon_sym_NA] = ACTIONS(779),
    [anon_sym_NA_integer_] = ACTIONS(779),
    [anon_sym_NA_real_] = ACTIONS(779),
    [anon_sym_NA_complex_] = ACTIONS(779),
    [anon_sym_NA_character_] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(777),
    [sym__semicolon] = ACTIONS(777),
    [sym__raw_string_literal] = ACTIONS(777),
    [sym__external_open_parenthesis] = ACTIONS(777),
    [sym__external_open_brace] = ACTIONS(777),
    [sym__external_close_brace] = ACTIONS(777),
    [sym__external_open_bracket] = ACTIONS(777),
    [sym__external_open_bracket2] = ACTIONS(777),
  },
  [414] = {
    [sym_identifier] = ACTIONS(783),
    [anon_sym_BSLASH] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_repeat] = ACTIONS(783),
    [anon_sym_QMARK] = ACTIONS(781),
    [anon_sym_TILDE] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(781),
    [anon_sym_LT_LT_DASH] = ACTIONS(781),
    [anon_sym_COLON_EQ] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(783),
    [anon_sym_DASH_GT_GT] = ACTIONS(781),
    [anon_sym_PIPE] = ACTIONS(783),
    [anon_sym_AMP] = ACTIONS(783),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(783),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_SLASH] = ACTIONS(781),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_CARET] = ACTIONS(781),
    [aux_sym_binary_operator_token1] = ACTIONS(781),
    [anon_sym_PIPE_GT] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(783),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(781),
    [sym__number_literal] = ACTIONS(783),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(781),
    [sym_dots] = ACTIONS(783),
    [sym_dot_dot_i] = ACTIONS(781),
    [sym_return] = ACTIONS(783),
    [sym_next] = ACTIONS(783),
    [sym_break] = ACTIONS(783),
    [sym_true] = ACTIONS(783),
    [sym_false] = ACTIONS(783),
    [sym_null] = ACTIONS(783),
    [sym_inf] = ACTIONS(783),
    [sym_nan] = ACTIONS(783),
    [anon_sym_NA] = ACTIONS(783),
    [anon_sym_NA_integer_] = ACTIONS(783),
    [anon_sym_NA_real_] = ACTIONS(783),
    [anon_sym_NA_complex_] = ACTIONS(783),
    [anon_sym_NA_character_] = ACTIONS(783),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(781),
    [sym__semicolon] = ACTIONS(781),
    [sym__raw_string_literal] = ACTIONS(781),
    [sym__external_open_parenthesis] = ACTIONS(781),
    [sym__external_open_brace] = ACTIONS(781),
    [sym__external_close_brace] = ACTIONS(781),
    [sym__external_open_bracket] = ACTIONS(781),
    [sym__external_open_bracket2] = ACTIONS(781),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(697),
    [sym_identifier] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_repeat] = ACTIONS(695),
    [anon_sym_QMARK] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LT_DASH] = ACTIONS(697),
    [anon_sym_LT_LT_DASH] = ACTIONS(697),
    [anon_sym_COLON_EQ] = ACTIONS(697),
    [anon_sym_DASH_GT] = ACTIONS(695),
    [anon_sym_DASH_GT_GT] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(695),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_PIPE_PIPE] = ACTIONS(697),
    [anon_sym_AMP_AMP] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_LT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_EQ] = ACTIONS(697),
    [anon_sym_EQ_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(697),
    [anon_sym_STAR_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(697),
    [aux_sym_binary_operator_token1] = ACTIONS(697),
    [anon_sym_PIPE_GT] = ACTIONS(697),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_DOLLAR] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(697),
    [sym__hex_literal] = ACTIONS(697),
    [sym__number_literal] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_DQUOTE] = ACTIONS(697),
    [sym_dots] = ACTIONS(695),
    [sym_dot_dot_i] = ACTIONS(697),
    [sym_return] = ACTIONS(695),
    [sym_next] = ACTIONS(695),
    [sym_break] = ACTIONS(695),
    [sym_true] = ACTIONS(695),
    [sym_false] = ACTIONS(695),
    [sym_null] = ACTIONS(695),
    [sym_inf] = ACTIONS(695),
    [sym_nan] = ACTIONS(695),
    [anon_sym_NA] = ACTIONS(695),
    [anon_sym_NA_integer_] = ACTIONS(695),
    [anon_sym_NA_real_] = ACTIONS(695),
    [anon_sym_NA_complex_] = ACTIONS(695),
    [anon_sym_NA_character_] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(697),
    [sym__semicolon] = ACTIONS(697),
    [sym__raw_string_literal] = ACTIONS(697),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(697),
    [sym__external_open_bracket] = ACTIONS(697),
    [sym__external_open_bracket2] = ACTIONS(697),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_BSLASH] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_LT_DASH] = ACTIONS(775),
    [anon_sym_LT_LT_DASH] = ACTIONS(775),
    [anon_sym_COLON_EQ] = ACTIONS(775),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(775),
    [anon_sym_PIPE_GT] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(775),
    [sym__hex_literal] = ACTIONS(775),
    [sym__number_literal] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [sym_dots] = ACTIONS(773),
    [sym_dot_dot_i] = ACTIONS(775),
    [sym_return] = ACTIONS(773),
    [sym_next] = ACTIONS(773),
    [sym_break] = ACTIONS(773),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_null] = ACTIONS(773),
    [sym_inf] = ACTIONS(773),
    [sym_nan] = ACTIONS(773),
    [anon_sym_NA] = ACTIONS(773),
    [anon_sym_NA_integer_] = ACTIONS(773),
    [anon_sym_NA_real_] = ACTIONS(773),
    [anon_sym_NA_complex_] = ACTIONS(773),
    [anon_sym_NA_character_] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(775),
    [sym__raw_string_literal] = ACTIONS(775),
    [sym__external_open_parenthesis] = ACTIONS(775),
    [sym__external_open_brace] = ACTIONS(775),
    [sym__external_open_bracket] = ACTIONS(775),
    [sym__external_open_bracket2] = ACTIONS(775),
  },
  [417] = {
    [sym_identifier] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_repeat] = ACTIONS(795),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_LT_DASH] = ACTIONS(793),
    [anon_sym_LT_LT_DASH] = ACTIONS(793),
    [anon_sym_COLON_EQ] = ACTIONS(793),
    [anon_sym_DASH_GT] = ACTIONS(795),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_PIPE_PIPE] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(795),
    [anon_sym_LT_EQ] = ACTIONS(793),
    [anon_sym_GT] = ACTIONS(795),
    [anon_sym_GT_EQ] = ACTIONS(793),
    [anon_sym_EQ_EQ] = ACTIONS(793),
    [anon_sym_BANG_EQ] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(795),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_STAR_STAR] = ACTIONS(793),
    [anon_sym_CARET] = ACTIONS(793),
    [aux_sym_binary_operator_token1] = ACTIONS(793),
    [anon_sym_PIPE_GT] = ACTIONS(793),
    [anon_sym_COLON] = ACTIONS(795),
    [anon_sym_DOLLAR] = ACTIONS(793),
    [anon_sym_AT] = ACTIONS(793),
    [sym__hex_literal] = ACTIONS(793),
    [sym__number_literal] = ACTIONS(795),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_dots] = ACTIONS(795),
    [sym_dot_dot_i] = ACTIONS(793),
    [sym_return] = ACTIONS(795),
    [sym_next] = ACTIONS(795),
    [sym_break] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_inf] = ACTIONS(795),
    [sym_nan] = ACTIONS(795),
    [anon_sym_NA] = ACTIONS(795),
    [anon_sym_NA_integer_] = ACTIONS(795),
    [anon_sym_NA_real_] = ACTIONS(795),
    [anon_sym_NA_complex_] = ACTIONS(795),
    [anon_sym_NA_character_] = ACTIONS(795),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(793),
    [sym__semicolon] = ACTIONS(793),
    [sym__raw_string_literal] = ACTIONS(793),
    [sym__external_open_parenthesis] = ACTIONS(793),
    [sym__external_open_brace] = ACTIONS(793),
    [sym__external_close_brace] = ACTIONS(793),
    [sym__external_open_bracket] = ACTIONS(793),
    [sym__external_open_bracket2] = ACTIONS(793),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(805),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_QMARK] = ACTIONS(805),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_LT_DASH] = ACTIONS(805),
    [anon_sym_LT_LT_DASH] = ACTIONS(805),
    [anon_sym_COLON_EQ] = ACTIONS(805),
    [anon_sym_DASH_GT] = ACTIONS(803),
    [anon_sym_DASH_GT_GT] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(803),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE_PIPE] = ACTIONS(805),
    [anon_sym_AMP_AMP] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_STAR_STAR] = ACTIONS(805),
    [anon_sym_CARET] = ACTIONS(805),
    [aux_sym_binary_operator_token1] = ACTIONS(805),
    [anon_sym_PIPE_GT] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_DOLLAR] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(805),
    [sym__hex_literal] = ACTIONS(805),
    [sym__number_literal] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_dots] = ACTIONS(803),
    [sym_dot_dot_i] = ACTIONS(805),
    [sym_return] = ACTIONS(803),
    [sym_next] = ACTIONS(803),
    [sym_break] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_inf] = ACTIONS(803),
    [sym_nan] = ACTIONS(803),
    [anon_sym_NA] = ACTIONS(803),
    [anon_sym_NA_integer_] = ACTIONS(803),
    [anon_sym_NA_real_] = ACTIONS(803),
    [anon_sym_NA_complex_] = ACTIONS(803),
    [anon_sym_NA_character_] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(805),
    [sym__semicolon] = ACTIONS(805),
    [sym__raw_string_literal] = ACTIONS(805),
    [sym__external_open_parenthesis] = ACTIONS(805),
    [sym__external_open_brace] = ACTIONS(805),
    [sym__external_open_bracket] = ACTIONS(805),
    [sym__external_open_bracket2] = ACTIONS(805),
  },
  [419] = {
    [sym_identifier] = ACTIONS(853),
    [anon_sym_BSLASH] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(853),
    [anon_sym_repeat] = ACTIONS(853),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_LT_DASH] = ACTIONS(855),
    [anon_sym_LT_LT_DASH] = ACTIONS(855),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_DASH_GT_GT] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(853),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(853),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(855),
    [anon_sym_STAR_STAR] = ACTIONS(855),
    [anon_sym_CARET] = ACTIONS(855),
    [aux_sym_binary_operator_token1] = ACTIONS(855),
    [anon_sym_PIPE_GT] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_AT] = ACTIONS(855),
    [sym__hex_literal] = ACTIONS(855),
    [sym__number_literal] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_dots] = ACTIONS(853),
    [sym_dot_dot_i] = ACTIONS(855),
    [sym_return] = ACTIONS(853),
    [sym_next] = ACTIONS(853),
    [sym_break] = ACTIONS(853),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [sym_inf] = ACTIONS(853),
    [sym_nan] = ACTIONS(853),
    [anon_sym_NA] = ACTIONS(853),
    [anon_sym_NA_integer_] = ACTIONS(853),
    [anon_sym_NA_real_] = ACTIONS(853),
    [anon_sym_NA_complex_] = ACTIONS(853),
    [anon_sym_NA_character_] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__semicolon] = ACTIONS(855),
    [sym__raw_string_literal] = ACTIONS(855),
    [sym__external_open_parenthesis] = ACTIONS(855),
    [sym__external_open_brace] = ACTIONS(855),
    [sym__external_close_brace] = ACTIONS(855),
    [sym__external_open_bracket] = ACTIONS(855),
    [sym__external_open_bracket2] = ACTIONS(855),
  },
  [420] = {
    [sym_identifier] = ACTIONS(773),
    [anon_sym_BSLASH] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_repeat] = ACTIONS(773),
    [anon_sym_QMARK] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_LT_DASH] = ACTIONS(775),
    [anon_sym_LT_LT_DASH] = ACTIONS(775),
    [anon_sym_COLON_EQ] = ACTIONS(775),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_DASH_GT_GT] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [aux_sym_binary_operator_token1] = ACTIONS(775),
    [anon_sym_PIPE_GT] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(775),
    [sym__hex_literal] = ACTIONS(775),
    [sym__number_literal] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [sym_dots] = ACTIONS(773),
    [sym_dot_dot_i] = ACTIONS(775),
    [sym_return] = ACTIONS(773),
    [sym_next] = ACTIONS(773),
    [sym_break] = ACTIONS(773),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_null] = ACTIONS(773),
    [sym_inf] = ACTIONS(773),
    [sym_nan] = ACTIONS(773),
    [anon_sym_NA] = ACTIONS(773),
    [anon_sym_NA_integer_] = ACTIONS(773),
    [anon_sym_NA_real_] = ACTIONS(773),
    [anon_sym_NA_complex_] = ACTIONS(773),
    [anon_sym_NA_character_] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(775),
    [sym__raw_string_literal] = ACTIONS(775),
    [sym__external_open_parenthesis] = ACTIONS(775),
    [sym__external_open_brace] = ACTIONS(775),
    [sym__external_close_brace] = ACTIONS(775),
    [sym__external_open_bracket] = ACTIONS(775),
    [sym__external_open_bracket2] = ACTIONS(775),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(809),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_while] = ACTIONS(807),
    [anon_sym_repeat] = ACTIONS(807),
    [anon_sym_QMARK] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_LT_DASH] = ACTIONS(809),
    [anon_sym_LT_LT_DASH] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(809),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_DASH_GT_GT] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(809),
    [anon_sym_BANG_EQ] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(809),
    [aux_sym_binary_operator_token1] = ACTIONS(809),
    [anon_sym_PIPE_GT] = ACTIONS(809),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [sym__hex_literal] = ACTIONS(809),
    [sym__number_literal] = ACTIONS(807),
    [anon_sym_SQUOTE] = ACTIONS(809),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [sym_dots] = ACTIONS(807),
    [sym_dot_dot_i] = ACTIONS(809),
    [sym_return] = ACTIONS(807),
    [sym_next] = ACTIONS(807),
    [sym_break] = ACTIONS(807),
    [sym_true] = ACTIONS(807),
    [sym_false] = ACTIONS(807),
    [sym_null] = ACTIONS(807),
    [sym_inf] = ACTIONS(807),
    [sym_nan] = ACTIONS(807),
    [anon_sym_NA] = ACTIONS(807),
    [anon_sym_NA_integer_] = ACTIONS(807),
    [anon_sym_NA_real_] = ACTIONS(807),
    [anon_sym_NA_complex_] = ACTIONS(807),
    [anon_sym_NA_character_] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(809),
    [sym__semicolon] = ACTIONS(809),
    [sym__raw_string_literal] = ACTIONS(809),
    [sym__external_open_parenthesis] = ACTIONS(809),
    [sym__external_open_brace] = ACTIONS(809),
    [sym__external_open_bracket] = ACTIONS(809),
    [sym__external_open_bracket2] = ACTIONS(809),
  },
  [422] = {
    [sym_identifier] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(799),
    [anon_sym_function] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(801),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(801),
    [anon_sym_repeat] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(799),
    [anon_sym_TILDE] = ACTIONS(799),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(799),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_LT_DASH] = ACTIONS(799),
    [anon_sym_LT_LT_DASH] = ACTIONS(799),
    [anon_sym_COLON_EQ] = ACTIONS(799),
    [anon_sym_DASH_GT] = ACTIONS(801),
    [anon_sym_DASH_GT_GT] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_PIPE_PIPE] = ACTIONS(799),
    [anon_sym_AMP_AMP] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(801),
    [anon_sym_LT_EQ] = ACTIONS(799),
    [anon_sym_GT] = ACTIONS(801),
    [anon_sym_GT_EQ] = ACTIONS(799),
    [anon_sym_EQ_EQ] = ACTIONS(799),
    [anon_sym_BANG_EQ] = ACTIONS(799),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(799),
    [anon_sym_STAR_STAR] = ACTIONS(799),
    [anon_sym_CARET] = ACTIONS(799),
    [aux_sym_binary_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE_GT] = ACTIONS(799),
    [anon_sym_COLON] = ACTIONS(801),
    [anon_sym_DOLLAR] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(799),
    [sym__hex_literal] = ACTIONS(799),
    [sym__number_literal] = ACTIONS(801),
    [anon_sym_SQUOTE] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_dots] = ACTIONS(801),
    [sym_dot_dot_i] = ACTIONS(799),
    [sym_return] = ACTIONS(801),
    [sym_next] = ACTIONS(801),
    [sym_break] = ACTIONS(801),
    [sym_true] = ACTIONS(801),
    [sym_false] = ACTIONS(801),
    [sym_null] = ACTIONS(801),
    [sym_inf] = ACTIONS(801),
    [sym_nan] = ACTIONS(801),
    [anon_sym_NA] = ACTIONS(801),
    [anon_sym_NA_integer_] = ACTIONS(801),
    [anon_sym_NA_real_] = ACTIONS(801),
    [anon_sym_NA_complex_] = ACTIONS(801),
    [anon_sym_NA_character_] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(799),
    [sym__semicolon] = ACTIONS(799),
    [sym__raw_string_literal] = ACTIONS(799),
    [sym__external_open_parenthesis] = ACTIONS(799),
    [sym__external_open_brace] = ACTIONS(799),
    [sym__external_close_brace] = ACTIONS(799),
    [sym__external_open_bracket] = ACTIONS(799),
    [sym__external_open_bracket2] = ACTIONS(799),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(813),
    [sym_identifier] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(813),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_repeat] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [anon_sym_TILDE] = ACTIONS(813),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(811),
    [anon_sym_DASH_GT_GT] = ACTIONS(813),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_AMP] = ACTIONS(811),
    [anon_sym_PIPE_PIPE] = ACTIONS(813),
    [anon_sym_AMP_AMP] = ACTIONS(813),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_LT_EQ] = ACTIONS(813),
    [anon_sym_GT] = ACTIONS(811),
    [anon_sym_GT_EQ] = ACTIONS(813),
    [anon_sym_EQ_EQ] = ACTIONS(813),
    [anon_sym_BANG_EQ] = ACTIONS(813),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_STAR_STAR] = ACTIONS(813),
    [anon_sym_CARET] = ACTIONS(813),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(811),
    [anon_sym_DOLLAR] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(813),
    [sym__hex_literal] = ACTIONS(813),
    [sym__number_literal] = ACTIONS(811),
    [anon_sym_SQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [sym_dots] = ACTIONS(811),
    [sym_dot_dot_i] = ACTIONS(813),
    [sym_return] = ACTIONS(811),
    [sym_next] = ACTIONS(811),
    [sym_break] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_inf] = ACTIONS(811),
    [sym_nan] = ACTIONS(811),
    [anon_sym_NA] = ACTIONS(811),
    [anon_sym_NA_integer_] = ACTIONS(811),
    [anon_sym_NA_real_] = ACTIONS(811),
    [anon_sym_NA_complex_] = ACTIONS(811),
    [anon_sym_NA_character_] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(813),
    [sym__semicolon] = ACTIONS(813),
    [sym__raw_string_literal] = ACTIONS(813),
    [sym__external_open_parenthesis] = ACTIONS(813),
    [sym__external_open_brace] = ACTIONS(813),
    [sym__external_open_bracket] = ACTIONS(813),
    [sym__external_open_bracket2] = ACTIONS(813),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(817),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(815),
    [anon_sym_for] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(815),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_LT_DASH] = ACTIONS(817),
    [anon_sym_LT_LT_DASH] = ACTIONS(817),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(815),
    [anon_sym_SLASH] = ACTIONS(817),
    [anon_sym_STAR_STAR] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [aux_sym_binary_operator_token1] = ACTIONS(817),
    [anon_sym_PIPE_GT] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(817),
    [sym__number_literal] = ACTIONS(815),
    [anon_sym_SQUOTE] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [sym_dots] = ACTIONS(815),
    [sym_dot_dot_i] = ACTIONS(817),
    [sym_return] = ACTIONS(815),
    [sym_next] = ACTIONS(815),
    [sym_break] = ACTIONS(815),
    [sym_true] = ACTIONS(815),
    [sym_false] = ACTIONS(815),
    [sym_null] = ACTIONS(815),
    [sym_inf] = ACTIONS(815),
    [sym_nan] = ACTIONS(815),
    [anon_sym_NA] = ACTIONS(815),
    [anon_sym_NA_integer_] = ACTIONS(815),
    [anon_sym_NA_real_] = ACTIONS(815),
    [anon_sym_NA_complex_] = ACTIONS(815),
    [anon_sym_NA_character_] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__semicolon] = ACTIONS(817),
    [sym__raw_string_literal] = ACTIONS(817),
    [sym__external_open_parenthesis] = ACTIONS(817),
    [sym__external_open_brace] = ACTIONS(817),
    [sym__external_open_bracket] = ACTIONS(817),
    [sym__external_open_bracket2] = ACTIONS(817),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(777),
    [sym_identifier] = ACTIONS(779),
    [anon_sym_BSLASH] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_for] = ACTIONS(779),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_repeat] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_LT_DASH] = ACTIONS(777),
    [anon_sym_LT_LT_DASH] = ACTIONS(777),
    [anon_sym_COLON_EQ] = ACTIONS(777),
    [anon_sym_DASH_GT] = ACTIONS(779),
    [anon_sym_DASH_GT_GT] = ACTIONS(777),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(779),
    [anon_sym_PIPE_PIPE] = ACTIONS(777),
    [anon_sym_AMP_AMP] = ACTIONS(777),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_EQ_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(777),
    [anon_sym_STAR] = ACTIONS(779),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_STAR_STAR] = ACTIONS(777),
    [anon_sym_CARET] = ACTIONS(777),
    [aux_sym_binary_operator_token1] = ACTIONS(777),
    [anon_sym_PIPE_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [sym__hex_literal] = ACTIONS(777),
    [sym__number_literal] = ACTIONS(779),
    [anon_sym_SQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [sym_dots] = ACTIONS(779),
    [sym_dot_dot_i] = ACTIONS(777),
    [sym_return] = ACTIONS(779),
    [sym_next] = ACTIONS(779),
    [sym_break] = ACTIONS(779),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_inf] = ACTIONS(779),
    [sym_nan] = ACTIONS(779),
    [anon_sym_NA] = ACTIONS(779),
    [anon_sym_NA_integer_] = ACTIONS(779),
    [anon_sym_NA_real_] = ACTIONS(779),
    [anon_sym_NA_complex_] = ACTIONS(779),
    [anon_sym_NA_character_] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(777),
    [sym__semicolon] = ACTIONS(777),
    [sym__raw_string_literal] = ACTIONS(777),
    [sym__external_open_parenthesis] = ACTIONS(777),
    [sym__external_open_brace] = ACTIONS(777),
    [sym__external_open_bracket] = ACTIONS(777),
    [sym__external_open_bracket2] = ACTIONS(777),
  },
  [426] = {
    [sym_identifier] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_function] = ACTIONS(703),
    [anon_sym_EQ] = ACTIONS(703),
    [anon_sym_if] = ACTIONS(703),
    [anon_sym_for] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(703),
    [anon_sym_repeat] = ACTIONS(703),
    [anon_sym_QMARK] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_LT_DASH] = ACTIONS(705),
    [anon_sym_LT_LT_DASH] = ACTIONS(705),
    [anon_sym_COLON_EQ] = ACTIONS(705),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_DASH_GT_GT] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(703),
    [anon_sym_AMP] = ACTIONS(703),
    [anon_sym_PIPE_PIPE] = ACTIONS(705),
    [anon_sym_AMP_AMP] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_LT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_EQ] = ACTIONS(705),
    [anon_sym_EQ_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(705),
    [anon_sym_STAR_STAR] = ACTIONS(705),
    [anon_sym_CARET] = ACTIONS(705),
    [aux_sym_binary_operator_token1] = ACTIONS(705),
    [anon_sym_PIPE_GT] = ACTIONS(705),
    [anon_sym_COLON] = ACTIONS(703),
    [anon_sym_DOLLAR] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [sym__hex_literal] = ACTIONS(705),
    [sym__number_literal] = ACTIONS(703),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [sym_dots] = ACTIONS(703),
    [sym_dot_dot_i] = ACTIONS(705),
    [sym_return] = ACTIONS(703),
    [sym_next] = ACTIONS(703),
    [sym_break] = ACTIONS(703),
    [sym_true] = ACTIONS(703),
    [sym_false] = ACTIONS(703),
    [sym_null] = ACTIONS(703),
    [sym_inf] = ACTIONS(703),
    [sym_nan] = ACTIONS(703),
    [anon_sym_NA] = ACTIONS(703),
    [anon_sym_NA_integer_] = ACTIONS(703),
    [anon_sym_NA_real_] = ACTIONS(703),
    [anon_sym_NA_complex_] = ACTIONS(703),
    [anon_sym_NA_character_] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(705),
    [sym__semicolon] = ACTIONS(705),
    [sym__raw_string_literal] = ACTIONS(705),
    [sym__external_open_parenthesis] = ACTIONS(705),
    [sym__external_open_brace] = ACTIONS(705),
    [sym__external_close_brace] = ACTIONS(705),
    [sym__external_open_bracket] = ACTIONS(705),
    [sym__external_open_bracket2] = ACTIONS(705),
  },
  [427] = {
    [sym_identifier] = ACTIONS(819),
    [anon_sym_BSLASH] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(819),
    [anon_sym_repeat] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_LT_DASH] = ACTIONS(821),
    [anon_sym_LT_LT_DASH] = ACTIONS(821),
    [anon_sym_COLON_EQ] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(819),
    [anon_sym_DASH_GT_GT] = ACTIONS(821),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(821),
    [anon_sym_AMP_AMP] = ACTIONS(821),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_LT_EQ] = ACTIONS(821),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(821),
    [anon_sym_EQ_EQ] = ACTIONS(821),
    [anon_sym_BANG_EQ] = ACTIONS(821),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_STAR_STAR] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(821),
    [aux_sym_binary_operator_token1] = ACTIONS(821),
    [anon_sym_PIPE_GT] = ACTIONS(821),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_DOLLAR] = ACTIONS(821),
    [anon_sym_AT] = ACTIONS(821),
    [sym__hex_literal] = ACTIONS(821),
    [sym__number_literal] = ACTIONS(819),
    [anon_sym_SQUOTE] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [sym_dots] = ACTIONS(819),
    [sym_dot_dot_i] = ACTIONS(821),
    [sym_return] = ACTIONS(819),
    [sym_next] = ACTIONS(819),
    [sym_break] = ACTIONS(819),
    [sym_true] = ACTIONS(819),
    [sym_false] = ACTIONS(819),
    [sym_null] = ACTIONS(819),
    [sym_inf] = ACTIONS(819),
    [sym_nan] = ACTIONS(819),
    [anon_sym_NA] = ACTIONS(819),
    [anon_sym_NA_integer_] = ACTIONS(819),
    [anon_sym_NA_real_] = ACTIONS(819),
    [anon_sym_NA_complex_] = ACTIONS(819),
    [anon_sym_NA_character_] = ACTIONS(819),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(821),
    [sym__semicolon] = ACTIONS(821),
    [sym__raw_string_literal] = ACTIONS(821),
    [sym__external_open_parenthesis] = ACTIONS(821),
    [sym__external_open_brace] = ACTIONS(821),
    [sym__external_close_brace] = ACTIONS(821),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(821),
  },
  [428] = {
    [sym_identifier] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(763),
    [anon_sym_function] = ACTIONS(761),
    [anon_sym_EQ] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_repeat] = ACTIONS(761),
    [anon_sym_QMARK] = ACTIONS(763),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(761),
    [anon_sym_LT_DASH] = ACTIONS(763),
    [anon_sym_LT_LT_DASH] = ACTIONS(763),
    [anon_sym_COLON_EQ] = ACTIONS(763),
    [anon_sym_DASH_GT] = ACTIONS(761),
    [anon_sym_DASH_GT_GT] = ACTIONS(763),
    [anon_sym_PIPE] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(761),
    [anon_sym_PIPE_PIPE] = ACTIONS(763),
    [anon_sym_AMP_AMP] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(761),
    [anon_sym_LT_EQ] = ACTIONS(763),
    [anon_sym_GT] = ACTIONS(761),
    [anon_sym_GT_EQ] = ACTIONS(763),
    [anon_sym_EQ_EQ] = ACTIONS(763),
    [anon_sym_BANG_EQ] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_SLASH] = ACTIONS(763),
    [anon_sym_STAR_STAR] = ACTIONS(763),
    [anon_sym_CARET] = ACTIONS(763),
    [aux_sym_binary_operator_token1] = ACTIONS(763),
    [anon_sym_PIPE_GT] = ACTIONS(763),
    [anon_sym_COLON] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(763),
    [sym__hex_literal] = ACTIONS(763),
    [sym__number_literal] = ACTIONS(761),
    [anon_sym_SQUOTE] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(763),
    [sym_dots] = ACTIONS(761),
    [sym_dot_dot_i] = ACTIONS(763),
    [sym_return] = ACTIONS(761),
    [sym_next] = ACTIONS(761),
    [sym_break] = ACTIONS(761),
    [sym_true] = ACTIONS(761),
    [sym_false] = ACTIONS(761),
    [sym_null] = ACTIONS(761),
    [sym_inf] = ACTIONS(761),
    [sym_nan] = ACTIONS(761),
    [anon_sym_NA] = ACTIONS(761),
    [anon_sym_NA_integer_] = ACTIONS(761),
    [anon_sym_NA_real_] = ACTIONS(761),
    [anon_sym_NA_complex_] = ACTIONS(761),
    [anon_sym_NA_character_] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(763),
    [sym__semicolon] = ACTIONS(763),
    [sym__raw_string_literal] = ACTIONS(763),
    [sym__external_open_parenthesis] = ACTIONS(763),
    [sym__external_open_brace] = ACTIONS(763),
    [sym__external_close_brace] = ACTIONS(763),
    [sym__external_open_bracket] = ACTIONS(763),
    [sym__external_open_bracket2] = ACTIONS(763),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(821),
    [sym_identifier] = ACTIONS(819),
    [anon_sym_BSLASH] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(819),
    [anon_sym_repeat] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_LT_DASH] = ACTIONS(821),
    [anon_sym_LT_LT_DASH] = ACTIONS(821),
    [anon_sym_COLON_EQ] = ACTIONS(821),
    [anon_sym_DASH_GT] = ACTIONS(819),
    [anon_sym_DASH_GT_GT] = ACTIONS(821),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(821),
    [anon_sym_AMP_AMP] = ACTIONS(821),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_LT_EQ] = ACTIONS(821),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(821),
    [anon_sym_EQ_EQ] = ACTIONS(821),
    [anon_sym_BANG_EQ] = ACTIONS(821),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_STAR_STAR] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(821),
    [aux_sym_binary_operator_token1] = ACTIONS(821),
    [anon_sym_PIPE_GT] = ACTIONS(821),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_DOLLAR] = ACTIONS(821),
    [anon_sym_AT] = ACTIONS(821),
    [sym__hex_literal] = ACTIONS(821),
    [sym__number_literal] = ACTIONS(819),
    [anon_sym_SQUOTE] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [sym_dots] = ACTIONS(819),
    [sym_dot_dot_i] = ACTIONS(821),
    [sym_return] = ACTIONS(819),
    [sym_next] = ACTIONS(819),
    [sym_break] = ACTIONS(819),
    [sym_true] = ACTIONS(819),
    [sym_false] = ACTIONS(819),
    [sym_null] = ACTIONS(819),
    [sym_inf] = ACTIONS(819),
    [sym_nan] = ACTIONS(819),
    [anon_sym_NA] = ACTIONS(819),
    [anon_sym_NA_integer_] = ACTIONS(819),
    [anon_sym_NA_real_] = ACTIONS(819),
    [anon_sym_NA_complex_] = ACTIONS(819),
    [anon_sym_NA_character_] = ACTIONS(819),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(821),
    [sym__semicolon] = ACTIONS(821),
    [sym__raw_string_literal] = ACTIONS(821),
    [sym__external_open_parenthesis] = ACTIONS(821),
    [sym__external_open_brace] = ACTIONS(821),
    [sym__external_open_bracket] = ACTIONS(821),
    [sym__external_open_bracket2] = ACTIONS(821),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(825),
    [sym_identifier] = ACTIONS(823),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_for] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_repeat] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(823),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(823),
    [anon_sym_AMP] = ACTIONS(823),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(823),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(823),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(823),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(823),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [sym_dots] = ACTIONS(823),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_return] = ACTIONS(823),
    [sym_next] = ACTIONS(823),
    [sym_break] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_null] = ACTIONS(823),
    [sym_inf] = ACTIONS(823),
    [sym_nan] = ACTIONS(823),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(829),
    [sym_identifier] = ACTIONS(827),
    [anon_sym_BSLASH] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(827),
    [anon_sym_for] = ACTIONS(827),
    [anon_sym_while] = ACTIONS(827),
    [anon_sym_repeat] = ACTIONS(827),
    [anon_sym_QMARK] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(829),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_LT_DASH] = ACTIONS(829),
    [anon_sym_LT_LT_DASH] = ACTIONS(829),
    [anon_sym_COLON_EQ] = ACTIONS(829),
    [anon_sym_DASH_GT] = ACTIONS(827),
    [anon_sym_DASH_GT_GT] = ACTIONS(829),
    [anon_sym_PIPE] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_PIPE_PIPE] = ACTIONS(829),
    [anon_sym_AMP_AMP] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_LT_EQ] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_EQ] = ACTIONS(829),
    [anon_sym_EQ_EQ] = ACTIONS(829),
    [anon_sym_BANG_EQ] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_STAR_STAR] = ACTIONS(829),
    [anon_sym_CARET] = ACTIONS(829),
    [aux_sym_binary_operator_token1] = ACTIONS(829),
    [anon_sym_PIPE_GT] = ACTIONS(829),
    [anon_sym_COLON] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(829),
    [sym__hex_literal] = ACTIONS(829),
    [sym__number_literal] = ACTIONS(827),
    [anon_sym_SQUOTE] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [sym_dots] = ACTIONS(827),
    [sym_dot_dot_i] = ACTIONS(829),
    [sym_return] = ACTIONS(827),
    [sym_next] = ACTIONS(827),
    [sym_break] = ACTIONS(827),
    [sym_true] = ACTIONS(827),
    [sym_false] = ACTIONS(827),
    [sym_null] = ACTIONS(827),
    [sym_inf] = ACTIONS(827),
    [sym_nan] = ACTIONS(827),
    [anon_sym_NA] = ACTIONS(827),
    [anon_sym_NA_integer_] = ACTIONS(827),
    [anon_sym_NA_real_] = ACTIONS(827),
    [anon_sym_NA_complex_] = ACTIONS(827),
    [anon_sym_NA_character_] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(829),
    [sym__semicolon] = ACTIONS(829),
    [sym__raw_string_literal] = ACTIONS(829),
    [sym__external_open_parenthesis] = ACTIONS(829),
    [sym__external_open_brace] = ACTIONS(829),
    [sym__external_open_bracket] = ACTIONS(829),
    [sym__external_open_bracket2] = ACTIONS(829),
  },
  [432] = {
    [sym_identifier] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(803),
    [anon_sym_while] = ACTIONS(803),
    [anon_sym_repeat] = ACTIONS(803),
    [anon_sym_QMARK] = ACTIONS(805),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_LT_DASH] = ACTIONS(805),
    [anon_sym_LT_LT_DASH] = ACTIONS(805),
    [anon_sym_COLON_EQ] = ACTIONS(805),
    [anon_sym_DASH_GT] = ACTIONS(803),
    [anon_sym_DASH_GT_GT] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(803),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_PIPE_PIPE] = ACTIONS(805),
    [anon_sym_AMP_AMP] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_STAR_STAR] = ACTIONS(805),
    [anon_sym_CARET] = ACTIONS(805),
    [aux_sym_binary_operator_token1] = ACTIONS(805),
    [anon_sym_PIPE_GT] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_DOLLAR] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(805),
    [sym__hex_literal] = ACTIONS(805),
    [sym__number_literal] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(805),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_dots] = ACTIONS(803),
    [sym_dot_dot_i] = ACTIONS(805),
    [sym_return] = ACTIONS(803),
    [sym_next] = ACTIONS(803),
    [sym_break] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_null] = ACTIONS(803),
    [sym_inf] = ACTIONS(803),
    [sym_nan] = ACTIONS(803),
    [anon_sym_NA] = ACTIONS(803),
    [anon_sym_NA_integer_] = ACTIONS(803),
    [anon_sym_NA_real_] = ACTIONS(803),
    [anon_sym_NA_complex_] = ACTIONS(803),
    [anon_sym_NA_character_] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(805),
    [sym__semicolon] = ACTIONS(805),
    [sym__raw_string_literal] = ACTIONS(805),
    [sym__external_open_parenthesis] = ACTIONS(805),
    [sym__external_open_brace] = ACTIONS(805),
    [sym__external_close_brace] = ACTIONS(805),
    [sym__external_open_bracket] = ACTIONS(805),
    [sym__external_open_bracket2] = ACTIONS(805),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(781),
    [sym_identifier] = ACTIONS(783),
    [anon_sym_BSLASH] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(783),
    [anon_sym_repeat] = ACTIONS(783),
    [anon_sym_QMARK] = ACTIONS(781),
    [anon_sym_TILDE] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_LT_DASH] = ACTIONS(781),
    [anon_sym_LT_LT_DASH] = ACTIONS(781),
    [anon_sym_COLON_EQ] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(783),
    [anon_sym_DASH_GT_GT] = ACTIONS(781),
    [anon_sym_PIPE] = ACTIONS(783),
    [anon_sym_AMP] = ACTIONS(783),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(783),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_SLASH] = ACTIONS(781),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_CARET] = ACTIONS(781),
    [aux_sym_binary_operator_token1] = ACTIONS(781),
    [anon_sym_PIPE_GT] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(783),
    [anon_sym_DOLLAR] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [sym__hex_literal] = ACTIONS(781),
    [sym__number_literal] = ACTIONS(783),
    [anon_sym_SQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE] = ACTIONS(781),
    [sym_dots] = ACTIONS(783),
    [sym_dot_dot_i] = ACTIONS(781),
    [sym_return] = ACTIONS(783),
    [sym_next] = ACTIONS(783),
    [sym_break] = ACTIONS(783),
    [sym_true] = ACTIONS(783),
    [sym_false] = ACTIONS(783),
    [sym_null] = ACTIONS(783),
    [sym_inf] = ACTIONS(783),
    [sym_nan] = ACTIONS(783),
    [anon_sym_NA] = ACTIONS(783),
    [anon_sym_NA_integer_] = ACTIONS(783),
    [anon_sym_NA_real_] = ACTIONS(783),
    [anon_sym_NA_complex_] = ACTIONS(783),
    [anon_sym_NA_character_] = ACTIONS(783),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(781),
    [sym__semicolon] = ACTIONS(781),
    [sym__raw_string_literal] = ACTIONS(781),
    [sym__external_open_parenthesis] = ACTIONS(781),
    [sym__external_open_brace] = ACTIONS(781),
    [sym__external_open_bracket] = ACTIONS(781),
    [sym__external_open_bracket2] = ACTIONS(781),
  },
  [434] = {
    [sym_identifier] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_repeat] = ACTIONS(765),
    [anon_sym_QMARK] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_BANG] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LT_DASH] = ACTIONS(767),
    [anon_sym_LT_LT_DASH] = ACTIONS(767),
    [anon_sym_COLON_EQ] = ACTIONS(767),
    [anon_sym_DASH_GT] = ACTIONS(765),
    [anon_sym_DASH_GT_GT] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_AMP] = ACTIONS(765),
    [anon_sym_PIPE_PIPE] = ACTIONS(767),
    [anon_sym_AMP_AMP] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(765),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(765),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(767),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_STAR_STAR] = ACTIONS(767),
    [anon_sym_CARET] = ACTIONS(767),
    [aux_sym_binary_operator_token1] = ACTIONS(767),
    [anon_sym_PIPE_GT] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(765),
    [anon_sym_DOLLAR] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(767),
    [sym__hex_literal] = ACTIONS(767),
    [sym__number_literal] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(767),
    [sym_dots] = ACTIONS(765),
    [sym_dot_dot_i] = ACTIONS(767),
    [sym_return] = ACTIONS(765),
    [sym_next] = ACTIONS(765),
    [sym_break] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_null] = ACTIONS(765),
    [sym_inf] = ACTIONS(765),
    [sym_nan] = ACTIONS(765),
    [anon_sym_NA] = ACTIONS(765),
    [anon_sym_NA_integer_] = ACTIONS(765),
    [anon_sym_NA_real_] = ACTIONS(765),
    [anon_sym_NA_complex_] = ACTIONS(765),
    [anon_sym_NA_character_] = ACTIONS(765),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(767),
    [sym__semicolon] = ACTIONS(767),
    [sym__raw_string_literal] = ACTIONS(767),
    [sym__external_open_parenthesis] = ACTIONS(767),
    [sym__external_open_brace] = ACTIONS(767),
    [sym__external_close_brace] = ACTIONS(767),
    [sym__external_open_bracket] = ACTIONS(767),
    [sym__external_open_bracket2] = ACTIONS(767),
  },
  [435] = {
    [sym_identifier] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_while] = ACTIONS(807),
    [anon_sym_repeat] = ACTIONS(807),
    [anon_sym_QMARK] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_LT_DASH] = ACTIONS(809),
    [anon_sym_LT_LT_DASH] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(809),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_DASH_GT_GT] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(809),
    [anon_sym_BANG_EQ] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(809),
    [aux_sym_binary_operator_token1] = ACTIONS(809),
    [anon_sym_PIPE_GT] = ACTIONS(809),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [sym__hex_literal] = ACTIONS(809),
    [sym__number_literal] = ACTIONS(807),
    [anon_sym_SQUOTE] = ACTIONS(809),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [sym_dots] = ACTIONS(807),
    [sym_dot_dot_i] = ACTIONS(809),
    [sym_return] = ACTIONS(807),
    [sym_next] = ACTIONS(807),
    [sym_break] = ACTIONS(807),
    [sym_true] = ACTIONS(807),
    [sym_false] = ACTIONS(807),
    [sym_null] = ACTIONS(807),
    [sym_inf] = ACTIONS(807),
    [sym_nan] = ACTIONS(807),
    [anon_sym_NA] = ACTIONS(807),
    [anon_sym_NA_integer_] = ACTIONS(807),
    [anon_sym_NA_real_] = ACTIONS(807),
    [anon_sym_NA_complex_] = ACTIONS(807),
    [anon_sym_NA_character_] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(809),
    [sym__semicolon] = ACTIONS(809),
    [sym__raw_string_literal] = ACTIONS(809),
    [sym__external_open_parenthesis] = ACTIONS(809),
    [sym__external_open_brace] = ACTIONS(809),
    [sym__external_close_brace] = ACTIONS(809),
    [sym__external_open_bracket] = ACTIONS(809),
    [sym__external_open_bracket2] = ACTIONS(809),
  },
  [436] = {
    [sym_identifier] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(813),
    [anon_sym_function] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(811),
    [anon_sym_for] = ACTIONS(811),
    [anon_sym_while] = ACTIONS(811),
    [anon_sym_repeat] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(813),
    [anon_sym_TILDE] = ACTIONS(813),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [anon_sym_LT_LT_DASH] = ACTIONS(813),
    [anon_sym_COLON_EQ] = ACTIONS(813),
    [anon_sym_DASH_GT] = ACTIONS(811),
    [anon_sym_DASH_GT_GT] = ACTIONS(813),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_AMP] = ACTIONS(811),
    [anon_sym_PIPE_PIPE] = ACTIONS(813),
    [anon_sym_AMP_AMP] = ACTIONS(813),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_LT_EQ] = ACTIONS(813),
    [anon_sym_GT] = ACTIONS(811),
    [anon_sym_GT_EQ] = ACTIONS(813),
    [anon_sym_EQ_EQ] = ACTIONS(813),
    [anon_sym_BANG_EQ] = ACTIONS(813),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_STAR_STAR] = ACTIONS(813),
    [anon_sym_CARET] = ACTIONS(813),
    [aux_sym_binary_operator_token1] = ACTIONS(813),
    [anon_sym_PIPE_GT] = ACTIONS(813),
    [anon_sym_COLON] = ACTIONS(811),
    [anon_sym_DOLLAR] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(813),
    [sym__hex_literal] = ACTIONS(813),
    [sym__number_literal] = ACTIONS(811),
    [anon_sym_SQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [sym_dots] = ACTIONS(811),
    [sym_dot_dot_i] = ACTIONS(813),
    [sym_return] = ACTIONS(811),
    [sym_next] = ACTIONS(811),
    [sym_break] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_null] = ACTIONS(811),
    [sym_inf] = ACTIONS(811),
    [sym_nan] = ACTIONS(811),
    [anon_sym_NA] = ACTIONS(811),
    [anon_sym_NA_integer_] = ACTIONS(811),
    [anon_sym_NA_real_] = ACTIONS(811),
    [anon_sym_NA_complex_] = ACTIONS(811),
    [anon_sym_NA_character_] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(813),
    [sym__semicolon] = ACTIONS(813),
    [sym__raw_string_literal] = ACTIONS(813),
    [sym__external_open_parenthesis] = ACTIONS(813),
    [sym__external_open_brace] = ACTIONS(813),
    [sym__external_close_brace] = ACTIONS(813),
    [sym__external_open_bracket] = ACTIONS(813),
    [sym__external_open_bracket2] = ACTIONS(813),
  },
  [437] = {
    [sym_identifier] = ACTIONS(815),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(815),
    [anon_sym_for] = ACTIONS(815),
    [anon_sym_while] = ACTIONS(815),
    [anon_sym_repeat] = ACTIONS(815),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_LT_DASH] = ACTIONS(817),
    [anon_sym_LT_LT_DASH] = ACTIONS(817),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_DASH_GT] = ACTIONS(815),
    [anon_sym_DASH_GT_GT] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(815),
    [anon_sym_AMP] = ACTIONS(815),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(815),
    [anon_sym_SLASH] = ACTIONS(817),
    [anon_sym_STAR_STAR] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [aux_sym_binary_operator_token1] = ACTIONS(817),
    [anon_sym_PIPE_GT] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [sym__hex_literal] = ACTIONS(817),
    [sym__number_literal] = ACTIONS(815),
    [anon_sym_SQUOTE] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [sym_dots] = ACTIONS(815),
    [sym_dot_dot_i] = ACTIONS(817),
    [sym_return] = ACTIONS(815),
    [sym_next] = ACTIONS(815),
    [sym_break] = ACTIONS(815),
    [sym_true] = ACTIONS(815),
    [sym_false] = ACTIONS(815),
    [sym_null] = ACTIONS(815),
    [sym_inf] = ACTIONS(815),
    [sym_nan] = ACTIONS(815),
    [anon_sym_NA] = ACTIONS(815),
    [anon_sym_NA_integer_] = ACTIONS(815),
    [anon_sym_NA_real_] = ACTIONS(815),
    [anon_sym_NA_complex_] = ACTIONS(815),
    [anon_sym_NA_character_] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__semicolon] = ACTIONS(817),
    [sym__raw_string_literal] = ACTIONS(817),
    [sym__external_open_parenthesis] = ACTIONS(817),
    [sym__external_open_brace] = ACTIONS(817),
    [sym__external_close_brace] = ACTIONS(817),
    [sym__external_open_bracket] = ACTIONS(817),
    [sym__external_open_bracket2] = ACTIONS(817),
  },
  [438] = {
    [sym_function_definition] = STATE(166),
    [sym_if_statement] = STATE(166),
    [sym_for_statement] = STATE(166),
    [sym_while_statement] = STATE(166),
    [sym_repeat_statement] = STATE(166),
    [sym_braced_expression] = STATE(166),
    [sym_parenthesized_expression] = STATE(166),
    [sym_call] = STATE(166),
    [sym_subset] = STATE(166),
    [sym_subset2] = STATE(166),
    [sym_unary_operator] = STATE(166),
    [sym_binary_operator] = STATE(166),
    [sym_extract_operator] = STATE(166),
    [sym_namespace_operator] = STATE(166),
    [sym_integer] = STATE(166),
    [sym_complex] = STATE(166),
    [sym_float] = STATE(166),
    [sym__float_literal] = STATE(323),
    [sym_string] = STATE(320),
    [sym__single_quoted_string] = STATE(325),
    [sym__double_quoted_string] = STATE(326),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2049),
    [sym_na] = STATE(166),
    [sym__expression] = STATE(166),
    [sym__open_parenthesis] = STATE(1053),
    [sym__open_brace] = STATE(378),
    [aux_sym_program_repeat1] = STATE(398),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1013),
    [anon_sym_BSLASH] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_QMARK] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [sym__hex_literal] = ACTIONS(1035),
    [sym__number_literal] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_dots] = ACTIONS(1013),
    [sym_dot_dot_i] = ACTIONS(1039),
    [sym_return] = ACTIONS(1041),
    [sym_next] = ACTIONS(1041),
    [sym_break] = ACTIONS(1041),
    [sym_true] = ACTIONS(1041),
    [sym_false] = ACTIONS(1041),
    [sym_null] = ACTIONS(1041),
    [sym_inf] = ACTIONS(1041),
    [sym_nan] = ACTIONS(1041),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1045),
    [sym__semicolon] = ACTIONS(1045),
    [sym__raw_string_literal] = ACTIONS(505),
    [sym__external_open_parenthesis] = ACTIONS(1047),
    [sym__external_open_brace] = ACTIONS(1049),
  },
  [439] = {
    [sym_identifier] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(699),
    [anon_sym_EQ] = ACTIONS(699),
    [anon_sym_if] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(699),
    [anon_sym_while] = ACTIONS(699),
    [anon_sym_repeat] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_TILDE] = ACTIONS(701),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_LT_DASH] = ACTIONS(701),
    [anon_sym_LT_LT_DASH] = ACTIONS(701),
    [anon_sym_COLON_EQ] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(699),
    [anon_sym_DASH_GT_GT] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(699),
    [anon_sym_AMP] = ACTIONS(699),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(701),
    [anon_sym_STAR_STAR] = ACTIONS(701),
    [anon_sym_CARET] = ACTIONS(701),
    [aux_sym_binary_operator_token1] = ACTIONS(701),
    [anon_sym_PIPE_GT] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(699),
    [anon_sym_DOLLAR] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(701),
    [sym__hex_literal] = ACTIONS(701),
    [sym__number_literal] = ACTIONS(699),
    [anon_sym_SQUOTE] = ACTIONS(701),
    [anon_sym_DQUOTE] = ACTIONS(701),
    [sym_dots] = ACTIONS(699),
    [sym_dot_dot_i] = ACTIONS(701),
    [sym_return] = ACTIONS(699),
    [sym_next] = ACTIONS(699),
    [sym_break] = ACTIONS(699),
    [sym_true] = ACTIONS(699),
    [sym_false] = ACTIONS(699),
    [sym_null] = ACTIONS(699),
    [sym_inf] = ACTIONS(699),
    [sym_nan] = ACTIONS(699),
    [anon_sym_NA] = ACTIONS(699),
    [anon_sym_NA_integer_] = ACTIONS(699),
    [anon_sym_NA_real_] = ACTIONS(699),
    [anon_sym_NA_complex_] = ACTIONS(699),
    [anon_sym_NA_character_] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(701),
    [sym__semicolon] = ACTIONS(701),
    [sym__raw_string_literal] = ACTIONS(701),
    [sym__external_open_parenthesis] = ACTIONS(701),
    [sym__external_open_brace] = ACTIONS(701),
    [sym__external_close_brace] = ACTIONS(701),
    [sym__external_open_bracket] = ACTIONS(701),
    [sym__external_open_bracket2] = ACTIONS(701),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(793),
    [sym_identifier] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(795),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(795),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(795),
    [anon_sym_repeat] = ACTIONS(795),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(795),
    [anon_sym_LT_DASH] = ACTIONS(793),
    [anon_sym_LT_LT_DASH] = ACTIONS(793),
    [anon_sym_COLON_EQ] = ACTIONS(793),
    [anon_sym_DASH_GT] = ACTIONS(795),
    [anon_sym_DASH_GT_GT] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_AMP] = ACTIONS(795),
    [anon_sym_PIPE_PIPE] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(795),
    [anon_sym_LT_EQ] = ACTIONS(793),
    [anon_sym_GT] = ACTIONS(795),
    [anon_sym_GT_EQ] = ACTIONS(793),
    [anon_sym_EQ_EQ] = ACTIONS(793),
    [anon_sym_BANG_EQ] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(795),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_STAR_STAR] = ACTIONS(793),
    [anon_sym_CARET] = ACTIONS(793),
    [aux_sym_binary_operator_token1] = ACTIONS(793),
    [anon_sym_PIPE_GT] = ACTIONS(793),
    [anon_sym_COLON] = ACTIONS(795),
    [anon_sym_DOLLAR] = ACTIONS(793),
    [anon_sym_AT] = ACTIONS(793),
    [sym__hex_literal] = ACTIONS(793),
    [sym__number_literal] = ACTIONS(795),
    [anon_sym_SQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_dots] = ACTIONS(795),
    [sym_dot_dot_i] = ACTIONS(793),
    [sym_return] = ACTIONS(795),
    [sym_next] = ACTIONS(795),
    [sym_break] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_null] = ACTIONS(795),
    [sym_inf] = ACTIONS(795),
    [sym_nan] = ACTIONS(795),
    [anon_sym_NA] = ACTIONS(795),
    [anon_sym_NA_integer_] = ACTIONS(795),
    [anon_sym_NA_real_] = ACTIONS(795),
    [anon_sym_NA_complex_] = ACTIONS(795),
    [anon_sym_NA_character_] = ACTIONS(795),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(793),
    [sym__semicolon] = ACTIONS(793),
    [sym__raw_string_literal] = ACTIONS(793),
    [sym__external_open_parenthesis] = ACTIONS(793),
    [sym__external_open_brace] = ACTIONS(793),
    [sym__external_open_bracket] = ACTIONS(793),
    [sym__external_open_bracket2] = ACTIONS(793),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(785),
    [sym_identifier] = ACTIONS(787),
    [anon_sym_BSLASH] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(787),
    [anon_sym_repeat] = ACTIONS(787),
    [anon_sym_QMARK] = ACTIONS(785),
    [anon_sym_TILDE] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(787),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_LT_LT_DASH] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(785),
    [anon_sym_DASH_GT] = ACTIONS(787),
    [anon_sym_DASH_GT_GT] = ACTIONS(785),
    [anon_sym_PIPE] = ACTIONS(787),
    [anon_sym_AMP] = ACTIONS(787),
    [anon_sym_PIPE_PIPE] = ACTIONS(785),
    [anon_sym_AMP_AMP] = ACTIONS(785),
    [anon_sym_LT] = ACTIONS(787),
    [anon_sym_LT_EQ] = ACTIONS(785),
    [anon_sym_GT] = ACTIONS(787),
    [anon_sym_GT_EQ] = ACTIONS(785),
    [anon_sym_EQ_EQ] = ACTIONS(785),
    [anon_sym_BANG_EQ] = ACTIONS(785),
    [anon_sym_STAR] = ACTIONS(787),
    [anon_sym_SLASH] = ACTIONS(785),
    [anon_sym_STAR_STAR] = ACTIONS(785),
    [anon_sym_CARET] = ACTIONS(785),
    [aux_sym_binary_operator_token1] = ACTIONS(785),
    [anon_sym_PIPE_GT] = ACTIONS(785),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_DOLLAR] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(785),
    [sym__hex_literal] = ACTIONS(785),
    [sym__number_literal] = ACTIONS(787),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [sym_dots] = ACTIONS(787),
    [sym_dot_dot_i] = ACTIONS(785),
    [sym_return] = ACTIONS(787),
    [sym_next] = ACTIONS(787),
    [sym_break] = ACTIONS(787),
    [sym_true] = ACTIONS(787),
    [sym_false] = ACTIONS(787),
    [sym_null] = ACTIONS(787),
    [sym_inf] = ACTIONS(787),
    [sym_nan] = ACTIONS(787),
    [anon_sym_NA] = ACTIONS(787),
    [anon_sym_NA_integer_] = ACTIONS(787),
    [anon_sym_NA_real_] = ACTIONS(787),
    [anon_sym_NA_complex_] = ACTIONS(787),
    [anon_sym_NA_character_] = ACTIONS(787),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(785),
    [sym__semicolon] = ACTIONS(785),
    [sym__raw_string_literal] = ACTIONS(785),
    [sym__external_open_parenthesis] = ACTIONS(785),
    [sym__external_open_brace] = ACTIONS(785),
    [sym__external_open_bracket] = ACTIONS(785),
    [sym__external_open_bracket2] = ACTIONS(785),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(853),
    [anon_sym_BSLASH] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(853),
    [anon_sym_repeat] = ACTIONS(853),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_LT_DASH] = ACTIONS(855),
    [anon_sym_LT_LT_DASH] = ACTIONS(855),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_DASH_GT_GT] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(853),
    [anon_sym_AMP] = ACTIONS(853),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(853),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(855),
    [anon_sym_STAR_STAR] = ACTIONS(855),
    [anon_sym_CARET] = ACTIONS(855),
    [aux_sym_binary_operator_token1] = ACTIONS(855),
    [anon_sym_PIPE_GT] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_AT] = ACTIONS(855),
    [sym__hex_literal] = ACTIONS(855),
    [sym__number_literal] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_dots] = ACTIONS(853),
    [sym_dot_dot_i] = ACTIONS(855),
    [sym_return] = ACTIONS(853),
    [sym_next] = ACTIONS(853),
    [sym_break] = ACTIONS(853),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [sym_inf] = ACTIONS(853),
    [sym_nan] = ACTIONS(853),
    [anon_sym_NA] = ACTIONS(853),
    [anon_sym_NA_integer_] = ACTIONS(853),
    [anon_sym_NA_real_] = ACTIONS(853),
    [anon_sym_NA_complex_] = ACTIONS(853),
    [anon_sym_NA_character_] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__semicolon] = ACTIONS(855),
    [sym__raw_string_literal] = ACTIONS(855),
    [sym__external_open_parenthesis] = ACTIONS(855),
    [sym__external_open_brace] = ACTIONS(855),
    [sym__external_open_bracket] = ACTIONS(855),
    [sym__external_open_bracket2] = ACTIONS(855),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(709),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(707),
    [anon_sym_repeat] = ACTIONS(707),
    [anon_sym_QMARK] = ACTIONS(709),
    [anon_sym_TILDE] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_PLUS] = ACTIONS(709),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [anon_sym_LT_LT_DASH] = ACTIONS(709),
    [anon_sym_COLON_EQ] = ACTIONS(709),
    [anon_sym_DASH_GT] = ACTIONS(707),
    [anon_sym_DASH_GT_GT] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(707),
    [anon_sym_PIPE_PIPE] = ACTIONS(709),
    [anon_sym_AMP_AMP] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_LT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_EQ] = ACTIONS(709),
    [anon_sym_EQ_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(709),
    [anon_sym_STAR_STAR] = ACTIONS(709),
    [anon_sym_CARET] = ACTIONS(709),
    [aux_sym_binary_operator_token1] = ACTIONS(709),
    [anon_sym_PIPE_GT] = ACTIONS(709),
    [anon_sym_COLON] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(709),
    [sym__hex_literal] = ACTIONS(709),
    [sym__number_literal] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(709),
    [sym_dots] = ACTIONS(707),
    [sym_dot_dot_i] = ACTIONS(709),
    [sym_return] = ACTIONS(707),
    [sym_next] = ACTIONS(707),
    [sym_break] = ACTIONS(707),
    [sym_true] = ACTIONS(707),
    [sym_false] = ACTIONS(707),
    [sym_null] = ACTIONS(707),
    [sym_inf] = ACTIONS(707),
    [sym_nan] = ACTIONS(707),
    [anon_sym_NA] = ACTIONS(707),
    [anon_sym_NA_integer_] = ACTIONS(707),
    [anon_sym_NA_real_] = ACTIONS(707),
    [anon_sym_NA_complex_] = ACTIONS(707),
    [anon_sym_NA_character_] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(709),
    [sym__semicolon] = ACTIONS(709),
    [sym__raw_string_literal] = ACTIONS(709),
    [sym__external_open_parenthesis] = ACTIONS(709),
    [sym__external_open_brace] = ACTIONS(709),
    [sym__external_open_bracket] = ACTIONS(709),
    [sym__external_open_bracket2] = ACTIONS(709),
  },
  [444] = {
    [sym_identifier] = ACTIONS(823),
    [anon_sym_BSLASH] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_for] = ACTIONS(823),
    [anon_sym_while] = ACTIONS(823),
    [anon_sym_repeat] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_LT_DASH] = ACTIONS(825),
    [anon_sym_LT_LT_DASH] = ACTIONS(825),
    [anon_sym_COLON_EQ] = ACTIONS(825),
    [anon_sym_DASH_GT] = ACTIONS(823),
    [anon_sym_DASH_GT_GT] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(823),
    [anon_sym_AMP] = ACTIONS(823),
    [anon_sym_PIPE_PIPE] = ACTIONS(825),
    [anon_sym_AMP_AMP] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(823),
    [anon_sym_LT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(823),
    [anon_sym_GT_EQ] = ACTIONS(825),
    [anon_sym_EQ_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_STAR] = ACTIONS(823),
    [anon_sym_SLASH] = ACTIONS(825),
    [anon_sym_STAR_STAR] = ACTIONS(825),
    [anon_sym_CARET] = ACTIONS(825),
    [aux_sym_binary_operator_token1] = ACTIONS(825),
    [anon_sym_PIPE_GT] = ACTIONS(825),
    [anon_sym_COLON] = ACTIONS(823),
    [anon_sym_DOLLAR] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [sym__hex_literal] = ACTIONS(825),
    [sym__number_literal] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [sym_dots] = ACTIONS(823),
    [sym_dot_dot_i] = ACTIONS(825),
    [sym_return] = ACTIONS(823),
    [sym_next] = ACTIONS(823),
    [sym_break] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_null] = ACTIONS(823),
    [sym_inf] = ACTIONS(823),
    [sym_nan] = ACTIONS(823),
    [anon_sym_NA] = ACTIONS(823),
    [anon_sym_NA_integer_] = ACTIONS(823),
    [anon_sym_NA_real_] = ACTIONS(823),
    [anon_sym_NA_complex_] = ACTIONS(823),
    [anon_sym_NA_character_] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(825),
    [sym__semicolon] = ACTIONS(825),
    [sym__raw_string_literal] = ACTIONS(825),
    [sym__external_open_parenthesis] = ACTIONS(825),
    [sym__external_open_brace] = ACTIONS(825),
    [sym__external_close_brace] = ACTIONS(825),
    [sym__external_open_bracket] = ACTIONS(825),
    [sym__external_open_bracket2] = ACTIONS(825),
  },
  [445] = {
    [sym_identifier] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_repeat] = ACTIONS(695),
    [anon_sym_QMARK] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LT_DASH] = ACTIONS(697),
    [anon_sym_LT_LT_DASH] = ACTIONS(697),
    [anon_sym_COLON_EQ] = ACTIONS(697),
    [anon_sym_DASH_GT] = ACTIONS(695),
    [anon_sym_DASH_GT_GT] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(695),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_PIPE_PIPE] = ACTIONS(697),
    [anon_sym_AMP_AMP] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_LT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_EQ] = ACTIONS(697),
    [anon_sym_EQ_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(697),
    [anon_sym_STAR_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(697),
    [aux_sym_binary_operator_token1] = ACTIONS(697),
    [anon_sym_PIPE_GT] = ACTIONS(697),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_DOLLAR] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(697),
    [sym__hex_literal] = ACTIONS(697),
    [sym__number_literal] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_DQUOTE] = ACTIONS(697),
    [sym_dots] = ACTIONS(695),
    [sym_dot_dot_i] = ACTIONS(697),
    [sym_return] = ACTIONS(695),
    [sym_next] = ACTIONS(695),
    [sym_break] = ACTIONS(695),
    [sym_true] = ACTIONS(695),
    [sym_false] = ACTIONS(695),
    [sym_null] = ACTIONS(695),
    [sym_inf] = ACTIONS(695),
    [sym_nan] = ACTIONS(695),
    [anon_sym_NA] = ACTIONS(695),
    [anon_sym_NA_integer_] = ACTIONS(695),
    [anon_sym_NA_real_] = ACTIONS(695),
    [anon_sym_NA_complex_] = ACTIONS(695),
    [anon_sym_NA_character_] = ACTIONS(695),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(697),
    [sym__semicolon] = ACTIONS(697),
    [sym__raw_string_literal] = ACTIONS(697),
    [sym__external_open_parenthesis] = ACTIONS(697),
    [sym__external_open_brace] = ACTIONS(697),
    [sym__external_close_brace] = ACTIONS(697),
    [sym__external_open_bracket] = ACTIONS(697),
    [sym__external_open_bracket2] = ACTIONS(697),
  },
  [446] = {
    [sym_function_definition] = STATE(166),
    [sym_if_statement] = STATE(166),
    [sym_for_statement] = STATE(166),
    [sym_while_statement] = STATE(166),
    [sym_repeat_statement] = STATE(166),
    [sym_braced_expression] = STATE(166),
    [sym_parenthesized_expression] = STATE(166),
    [sym_call] = STATE(166),
    [sym_subset] = STATE(166),
    [sym_subset2] = STATE(166),
    [sym_unary_operator] = STATE(166),
    [sym_binary_operator] = STATE(166),
    [sym_extract_operator] = STATE(166),
    [sym_namespace_operator] = STATE(166),
    [sym_integer] = STATE(166),
    [sym_complex] = STATE(166),
    [sym_float] = STATE(166),
    [sym__float_literal] = STATE(323),
    [sym_string] = STATE(320),
    [sym__single_quoted_string] = STATE(325),
    [sym__double_quoted_string] = STATE(326),
    [sym__string_or_identifier_or_dots_or_dot_dot_i] = STATE(2049),
    [sym_na] = STATE(166),
    [sym__expression] = STATE(166),
    [sym__open_parenthesis] = STATE(1053),
    [sym__open_brace] = STATE(378),
    [aux_sym_program_repeat1] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_identifier] = ACTIONS(1013),
    [anon_sym_BSLASH] = ACTIONS(1015),
    [anon_sym_function] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_repeat] = ACTIONS(1025),
    [anon_sym_QMARK] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [sym__hex_literal] = ACTIONS(1035),
    [sym__number_literal] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(501),
    [sym_dots] = ACTIONS(1013),
    [sym_dot_dot_i] = ACTIONS(1039),
    [sym_return] = ACTIONS(1041),
    [sym_next] = ACTIONS(1041),
    [sym_break] = ACTIONS(1041),
    [sym_true] = ACTIONS(1041),
    [sym_false] = ACTIONS(1041),
    [sym_null] = ACTIONS(1041),
    [sym_inf] = ACTIONS(1041),
    [sym_nan] = ACTIONS(1041),
    [anon_sym_NA] = ACTIONS(1043),
    [anon_sym_NA_integer_] = ACTIONS(1043),
    [anon_sym_NA_real_] = ACTIONS(1043),
    [anon_sym_NA_complex_] = ACTIONS(1043),
    [anon_sym_NA_character_] = ACTIONS(1043),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1053),
    [sym__semicolon] = ACTIONS(1053),
    [sym__raw_string_literal] = ACTIONS(505),
    [sym__external_open_parenthesis] = ACTIONS(1047),
    [sym__external_open_brace] = ACTIONS(1049),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_BSLASH] = ACTIONS(755),
    [anon_sym_function] = ACTIONS(753),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [anon_sym_repeat] = ACTIONS(753),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_BANG] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_LT_DASH] = ACTIONS(755),
    [anon_sym_LT_LT_DASH] = ACTIONS(755),
    [anon_sym_COLON_EQ] = ACTIONS(755),
    [anon_sym_DASH_GT] = ACTIONS(753),
    [anon_sym_DASH_GT_GT] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(753),
    [anon_sym_PIPE_PIPE] = ACTIONS(755),
    [anon_sym_AMP_AMP] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_EQ_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(755),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(755),
    [anon_sym_STAR_STAR] = ACTIONS(755),
    [anon_sym_CARET] = ACTIONS(755),
    [aux_sym_binary_operator_token1] = ACTIONS(755),
    [anon_sym_PIPE_GT] = ACTIONS(755),
    [anon_sym_COLON] = ACTIONS(753),
    [anon_sym_DOLLAR] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(755),
    [sym__hex_literal] = ACTIONS(755),
    [sym__number_literal] = ACTIONS(753),
    [anon_sym_SQUOTE] = ACTIONS(755),
    [anon_sym_DQUOTE] = ACTIONS(755),
    [sym_dots] = ACTIONS(753),
    [sym_dot_dot_i] = ACTIONS(755),
    [sym_return] = ACTIONS(753),
    [sym_next] = ACTIONS(753),
    [sym_break] = ACTIONS(753),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_null] = ACTIONS(753),
    [sym_inf] = ACTIONS(753),
    [sym_nan] = ACTIONS(753),
    [anon_sym_NA] = ACTIONS(753),
    [anon_sym_NA_integer_] = ACTIONS(753),
    [anon_sym_NA_real_] = ACTIONS(753),
    [anon_sym_NA_complex_] = ACTIONS(753),
    [anon_sym_NA_character_] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(755),
    [sym__semicolon] = ACTIONS(755),
    [sym__raw_string_literal] = ACTIONS(755),
    [sym__external_open_parenthesis] = ACTIONS(755),
    [sym__external_open_brace] = ACTIONS(755),
    [sym__external_open_bracket] = ACTIONS(755),
    [sym__external_open_bracket2] = ACTIONS(755),
  },
  [448] = {
    [sym_identifier] = ACTIONS(791),
    [anon_sym_BSLASH] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(791),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_if] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(791),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_repeat] = ACTIONS(791),
    [anon_sym_QMARK] = ACTIONS(789),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(791),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_LT_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON_EQ] = ACTIONS(789),
    [anon_sym_DASH_GT] = ACTIONS(791),
    [anon_sym_DASH_GT_GT] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_AMP] = ACTIONS(791),
    [anon_sym_PIPE_PIPE] = ACTIONS(789),
    [anon_sym_AMP_AMP] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_LT_EQ] = ACTIONS(789),
    [anon_sym_GT] = ACTIONS(791),
    [anon_sym_GT_EQ] = ACTIONS(789),
    [anon_sym_EQ_EQ] = ACTIONS(789),
    [anon_sym_BANG_EQ] = ACTIONS(789),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_SLASH] = ACTIONS(789),
    [anon_sym_STAR_STAR] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [aux_sym_binary_operator_token1] = ACTIONS(789),
    [anon_sym_PIPE_GT] = ACTIONS(789),
    [anon_sym_COLON] = ACTIONS(791),
    [anon_sym_DOLLAR] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(789),
    [sym__hex_literal] = ACTIONS(789),
    [sym__number_literal] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [sym_dots] = ACTIONS(791),
    [sym_dot_dot_i] = ACTIONS(789),
    [sym_return] = ACTIONS(791),
    [sym_next] = ACTIONS(791),
    [sym_break] = ACTIONS(791),
    [sym_true] = ACTIONS(791),
    [sym_false] = ACTIONS(791),
    [sym_null] = ACTIONS(791),
    [sym_inf] = ACTIONS(791),
    [sym_nan] = ACTIONS(791),
    [anon_sym_NA] = ACTIONS(791),
    [anon_sym_NA_integer_] = ACTIONS(791),
    [anon_sym_NA_real_] = ACTIONS(791),
    [anon_sym_NA_complex_] = ACTIONS(791),
    [anon_sym_NA_character_] = ACTIONS(791),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(789),
    [sym__semicolon] = ACTIONS(789),
    [sym__raw_string_literal] = ACTIONS(789),
    [sym__external_open_parenthesis] = ACTIONS(789),
    [sym__external_open_brace] = ACTIONS(789),
    [sym__external_close_brace] = ACTIONS(789),
    [sym__external_open_bracket] = ACTIONS(789),
    [sym__external_open_bracket2] = ACTIONS(789),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2034), 1,
      sym__argument_value,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1059), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(549), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1371), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2037), 1,
      sym__argument_value,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1059), 2,
      sym__external_close_bracket,
      sym_comma,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(427), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1518), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [258] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    STATE(2050), 1,
      sym__argument_value,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1059), 2,
      sym__external_close_bracket2,
      sym_comma,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(473), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1537), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [387] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1069), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(236), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1075), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(816), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1073), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(200), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [643] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1077), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(150), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1081), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(484), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1079), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(151), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1085), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(668), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1083), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(199), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1027] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1089), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(987), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1087), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(202), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1155] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1091), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(152), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1283] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1095), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(988), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1093), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(203), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1411] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1097), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(153), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1539] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1099), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(154), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1667] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1103), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(990), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1101), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(204), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1795] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1105), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(155), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [1923] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1109), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(997), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1107), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(130), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2051] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1111), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(156), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2179] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1115), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1004), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1113), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(205), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2307] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1117), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(157), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2435] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1121), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1010), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1119), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(206), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2563] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1123), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(158), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2691] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1125), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(159), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1127), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(160), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [2947] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1129), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(161), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3075] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1133), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1131), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1453), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1135), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(162), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1139), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1015), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1137), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(207), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1141), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(163), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1143), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(225), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1145), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(164), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1179), 1,
      sym__newline,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(493), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1175), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(2), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [3969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1187), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(500), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1185), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(226), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1191), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1042), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1189), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(208), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1195), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(634), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1193), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(171), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1199), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(637), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1197), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(184), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1201), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(165), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1205), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(489), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1203), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(167), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1209), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(643), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1207), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(185), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1213), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(488), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1211), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(247), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [4993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1215), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(209), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1217), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(168), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1221), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(496), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1219), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(169), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1225), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(497), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1223), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(170), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1229), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(477), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1227), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(210), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1231), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(5), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1235), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(501), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1233), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(172), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [5889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1239), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(509), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1237), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(3), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1241), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(173), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1243), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(174), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1247), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(504), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1245), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(175), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1251), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(505), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1249), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(176), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1253), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(228), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1255), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(177), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1259), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(508), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1257), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(178), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [6913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1263), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(594), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1261), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(229), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1265), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(179), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1267), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(180), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1271), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(510), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1269), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(181), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1275), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(631), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1273), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(230), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1277), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(182), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1279), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(4), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1281), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(183), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [7937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1285), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(452), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1283), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(231), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1289), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(518), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1287), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1401), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1293), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(519), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1291), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1403), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1297), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(520), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1295), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1404), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1301), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(521), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1299), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1405), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1305), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(522), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1303), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1406), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1309), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(536), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1307), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1430), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1311), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1454), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [8961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1313), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1455), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1315), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1456), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1317), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1458), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1319), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1459), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1323), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(538), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1321), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1472), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1327), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(539), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1325), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1478), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1331), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(540), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1329), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1490), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1335), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(541), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1333), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1497), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [9985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1339), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(542), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1337), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1507), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1343), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(543), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1341), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1512), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1347), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(544), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1345), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1519), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1351), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(545), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1349), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1534), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1355), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(546), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1353), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1536), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1359), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(547), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1357), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1538), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1363), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(548), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1361), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1541), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [10881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1367), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(549), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1365), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1546), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1371), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(550), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1369), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1551), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1373), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1335), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1377), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(551), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1375), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1336), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1379), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1338), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1381), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1339), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1383), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1340), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1385), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1342), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [11905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1387), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1343), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1389), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1344), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1391), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1345), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1393), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1346), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1395), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1347), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1397), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1350), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1399), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1352), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1401), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1353), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [12929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1403), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1575), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1405), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1357), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1409), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(553), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1407), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1359), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1411), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1364), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1415), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(557), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1413), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1365), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1419), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(558), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1417), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1368), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1423), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(561), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1421), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1370), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1425), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1372), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [13953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1427), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1373), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1431), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(563), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1429), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1374), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1435), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(564), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1433), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1375), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1437), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1377), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1441), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(566), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1439), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1378), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1443), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1380), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1445), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1382), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1449), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(567), 1,
      aux_sym_function_definition_repeat1,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1447), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1383), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [14977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1451), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1388), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_BSLASH,
    ACTIONS(399), 1,
      anon_sym_function,
    ACTIONS(401), 1,
      anon_sym_if,
    ACTIONS(403), 1,
      anon_sym_for,
    ACTIONS(405), 1,
      anon_sym_while,
    ACTIONS(407), 1,
      anon_sym_repeat,
    ACTIONS(409), 1,
      anon_sym_QMARK,
    ACTIONS(411), 1,
      anon_sym_TILDE,
    ACTIONS(413), 1,
      anon_sym_BANG,
    ACTIONS(417), 1,
      sym__hex_literal,
    ACTIONS(419), 1,
      sym__number_literal,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(435), 1,
      sym__external_open_parenthesis,
    ACTIONS(437), 1,
      sym__external_open_brace,
    ACTIONS(1063), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(373), 1,
      sym__open_brace,
    STATE(1066), 1,
      sym__open_parenthesis,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1605), 1,
      sym__float_literal,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1628), 1,
      sym_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    STATE(2048), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(415), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1061), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(429), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1453), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1390), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1457), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(574), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1455), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1395), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1461), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(575), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1459), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1397), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1465), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(576), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1463), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1399), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1469), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(577), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1467), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1400), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1473), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(578), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1471), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1402), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [15873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1477), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(592), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1475), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1407), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1479), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1410), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1481), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1411), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1483), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1412), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1485), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1413), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1487), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1414), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1491), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(595), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1489), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1415), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1495), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(596), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1493), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1416), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [16897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1499), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(597), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1497), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1417), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1503), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(598), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1501), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1418), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1507), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(599), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1505), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1419), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1511), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(600), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1509), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1420), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1515), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(601), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1513), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1421), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1519), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(602), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1517), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1422), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1523), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(603), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1521), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1423), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1527), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(604), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1525), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1424), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [17921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1531), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(605), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1529), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1425), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1535), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(606), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1533), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1426), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1539), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(607), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1537), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1427), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1541), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1428), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1545), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(608), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1543), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1429), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1547), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(232), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1549), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1431), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1551), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1432), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [18945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1553), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1433), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1555), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1434), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1557), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1435), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1559), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1436), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1561), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1437), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1563), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1438), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1565), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1439), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1567), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1440), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [19969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1569), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1443), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1571), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1446), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1573), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1448), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1575), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1451), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1579), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(610), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1577), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1452), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1581), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1460), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1585), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(614), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1583), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1463), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1589), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(615), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1587), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1465), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [20993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1593), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(618), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1591), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1476), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1595), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1483), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1597), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1485), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1601), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(620), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1599), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1488), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1605), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(621), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1603), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1494), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1607), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1499), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1611), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(623), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1609), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1500), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [21889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1613), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1501), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1615), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1504), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1619), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(624), 1,
      aux_sym_function_definition_repeat1,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1617), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1506), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1621), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1509), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(443), 1,
      anon_sym_BSLASH,
    ACTIONS(445), 1,
      anon_sym_function,
    ACTIONS(447), 1,
      anon_sym_if,
    ACTIONS(449), 1,
      anon_sym_for,
    ACTIONS(451), 1,
      anon_sym_while,
    ACTIONS(453), 1,
      anon_sym_repeat,
    ACTIONS(455), 1,
      anon_sym_QMARK,
    ACTIONS(457), 1,
      anon_sym_TILDE,
    ACTIONS(459), 1,
      anon_sym_BANG,
    ACTIONS(463), 1,
      sym__hex_literal,
    ACTIONS(465), 1,
      sym__number_literal,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(481), 1,
      sym__external_open_parenthesis,
    ACTIONS(483), 1,
      sym__external_open_brace,
    ACTIONS(1067), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(376), 1,
      sym__open_brace,
    STATE(1071), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1630), 1,
      sym_string,
    STATE(1632), 1,
      sym__float_literal,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    STATE(2046), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(461), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1065), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(475), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1623), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1511), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1627), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(660), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1625), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(186), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1631), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(638), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1629), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(119), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1635), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(640), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1633), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(122), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [22913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1639), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(641), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1637), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(123), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1643), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(642), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1641), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(124), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1647), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(644), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1645), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(125), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1649), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(233), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1653), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(645), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1651), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(234), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1657), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(646), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1655), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(235), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1659), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(191), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1663), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(665), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1661), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(187), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [23937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1667), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(666), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1665), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(126), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1669), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(192), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1671), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(127), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1675), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(661), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1673), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(237), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1677), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(128), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1679), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(74), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1681), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(19), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1683), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(193), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [24961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1685), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(20), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1687), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(238), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1689), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(239), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1693), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(664), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1691), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(240), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1697), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(674), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1695), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(21), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1701), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(676), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1699), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(23), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1705), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(677), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1703), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(24), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1709), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(679), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1707), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(25), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [25985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1713), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(680), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1711), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(26), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1717), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(682), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1715), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(27), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1721), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(683), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1719), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(28), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1725), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(685), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1723), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(29), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1729), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(686), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1727), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(30), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1733), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(688), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1731), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(31), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1737), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(689), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1735), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(32), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [26881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1741), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(691), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1739), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(33), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1743), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(195), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1745), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(241), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1747), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(211), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1749), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(212), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1751), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(242), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1753), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(196), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1755), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(34), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [27905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1759), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(695), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1757), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(35), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1761), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(213), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1765), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(681), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1763), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1358), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1769), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(684), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1767), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1361), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1773), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(687), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1771), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1362), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1777), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(690), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1775), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1363), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1781), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(692), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1779), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1366), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1783), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(36), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [28929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1785), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(37), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1787), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(38), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1789), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(39), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1793), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(708), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1791), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1379), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1795), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(40), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1797), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(41), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1799), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1381), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1801), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(42), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [29953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1803), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(43), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1805), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1384), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1807), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(44), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1809), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(45), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1811), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1385), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1813), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(46), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1815), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(47), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1817), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1386), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [30977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1819), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(48), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1821), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1389), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1825), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(720), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1823), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1391), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1829), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(722), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1827), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1392), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1831), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(49), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1835), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(710), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1833), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(50), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1839), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(725), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1837), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1393), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [31873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1843), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(727), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1841), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1394), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1847), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(729), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1845), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1396), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1851), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(753), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1849), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1398), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1855), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(791), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1853), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1457), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1859), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(792), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1857), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1467), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1863), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(793), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1861), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1469), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1867), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(796), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1865), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1474), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1871), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(799), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1869), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1479), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [32897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1875), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(802), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1873), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1486), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1879), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(803), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1877), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1491), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1881), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1531), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1885), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(820), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1883), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1532), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1887), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(51), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1891), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(714), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1889), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(52), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1895), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(715), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1893), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(53), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1899), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(718), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1897), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(54), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [33921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1901), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(55), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1903), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(56), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1907), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(721), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1905), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(57), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1911), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(723), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1909), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(58), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1913), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(59), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1917), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(726), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1915), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(60), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1919), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1539), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1921), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(61), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [34945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1923), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1540), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1925), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(62), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(1929), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(728), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1927), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(63), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1931), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1543), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1933), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(64), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1935), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1545), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1937), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(65), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1939), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1547), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [35969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1977), 1,
      sym__newline,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(736), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1973), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1221), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(1987), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(737), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1985), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1229), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(1991), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(738), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1989), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1237), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(1995), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(739), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1993), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1247), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(1999), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(740), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(1997), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1215), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2003), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(754), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2001), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1321), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2005), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1167), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2007), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1172), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [36993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2009), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1175), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2011), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1178), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2013), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1182), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2017), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(756), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2015), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1187), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2021), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(758), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2019), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1191), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2025), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(759), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2023), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1193), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2029), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(760), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2027), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1195), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [37889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2033), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(761), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2031), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1219), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2037), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(762), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2035), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1223), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2041), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(763), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2039), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1227), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2045), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(764), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2043), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1231), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2049), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(765), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2047), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1235), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2053), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(766), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2051), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1239), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2057), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(767), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2055), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1243), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2061), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(768), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2059), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1248), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [38913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2063), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1550), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2065), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1269), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2069), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(769), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2067), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1271), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2071), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1323), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2073), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1185), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2075), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1198), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2077), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1200), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2079), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1207), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [39937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2081), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1210), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2083), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1211), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2085), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1241), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2087), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1286), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2089), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1301), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2091), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1327), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2093), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1330), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2095), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1174), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [40961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2097), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1192), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2101), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(771), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2099), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1196), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2103), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1205), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2107), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(775), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2105), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1206), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2111), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(776), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2109), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1209), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2115), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(779), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2113), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1225), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2117), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1265), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2119), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1276), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [41985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2123), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(781), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2121), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1278), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2127), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(782), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2125), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1282), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2129), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1288), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2133), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(784), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2131), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1290), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2135), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1294), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2137), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1296), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2141), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(785), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2139), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1298), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [42881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2143), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1304), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2145), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1305), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2179), 1,
      sym__newline,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(795), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2175), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(66), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2187), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(797), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2185), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(67), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2191), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(798), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2189), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(68), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2195), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(800), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2193), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(69), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2199), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(801), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2197), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(70), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2201), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1552), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [43905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2203), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1554), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2205), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1556), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2209), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(817), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2207), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(71), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2211), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(72), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2213), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1557), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2215), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(73), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2217), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(129), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2219), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1560), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [44929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2221), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(75), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2223), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(76), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2225), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1561), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2227), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1562), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2231), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(819), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2229), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(77), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2235), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(823), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2233), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(79), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2239), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(824), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2237), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(80), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2243), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(825), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2241), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(81), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [45953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2247), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(826), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2245), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(82), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2251), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(827), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2249), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(83), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2255), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(828), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2253), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(84), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2259), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(829), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2257), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(85), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2263), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(830), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2261), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(86), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2267), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(831), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2265), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(87), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2271), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(832), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2269), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(88), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2275), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(833), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2273), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(89), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [46977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2277), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(214), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2279), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(90), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2283), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(834), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2281), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(91), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2285), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(92), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2287), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1569), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2289), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(93), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2293), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(836), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2291), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1571), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [47873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2295), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(94), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2297), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(95), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2299), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(96), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2301), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(97), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2303), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(98), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2305), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(99), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2307), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(100), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2309), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(101), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [48897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2311), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(102), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2313), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(103), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2315), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(104), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2317), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(105), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2321), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(841), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2319), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(106), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2323), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1573), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2327), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(840), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2325), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1574), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2331), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(843), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2329), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1354), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [49921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2335), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(852), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2333), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1341), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2337), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1348), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2339), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(107), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2343), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(848), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2341), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(108), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2345), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1349), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2349), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(859), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2347), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1351), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2353), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(849), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2351), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(109), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2357), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(853), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2355), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(110), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [50945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2361), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(861), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2359), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1355), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2363), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(111), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2365), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(112), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2369), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(856), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2367), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(113), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2373), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(857), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2371), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(114), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2375), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1356), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2377), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(115), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2381), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(860), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2379), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(116), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [51969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2385), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(865), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2383), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1334), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2387), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(117), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2389), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(118), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2393), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(863), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2391), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(18), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2395), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1367), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2397), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(120), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2399), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1408), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(2403), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(976), 1,
      aux_sym_function_definition_repeat1,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2401), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1409), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [52993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2405), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(121), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(2409), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(663), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2407), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(198), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2411), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1441), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2449), 1,
      sym__newline,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(872), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2445), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1322), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2459), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(873), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2457), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1324), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2463), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(874), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2461), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1329), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2467), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(875), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2465), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1331), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [53889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2471), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(876), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2469), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1168), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2475), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(889), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2473), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1201), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2477), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1213), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2479), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1214), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2481), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1166), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2483), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1216), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2485), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1217), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2489), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(891), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2487), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1218), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [54913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2493), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(893), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2491), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1222), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2497), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(894), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2495), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1224), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2501), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(895), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2499), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1226), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2505), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(896), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2503), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1228), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2509), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(897), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2507), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1230), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2513), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(898), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2511), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1232), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2517), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(899), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2515), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1234), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2521), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(900), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2519), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1236), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [55937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2525), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(901), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2523), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1238), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2529), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(902), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2527), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1240), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2533), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(903), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2531), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1242), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2535), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1245), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2539), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(904), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2537), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1246), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2541), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1249), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2543), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1250), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2545), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1251), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [56961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2547), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1252), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2549), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1253), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2551), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1333), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2553), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1255), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2555), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1256), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2557), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1257), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2559), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1258), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2561), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1259), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [57985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2563), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1260), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2565), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1261), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2567), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1262), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2571), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(906), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2569), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1263), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2573), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1272), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2577), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(910), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2575), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1274), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2581), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(911), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2579), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1254), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [58881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2585), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(914), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2583), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1188), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2587), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1202), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2589), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1203), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2593), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(916), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2591), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1204), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2597), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(917), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2595), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1208), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2599), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1212), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2603), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(919), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2601), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1233), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2605), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1264), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [59905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2607), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1280), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2611), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(920), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2609), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1284), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2613), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1292), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2615), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1300), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2653), 1,
      sym__newline,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(927), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2649), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1186), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2663), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(928), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2661), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1190), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60673] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2667), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(929), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2665), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1194), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60801] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2671), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(930), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2669), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1197), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [60929] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2675), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(931), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2673), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1199), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61057] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2679), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(944), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2677), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1244), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61185] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2681), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1266), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61313] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2683), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1267), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61441] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2685), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1268), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61569] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2687), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1270), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61697] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2689), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1273), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61825] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2693), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(946), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2691), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1275), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [61953] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2697), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(948), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2695), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1279), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62081] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2701), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(949), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2699), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1281), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2705), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(950), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2703), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1283), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2709), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(951), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2707), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1285), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2713), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(952), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2711), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1287), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62593] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2717), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(953), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2715), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1289), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62721] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2721), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(954), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2719), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1291), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2725), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(955), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2723), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1293), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [62977] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2729), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(956), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2727), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1295), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63105] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2733), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(957), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2731), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1297), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63233] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2737), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(958), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2735), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1299), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63361] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2739), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1302), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2743), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(959), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2741), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1303), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63617] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2745), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1306), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63745] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2747), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1307), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [63873] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2749), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1308), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64001] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2751), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1309), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64129] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2753), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1310), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64257] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2755), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1311), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2757), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1312), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2759), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1313), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64641] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2761), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1314), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64769] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2763), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1315), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [64897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2765), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1316), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65025] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2767), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1317), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65153] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2769), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1318), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65281] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2771), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1319), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2775), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(961), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2773), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1320), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65537] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2777), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1325), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65665] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2781), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(965), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2779), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1326), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65793] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2785), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(966), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2783), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1328), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [65921] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2789), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(969), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2787), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1332), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66049] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2791), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1169), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66177] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2793), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1170), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66305] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2797), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(971), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2795), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1171), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66433] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2801), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(972), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2799), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1173), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66561] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2803), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1176), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66689] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2807), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(974), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2805), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1177), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66817] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2809), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1179), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [66945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2811), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1180), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67073] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2815), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(975), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2813), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1181), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67201] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2817), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1183), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2819), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1184), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2821), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1442), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67585] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2823), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(215), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67713] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2827), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(980), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2825), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1142), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67841] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2831), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(995), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2829), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(243), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [67969] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2833), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1145), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2837), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(984), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2835), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1153), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68225] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2841), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(996), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2839), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(244), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68353] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2845), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1002), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2843), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(245), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68481] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2847), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1152), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2851), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1003), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2849), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(246), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2855), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1009), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2853), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(190), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68865] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2857), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(216), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [68993] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2859), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(217), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69121] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2863), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(454), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2861), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(131), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2865), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(218), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69377] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2869), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(992), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2867), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(6), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69505] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2871), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(7), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69633] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2875), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(994), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2873), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(8), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69761] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2877), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(9), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [69889] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2879), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(132), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70017] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2881), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(133), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70145] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2883), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(220), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70273] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2887), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(999), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2885), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1155), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70401] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2889), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1164), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2893), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(1001), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2891), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1140), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70657] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2895), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1146), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70785] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2897), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(134), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [70913] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2899), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(135), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71041] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2901), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(221), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2905), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(1006), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2903), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1151), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71297] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2907), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1157), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71425] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(2911), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(1008), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2909), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1159), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71553] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2913), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1144), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2915), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(136), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71809] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2917), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(222), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [71937] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2921), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(1012), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2919), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1148), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72065] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2923), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1149), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72193] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    ACTIONS(2927), 1,
      sym__newline,
    STATE(384), 1,
      sym__open_brace,
    STATE(1014), 1,
      aux_sym_function_definition_repeat1,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2925), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1150), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1943), 1,
      anon_sym_BSLASH,
    ACTIONS(1945), 1,
      anon_sym_function,
    ACTIONS(1947), 1,
      anon_sym_if,
    ACTIONS(1949), 1,
      anon_sym_for,
    ACTIONS(1951), 1,
      anon_sym_while,
    ACTIONS(1953), 1,
      anon_sym_repeat,
    ACTIONS(1955), 1,
      anon_sym_QMARK,
    ACTIONS(1957), 1,
      anon_sym_TILDE,
    ACTIONS(1959), 1,
      anon_sym_BANG,
    ACTIONS(1963), 1,
      sym__hex_literal,
    ACTIONS(1965), 1,
      sym__number_literal,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1971), 1,
      sym_dot_dot_i,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(1981), 1,
      sym__external_open_parenthesis,
    ACTIONS(1983), 1,
      sym__external_open_brace,
    STATE(384), 1,
      sym__open_brace,
    STATE(1081), 1,
      sym__open_parenthesis,
    STATE(1581), 1,
      sym_string,
    STATE(1582), 1,
      sym__float_literal,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2027), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1941), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1961), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1975), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2929), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1154), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72449] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2931), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(223), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72577] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(2935), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(662), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2933), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(197), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72705] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2939), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(458), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2937), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(137), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2943), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(460), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2941), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(138), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [72961] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2947), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1020), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2945), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(15), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73089] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2949), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(16), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73217] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    ACTIONS(2953), 1,
      sym__newline,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1022), 1,
      aux_sym_function_definition_repeat1,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2951), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(17), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73345] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(381), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2149), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_function,
    ACTIONS(2153), 1,
      anon_sym_if,
    ACTIONS(2155), 1,
      anon_sym_for,
    ACTIONS(2157), 1,
      anon_sym_while,
    ACTIONS(2159), 1,
      anon_sym_repeat,
    ACTIONS(2161), 1,
      anon_sym_QMARK,
    ACTIONS(2163), 1,
      anon_sym_TILDE,
    ACTIONS(2165), 1,
      anon_sym_BANG,
    ACTIONS(2169), 1,
      sym__hex_literal,
    ACTIONS(2171), 1,
      sym__number_literal,
    ACTIONS(2173), 1,
      sym_dot_dot_i,
    ACTIONS(2181), 1,
      sym__external_open_parenthesis,
    ACTIONS(2183), 1,
      sym__external_open_brace,
    STATE(292), 1,
      sym_string,
    STATE(293), 1,
      sym__float_literal,
    STATE(294), 1,
      sym__single_quoted_string,
    STATE(295), 1,
      sym__double_quoted_string,
    STATE(388), 1,
      sym__open_brace,
    STATE(1086), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2032), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2955), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(10), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2959), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(461), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2957), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(139), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73601] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2963), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(463), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2961), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(140), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73729] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2967), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(465), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2965), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(141), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73857] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2971), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(467), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2969), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(142), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [73985] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2975), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(1028), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2973), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1158), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2977), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1160), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74241] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    ACTIONS(2981), 1,
      sym__newline,
    STATE(391), 1,
      sym__open_brace,
    STATE(1030), 1,
      aux_sym_function_definition_repeat1,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2979), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1161), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74369] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2415), 1,
      anon_sym_BSLASH,
    ACTIONS(2417), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_if,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_while,
    ACTIONS(2425), 1,
      anon_sym_repeat,
    ACTIONS(2427), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 1,
      anon_sym_TILDE,
    ACTIONS(2431), 1,
      anon_sym_BANG,
    ACTIONS(2435), 1,
      sym__hex_literal,
    ACTIONS(2437), 1,
      sym__number_literal,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2443), 1,
      sym_dot_dot_i,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(2453), 1,
      sym__external_open_parenthesis,
    ACTIONS(2455), 1,
      sym__external_open_brace,
    STATE(391), 1,
      sym__open_brace,
    STATE(1091), 1,
      sym__open_parenthesis,
    STATE(1577), 1,
      sym_string,
    STATE(1590), 1,
      sym__float_literal,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2052), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2413), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2433), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2983), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1162), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74497] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2987), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(469), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2985), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(143), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74625] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2991), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(470), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2989), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(144), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74753] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2995), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(471), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2993), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(145), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [74881] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(2999), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(472), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(2997), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(146), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75009] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(3003), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(1036), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3001), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1163), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75137] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3005), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1165), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75265] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    ACTIONS(3009), 1,
      sym__newline,
    STATE(394), 1,
      sym__open_brace,
    STATE(1038), 1,
      aux_sym_function_definition_repeat1,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3007), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1141), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75393] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(2619), 1,
      anon_sym_BSLASH,
    ACTIONS(2621), 1,
      anon_sym_function,
    ACTIONS(2623), 1,
      anon_sym_if,
    ACTIONS(2625), 1,
      anon_sym_for,
    ACTIONS(2627), 1,
      anon_sym_while,
    ACTIONS(2629), 1,
      anon_sym_repeat,
    ACTIONS(2631), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_TILDE,
    ACTIONS(2635), 1,
      anon_sym_BANG,
    ACTIONS(2639), 1,
      sym__hex_literal,
    ACTIONS(2641), 1,
      sym__number_literal,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2647), 1,
      sym_dot_dot_i,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(2657), 1,
      sym__external_open_parenthesis,
    ACTIONS(2659), 1,
      sym__external_open_brace,
    STATE(394), 1,
      sym__open_brace,
    STATE(1096), 1,
      sym__open_parenthesis,
    STATE(1586), 1,
      sym_string,
    STATE(1587), 1,
      sym__float_literal,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2038), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(2617), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(2637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2651), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3011), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1139), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75521] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(3015), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(474), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3013), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(147), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75649] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(3019), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(476), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3017), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(148), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75777] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_SQUOTE,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      sym__raw_string_literal,
    ACTIONS(713), 1,
      anon_sym_BSLASH,
    ACTIONS(715), 1,
      anon_sym_function,
    ACTIONS(717), 1,
      anon_sym_if,
    ACTIONS(719), 1,
      anon_sym_for,
    ACTIONS(721), 1,
      anon_sym_while,
    ACTIONS(723), 1,
      anon_sym_repeat,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_TILDE,
    ACTIONS(729), 1,
      anon_sym_BANG,
    ACTIONS(733), 1,
      sym__hex_literal,
    ACTIONS(735), 1,
      sym__number_literal,
    ACTIONS(737), 1,
      sym_dot_dot_i,
    ACTIONS(745), 1,
      sym__external_open_parenthesis,
    ACTIONS(747), 1,
      sym__external_open_brace,
    ACTIONS(3023), 1,
      sym__newline,
    STATE(309), 1,
      sym_string,
    STATE(313), 1,
      sym__float_literal,
    STATE(315), 1,
      sym__single_quoted_string,
    STATE(317), 1,
      sym__double_quoted_string,
    STATE(372), 1,
      sym__open_brace,
    STATE(478), 1,
      aux_sym_function_definition_repeat1,
    STATE(1117), 1,
      sym__open_parenthesis,
    STATE(2051), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(711), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(731), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(741), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3021), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(149), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [75905] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(1071), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3025), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(224), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76033] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(3029), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1044), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3027), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(11), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76161] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3031), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(12), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76289] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    ACTIONS(3035), 1,
      sym__newline,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1046), 1,
      aux_sym_function_definition_repeat1,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3033), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(13), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76417] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      sym__raw_string_literal,
    ACTIONS(1071), 1,
      sym__newline,
    ACTIONS(1149), 1,
      anon_sym_BSLASH,
    ACTIONS(1151), 1,
      anon_sym_function,
    ACTIONS(1153), 1,
      anon_sym_if,
    ACTIONS(1155), 1,
      anon_sym_for,
    ACTIONS(1157), 1,
      anon_sym_while,
    ACTIONS(1159), 1,
      anon_sym_repeat,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_TILDE,
    ACTIONS(1165), 1,
      anon_sym_BANG,
    ACTIONS(1169), 1,
      sym__hex_literal,
    ACTIONS(1171), 1,
      sym__number_literal,
    ACTIONS(1173), 1,
      sym_dot_dot_i,
    ACTIONS(1181), 1,
      sym__external_open_parenthesis,
    ACTIONS(1183), 1,
      sym__external_open_brace,
    STATE(297), 1,
      sym_string,
    STATE(298), 1,
      sym__float_literal,
    STATE(301), 1,
      sym__single_quoted_string,
    STATE(302), 1,
      sym__double_quoted_string,
    STATE(380), 1,
      sym__open_brace,
    STATE(1076), 1,
      sym__open_parenthesis,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    STATE(2044), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1147), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1177), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3037), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(14), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_SQUOTE,
    ACTIONS(501), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      sym__raw_string_literal,
    ACTIONS(1015), 1,
      anon_sym_BSLASH,
    ACTIONS(1017), 1,
      anon_sym_function,
    ACTIONS(1019), 1,
      anon_sym_if,
    ACTIONS(1021), 1,
      anon_sym_for,
    ACTIONS(1023), 1,
      anon_sym_while,
    ACTIONS(1025), 1,
      anon_sym_repeat,
    ACTIONS(1027), 1,
      anon_sym_QMARK,
    ACTIONS(1029), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1035), 1,
      sym__hex_literal,
    ACTIONS(1037), 1,
      sym__number_literal,
    ACTIONS(1039), 1,
      sym_dot_dot_i,
    ACTIONS(1047), 1,
      sym__external_open_parenthesis,
    ACTIONS(1049), 1,
      sym__external_open_brace,
    ACTIONS(3041), 1,
      sym__newline,
    STATE(320), 1,
      sym_string,
    STATE(323), 1,
      sym__float_literal,
    STATE(325), 1,
      sym__single_quoted_string,
    STATE(326), 1,
      sym__double_quoted_string,
    STATE(378), 1,
      sym__open_brace,
    STATE(977), 1,
      aux_sym_function_definition_repeat1,
    STATE(1053), 1,
      sym__open_parenthesis,
    STATE(2049), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(1013), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3039), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(201), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76673] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3043), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1450), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76795] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3045), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1570), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [76917] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3047), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1369), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77039] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3049), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1480), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77161] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3051), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1337), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77283] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3053), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1387), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77405] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3055), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1376), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77527] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3057), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1520), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77649] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3059), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1360), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77771] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3061), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1444), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [77893] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3063), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1445), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78015] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3065), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1447), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78137] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3067), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1449), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78259] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3069), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1572), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78381] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3071), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1462), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78503] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3073), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1464), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78625] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3075), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1466), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78747] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3077), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1468), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78869] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3079), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1470), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [78991] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3081), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1471), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79113] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3083), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1473), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3085), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1475), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79357] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3087), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1477), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79479] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3089), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1481), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79601] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3091), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1482), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3093), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1484), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79845] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3095), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1487), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [79967] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3097), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1489), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80089] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3099), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1492), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80211] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3101), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1493), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80333] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3103), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1495), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80455] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3105), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1496), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80577] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3107), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1498), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80699] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3109), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1502), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80821] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3111), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1503), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [80943] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3113), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1505), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81065] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3115), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1508), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81187] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3117), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1510), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81309] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3119), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1513), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81431] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3121), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1514), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81553] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3123), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1515), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81675] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3125), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1516), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81797] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3127), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1517), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [81919] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3129), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1521), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82041] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3131), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1522), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82163] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3133), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1523), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82285] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3135), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1524), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82407] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3137), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1525), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82529] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3139), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1526), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82651] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3141), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1527), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82773] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3143), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1528), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [82895] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3145), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1529), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83017] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3147), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1530), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83139] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3149), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1533), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83261] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3151), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1535), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83383] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3153), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1542), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83505] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3155), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1544), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83627] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3157), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1548), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83749] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3159), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1549), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83871] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3161), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1553), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [83993] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3163), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1555), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84115] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3165), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1558), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84237] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3167), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1559), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3169), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1563), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84481] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3171), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1564), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84603] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3173), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1565), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84725] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3175), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1566), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84847] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3177), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1567), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [84969] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3179), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1568), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85091] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_BSLASH,
    ACTIONS(521), 1,
      anon_sym_function,
    ACTIONS(523), 1,
      anon_sym_if,
    ACTIONS(525), 1,
      anon_sym_for,
    ACTIONS(527), 1,
      anon_sym_while,
    ACTIONS(529), 1,
      anon_sym_repeat,
    ACTIONS(531), 1,
      anon_sym_QMARK,
    ACTIONS(533), 1,
      anon_sym_TILDE,
    ACTIONS(535), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym__hex_literal,
    ACTIONS(541), 1,
      sym__number_literal,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(557), 1,
      sym__external_open_parenthesis,
    ACTIONS(561), 1,
      sym__external_open_brace,
    ACTIONS(1057), 1,
      sym_dot_dot_i,
    STATE(370), 1,
      sym__open_brace,
    STATE(1057), 1,
      sym__open_parenthesis,
    STATE(1606), 1,
      sym_string,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    STATE(1629), 1,
      sym__float_literal,
    STATE(2054), 1,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(537), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      sym_identifier,
      sym_dots,
    ACTIONS(551), 5,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
    ACTIONS(3181), 8,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
    STATE(1461), 19,
      sym_function_definition,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_repeat_statement,
      sym_braced_expression,
      sym_parenthesized_expression,
      sym_call,
      sym_subset,
      sym_subset2,
      sym_unary_operator,
      sym_binary_operator,
      sym_extract_operator,
      sym_namespace_operator,
      sym_integer,
      sym_complex,
      sym_float,
      sym_na,
      sym__expression,
  [85213] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(3185), 1,
      sym_dot_dot_i,
    ACTIONS(3187), 1,
      sym__newline,
    STATE(1137), 1,
      aux_sym_function_definition_repeat1,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    ACTIONS(3183), 2,
      sym_identifier,
      sym_dots,
    STATE(1671), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(363), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(3191), 1,
      sym_dot_dot_i,
    ACTIONS(3193), 1,
      sym__newline,
    STATE(1121), 1,
      aux_sym_function_definition_repeat1,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    ACTIONS(3189), 2,
      sym_identifier,
      sym_dots,
    STATE(1663), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(341), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85363] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(3197), 1,
      sym_dot_dot_i,
    ACTIONS(3199), 1,
      sym__newline,
    STATE(1138), 1,
      aux_sym_function_definition_repeat1,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    ACTIONS(3195), 2,
      sym_identifier,
      sym_dots,
    STATE(1684), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(363), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85438] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(3203), 1,
      sym_dot_dot_i,
    ACTIONS(3205), 1,
      sym__newline,
    STATE(1136), 1,
      aux_sym_function_definition_repeat1,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    ACTIONS(3201), 2,
      sym_identifier,
      sym_dots,
    STATE(1682), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(363), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(3209), 1,
      sym_dot_dot_i,
    ACTIONS(3211), 1,
      sym__newline,
    STATE(1118), 1,
      aux_sym_function_definition_repeat1,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    ACTIONS(3207), 2,
      sym_identifier,
      sym_dots,
    STATE(1656), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(341), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85588] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(3215), 1,
      sym_dot_dot_i,
    ACTIONS(3217), 1,
      sym__newline,
    STATE(1120), 1,
      aux_sym_function_definition_repeat1,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    ACTIONS(3213), 2,
      sym_identifier,
      sym_dots,
    STATE(1664), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(341), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85663] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(3221), 1,
      sym_dot_dot_i,
    ACTIONS(3223), 1,
      sym__newline,
    STATE(1125), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    ACTIONS(3219), 2,
      sym_identifier,
      sym_dots,
    STATE(1730), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(341), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85737] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(3227), 1,
      sym_dot_dot_i,
    ACTIONS(3229), 1,
      sym__newline,
    STATE(1156), 1,
      aux_sym_function_definition_repeat1,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    ACTIONS(3225), 2,
      sym_identifier,
      sym_dots,
    STATE(1762), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(363), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(3233), 1,
      sym_dot_dot_i,
    ACTIONS(3235), 1,
      sym__newline,
    STATE(1127), 1,
      aux_sym_function_definition_repeat1,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    ACTIONS(3231), 2,
      sym_identifier,
      sym_dots,
    STATE(1732), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(341), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85885] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(3239), 1,
      sym_dot_dot_i,
    ACTIONS(3241), 1,
      sym__newline,
    STATE(1143), 1,
      aux_sym_function_definition_repeat1,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    ACTIONS(3237), 2,
      sym_identifier,
      sym_dots,
    STATE(1761), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(363), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [85959] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(3245), 1,
      sym_dot_dot_i,
    ACTIONS(3247), 1,
      sym__newline,
    STATE(1147), 1,
      aux_sym_function_definition_repeat1,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    ACTIONS(3243), 2,
      sym_identifier,
      sym_dots,
    STATE(1717), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(363), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86033] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(3251), 1,
      sym_dot_dot_i,
    ACTIONS(3253), 1,
      sym__newline,
    STATE(1128), 1,
      aux_sym_function_definition_repeat1,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    ACTIONS(3249), 2,
      sym_identifier,
      sym_dots,
    STATE(1760), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(345), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(341), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_SQUOTE,
    ACTIONS(2645), 1,
      anon_sym_DQUOTE,
    ACTIONS(2655), 1,
      sym__raw_string_literal,
    ACTIONS(3257), 1,
      sym_dot_dot_i,
    STATE(1588), 1,
      sym__single_quoted_string,
    STATE(1589), 1,
      sym__double_quoted_string,
    ACTIONS(3255), 2,
      sym_identifier,
      sym_dots,
    STATE(1637), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(389), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86176] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_SQUOTE,
    ACTIONS(2441), 1,
      anon_sym_DQUOTE,
    ACTIONS(2451), 1,
      sym__raw_string_literal,
    ACTIONS(3261), 1,
      sym_dot_dot_i,
    STATE(1593), 1,
      sym__single_quoted_string,
    STATE(1596), 1,
      sym__double_quoted_string,
    ACTIONS(3259), 2,
      sym_identifier,
      sym_dots,
    STATE(1707), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(389), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_SQUOTE,
    ACTIONS(1969), 1,
      anon_sym_DQUOTE,
    ACTIONS(1979), 1,
      sym__raw_string_literal,
    ACTIONS(3265), 1,
      sym_dot_dot_i,
    STATE(1583), 1,
      sym__single_quoted_string,
    STATE(1584), 1,
      sym__double_quoted_string,
    ACTIONS(3263), 2,
      sym_identifier,
      sym_dots,
    STATE(1640), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(389), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      anon_sym_SQUOTE,
    ACTIONS(545), 1,
      anon_sym_DQUOTE,
    ACTIONS(555), 1,
      sym__raw_string_literal,
    ACTIONS(3269), 1,
      sym_dot_dot_i,
    STATE(1618), 1,
      sym__single_quoted_string,
    STATE(1621), 1,
      sym__double_quoted_string,
    ACTIONS(3267), 2,
      sym_identifier,
      sym_dots,
    STATE(1726), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(389), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86382] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(479), 1,
      sym__raw_string_literal,
    ACTIONS(3273), 1,
      sym_dot_dot_i,
    STATE(1633), 1,
      sym__single_quoted_string,
    STATE(1634), 1,
      sym__double_quoted_string,
    ACTIONS(3271), 2,
      sym_identifier,
      sym_dots,
    STATE(1711), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(389), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86450] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_SQUOTE,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym__raw_string_literal,
    ACTIONS(3277), 1,
      sym_dot_dot_i,
    STATE(1604), 1,
      sym__double_quoted_string,
    STATE(1631), 1,
      sym__single_quoted_string,
    ACTIONS(3275), 2,
      sym_identifier,
      sym_dots,
    STATE(1722), 2,
      sym_string,
      sym__string_or_identifier_or_dots_or_dot_dot_i,
    ACTIONS(391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(389), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [86518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      sym__newline,
    STATE(1136), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(683), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      sym_identifier,
      sym_dots,
    ACTIONS(681), 30,
      sym__raw_string_literal,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
  [86573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 1,
      sym__newline,
    STATE(1137), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(683), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      sym_identifier,
      sym_dots,
    ACTIONS(681), 30,
      sym__raw_string_literal,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
  [86628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym__newline,
    STATE(1138), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(683), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      sym_identifier,
      sym_dots,
    ACTIONS(681), 30,
      sym__raw_string_literal,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
  [86683] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3326), 1,
      sym__external_else,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(973), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(63), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86791] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3372), 1,
      sym__external_else,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(560), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(57), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86899] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3380), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(968), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(57), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87007] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3420), 1,
      sym__external_else,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(838), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(7), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3428), 1,
      sym__newline,
    STATE(1143), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(683), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      sym_identifier,
      sym_dots,
    ACTIONS(681), 29,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
  [87169] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3431), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(622), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(63), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87277] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3433), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(844), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(69), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87385] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3435), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(565), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(63), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      sym__newline,
    STATE(1147), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(683), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      sym_identifier,
      sym_dots,
    ACTIONS(681), 29,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
  [87547] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3440), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(773), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(7), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87655] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3442), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(777), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(69), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87763] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3444), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(778), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(57), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87871] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3446), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(612), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(7), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87979] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3448), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(862), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(63), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88087] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3450), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(847), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(57), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88195] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    ACTIONS(3452), 1,
      sym__external_else,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(783), 1,
      sym__else,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(63), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88303] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3454), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(555), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(7), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      sym__newline,
    STATE(1156), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(683), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      sym_identifier,
      sym_dots,
    ACTIONS(681), 29,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
      sym_comma,
  [88465] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3459), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(616), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(69), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88573] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3461), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(908), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(7), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88681] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3463), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(617), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(57), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88789] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3465), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(912), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(69), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88897] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3467), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(913), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(57), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89005] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3469), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(918), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(63), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89113] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3471), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(963), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(7), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89221] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    ACTIONS(3473), 1,
      sym__external_else,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(559), 1,
      sym__else,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(69), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89329] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    ACTIONS(3475), 1,
      sym__external_else,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(967), 1,
      sym__else,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(69), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89437] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(149), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 9,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [89532] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(245), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89635] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(237), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [89706] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(191), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89809] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(195), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89912] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(199), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90015] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(147), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90118] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(203), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90221] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [90292] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(149), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [90387] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(207), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90490] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(211), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90593] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [90680] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(215), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90783] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(219), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90886] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(145), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(147), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [91060] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(223), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91163] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(227), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91266] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(163), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91369] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(233), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91472] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 7,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [91573] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(187), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91676] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(151), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91779] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(237), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91882] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [91977] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(167), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92080] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 16,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [92159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(235), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 9,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [92254] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(151), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92357] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(171), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92460] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 11,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [92547] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [92642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(237), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [92713] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 16,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [92792] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(241), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92895] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(191), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92998] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(195), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93101] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(199), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93204] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(175), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93307] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(179), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93410] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(163), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93513] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(203), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93616] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(183), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93719] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 8,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [93816] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 10,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [93907] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(207), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94010] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(245), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94113] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(147), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(237), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [94287] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 11,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [94374] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(147), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [94445] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 7,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [94546] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 8,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [94643] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(151), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94746] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(233), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94849] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 9,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [94944] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 10,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [95035] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 16,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [95114] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(187), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95217] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(151), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95320] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [95407] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 8,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [95504] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(237), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95607] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 10,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [95698] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 15,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [95781] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 11,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [95868] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(211), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 15,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [96054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 17,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [96129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 17,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [96204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(235), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 9,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [96299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [96370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [96441] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [96514] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [96601] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [96672] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [96745] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(241), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96848] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(155), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96951] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(159), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97054] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 11,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [97141] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [97212] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 7,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [97313] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(163), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97416] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 9,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [97511] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 16,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [97590] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(163), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97693] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(183), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97796] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 10,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [97887] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 11,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [97974] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 15,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [98057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 17,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [98132] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [98203] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [98276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [98347] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(167), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98450] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(171), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98553] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(215), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98656] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(191), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98759] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(245), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98862] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(147), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98965] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(149), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 9,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [99060] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(155), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99163] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 11,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [99250] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(159), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99353] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(175), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99456] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(147), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [99527] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(179), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99630] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 7,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [99731] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(195), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99834] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(151), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99937] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(199), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 9,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [100135] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(219), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100238] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 16,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [100317] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(203), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100420] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(151), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100523] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(145), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100626] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 8,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [100723] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 15,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [100806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 10,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [100897] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(207), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101000] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 11,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [101087] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(211), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101190] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 15,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [101273] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(223), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101376] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 17,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [101451] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(215), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [101625] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(219), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101728] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [101801] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(145), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101904] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [101975] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(227), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102078] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 17,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [102153] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(155), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102256] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(159), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(223), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102462] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(227), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102565] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 7,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [102666] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(163), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 9,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [102864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 16,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [102943] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(163), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103046] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 8,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [103143] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 10,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [103234] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 11,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [103321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 15,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [103404] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 17,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [103479] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103550] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103623] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [103694] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(167), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103797] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(171), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103900] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3390), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(241), 4,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104003] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(233), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104106] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    ACTIONS(3384), 1,
      anon_sym_TILDE,
    ACTIONS(3386), 1,
      anon_sym_PLUS,
    ACTIONS(3388), 1,
      anon_sym_DASH,
    ACTIONS(3392), 1,
      anon_sym_DASH_GT,
    ACTIONS(3394), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3396), 1,
      anon_sym_PIPE,
    ACTIONS(3398), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3402), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3408), 1,
      anon_sym_STAR,
    ACTIONS(3410), 1,
      anon_sym_SLASH,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3404), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3414), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3406), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 7,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [104207] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    ACTIONS(3346), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3342), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(237), 4,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104310] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(175), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104413] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(179), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104516] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104587] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(183), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104690] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(235), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 9,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [104785] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_COLON,
    ACTIONS(3422), 1,
      sym__external_open_parenthesis,
    ACTIONS(3424), 1,
      sym__external_open_bracket,
    ACTIONS(3426), 1,
      sym__external_open_bracket2,
    STATE(271), 1,
      sym__open_parenthesis,
    STATE(272), 1,
      sym__open_bracket,
    STATE(273), 1,
      sym__open_bracket2,
    STATE(1643), 1,
      sym_call_arguments,
    STATE(1644), 1,
      sym_subset_arguments,
    STATE(1646), 1,
      sym_subset2_arguments,
    ACTIONS(3412), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3418), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 19,
      sym__external_else,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [104858] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 11,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [104945] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    ACTIONS(3290), 1,
      anon_sym_TILDE,
    ACTIONS(3292), 1,
      anon_sym_PLUS,
    ACTIONS(3294), 1,
      anon_sym_DASH,
    ACTIONS(3298), 1,
      anon_sym_DASH_GT,
    ACTIONS(3300), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3314), 1,
      anon_sym_STAR,
    ACTIONS(3316), 1,
      anon_sym_SLASH,
    ACTIONS(3322), 1,
      anon_sym_COLON,
    ACTIONS(3328), 1,
      sym__external_open_parenthesis,
    ACTIONS(3330), 1,
      sym__external_open_bracket,
    ACTIONS(3332), 1,
      sym__external_open_bracket2,
    STATE(280), 1,
      sym__open_parenthesis,
    STATE(281), 1,
      sym__open_bracket,
    STATE(282), 1,
      sym__open_bracket2,
    STATE(1653), 1,
      sym_call_arguments,
    STATE(1654), 1,
      sym_subset_arguments,
    STATE(1655), 1,
      sym_subset2_arguments,
    ACTIONS(3310), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3318), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3320), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3324), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3296), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(187), 4,
      sym__external_else,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3312), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105048] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3336), 1,
      anon_sym_TILDE,
    ACTIONS(3338), 1,
      anon_sym_PLUS,
    ACTIONS(3340), 1,
      anon_sym_DASH,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    ACTIONS(3350), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3354), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_STAR,
    ACTIONS(3362), 1,
      anon_sym_SLASH,
    ACTIONS(3368), 1,
      anon_sym_COLON,
    ACTIONS(3374), 1,
      sym__external_open_parenthesis,
    ACTIONS(3376), 1,
      sym__external_open_bracket,
    ACTIONS(3378), 1,
      sym__external_open_bracket2,
    STATE(277), 1,
      sym__open_parenthesis,
    STATE(278), 1,
      sym__open_bracket,
    STATE(279), 1,
      sym__open_bracket2,
    STATE(1645), 1,
      sym_call_arguments,
    STATE(1647), 1,
      sym_subset_arguments,
    STATE(1648), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3356), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3364), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3366), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3370), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3358), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 8,
      sym__external_else,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [105145] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(211), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105247] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(155), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105349] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(159), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105451] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3567), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(503), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105557] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 6,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [105657] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(163), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105759] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 8,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [105853] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(187), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105955] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 15,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [106033] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(163), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106135] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 7,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [106231] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 9,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [106321] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 10,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [106407] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 14,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [106489] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(191), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106591] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(195), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 16,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [106767] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(199), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106869] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [106939] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [107011] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(183), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107113] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(203), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107215] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(207), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107317] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(167), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107419] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(233), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107521] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(171), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107623] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3569), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(479), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107729] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(237), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107831] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(235), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [107925] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [108011] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(175), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108113] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(179), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(237), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [108285] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(215), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108387] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(183), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108489] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3571), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(480), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108595] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(187), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108697] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3573), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108801] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(191), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108903] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(195), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109005] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(199), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109107] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(203), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109209] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3575), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(639), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109315] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(207), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109417] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(211), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109519] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(241), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109621] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(215), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(245), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109825] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(219), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109927] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(145), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110029] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(147), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110131] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(149), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [110225] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [110311] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3577), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(415), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110417] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(223), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(147), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [110589] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(227), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110691] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 6,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [110791] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(151), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [110987] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 15,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [111065] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(233), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111167] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(151), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111269] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(237), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111371] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 7,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [111467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(235), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 8,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [111561] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 10,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [111647] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(233), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(237), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [111819] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(237), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(235), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 8,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [112015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 10,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [112101] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(235), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(237), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [112171] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(241), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112273] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(219), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112375] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(145), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112477] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(245), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112579] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(147), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112681] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(149), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 8,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [112775] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 10,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [112861] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(147), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [112931] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 6,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [113031] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(151), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113133] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 8,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [113227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 15,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [113305] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(151), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [113407] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 7,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [113503] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 9,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [113593] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 10,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [113679] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 14,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [113761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 16,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [113835] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [113905] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [113977] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [114047] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(155), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114149] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(159), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114251] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(241), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114353] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 6,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [114453] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(163), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114555] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 8,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [114649] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 15,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [114727] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(163), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [114829] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 7,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [114925] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 9,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [115015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 10,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [115101] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 14,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [115183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 16,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [115257] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(223), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(227), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115461] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [115531] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3623), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1750), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115637] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3625), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(822), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115743] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [115815] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3627), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(837), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [115921] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 18,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [115991] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3629), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(839), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116097] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3631), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(855), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116203] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(167), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116305] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(171), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116407] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3633), 2,
      sym__external_close_parenthesis,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116511] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(245), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116613] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(147), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [116715] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(149), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 8,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [116809] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 9,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [116899] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(147), 10,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [116985] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(147), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [117055] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(175), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117157] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(445), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117263] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3637), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(485), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117369] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(179), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117471] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3639), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(490), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117577] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(183), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117679] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3641), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(494), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117785] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [117871] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3643), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(502), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [117977] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 14,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [118059] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3645), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1740), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118165] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3647), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(552), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118271] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 6,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [118371] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3649), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(554), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 16,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [118551] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3651), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(556), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118657] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(187), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118759] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3653), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(562), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118865] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(151), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [118967] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [119037] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(495), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119143] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3657), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1741), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119249] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3659), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(609), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119355] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(191), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119457] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3661), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(611), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119563] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(195), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119665] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [119737] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3663), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(613), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119843] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(199), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [119945] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3665), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(619), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120051] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 8,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [120145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [120215] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3667), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(385), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120321] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3669), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(696), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120427] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(203), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120529] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3671), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(711), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120635] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(713), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 15,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [120819] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3675), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(719), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [120925] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(207), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121027] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(211), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121129] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(215), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121231] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3677), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1668), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121337] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3679), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(770), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121443] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(219), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121545] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3681), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(772), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121651] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(145), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121753] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(151), 3,
      sym__external_close_bracket,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121855] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3683), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(774), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [121961] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(223), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122063] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3685), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(780), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122169] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(227), 3,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122271] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(153), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 7,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [122367] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3687), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(327), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122473] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3689), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(835), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122579] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3691), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(842), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122685] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3693), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(846), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122791] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3695), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(854), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [122897] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_TILDE,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3533), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3539), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    ACTIONS(3697), 1,
      anon_sym_QMARK,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3573), 2,
      sym__external_close_bracket,
      sym_comma,
    ACTIONS(3529), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3537), 1,
      anon_sym_AMP,
    ACTIONS(3541), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 9,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [123091] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3699), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(511), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123197] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3701), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1706), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123303] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3703), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(905), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123409] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3705), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(907), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123515] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3707), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(909), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123621] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3709), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(915), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123727] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3711), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1661), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123833] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3713), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(960), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123939] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3715), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(962), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124045] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3717), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(964), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124151] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3719), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(970), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124257] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(155), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124359] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(159), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124461] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3721), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(978), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124567] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3543), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3545), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(151), 10,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [124653] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3723), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(981), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124759] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PLUS,
    ACTIONS(3527), 1,
      anon_sym_DASH,
    ACTIONS(3547), 1,
      anon_sym_STAR,
    ACTIONS(3549), 1,
      anon_sym_SLASH,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(151), 14,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [124841] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    ACTIONS(3581), 1,
      anon_sym_TILDE,
    ACTIONS(3583), 1,
      anon_sym_PLUS,
    ACTIONS(3585), 1,
      anon_sym_DASH,
    ACTIONS(3589), 1,
      anon_sym_DASH_GT,
    ACTIONS(3591), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3593), 1,
      anon_sym_PIPE,
    ACTIONS(3595), 1,
      anon_sym_AMP,
    ACTIONS(3597), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3605), 1,
      anon_sym_STAR,
    ACTIONS(3607), 1,
      anon_sym_SLASH,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(3617), 1,
      sym__external_open_parenthesis,
    ACTIONS(3619), 1,
      sym__external_open_bracket,
    ACTIONS(3621), 1,
      sym__external_open_bracket2,
    ACTIONS(3725), 1,
      anon_sym_QMARK,
    STATE(265), 1,
      sym__open_parenthesis,
    STATE(266), 1,
      sym__open_bracket,
    STATE(267), 1,
      sym__open_bracket2,
    STATE(1744), 1,
      sym_call_arguments,
    STATE(1745), 1,
      sym_subset_arguments,
    STATE(1747), 1,
      sym_subset2_arguments,
    ACTIONS(3573), 2,
      sym__external_close_bracket2,
      sym_comma,
    ACTIONS(3601), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3609), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3611), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3615), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3587), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3603), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [124945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3553), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 16,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [125019] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 6,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      sym_comma,
  [125119] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(163), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [125221] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [125291] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3727), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(991), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [125397] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 8,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [125491] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3729), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(993), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [125597] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 15,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [125675] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(151), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [125747] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(163), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [125849] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3731), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(998), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [125955] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3733), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1000), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [126061] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(165), 2,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 7,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      sym_comma,
  [126157] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(153), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(151), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [126227] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 3,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 9,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      sym_comma,
  [126317] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3735), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1005), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [126423] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 4,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(163), 10,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_comma,
  [126509] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3737), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1007), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [126615] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(163), 14,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_comma,
  [126697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 16,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      sym_comma,
  [126771] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3739), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1011), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [126877] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3741), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1013), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [126983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [127053] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
    ACTIONS(163), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [127125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 18,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [127195] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3743), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1019), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127301] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3745), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1021), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127407] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3747), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1027), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127513] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3749), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1029), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127619] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3751), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1035), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127725] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3753), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1037), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127831] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(167), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [127933] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3755), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1043), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [128039] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(171), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [128141] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    ACTIONS(3565), 1,
      anon_sym_QMARK,
    ACTIONS(3757), 1,
      sym__external_close_parenthesis,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1045), 1,
      sym__close_parenthesis,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [128247] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(175), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [128349] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_EQ,
    ACTIONS(3479), 1,
      anon_sym_TILDE,
    ACTIONS(3481), 1,
      anon_sym_PLUS,
    ACTIONS(3483), 1,
      anon_sym_DASH,
    ACTIONS(3487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3489), 1,
      anon_sym_DASH_GT_GT,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_AMP,
    ACTIONS(3495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3503), 1,
      anon_sym_STAR,
    ACTIONS(3505), 1,
      anon_sym_SLASH,
    ACTIONS(3511), 1,
      anon_sym_COLON,
    ACTIONS(3515), 1,
      sym__external_open_parenthesis,
    ACTIONS(3517), 1,
      sym__external_open_bracket,
    ACTIONS(3519), 1,
      sym__external_open_bracket2,
    STATE(255), 1,
      sym__open_parenthesis,
    STATE(256), 1,
      sym__open_bracket,
    STATE(257), 1,
      sym__open_bracket2,
    STATE(1753), 1,
      sym_call_arguments,
    STATE(1754), 1,
      sym_subset_arguments,
    STATE(1755), 1,
      sym_subset2_arguments,
    ACTIONS(3499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3507), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3509), 2,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
    ACTIONS(3513), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(179), 3,
      sym__external_close_parenthesis,
      anon_sym_QMARK,
      sym_comma,
    ACTIONS(3485), 3,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
    ACTIONS(3501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [128451] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      sym__external_open_parenthesis,
    ACTIONS(3561), 1,
      sym__external_open_bracket,
    ACTIONS(3563), 1,
      sym__external_open_bracket2,
    STATE(262), 1,
      sym__open_parenthesis,
    STATE(263), 1,
      sym__open_bracket,
    STATE(264), 1,
      sym__open_bracket2,
    STATE(1724), 1,
      sym_call_arguments,
    STATE(1725), 1,
      sym_subset_arguments,
    STATE(1727), 1,
      sym_subset2_arguments,
    ACTIONS(3551), 2,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
    ACTIONS(3557), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(163), 18,
      sym__external_close_bracket,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      sym_comma,
  [128521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(643), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(645), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [128615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(671), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(643), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(675), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(645), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [128799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_L,
    ACTIONS(3761), 1,
      anon_sym_i,
    ACTIONS(653), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(655), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [128848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(643), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [128983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(645), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [129032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_L,
    ACTIONS(3765), 1,
      anon_sym_i,
    ACTIONS(653), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(655), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [129081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_L,
    ACTIONS(3769), 1,
      anon_sym_i,
    ACTIONS(653), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(655), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [129220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(671), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(675), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(671), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(675), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(637), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(633), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(637), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(633), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 16,
      sym__newline,
      sym__semicolon,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      sym__external_close_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(357), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_dots,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
  [129715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(637), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(633), 27,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym_L,
    ACTIONS(3773), 1,
      anon_sym_i,
    ACTIONS(653), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(655), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [129897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(645), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [129945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(643), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [129989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(671), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(671), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(675), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(637), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(675), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      sym__newline,
    STATE(1613), 1,
      aux_sym_function_definition_repeat1,
    ACTIONS(681), 13,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(683), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_dots,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
  [130257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(3778), 1,
      anon_sym_EQ,
    ACTIONS(645), 8,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [130307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(633), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(637), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(633), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(671), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(3778), 1,
      anon_sym_EQ,
    ACTIONS(645), 8,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [130577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(675), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(637), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(3778), 1,
      anon_sym_EQ,
    ACTIONS(645), 8,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [130759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(643), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(633), 26,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(643), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [130891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(645), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [130939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_L,
    ACTIONS(3782), 1,
      anon_sym_i,
    ACTIONS(653), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(655), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [130987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(651), 1,
      anon_sym_COLON_COLON_COLON,
    ACTIONS(645), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(647), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [131079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_L,
    ACTIONS(3786), 1,
      anon_sym_i,
    ACTIONS(653), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(655), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [131171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_COLON_COLON,
    ACTIONS(663), 26,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COLON_COLON_COLON,
      sym_comma,
  [131215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(821), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(3788), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_dots,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
  [131301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(755), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(777), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(781), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(755), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(777), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(781), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(793), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(701), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(793), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(705), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(701), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(705), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(709), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(709), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(781), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [131946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(3792), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_dots,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
  [131989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(793), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(701), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(705), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(759), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(709), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(763), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(767), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(771), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(697), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(775), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(759), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(759), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(763), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(767), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(771), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(697), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(775), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(855), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(785), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(789), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(799), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(805), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(855), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [132978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(813), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(817), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(821), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(829), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 14,
      sym__newline,
      sym__raw_string_literal,
      sym__external_open_parenthesis,
      sym__external_open_brace,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__hex_literal,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_dot_dot_i,
    ACTIONS(3796), 21,
      anon_sym_function,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_repeat,
      sym__number_literal,
      sym_identifier,
      sym_dots,
      sym_return,
      sym_next,
      sym_break,
      sym_true,
      sym_false,
      sym_null,
      sym_inf,
      sym_nan,
      anon_sym_NA,
      anon_sym_NA_integer_,
      anon_sym_NA_real_,
      anon_sym_NA_complex_,
      anon_sym_NA_character_,
  [133236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(785), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(789), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(785), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(789), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(799), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(805), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(809), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(813), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(817), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(799), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(805), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(809), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(813), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(821), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(829), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(817), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [133967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(777), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(855), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(763), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(767), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(829), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(771), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(697), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(755), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(775), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(809), 26,
      sym__external_else,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(775), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(755), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(777), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(821), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(829), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(781), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(785), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(821), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(829), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(777), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(755), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [134986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(781), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(793), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(701), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(755), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(705), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(855), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(817), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(759), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(709), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(759), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(809), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(777), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(789), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(763), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(767), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(813), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(781), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(697), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(697), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(775), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(763), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(793), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(701), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(767), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [135994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(705), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(709), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(771), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(697), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(775), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(855), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(793), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(701), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(705), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(709), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(855), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(799), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(805), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(759), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(785), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(785), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(789), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(789), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(799), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(799), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(805), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(763), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(805), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [136960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(809), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(813), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(817), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(809), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(813), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(767), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(821), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(825), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(829), 25,
      sym__external_open_parenthesis,
      sym__external_close_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(771), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_close_bracket,
      sym__external_open_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(817), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_COLON,
    ACTIONS(771), 25,
      sym__external_open_parenthesis,
      sym__external_open_bracket,
      sym__external_open_bracket2,
      sym__external_close_bracket2,
      anon_sym_QMARK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_LT_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      aux_sym_binary_operator_token1,
      anon_sym_PIPE_GT,
      anon_sym_DOLLAR,
      anon_sym_AT,
      sym_comma,
  [137464] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym_dot_dot_i,
    ACTIONS(3804), 1,
      sym__external_close_parenthesis,
    STATE(1681), 1,
      sym__close_parenthesis,
    STATE(1856), 1,
      sym_parameter,
    STATE(2019), 1,
      sym__parameter_name,
    STATE(2021), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    STATE(2041), 1,
      sym__parameter_without_default,
    STATE(2043), 1,
      sym__parameter_with_default,
    ACTIONS(3800), 2,
      sym_identifier,
      sym_dots,
  [137496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym_dot_dot_i,
    STATE(2019), 1,
      sym__parameter_name,
    STATE(2021), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    STATE(2029), 1,
      sym_parameter,
    STATE(2041), 1,
      sym__parameter_without_default,
    STATE(2043), 1,
      sym__parameter_with_default,
    ACTIONS(3800), 2,
      sym_identifier,
      sym_dots,
  [137522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(455), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3810), 1,
      sym__newline,
    STATE(735), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1786), 1,
      aux_sym_function_definition_repeat1,
  [137560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(755), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3812), 1,
      sym__newline,
    STATE(517), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1797), 1,
      aux_sym_function_definition_repeat1,
  [137598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3814), 1,
      sym__newline,
    STATE(989), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1784), 1,
      aux_sym_function_definition_repeat1,
  [137617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3816), 1,
      sym__newline,
    STATE(636), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1791), 1,
      aux_sym_function_definition_repeat1,
  [137636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3818), 1,
      sym__newline,
    STATE(926), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1792), 1,
      aux_sym_function_definition_repeat1,
  [137655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(667), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(945), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3820), 1,
      sym__newline,
    STATE(794), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1794), 1,
      aux_sym_function_definition_repeat1,
  [137712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(818), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3822), 1,
      sym__newline,
    STATE(573), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1796), 1,
      aux_sym_function_definition_repeat1,
  [137750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(593), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(537), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3824), 1,
      sym__newline,
    STATE(487), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1800), 1,
      aux_sym_function_definition_repeat1,
  [137807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3826), 1,
      sym__newline,
    STATE(871), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1803), 1,
      aux_sym_function_definition_repeat1,
  [137826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(492), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    ACTIONS(3828), 1,
      sym__newline,
    STATE(678), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(1802), 1,
      aux_sym_function_definition_repeat1,
  [137864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(709), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3808), 1,
      sym__external_open_parenthesis,
    STATE(890), 1,
      sym_parameters,
    STATE(1782), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [137902] = 4,
    ACTIONS(3830), 1,
      anon_sym_SQUOTE,
    ACTIONS(3834), 1,
      sym_comment,
    STATE(1907), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [137916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3836), 1,
      sym__external_close_parenthesis,
    STATE(342), 1,
      sym__close_parenthesis,
    STATE(1809), 1,
      aux_sym_call_arguments_repeat1,
  [137932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3838), 1,
      sym__external_close_parenthesis,
    STATE(348), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [137948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3840), 1,
      sym__external_close_parenthesis,
    STATE(427), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [137964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3842), 1,
      sym__external_close_parenthesis,
    STATE(429), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [137980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3844), 1,
      sym__external_close_parenthesis,
    STATE(364), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [137996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(3846), 1,
      sym__external_open_parenthesis,
    STATE(1857), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [138012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3848), 1,
      sym__external_close_bracket,
    STATE(421), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      sym__newline,
    ACTIONS(3852), 1,
      sym__external_open_parenthesis,
    STATE(1056), 1,
      sym__open_parenthesis,
    STATE(1918), 1,
      aux_sym_function_definition_repeat1,
  [138044] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_SQUOTE,
    STATE(1848), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138058] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_SQUOTE,
    STATE(1818), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138072] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_DQUOTE,
    STATE(1819), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3862), 1,
      sym__external_close_bracket,
    STATE(418), 1,
      sym__close_bracket,
    STATE(1890), 1,
      aux_sym_call_arguments_repeat1,
  [138102] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_DQUOTE,
    STATE(1849), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138116] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138130] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3870), 1,
      sym__external_close_bracket,
    STATE(1703), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3872), 1,
      sym__external_close_bracket2,
    STATE(423), 1,
      sym__close_bracket2,
    STATE(1933), 1,
      aux_sym_call_arguments_repeat1,
  [138176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3874), 1,
      sym__external_close_bracket2,
    STATE(437), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3876), 1,
      sym__external_close_bracket,
    STATE(1679), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138208] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_SQUOTE,
    STATE(1836), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3880), 1,
      sym__external_close_parenthesis,
    STATE(1685), 1,
      sym__close_parenthesis,
    STATE(1829), 1,
      aux_sym_call_arguments_repeat1,
  [138238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3882), 1,
      sym__external_close_parenthesis,
    STATE(1686), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138254] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_DQUOTE,
    STATE(1839), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3886), 1,
      sym__external_close_bracket2,
    STATE(1680), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3888), 1,
      sym__external_close_parenthesis,
    STATE(1695), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3890), 1,
      sym__external_close_bracket2,
    STATE(1704), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3892), 1,
      sym__external_close_bracket,
    STATE(1767), 1,
      sym__close_bracket,
    STATE(1922), 1,
      aux_sym_call_arguments_repeat1,
  [138332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3894), 1,
      sym__external_close_bracket,
    STATE(1773), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3896), 1,
      sym__external_close_bracket2,
    STATE(362), 1,
      sym__close_bracket2,
    STATE(1891), 1,
      aux_sym_call_arguments_repeat1,
  [138364] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SQUOTE,
    STATE(1837), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138378] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3900), 1,
      anon_sym_DQUOTE,
    STATE(1838), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138392] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138406] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138420] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138434] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138448] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3912), 1,
      sym__external_close_bracket2,
    STATE(1774), 1,
      sym__close_bracket2,
    STATE(1934), 1,
      aux_sym_call_arguments_repeat1,
  [138478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3914), 1,
      sym__external_close_bracket2,
    STATE(424), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3916), 1,
      sym__external_close_parenthesis,
    STATE(350), 1,
      sym__close_parenthesis,
    STATE(1846), 1,
      aux_sym_call_arguments_repeat1,
  [138510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3918), 1,
      sym__external_close_parenthesis,
    STATE(351), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3920), 1,
      sym__external_close_bracket2,
    STATE(1780), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3922), 1,
      sym__external_close_parenthesis,
    STATE(357), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3924), 1,
      sym__external_close_bracket,
    STATE(444), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138574] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138588] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138602] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3930), 1,
      anon_sym_SQUOTE,
    STATE(1853), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138616] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    STATE(1854), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3934), 1,
      sym__external_close_parenthesis,
    STATE(1735), 1,
      sym__close_parenthesis,
    STATE(1862), 1,
      aux_sym_call_arguments_repeat1,
  [138646] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138660] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3940), 1,
      sym__external_close_parenthesis,
    STATE(1758), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym_comma,
    ACTIONS(3944), 1,
      sym__external_close_parenthesis,
    STATE(1636), 1,
      sym__close_parenthesis,
    STATE(1911), 1,
      aux_sym_parameters_repeat1,
  [138706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3948), 1,
      sym_dot_dot_i,
    STATE(2058), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(3946), 2,
      sym_identifier,
      sym_dots,
  [138720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3950), 1,
      sym__external_close_parenthesis,
    STATE(1683), 1,
      sym__close_parenthesis,
    STATE(1861), 1,
      aux_sym_call_arguments_repeat1,
  [138736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3952), 1,
      sym__external_close_parenthesis,
    STATE(1691), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3954), 1,
      sym__external_close_bracket,
    STATE(1769), 1,
      sym__close_bracket,
    STATE(1924), 1,
      aux_sym_call_arguments_repeat1,
  [138768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3956), 1,
      sym__external_close_parenthesis,
    STATE(1635), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3958), 1,
      sym__external_close_parenthesis,
    STATE(1718), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3960), 1,
      sym__external_close_bracket,
    STATE(1770), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3962), 1,
      sym__external_close_bracket2,
    STATE(1720), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3964), 1,
      sym__external_close_bracket2,
    STATE(1771), 1,
      sym__close_bracket2,
    STATE(1927), 1,
      aux_sym_call_arguments_repeat1,
  [138848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3966), 1,
      sym__external_close_bracket,
    STATE(1674), 1,
      sym__close_bracket,
    STATE(1823), 1,
      aux_sym_call_arguments_repeat1,
  [138864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3968), 1,
      sym__external_close_parenthesis,
    STATE(408), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [138880] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_SQUOTE,
    STATE(1872), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138894] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_DQUOTE,
    STATE(1873), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3974), 1,
      sym__external_close_bracket,
    STATE(1709), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [138924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3976), 1,
      sym__external_close_bracket2,
    STATE(1676), 1,
      sym__close_bracket2,
    STATE(1828), 1,
      aux_sym_call_arguments_repeat1,
  [138940] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3978), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138954] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3980), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [138968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3982), 1,
      sym__external_close_bracket2,
    STATE(1772), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [138984] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_SQUOTE,
    STATE(1884), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [138998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(3986), 1,
      sym__external_close_bracket,
    STATE(1696), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139014] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_DQUOTE,
    STATE(1885), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [139028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3990), 1,
      sym__external_close_parenthesis,
    STATE(1672), 1,
      sym__close_parenthesis,
    STATE(1880), 1,
      aux_sym_call_arguments_repeat1,
  [139044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3992), 1,
      sym__external_close_parenthesis,
    STATE(1673), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(3994), 1,
      sym__external_close_parenthesis,
    STATE(1678), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3996), 1,
      sym__external_close_bracket2,
    STATE(1697), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(3998), 1,
      sym__external_close_bracket2,
    STATE(363), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4000), 1,
      sym__external_open_parenthesis,
    STATE(1052), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [139124] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139138] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [139152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 1,
      sym__newline,
    ACTIONS(4008), 1,
      sym__external_open_parenthesis,
    STATE(1810), 1,
      aux_sym_function_definition_repeat1,
    STATE(1928), 1,
      sym__open_parenthesis,
  [139168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4010), 1,
      sym__external_close_bracket,
    STATE(365), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4012), 1,
      sym__external_close_bracket2,
    STATE(436), 1,
      sym__close_bracket2,
    STATE(1898), 1,
      aux_sym_call_arguments_repeat1,
  [139200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4014), 1,
      sym__external_close_bracket2,
    STATE(1677), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4016), 1,
      sym__external_close_bracket,
    STATE(430), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4018), 1,
      sym__external_close_bracket2,
    STATE(366), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139248] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_SQUOTE,
    STATE(1896), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4022), 1,
      sym__external_close_bracket,
    STATE(432), 1,
      sym__close_bracket,
    STATE(1847), 1,
      aux_sym_call_arguments_repeat1,
  [139278] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_DQUOTE,
    STATE(1897), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [139292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4026), 1,
      sym__external_close_parenthesis,
    STATE(405), 1,
      sym__close_parenthesis,
    STATE(1808), 1,
      aux_sym_call_arguments_repeat1,
  [139308] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139322] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [139336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4032), 1,
      sym__external_close_bracket2,
    STATE(407), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4034), 1,
      sym__external_close_parenthesis,
    STATE(1763), 1,
      sym__close_parenthesis,
    STATE(1912), 1,
      aux_sym_call_arguments_repeat1,
  [139368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4036), 1,
      sym__external_close_bracket,
    STATE(1719), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4038), 1,
      sym__external_close_bracket,
    STATE(356), 1,
      sym__close_bracket,
    STATE(1887), 1,
      aux_sym_call_arguments_repeat1,
  [139400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4040), 1,
      sym__external_close_bracket,
    STATE(1692), 1,
      sym__close_bracket,
    STATE(1820), 1,
      aux_sym_call_arguments_repeat1,
  [139416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4042), 1,
      sym__external_close_parenthesis,
    STATE(1764), 1,
      sym__close_parenthesis,
    STATE(1908), 1,
      aux_sym_call_arguments_repeat1,
  [139432] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(4046), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4049), 1,
      sym__external_close_parenthesis,
    STATE(1766), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4051), 1,
      sym__external_close_parenthesis,
    STATE(1765), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139478] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4055), 1,
      sym__external_close_parenthesis,
    STATE(1776), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4057), 1,
      sym__external_close_bracket2,
    STATE(1694), 1,
      sym__close_bracket2,
    STATE(1830), 1,
      aux_sym_call_arguments_repeat1,
  [139524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4059), 1,
      sym__external_close_bracket,
    STATE(352), 1,
      sym__close_bracket,
    STATE(1950), 1,
      aux_sym_call_arguments_repeat1,
  [139540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym_comma,
    ACTIONS(4061), 1,
      sym__external_close_parenthesis,
    STATE(1652), 1,
      sym__close_parenthesis,
    STATE(2024), 1,
      aux_sym_parameters_repeat1,
  [139556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4063), 1,
      sym__external_close_parenthesis,
    STATE(1713), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4065), 1,
      sym__external_close_bracket,
    STATE(353), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4067), 1,
      sym__external_close_bracket2,
    STATE(354), 1,
      sym__close_bracket2,
    STATE(1955), 1,
      aux_sym_call_arguments_repeat1,
  [139604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4069), 1,
      sym__external_close_bracket2,
    STATE(355), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4071), 1,
      sym__external_close_bracket,
    STATE(360), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4073), 1,
      sym__external_close_parenthesis,
    STATE(448), 1,
      sym__close_parenthesis,
    STATE(1807), 1,
      aux_sym_call_arguments_repeat1,
  [139652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4075), 1,
      sym__external_open_parenthesis,
    STATE(1051), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [139668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4077), 1,
      sym__external_close_bracket,
    STATE(1687), 1,
      sym__close_bracket,
    STATE(1876), 1,
      aux_sym_call_arguments_repeat1,
  [139684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4079), 1,
      sym__external_close_bracket,
    STATE(435), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4081), 1,
      sym__external_close_bracket,
    STATE(1688), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4083), 1,
      sym__external_close_bracket,
    STATE(1714), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      sym_comma,
    ACTIONS(4085), 1,
      sym__external_close_parenthesis,
    STATE(422), 1,
      sym__close_parenthesis,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [139748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4087), 1,
      sym__external_close_bracket,
    STATE(1777), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [139764] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_SQUOTE,
    STATE(1938), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139778] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_DQUOTE,
    STATE(1940), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [139792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4093), 1,
      sym__external_close_bracket2,
    STATE(1778), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      sym_dot_dot_i,
    STATE(2059), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4095), 2,
      sym_identifier,
      sym_dots,
  [139822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      sym__newline,
    ACTIONS(4101), 1,
      sym__external_open_parenthesis,
    STATE(1058), 1,
      sym__open_parenthesis,
    STATE(1931), 1,
      aux_sym_function_definition_repeat1,
  [139838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4103), 1,
      sym__external_close_bracket,
    STATE(1759), 1,
      sym__close_bracket,
    STATE(1900), 1,
      aux_sym_call_arguments_repeat1,
  [139854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4105), 1,
      sym__external_open_parenthesis,
    STATE(1059), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [139870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4107), 1,
      sym__external_close_bracket2,
    STATE(1689), 1,
      sym__close_bracket2,
    STATE(1881), 1,
      aux_sym_call_arguments_repeat1,
  [139886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4109), 1,
      sym__external_close_bracket2,
    STATE(431), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4111), 1,
      sym__external_close_bracket2,
    STATE(1715), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [139918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      sym__newline,
    ACTIONS(4115), 1,
      sym__external_open_parenthesis,
    STATE(1062), 1,
      sym__open_parenthesis,
    STATE(1937), 1,
      aux_sym_function_definition_repeat1,
  [139934] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(4119), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [139948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4122), 1,
      sym__external_open_parenthesis,
    STATE(1063), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [139964] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_SQUOTE,
    STATE(1904), 1,
      aux_sym__single_quoted_string_content,
    ACTIONS(3832), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [139978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      sym__newline,
    ACTIONS(4128), 1,
      sym__external_open_parenthesis,
    STATE(1067), 1,
      sym__open_parenthesis,
    STATE(1941), 1,
      aux_sym_function_definition_repeat1,
  [139994] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [140008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4132), 1,
      sym__external_open_parenthesis,
    STATE(1068), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      sym__newline,
    ACTIONS(4136), 1,
      sym__external_open_parenthesis,
    STATE(1072), 1,
      sym__open_parenthesis,
    STATE(1944), 1,
      aux_sym_function_definition_repeat1,
  [140040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 1,
      sym__newline,
    ACTIONS(4140), 1,
      sym__external_open_parenthesis,
    STATE(1050), 1,
      sym__open_parenthesis,
    STATE(1883), 1,
      aux_sym_function_definition_repeat1,
  [140056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4142), 1,
      sym__external_open_parenthesis,
    STATE(1073), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 1,
      sym__newline,
    ACTIONS(4146), 1,
      sym__external_open_parenthesis,
    STATE(1077), 1,
      sym__open_parenthesis,
    STATE(1947), 1,
      aux_sym_function_definition_repeat1,
  [140088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4148), 1,
      sym__external_close_bracket,
    STATE(1733), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [140104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4150), 1,
      sym__external_open_parenthesis,
    STATE(1078), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140120] = 4,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_DQUOTE,
    STATE(1840), 1,
      aux_sym__double_quoted_string_content,
    ACTIONS(3860), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [140134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 1,
      sym__newline,
    ACTIONS(4156), 1,
      sym__external_open_parenthesis,
    STATE(1082), 1,
      sym__open_parenthesis,
    STATE(1951), 1,
      aux_sym_function_definition_repeat1,
  [140150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4158), 1,
      sym__external_close_bracket,
    STATE(358), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [140166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4160), 1,
      sym__external_open_parenthesis,
    STATE(1083), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4162), 1,
      sym__external_close_bracket2,
    STATE(1738), 1,
      sym__close_bracket2,
    STATE(1864), 1,
      aux_sym_call_arguments_repeat1,
  [140198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4164), 1,
      sym__newline,
    ACTIONS(4166), 1,
      sym__external_open_parenthesis,
    STATE(1087), 1,
      sym__open_parenthesis,
    STATE(1954), 1,
      aux_sym_function_definition_repeat1,
  [140214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4168), 1,
      sym__external_open_parenthesis,
    STATE(1088), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4170), 1,
      sym__external_close_bracket2,
    STATE(359), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [140246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 1,
      sym__newline,
    ACTIONS(4174), 1,
      sym__external_open_parenthesis,
    STATE(1092), 1,
      sym__open_parenthesis,
    STATE(1958), 1,
      aux_sym_function_definition_repeat1,
  [140262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4176), 1,
      sym__external_close_bracket2,
    STATE(1690), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [140278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4178), 1,
      sym__external_open_parenthesis,
    STATE(1093), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4180), 1,
      sym__external_close_bracket2,
    STATE(1698), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [140310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym__newline,
    ACTIONS(4184), 1,
      sym__external_open_parenthesis,
    STATE(1097), 1,
      sym__open_parenthesis,
    STATE(1961), 1,
      aux_sym_function_definition_repeat1,
  [140326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4186), 1,
      sym__external_open_parenthesis,
    STATE(1098), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 1,
      sym__newline,
    ACTIONS(4190), 1,
      sym__external_open_parenthesis,
    STATE(1101), 1,
      sym__open_parenthesis,
    STATE(1964), 1,
      aux_sym_function_definition_repeat1,
  [140358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 1,
      sym_comma,
    ACTIONS(4192), 1,
      sym__external_close_bracket2,
    STATE(1729), 1,
      sym__close_bracket2,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [140374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4194), 1,
      sym__external_open_parenthesis,
    STATE(1102), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 1,
      sym_dot_dot_i,
    STATE(2071), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4196), 2,
      sym_identifier,
      sym_dots,
  [140404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4202), 1,
      sym_dot_dot_i,
    STATE(2062), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4200), 2,
      sym_identifier,
      sym_dots,
  [140418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 1,
      sym__newline,
    ACTIONS(4206), 1,
      sym__external_open_parenthesis,
    STATE(1103), 1,
      sym__open_parenthesis,
    STATE(1968), 1,
      aux_sym_function_definition_repeat1,
  [140434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4208), 1,
      sym__external_open_parenthesis,
    STATE(1104), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      sym_dot_dot_i,
    STATE(2074), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4210), 2,
      sym_identifier,
      sym_dots,
  [140464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_dot_dot_i,
    STATE(2056), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4214), 2,
      sym_identifier,
      sym_dots,
  [140478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      sym__newline,
    ACTIONS(4220), 1,
      sym__external_open_parenthesis,
    STATE(1105), 1,
      sym__open_parenthesis,
    STATE(1972), 1,
      aux_sym_function_definition_repeat1,
  [140494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4222), 1,
      sym__external_open_parenthesis,
    STATE(1106), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym_dot_dot_i,
    STATE(2064), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4224), 2,
      sym_identifier,
      sym_dots,
  [140524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 1,
      sym_dot_dot_i,
    STATE(2068), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4228), 2,
      sym_identifier,
      sym_dots,
  [140538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__newline,
    ACTIONS(4234), 1,
      sym__external_open_parenthesis,
    STATE(1107), 1,
      sym__open_parenthesis,
    STATE(1976), 1,
      aux_sym_function_definition_repeat1,
  [140554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4236), 1,
      sym__external_open_parenthesis,
    STATE(1108), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 1,
      sym_dot_dot_i,
    STATE(2075), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4238), 2,
      sym_identifier,
      sym_dots,
  [140584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 1,
      sym_dot_dot_i,
    STATE(2077), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4242), 2,
      sym_identifier,
      sym_dots,
  [140598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4246), 1,
      sym__newline,
    ACTIONS(4248), 1,
      sym__external_open_parenthesis,
    STATE(1109), 1,
      sym__open_parenthesis,
    STATE(1980), 1,
      aux_sym_function_definition_repeat1,
  [140614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4250), 1,
      sym__external_open_parenthesis,
    STATE(1110), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4254), 1,
      sym_dot_dot_i,
    STATE(2060), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4252), 2,
      sym_identifier,
      sym_dots,
  [140644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4258), 1,
      sym_dot_dot_i,
    STATE(2061), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4256), 2,
      sym_identifier,
      sym_dots,
  [140658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4260), 1,
      sym__newline,
    ACTIONS(4262), 1,
      sym__external_open_parenthesis,
    STATE(1111), 1,
      sym__open_parenthesis,
    STATE(1984), 1,
      aux_sym_function_definition_repeat1,
  [140674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4264), 1,
      sym__external_open_parenthesis,
    STATE(1112), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4268), 1,
      sym_dot_dot_i,
    STATE(2066), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4266), 2,
      sym_identifier,
      sym_dots,
  [140704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4272), 1,
      sym_dot_dot_i,
    STATE(2055), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4270), 2,
      sym_identifier,
      sym_dots,
  [140718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 1,
      sym__newline,
    ACTIONS(4276), 1,
      sym__external_open_parenthesis,
    STATE(1113), 1,
      sym__open_parenthesis,
    STATE(1988), 1,
      aux_sym_function_definition_repeat1,
  [140734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4278), 1,
      sym__external_open_parenthesis,
    STATE(1114), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4282), 1,
      sym_dot_dot_i,
    STATE(2072), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4280), 2,
      sym_identifier,
      sym_dots,
  [140764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4286), 1,
      sym_dot_dot_i,
    STATE(2073), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4284), 2,
      sym_identifier,
      sym_dots,
  [140778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      sym__newline,
    ACTIONS(4290), 1,
      sym__external_open_parenthesis,
    STATE(1115), 1,
      sym__open_parenthesis,
    STATE(1992), 1,
      aux_sym_function_definition_repeat1,
  [140794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4292), 1,
      sym__external_open_parenthesis,
    STATE(1116), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4296), 1,
      sym_dot_dot_i,
    STATE(2078), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4294), 2,
      sym_identifier,
      sym_dots,
  [140824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4300), 1,
      sym_dot_dot_i,
    STATE(2067), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4298), 2,
      sym_identifier,
      sym_dots,
  [140838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4304), 1,
      sym_dot_dot_i,
    STATE(2070), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4302), 2,
      sym_identifier,
      sym_dots,
  [140852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4308), 1,
      sym_dot_dot_i,
    STATE(2063), 1,
      sym__identifier_or_dots_or_dot_dot_i,
    ACTIONS(4306), 2,
      sym_identifier,
      sym_dots,
  [140866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      sym__newline,
    ACTIONS(4312), 1,
      sym__external_open_parenthesis,
    STATE(1049), 1,
      sym__open_parenthesis,
    STATE(1999), 1,
      aux_sym_function_definition_repeat1,
  [140882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 1,
      sym__newline,
    ACTIONS(4316), 1,
      sym__external_open_parenthesis,
    STATE(1965), 1,
      sym__open_parenthesis,
    STATE(2000), 1,
      aux_sym_function_definition_repeat1,
  [140898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4318), 1,
      sym__external_open_parenthesis,
    STATE(1061), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4320), 1,
      sym__external_open_parenthesis,
    STATE(1966), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      sym__newline,
    ACTIONS(4324), 1,
      sym__external_open_parenthesis,
    STATE(1969), 1,
      sym__open_parenthesis,
    STATE(2002), 1,
      aux_sym_function_definition_repeat1,
  [140946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4326), 1,
      sym__external_open_parenthesis,
    STATE(1970), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__newline,
    ACTIONS(4330), 1,
      sym__external_open_parenthesis,
    STATE(1973), 1,
      sym__open_parenthesis,
    STATE(2004), 1,
      aux_sym_function_definition_repeat1,
  [140978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4332), 1,
      sym__external_open_parenthesis,
    STATE(1974), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [140994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      sym__newline,
    ACTIONS(4336), 1,
      sym__external_open_parenthesis,
    STATE(1977), 1,
      sym__open_parenthesis,
    STATE(2006), 1,
      aux_sym_function_definition_repeat1,
  [141010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4338), 1,
      sym__external_open_parenthesis,
    STATE(1978), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      sym__newline,
    ACTIONS(4342), 1,
      sym__external_open_parenthesis,
    STATE(1981), 1,
      sym__open_parenthesis,
    STATE(2008), 1,
      aux_sym_function_definition_repeat1,
  [141042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4344), 1,
      sym__external_open_parenthesis,
    STATE(1982), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4346), 1,
      sym__newline,
    ACTIONS(4348), 1,
      sym__external_open_parenthesis,
    STATE(1985), 1,
      sym__open_parenthesis,
    STATE(2010), 1,
      aux_sym_function_definition_repeat1,
  [141074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4350), 1,
      sym__external_open_parenthesis,
    STATE(1986), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4352), 1,
      sym__newline,
    ACTIONS(4354), 1,
      sym__external_open_parenthesis,
    STATE(1989), 1,
      sym__open_parenthesis,
    STATE(2012), 1,
      aux_sym_function_definition_repeat1,
  [141106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4356), 1,
      sym__external_open_parenthesis,
    STATE(1990), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      sym__newline,
    ACTIONS(4360), 1,
      sym__external_open_parenthesis,
    STATE(1993), 1,
      sym__open_parenthesis,
    STATE(2014), 1,
      aux_sym_function_definition_repeat1,
  [141138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4362), 1,
      sym__external_open_parenthesis,
    STATE(1994), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 1,
      sym__newline,
    ACTIONS(4366), 1,
      sym__external_open_parenthesis,
    STATE(1995), 1,
      sym__open_parenthesis,
    STATE(2016), 1,
      aux_sym_function_definition_repeat1,
  [141170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__newline,
    ACTIONS(4368), 1,
      sym__external_open_parenthesis,
    STATE(1996), 1,
      sym__open_parenthesis,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      sym_comma,
    ACTIONS(4370), 1,
      sym__external_close_bracket,
    STATE(1693), 1,
      sym__close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [141202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      sym_comma,
    ACTIONS(4375), 1,
      sym__external_close_bracket,
    STATE(2018), 1,
      aux_sym_call_arguments_repeat1,
  [141215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_EQ,
    ACTIONS(4379), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      sym__external_open_parenthesis,
    ACTIONS(4381), 1,
      sym__newline,
    STATE(2020), 1,
      aux_sym_function_definition_repeat1,
  [141239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4384), 3,
      sym__external_close_parenthesis,
      anon_sym_EQ,
      sym_comma,
  [141248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4375), 1,
      sym__external_close_parenthesis,
    ACTIONS(4386), 1,
      sym_comma,
    STATE(2022), 1,
      aux_sym_call_arguments_repeat1,
  [141261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4375), 1,
      sym__external_close_bracket2,
    ACTIONS(4389), 1,
      sym_comma,
    STATE(2023), 1,
      aux_sym_call_arguments_repeat1,
  [141274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4392), 1,
      sym_comma,
    ACTIONS(4395), 1,
      sym__external_close_parenthesis,
    STATE(2024), 1,
      aux_sym_parameters_repeat1,
  [141287] = 3,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_SQUOTE,
    ACTIONS(4399), 2,
      aux_sym__single_quoted_string_content_token1,
      sym_escape_sequence,
  [141298] = 3,
    ACTIONS(3834), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_DQUOTE,
    ACTIONS(4403), 2,
      aux_sym__double_quoted_string_content_token1,
      sym_escape_sequence,
  [141309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4407), 1,
      anon_sym_COLON_COLON_COLON,
  [141319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4409), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4411), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 2,
      sym__external_close_bracket2,
      sym_comma,
  [141351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      anon_sym_COLON_COLON_COLON,
  [141361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4409), 2,
      sym__external_close_bracket2,
      sym_comma,
  [141369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 2,
      sym__external_close_bracket2,
      sym_comma,
  [141385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 2,
      sym__external_close_bracket2,
      sym_comma,
  [141393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 2,
      sym__external_close_bracket,
      sym_comma,
  [141401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4427), 1,
      anon_sym_COLON_COLON_COLON,
  [141411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 2,
      sym__external_close_bracket,
      sym_comma,
  [141419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4429), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 2,
      sym__external_close_parenthesis,
      sym_comma,
  [141451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4435), 1,
      anon_sym_COLON_COLON_COLON,
  [141461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 2,
      sym__external_close_bracket,
      sym_comma,
  [141469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4439), 1,
      anon_sym_COLON_COLON_COLON,
  [141479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4409), 2,
      sym__external_close_bracket,
      sym_comma,
  [141487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4443), 1,
      anon_sym_COLON_COLON_COLON,
  [141497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON_COLON,
  [141507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 2,
      sym__external_close_bracket2,
      sym_comma,
  [141515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON_COLON,
  [141525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4455), 1,
      anon_sym_COLON_COLON_COLON,
  [141535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 2,
      sym__external_close_bracket,
      sym_comma,
  [141543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4459), 1,
      anon_sym_COLON_COLON_COLON,
  [141553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_in,
  [141560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_in,
  [141567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      ts_builtin_sym_end,
  [141574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_in,
  [141581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4469), 1,
      anon_sym_in,
  [141588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_in,
  [141595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 1,
      anon_sym_in,
  [141602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_in,
  [141609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_in,
  [141616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_in,
  [141623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_EQ,
  [141630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4483), 1,
      anon_sym_in,
  [141637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4485), 1,
      anon_sym_in,
  [141644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_in,
  [141651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 1,
      anon_sym_EQ,
  [141658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      anon_sym_in,
  [141665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_in,
  [141672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_in,
  [141679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4497), 1,
      anon_sym_in,
  [141686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_in,
  [141693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 1,
      anon_sym_in,
  [141700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_EQ,
  [141707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      anon_sym_in,
  [141714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4507), 1,
      anon_sym_in,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(449)] = 0,
  [SMALL_STATE(450)] = 129,
  [SMALL_STATE(451)] = 258,
  [SMALL_STATE(452)] = 387,
  [SMALL_STATE(453)] = 515,
  [SMALL_STATE(454)] = 643,
  [SMALL_STATE(455)] = 771,
  [SMALL_STATE(456)] = 899,
  [SMALL_STATE(457)] = 1027,
  [SMALL_STATE(458)] = 1155,
  [SMALL_STATE(459)] = 1283,
  [SMALL_STATE(460)] = 1411,
  [SMALL_STATE(461)] = 1539,
  [SMALL_STATE(462)] = 1667,
  [SMALL_STATE(463)] = 1795,
  [SMALL_STATE(464)] = 1923,
  [SMALL_STATE(465)] = 2051,
  [SMALL_STATE(466)] = 2179,
  [SMALL_STATE(467)] = 2307,
  [SMALL_STATE(468)] = 2435,
  [SMALL_STATE(469)] = 2563,
  [SMALL_STATE(470)] = 2691,
  [SMALL_STATE(471)] = 2819,
  [SMALL_STATE(472)] = 2947,
  [SMALL_STATE(473)] = 3075,
  [SMALL_STATE(474)] = 3201,
  [SMALL_STATE(475)] = 3329,
  [SMALL_STATE(476)] = 3457,
  [SMALL_STATE(477)] = 3585,
  [SMALL_STATE(478)] = 3713,
  [SMALL_STATE(479)] = 3841,
  [SMALL_STATE(480)] = 3969,
  [SMALL_STATE(481)] = 4097,
  [SMALL_STATE(482)] = 4225,
  [SMALL_STATE(483)] = 4353,
  [SMALL_STATE(484)] = 4481,
  [SMALL_STATE(485)] = 4609,
  [SMALL_STATE(486)] = 4737,
  [SMALL_STATE(487)] = 4865,
  [SMALL_STATE(488)] = 4993,
  [SMALL_STATE(489)] = 5121,
  [SMALL_STATE(490)] = 5249,
  [SMALL_STATE(491)] = 5377,
  [SMALL_STATE(492)] = 5505,
  [SMALL_STATE(493)] = 5633,
  [SMALL_STATE(494)] = 5761,
  [SMALL_STATE(495)] = 5889,
  [SMALL_STATE(496)] = 6017,
  [SMALL_STATE(497)] = 6145,
  [SMALL_STATE(498)] = 6273,
  [SMALL_STATE(499)] = 6401,
  [SMALL_STATE(500)] = 6529,
  [SMALL_STATE(501)] = 6657,
  [SMALL_STATE(502)] = 6785,
  [SMALL_STATE(503)] = 6913,
  [SMALL_STATE(504)] = 7041,
  [SMALL_STATE(505)] = 7169,
  [SMALL_STATE(506)] = 7297,
  [SMALL_STATE(507)] = 7425,
  [SMALL_STATE(508)] = 7553,
  [SMALL_STATE(509)] = 7681,
  [SMALL_STATE(510)] = 7809,
  [SMALL_STATE(511)] = 7937,
  [SMALL_STATE(512)] = 8065,
  [SMALL_STATE(513)] = 8193,
  [SMALL_STATE(514)] = 8321,
  [SMALL_STATE(515)] = 8449,
  [SMALL_STATE(516)] = 8577,
  [SMALL_STATE(517)] = 8705,
  [SMALL_STATE(518)] = 8833,
  [SMALL_STATE(519)] = 8961,
  [SMALL_STATE(520)] = 9089,
  [SMALL_STATE(521)] = 9217,
  [SMALL_STATE(522)] = 9345,
  [SMALL_STATE(523)] = 9473,
  [SMALL_STATE(524)] = 9601,
  [SMALL_STATE(525)] = 9729,
  [SMALL_STATE(526)] = 9857,
  [SMALL_STATE(527)] = 9985,
  [SMALL_STATE(528)] = 10113,
  [SMALL_STATE(529)] = 10241,
  [SMALL_STATE(530)] = 10369,
  [SMALL_STATE(531)] = 10497,
  [SMALL_STATE(532)] = 10625,
  [SMALL_STATE(533)] = 10753,
  [SMALL_STATE(534)] = 10881,
  [SMALL_STATE(535)] = 11009,
  [SMALL_STATE(536)] = 11137,
  [SMALL_STATE(537)] = 11265,
  [SMALL_STATE(538)] = 11393,
  [SMALL_STATE(539)] = 11521,
  [SMALL_STATE(540)] = 11649,
  [SMALL_STATE(541)] = 11777,
  [SMALL_STATE(542)] = 11905,
  [SMALL_STATE(543)] = 12033,
  [SMALL_STATE(544)] = 12161,
  [SMALL_STATE(545)] = 12289,
  [SMALL_STATE(546)] = 12417,
  [SMALL_STATE(547)] = 12545,
  [SMALL_STATE(548)] = 12673,
  [SMALL_STATE(549)] = 12801,
  [SMALL_STATE(550)] = 12929,
  [SMALL_STATE(551)] = 13057,
  [SMALL_STATE(552)] = 13185,
  [SMALL_STATE(553)] = 13313,
  [SMALL_STATE(554)] = 13441,
  [SMALL_STATE(555)] = 13569,
  [SMALL_STATE(556)] = 13697,
  [SMALL_STATE(557)] = 13825,
  [SMALL_STATE(558)] = 13953,
  [SMALL_STATE(559)] = 14081,
  [SMALL_STATE(560)] = 14209,
  [SMALL_STATE(561)] = 14337,
  [SMALL_STATE(562)] = 14465,
  [SMALL_STATE(563)] = 14593,
  [SMALL_STATE(564)] = 14721,
  [SMALL_STATE(565)] = 14849,
  [SMALL_STATE(566)] = 14977,
  [SMALL_STATE(567)] = 15105,
  [SMALL_STATE(568)] = 15233,
  [SMALL_STATE(569)] = 15361,
  [SMALL_STATE(570)] = 15489,
  [SMALL_STATE(571)] = 15617,
  [SMALL_STATE(572)] = 15745,
  [SMALL_STATE(573)] = 15873,
  [SMALL_STATE(574)] = 16001,
  [SMALL_STATE(575)] = 16129,
  [SMALL_STATE(576)] = 16257,
  [SMALL_STATE(577)] = 16385,
  [SMALL_STATE(578)] = 16513,
  [SMALL_STATE(579)] = 16641,
  [SMALL_STATE(580)] = 16769,
  [SMALL_STATE(581)] = 16897,
  [SMALL_STATE(582)] = 17025,
  [SMALL_STATE(583)] = 17153,
  [SMALL_STATE(584)] = 17281,
  [SMALL_STATE(585)] = 17409,
  [SMALL_STATE(586)] = 17537,
  [SMALL_STATE(587)] = 17665,
  [SMALL_STATE(588)] = 17793,
  [SMALL_STATE(589)] = 17921,
  [SMALL_STATE(590)] = 18049,
  [SMALL_STATE(591)] = 18177,
  [SMALL_STATE(592)] = 18305,
  [SMALL_STATE(593)] = 18433,
  [SMALL_STATE(594)] = 18561,
  [SMALL_STATE(595)] = 18689,
  [SMALL_STATE(596)] = 18817,
  [SMALL_STATE(597)] = 18945,
  [SMALL_STATE(598)] = 19073,
  [SMALL_STATE(599)] = 19201,
  [SMALL_STATE(600)] = 19329,
  [SMALL_STATE(601)] = 19457,
  [SMALL_STATE(602)] = 19585,
  [SMALL_STATE(603)] = 19713,
  [SMALL_STATE(604)] = 19841,
  [SMALL_STATE(605)] = 19969,
  [SMALL_STATE(606)] = 20097,
  [SMALL_STATE(607)] = 20225,
  [SMALL_STATE(608)] = 20353,
  [SMALL_STATE(609)] = 20481,
  [SMALL_STATE(610)] = 20609,
  [SMALL_STATE(611)] = 20737,
  [SMALL_STATE(612)] = 20865,
  [SMALL_STATE(613)] = 20993,
  [SMALL_STATE(614)] = 21121,
  [SMALL_STATE(615)] = 21249,
  [SMALL_STATE(616)] = 21377,
  [SMALL_STATE(617)] = 21505,
  [SMALL_STATE(618)] = 21633,
  [SMALL_STATE(619)] = 21761,
  [SMALL_STATE(620)] = 21889,
  [SMALL_STATE(621)] = 22017,
  [SMALL_STATE(622)] = 22145,
  [SMALL_STATE(623)] = 22273,
  [SMALL_STATE(624)] = 22401,
  [SMALL_STATE(625)] = 22529,
  [SMALL_STATE(626)] = 22657,
  [SMALL_STATE(627)] = 22785,
  [SMALL_STATE(628)] = 22913,
  [SMALL_STATE(629)] = 23041,
  [SMALL_STATE(630)] = 23169,
  [SMALL_STATE(631)] = 23297,
  [SMALL_STATE(632)] = 23425,
  [SMALL_STATE(633)] = 23553,
  [SMALL_STATE(634)] = 23681,
  [SMALL_STATE(635)] = 23809,
  [SMALL_STATE(636)] = 23937,
  [SMALL_STATE(637)] = 24065,
  [SMALL_STATE(638)] = 24193,
  [SMALL_STATE(639)] = 24321,
  [SMALL_STATE(640)] = 24449,
  [SMALL_STATE(641)] = 24577,
  [SMALL_STATE(642)] = 24705,
  [SMALL_STATE(643)] = 24833,
  [SMALL_STATE(644)] = 24961,
  [SMALL_STATE(645)] = 25089,
  [SMALL_STATE(646)] = 25217,
  [SMALL_STATE(647)] = 25345,
  [SMALL_STATE(648)] = 25473,
  [SMALL_STATE(649)] = 25601,
  [SMALL_STATE(650)] = 25729,
  [SMALL_STATE(651)] = 25857,
  [SMALL_STATE(652)] = 25985,
  [SMALL_STATE(653)] = 26113,
  [SMALL_STATE(654)] = 26241,
  [SMALL_STATE(655)] = 26369,
  [SMALL_STATE(656)] = 26497,
  [SMALL_STATE(657)] = 26625,
  [SMALL_STATE(658)] = 26753,
  [SMALL_STATE(659)] = 26881,
  [SMALL_STATE(660)] = 27009,
  [SMALL_STATE(661)] = 27137,
  [SMALL_STATE(662)] = 27265,
  [SMALL_STATE(663)] = 27393,
  [SMALL_STATE(664)] = 27521,
  [SMALL_STATE(665)] = 27649,
  [SMALL_STATE(666)] = 27777,
  [SMALL_STATE(667)] = 27905,
  [SMALL_STATE(668)] = 28033,
  [SMALL_STATE(669)] = 28161,
  [SMALL_STATE(670)] = 28289,
  [SMALL_STATE(671)] = 28417,
  [SMALL_STATE(672)] = 28545,
  [SMALL_STATE(673)] = 28673,
  [SMALL_STATE(674)] = 28801,
  [SMALL_STATE(675)] = 28929,
  [SMALL_STATE(676)] = 29057,
  [SMALL_STATE(677)] = 29185,
  [SMALL_STATE(678)] = 29313,
  [SMALL_STATE(679)] = 29441,
  [SMALL_STATE(680)] = 29569,
  [SMALL_STATE(681)] = 29697,
  [SMALL_STATE(682)] = 29825,
  [SMALL_STATE(683)] = 29953,
  [SMALL_STATE(684)] = 30081,
  [SMALL_STATE(685)] = 30209,
  [SMALL_STATE(686)] = 30337,
  [SMALL_STATE(687)] = 30465,
  [SMALL_STATE(688)] = 30593,
  [SMALL_STATE(689)] = 30721,
  [SMALL_STATE(690)] = 30849,
  [SMALL_STATE(691)] = 30977,
  [SMALL_STATE(692)] = 31105,
  [SMALL_STATE(693)] = 31233,
  [SMALL_STATE(694)] = 31361,
  [SMALL_STATE(695)] = 31489,
  [SMALL_STATE(696)] = 31617,
  [SMALL_STATE(697)] = 31745,
  [SMALL_STATE(698)] = 31873,
  [SMALL_STATE(699)] = 32001,
  [SMALL_STATE(700)] = 32129,
  [SMALL_STATE(701)] = 32257,
  [SMALL_STATE(702)] = 32385,
  [SMALL_STATE(703)] = 32513,
  [SMALL_STATE(704)] = 32641,
  [SMALL_STATE(705)] = 32769,
  [SMALL_STATE(706)] = 32897,
  [SMALL_STATE(707)] = 33025,
  [SMALL_STATE(708)] = 33153,
  [SMALL_STATE(709)] = 33281,
  [SMALL_STATE(710)] = 33409,
  [SMALL_STATE(711)] = 33537,
  [SMALL_STATE(712)] = 33665,
  [SMALL_STATE(713)] = 33793,
  [SMALL_STATE(714)] = 33921,
  [SMALL_STATE(715)] = 34049,
  [SMALL_STATE(716)] = 34177,
  [SMALL_STATE(717)] = 34305,
  [SMALL_STATE(718)] = 34433,
  [SMALL_STATE(719)] = 34561,
  [SMALL_STATE(720)] = 34689,
  [SMALL_STATE(721)] = 34817,
  [SMALL_STATE(722)] = 34945,
  [SMALL_STATE(723)] = 35073,
  [SMALL_STATE(724)] = 35201,
  [SMALL_STATE(725)] = 35329,
  [SMALL_STATE(726)] = 35457,
  [SMALL_STATE(727)] = 35585,
  [SMALL_STATE(728)] = 35713,
  [SMALL_STATE(729)] = 35841,
  [SMALL_STATE(730)] = 35969,
  [SMALL_STATE(731)] = 36097,
  [SMALL_STATE(732)] = 36225,
  [SMALL_STATE(733)] = 36353,
  [SMALL_STATE(734)] = 36481,
  [SMALL_STATE(735)] = 36609,
  [SMALL_STATE(736)] = 36737,
  [SMALL_STATE(737)] = 36865,
  [SMALL_STATE(738)] = 36993,
  [SMALL_STATE(739)] = 37121,
  [SMALL_STATE(740)] = 37249,
  [SMALL_STATE(741)] = 37377,
  [SMALL_STATE(742)] = 37505,
  [SMALL_STATE(743)] = 37633,
  [SMALL_STATE(744)] = 37761,
  [SMALL_STATE(745)] = 37889,
  [SMALL_STATE(746)] = 38017,
  [SMALL_STATE(747)] = 38145,
  [SMALL_STATE(748)] = 38273,
  [SMALL_STATE(749)] = 38401,
  [SMALL_STATE(750)] = 38529,
  [SMALL_STATE(751)] = 38657,
  [SMALL_STATE(752)] = 38785,
  [SMALL_STATE(753)] = 38913,
  [SMALL_STATE(754)] = 39041,
  [SMALL_STATE(755)] = 39169,
  [SMALL_STATE(756)] = 39297,
  [SMALL_STATE(757)] = 39425,
  [SMALL_STATE(758)] = 39553,
  [SMALL_STATE(759)] = 39681,
  [SMALL_STATE(760)] = 39809,
  [SMALL_STATE(761)] = 39937,
  [SMALL_STATE(762)] = 40065,
  [SMALL_STATE(763)] = 40193,
  [SMALL_STATE(764)] = 40321,
  [SMALL_STATE(765)] = 40449,
  [SMALL_STATE(766)] = 40577,
  [SMALL_STATE(767)] = 40705,
  [SMALL_STATE(768)] = 40833,
  [SMALL_STATE(769)] = 40961,
  [SMALL_STATE(770)] = 41089,
  [SMALL_STATE(771)] = 41217,
  [SMALL_STATE(772)] = 41345,
  [SMALL_STATE(773)] = 41473,
  [SMALL_STATE(774)] = 41601,
  [SMALL_STATE(775)] = 41729,
  [SMALL_STATE(776)] = 41857,
  [SMALL_STATE(777)] = 41985,
  [SMALL_STATE(778)] = 42113,
  [SMALL_STATE(779)] = 42241,
  [SMALL_STATE(780)] = 42369,
  [SMALL_STATE(781)] = 42497,
  [SMALL_STATE(782)] = 42625,
  [SMALL_STATE(783)] = 42753,
  [SMALL_STATE(784)] = 42881,
  [SMALL_STATE(785)] = 43009,
  [SMALL_STATE(786)] = 43137,
  [SMALL_STATE(787)] = 43265,
  [SMALL_STATE(788)] = 43393,
  [SMALL_STATE(789)] = 43521,
  [SMALL_STATE(790)] = 43649,
  [SMALL_STATE(791)] = 43777,
  [SMALL_STATE(792)] = 43905,
  [SMALL_STATE(793)] = 44033,
  [SMALL_STATE(794)] = 44161,
  [SMALL_STATE(795)] = 44289,
  [SMALL_STATE(796)] = 44417,
  [SMALL_STATE(797)] = 44545,
  [SMALL_STATE(798)] = 44673,
  [SMALL_STATE(799)] = 44801,
  [SMALL_STATE(800)] = 44929,
  [SMALL_STATE(801)] = 45057,
  [SMALL_STATE(802)] = 45185,
  [SMALL_STATE(803)] = 45313,
  [SMALL_STATE(804)] = 45441,
  [SMALL_STATE(805)] = 45569,
  [SMALL_STATE(806)] = 45697,
  [SMALL_STATE(807)] = 45825,
  [SMALL_STATE(808)] = 45953,
  [SMALL_STATE(809)] = 46081,
  [SMALL_STATE(810)] = 46209,
  [SMALL_STATE(811)] = 46337,
  [SMALL_STATE(812)] = 46465,
  [SMALL_STATE(813)] = 46593,
  [SMALL_STATE(814)] = 46721,
  [SMALL_STATE(815)] = 46849,
  [SMALL_STATE(816)] = 46977,
  [SMALL_STATE(817)] = 47105,
  [SMALL_STATE(818)] = 47233,
  [SMALL_STATE(819)] = 47361,
  [SMALL_STATE(820)] = 47489,
  [SMALL_STATE(821)] = 47617,
  [SMALL_STATE(822)] = 47745,
  [SMALL_STATE(823)] = 47873,
  [SMALL_STATE(824)] = 48001,
  [SMALL_STATE(825)] = 48129,
  [SMALL_STATE(826)] = 48257,
  [SMALL_STATE(827)] = 48385,
  [SMALL_STATE(828)] = 48513,
  [SMALL_STATE(829)] = 48641,
  [SMALL_STATE(830)] = 48769,
  [SMALL_STATE(831)] = 48897,
  [SMALL_STATE(832)] = 49025,
  [SMALL_STATE(833)] = 49153,
  [SMALL_STATE(834)] = 49281,
  [SMALL_STATE(835)] = 49409,
  [SMALL_STATE(836)] = 49537,
  [SMALL_STATE(837)] = 49665,
  [SMALL_STATE(838)] = 49793,
  [SMALL_STATE(839)] = 49921,
  [SMALL_STATE(840)] = 50049,
  [SMALL_STATE(841)] = 50177,
  [SMALL_STATE(842)] = 50305,
  [SMALL_STATE(843)] = 50433,
  [SMALL_STATE(844)] = 50561,
  [SMALL_STATE(845)] = 50689,
  [SMALL_STATE(846)] = 50817,
  [SMALL_STATE(847)] = 50945,
  [SMALL_STATE(848)] = 51073,
  [SMALL_STATE(849)] = 51201,
  [SMALL_STATE(850)] = 51329,
  [SMALL_STATE(851)] = 51457,
  [SMALL_STATE(852)] = 51585,
  [SMALL_STATE(853)] = 51713,
  [SMALL_STATE(854)] = 51841,
  [SMALL_STATE(855)] = 51969,
  [SMALL_STATE(856)] = 52097,
  [SMALL_STATE(857)] = 52225,
  [SMALL_STATE(858)] = 52353,
  [SMALL_STATE(859)] = 52481,
  [SMALL_STATE(860)] = 52609,
  [SMALL_STATE(861)] = 52737,
  [SMALL_STATE(862)] = 52865,
  [SMALL_STATE(863)] = 52993,
  [SMALL_STATE(864)] = 53121,
  [SMALL_STATE(865)] = 53249,
  [SMALL_STATE(866)] = 53377,
  [SMALL_STATE(867)] = 53505,
  [SMALL_STATE(868)] = 53633,
  [SMALL_STATE(869)] = 53761,
  [SMALL_STATE(870)] = 53889,
  [SMALL_STATE(871)] = 54017,
  [SMALL_STATE(872)] = 54145,
  [SMALL_STATE(873)] = 54273,
  [SMALL_STATE(874)] = 54401,
  [SMALL_STATE(875)] = 54529,
  [SMALL_STATE(876)] = 54657,
  [SMALL_STATE(877)] = 54785,
  [SMALL_STATE(878)] = 54913,
  [SMALL_STATE(879)] = 55041,
  [SMALL_STATE(880)] = 55169,
  [SMALL_STATE(881)] = 55297,
  [SMALL_STATE(882)] = 55425,
  [SMALL_STATE(883)] = 55553,
  [SMALL_STATE(884)] = 55681,
  [SMALL_STATE(885)] = 55809,
  [SMALL_STATE(886)] = 55937,
  [SMALL_STATE(887)] = 56065,
  [SMALL_STATE(888)] = 56193,
  [SMALL_STATE(889)] = 56321,
  [SMALL_STATE(890)] = 56449,
  [SMALL_STATE(891)] = 56577,
  [SMALL_STATE(892)] = 56705,
  [SMALL_STATE(893)] = 56833,
  [SMALL_STATE(894)] = 56961,
  [SMALL_STATE(895)] = 57089,
  [SMALL_STATE(896)] = 57217,
  [SMALL_STATE(897)] = 57345,
  [SMALL_STATE(898)] = 57473,
  [SMALL_STATE(899)] = 57601,
  [SMALL_STATE(900)] = 57729,
  [SMALL_STATE(901)] = 57857,
  [SMALL_STATE(902)] = 57985,
  [SMALL_STATE(903)] = 58113,
  [SMALL_STATE(904)] = 58241,
  [SMALL_STATE(905)] = 58369,
  [SMALL_STATE(906)] = 58497,
  [SMALL_STATE(907)] = 58625,
  [SMALL_STATE(908)] = 58753,
  [SMALL_STATE(909)] = 58881,
  [SMALL_STATE(910)] = 59009,
  [SMALL_STATE(911)] = 59137,
  [SMALL_STATE(912)] = 59265,
  [SMALL_STATE(913)] = 59393,
  [SMALL_STATE(914)] = 59521,
  [SMALL_STATE(915)] = 59649,
  [SMALL_STATE(916)] = 59777,
  [SMALL_STATE(917)] = 59905,
  [SMALL_STATE(918)] = 60033,
  [SMALL_STATE(919)] = 60161,
  [SMALL_STATE(920)] = 60289,
  [SMALL_STATE(921)] = 60417,
  [SMALL_STATE(922)] = 60545,
  [SMALL_STATE(923)] = 60673,
  [SMALL_STATE(924)] = 60801,
  [SMALL_STATE(925)] = 60929,
  [SMALL_STATE(926)] = 61057,
  [SMALL_STATE(927)] = 61185,
  [SMALL_STATE(928)] = 61313,
  [SMALL_STATE(929)] = 61441,
  [SMALL_STATE(930)] = 61569,
  [SMALL_STATE(931)] = 61697,
  [SMALL_STATE(932)] = 61825,
  [SMALL_STATE(933)] = 61953,
  [SMALL_STATE(934)] = 62081,
  [SMALL_STATE(935)] = 62209,
  [SMALL_STATE(936)] = 62337,
  [SMALL_STATE(937)] = 62465,
  [SMALL_STATE(938)] = 62593,
  [SMALL_STATE(939)] = 62721,
  [SMALL_STATE(940)] = 62849,
  [SMALL_STATE(941)] = 62977,
  [SMALL_STATE(942)] = 63105,
  [SMALL_STATE(943)] = 63233,
  [SMALL_STATE(944)] = 63361,
  [SMALL_STATE(945)] = 63489,
  [SMALL_STATE(946)] = 63617,
  [SMALL_STATE(947)] = 63745,
  [SMALL_STATE(948)] = 63873,
  [SMALL_STATE(949)] = 64001,
  [SMALL_STATE(950)] = 64129,
  [SMALL_STATE(951)] = 64257,
  [SMALL_STATE(952)] = 64385,
  [SMALL_STATE(953)] = 64513,
  [SMALL_STATE(954)] = 64641,
  [SMALL_STATE(955)] = 64769,
  [SMALL_STATE(956)] = 64897,
  [SMALL_STATE(957)] = 65025,
  [SMALL_STATE(958)] = 65153,
  [SMALL_STATE(959)] = 65281,
  [SMALL_STATE(960)] = 65409,
  [SMALL_STATE(961)] = 65537,
  [SMALL_STATE(962)] = 65665,
  [SMALL_STATE(963)] = 65793,
  [SMALL_STATE(964)] = 65921,
  [SMALL_STATE(965)] = 66049,
  [SMALL_STATE(966)] = 66177,
  [SMALL_STATE(967)] = 66305,
  [SMALL_STATE(968)] = 66433,
  [SMALL_STATE(969)] = 66561,
  [SMALL_STATE(970)] = 66689,
  [SMALL_STATE(971)] = 66817,
  [SMALL_STATE(972)] = 66945,
  [SMALL_STATE(973)] = 67073,
  [SMALL_STATE(974)] = 67201,
  [SMALL_STATE(975)] = 67329,
  [SMALL_STATE(976)] = 67457,
  [SMALL_STATE(977)] = 67585,
  [SMALL_STATE(978)] = 67713,
  [SMALL_STATE(979)] = 67841,
  [SMALL_STATE(980)] = 67969,
  [SMALL_STATE(981)] = 68097,
  [SMALL_STATE(982)] = 68225,
  [SMALL_STATE(983)] = 68353,
  [SMALL_STATE(984)] = 68481,
  [SMALL_STATE(985)] = 68609,
  [SMALL_STATE(986)] = 68737,
  [SMALL_STATE(987)] = 68865,
  [SMALL_STATE(988)] = 68993,
  [SMALL_STATE(989)] = 69121,
  [SMALL_STATE(990)] = 69249,
  [SMALL_STATE(991)] = 69377,
  [SMALL_STATE(992)] = 69505,
  [SMALL_STATE(993)] = 69633,
  [SMALL_STATE(994)] = 69761,
  [SMALL_STATE(995)] = 69889,
  [SMALL_STATE(996)] = 70017,
  [SMALL_STATE(997)] = 70145,
  [SMALL_STATE(998)] = 70273,
  [SMALL_STATE(999)] = 70401,
  [SMALL_STATE(1000)] = 70529,
  [SMALL_STATE(1001)] = 70657,
  [SMALL_STATE(1002)] = 70785,
  [SMALL_STATE(1003)] = 70913,
  [SMALL_STATE(1004)] = 71041,
  [SMALL_STATE(1005)] = 71169,
  [SMALL_STATE(1006)] = 71297,
  [SMALL_STATE(1007)] = 71425,
  [SMALL_STATE(1008)] = 71553,
  [SMALL_STATE(1009)] = 71681,
  [SMALL_STATE(1010)] = 71809,
  [SMALL_STATE(1011)] = 71937,
  [SMALL_STATE(1012)] = 72065,
  [SMALL_STATE(1013)] = 72193,
  [SMALL_STATE(1014)] = 72321,
  [SMALL_STATE(1015)] = 72449,
  [SMALL_STATE(1016)] = 72577,
  [SMALL_STATE(1017)] = 72705,
  [SMALL_STATE(1018)] = 72833,
  [SMALL_STATE(1019)] = 72961,
  [SMALL_STATE(1020)] = 73089,
  [SMALL_STATE(1021)] = 73217,
  [SMALL_STATE(1022)] = 73345,
  [SMALL_STATE(1023)] = 73473,
  [SMALL_STATE(1024)] = 73601,
  [SMALL_STATE(1025)] = 73729,
  [SMALL_STATE(1026)] = 73857,
  [SMALL_STATE(1027)] = 73985,
  [SMALL_STATE(1028)] = 74113,
  [SMALL_STATE(1029)] = 74241,
  [SMALL_STATE(1030)] = 74369,
  [SMALL_STATE(1031)] = 74497,
  [SMALL_STATE(1032)] = 74625,
  [SMALL_STATE(1033)] = 74753,
  [SMALL_STATE(1034)] = 74881,
  [SMALL_STATE(1035)] = 75009,
  [SMALL_STATE(1036)] = 75137,
  [SMALL_STATE(1037)] = 75265,
  [SMALL_STATE(1038)] = 75393,
  [SMALL_STATE(1039)] = 75521,
  [SMALL_STATE(1040)] = 75649,
  [SMALL_STATE(1041)] = 75777,
  [SMALL_STATE(1042)] = 75905,
  [SMALL_STATE(1043)] = 76033,
  [SMALL_STATE(1044)] = 76161,
  [SMALL_STATE(1045)] = 76289,
  [SMALL_STATE(1046)] = 76417,
  [SMALL_STATE(1047)] = 76545,
  [SMALL_STATE(1048)] = 76673,
  [SMALL_STATE(1049)] = 76795,
  [SMALL_STATE(1050)] = 76917,
  [SMALL_STATE(1051)] = 77039,
  [SMALL_STATE(1052)] = 77161,
  [SMALL_STATE(1053)] = 77283,
  [SMALL_STATE(1054)] = 77405,
  [SMALL_STATE(1055)] = 77527,
  [SMALL_STATE(1056)] = 77649,
  [SMALL_STATE(1057)] = 77771,
  [SMALL_STATE(1058)] = 77893,
  [SMALL_STATE(1059)] = 78015,
  [SMALL_STATE(1060)] = 78137,
  [SMALL_STATE(1061)] = 78259,
  [SMALL_STATE(1062)] = 78381,
  [SMALL_STATE(1063)] = 78503,
  [SMALL_STATE(1064)] = 78625,
  [SMALL_STATE(1065)] = 78747,
  [SMALL_STATE(1066)] = 78869,
  [SMALL_STATE(1067)] = 78991,
  [SMALL_STATE(1068)] = 79113,
  [SMALL_STATE(1069)] = 79235,
  [SMALL_STATE(1070)] = 79357,
  [SMALL_STATE(1071)] = 79479,
  [SMALL_STATE(1072)] = 79601,
  [SMALL_STATE(1073)] = 79723,
  [SMALL_STATE(1074)] = 79845,
  [SMALL_STATE(1075)] = 79967,
  [SMALL_STATE(1076)] = 80089,
  [SMALL_STATE(1077)] = 80211,
  [SMALL_STATE(1078)] = 80333,
  [SMALL_STATE(1079)] = 80455,
  [SMALL_STATE(1080)] = 80577,
  [SMALL_STATE(1081)] = 80699,
  [SMALL_STATE(1082)] = 80821,
  [SMALL_STATE(1083)] = 80943,
  [SMALL_STATE(1084)] = 81065,
  [SMALL_STATE(1085)] = 81187,
  [SMALL_STATE(1086)] = 81309,
  [SMALL_STATE(1087)] = 81431,
  [SMALL_STATE(1088)] = 81553,
  [SMALL_STATE(1089)] = 81675,
  [SMALL_STATE(1090)] = 81797,
  [SMALL_STATE(1091)] = 81919,
  [SMALL_STATE(1092)] = 82041,
  [SMALL_STATE(1093)] = 82163,
  [SMALL_STATE(1094)] = 82285,
  [SMALL_STATE(1095)] = 82407,
  [SMALL_STATE(1096)] = 82529,
  [SMALL_STATE(1097)] = 82651,
  [SMALL_STATE(1098)] = 82773,
  [SMALL_STATE(1099)] = 82895,
  [SMALL_STATE(1100)] = 83017,
  [SMALL_STATE(1101)] = 83139,
  [SMALL_STATE(1102)] = 83261,
  [SMALL_STATE(1103)] = 83383,
  [SMALL_STATE(1104)] = 83505,
  [SMALL_STATE(1105)] = 83627,
  [SMALL_STATE(1106)] = 83749,
  [SMALL_STATE(1107)] = 83871,
  [SMALL_STATE(1108)] = 83993,
  [SMALL_STATE(1109)] = 84115,
  [SMALL_STATE(1110)] = 84237,
  [SMALL_STATE(1111)] = 84359,
  [SMALL_STATE(1112)] = 84481,
  [SMALL_STATE(1113)] = 84603,
  [SMALL_STATE(1114)] = 84725,
  [SMALL_STATE(1115)] = 84847,
  [SMALL_STATE(1116)] = 84969,
  [SMALL_STATE(1117)] = 85091,
  [SMALL_STATE(1118)] = 85213,
  [SMALL_STATE(1119)] = 85288,
  [SMALL_STATE(1120)] = 85363,
  [SMALL_STATE(1121)] = 85438,
  [SMALL_STATE(1122)] = 85513,
  [SMALL_STATE(1123)] = 85588,
  [SMALL_STATE(1124)] = 85663,
  [SMALL_STATE(1125)] = 85737,
  [SMALL_STATE(1126)] = 85811,
  [SMALL_STATE(1127)] = 85885,
  [SMALL_STATE(1128)] = 85959,
  [SMALL_STATE(1129)] = 86033,
  [SMALL_STATE(1130)] = 86107,
  [SMALL_STATE(1131)] = 86176,
  [SMALL_STATE(1132)] = 86245,
  [SMALL_STATE(1133)] = 86314,
  [SMALL_STATE(1134)] = 86382,
  [SMALL_STATE(1135)] = 86450,
  [SMALL_STATE(1136)] = 86518,
  [SMALL_STATE(1137)] = 86573,
  [SMALL_STATE(1138)] = 86628,
  [SMALL_STATE(1139)] = 86683,
  [SMALL_STATE(1140)] = 86791,
  [SMALL_STATE(1141)] = 86899,
  [SMALL_STATE(1142)] = 87007,
  [SMALL_STATE(1143)] = 87115,
  [SMALL_STATE(1144)] = 87169,
  [SMALL_STATE(1145)] = 87277,
  [SMALL_STATE(1146)] = 87385,
  [SMALL_STATE(1147)] = 87493,
  [SMALL_STATE(1148)] = 87547,
  [SMALL_STATE(1149)] = 87655,
  [SMALL_STATE(1150)] = 87763,
  [SMALL_STATE(1151)] = 87871,
  [SMALL_STATE(1152)] = 87979,
  [SMALL_STATE(1153)] = 88087,
  [SMALL_STATE(1154)] = 88195,
  [SMALL_STATE(1155)] = 88303,
  [SMALL_STATE(1156)] = 88411,
  [SMALL_STATE(1157)] = 88465,
  [SMALL_STATE(1158)] = 88573,
  [SMALL_STATE(1159)] = 88681,
  [SMALL_STATE(1160)] = 88789,
  [SMALL_STATE(1161)] = 88897,
  [SMALL_STATE(1162)] = 89005,
  [SMALL_STATE(1163)] = 89113,
  [SMALL_STATE(1164)] = 89221,
  [SMALL_STATE(1165)] = 89329,
  [SMALL_STATE(1166)] = 89437,
  [SMALL_STATE(1167)] = 89532,
  [SMALL_STATE(1168)] = 89635,
  [SMALL_STATE(1169)] = 89706,
  [SMALL_STATE(1170)] = 89809,
  [SMALL_STATE(1171)] = 89912,
  [SMALL_STATE(1172)] = 90015,
  [SMALL_STATE(1173)] = 90118,
  [SMALL_STATE(1174)] = 90221,
  [SMALL_STATE(1175)] = 90292,
  [SMALL_STATE(1176)] = 90387,
  [SMALL_STATE(1177)] = 90490,
  [SMALL_STATE(1178)] = 90593,
  [SMALL_STATE(1179)] = 90680,
  [SMALL_STATE(1180)] = 90783,
  [SMALL_STATE(1181)] = 90886,
  [SMALL_STATE(1182)] = 90989,
  [SMALL_STATE(1183)] = 91060,
  [SMALL_STATE(1184)] = 91163,
  [SMALL_STATE(1185)] = 91266,
  [SMALL_STATE(1186)] = 91369,
  [SMALL_STATE(1187)] = 91472,
  [SMALL_STATE(1188)] = 91573,
  [SMALL_STATE(1189)] = 91676,
  [SMALL_STATE(1190)] = 91779,
  [SMALL_STATE(1191)] = 91882,
  [SMALL_STATE(1192)] = 91977,
  [SMALL_STATE(1193)] = 92080,
  [SMALL_STATE(1194)] = 92159,
  [SMALL_STATE(1195)] = 92254,
  [SMALL_STATE(1196)] = 92357,
  [SMALL_STATE(1197)] = 92460,
  [SMALL_STATE(1198)] = 92547,
  [SMALL_STATE(1199)] = 92642,
  [SMALL_STATE(1200)] = 92713,
  [SMALL_STATE(1201)] = 92792,
  [SMALL_STATE(1202)] = 92895,
  [SMALL_STATE(1203)] = 92998,
  [SMALL_STATE(1204)] = 93101,
  [SMALL_STATE(1205)] = 93204,
  [SMALL_STATE(1206)] = 93307,
  [SMALL_STATE(1207)] = 93410,
  [SMALL_STATE(1208)] = 93513,
  [SMALL_STATE(1209)] = 93616,
  [SMALL_STATE(1210)] = 93719,
  [SMALL_STATE(1211)] = 93816,
  [SMALL_STATE(1212)] = 93907,
  [SMALL_STATE(1213)] = 94010,
  [SMALL_STATE(1214)] = 94113,
  [SMALL_STATE(1215)] = 94216,
  [SMALL_STATE(1216)] = 94287,
  [SMALL_STATE(1217)] = 94374,
  [SMALL_STATE(1218)] = 94445,
  [SMALL_STATE(1219)] = 94546,
  [SMALL_STATE(1220)] = 94643,
  [SMALL_STATE(1221)] = 94746,
  [SMALL_STATE(1222)] = 94849,
  [SMALL_STATE(1223)] = 94944,
  [SMALL_STATE(1224)] = 95035,
  [SMALL_STATE(1225)] = 95114,
  [SMALL_STATE(1226)] = 95217,
  [SMALL_STATE(1227)] = 95320,
  [SMALL_STATE(1228)] = 95407,
  [SMALL_STATE(1229)] = 95504,
  [SMALL_STATE(1230)] = 95607,
  [SMALL_STATE(1231)] = 95698,
  [SMALL_STATE(1232)] = 95781,
  [SMALL_STATE(1233)] = 95868,
  [SMALL_STATE(1234)] = 95971,
  [SMALL_STATE(1235)] = 96054,
  [SMALL_STATE(1236)] = 96129,
  [SMALL_STATE(1237)] = 96204,
  [SMALL_STATE(1238)] = 96299,
  [SMALL_STATE(1239)] = 96370,
  [SMALL_STATE(1240)] = 96441,
  [SMALL_STATE(1241)] = 96514,
  [SMALL_STATE(1242)] = 96601,
  [SMALL_STATE(1243)] = 96672,
  [SMALL_STATE(1244)] = 96745,
  [SMALL_STATE(1245)] = 96848,
  [SMALL_STATE(1246)] = 96951,
  [SMALL_STATE(1247)] = 97054,
  [SMALL_STATE(1248)] = 97141,
  [SMALL_STATE(1249)] = 97212,
  [SMALL_STATE(1250)] = 97313,
  [SMALL_STATE(1251)] = 97416,
  [SMALL_STATE(1252)] = 97511,
  [SMALL_STATE(1253)] = 97590,
  [SMALL_STATE(1254)] = 97693,
  [SMALL_STATE(1255)] = 97796,
  [SMALL_STATE(1256)] = 97887,
  [SMALL_STATE(1257)] = 97974,
  [SMALL_STATE(1258)] = 98057,
  [SMALL_STATE(1259)] = 98132,
  [SMALL_STATE(1260)] = 98203,
  [SMALL_STATE(1261)] = 98276,
  [SMALL_STATE(1262)] = 98347,
  [SMALL_STATE(1263)] = 98450,
  [SMALL_STATE(1264)] = 98553,
  [SMALL_STATE(1265)] = 98656,
  [SMALL_STATE(1266)] = 98759,
  [SMALL_STATE(1267)] = 98862,
  [SMALL_STATE(1268)] = 98965,
  [SMALL_STATE(1269)] = 99060,
  [SMALL_STATE(1270)] = 99163,
  [SMALL_STATE(1271)] = 99250,
  [SMALL_STATE(1272)] = 99353,
  [SMALL_STATE(1273)] = 99456,
  [SMALL_STATE(1274)] = 99527,
  [SMALL_STATE(1275)] = 99630,
  [SMALL_STATE(1276)] = 99731,
  [SMALL_STATE(1277)] = 99834,
  [SMALL_STATE(1278)] = 99937,
  [SMALL_STATE(1279)] = 100040,
  [SMALL_STATE(1280)] = 100135,
  [SMALL_STATE(1281)] = 100238,
  [SMALL_STATE(1282)] = 100317,
  [SMALL_STATE(1283)] = 100420,
  [SMALL_STATE(1284)] = 100523,
  [SMALL_STATE(1285)] = 100626,
  [SMALL_STATE(1286)] = 100723,
  [SMALL_STATE(1287)] = 100806,
  [SMALL_STATE(1288)] = 100897,
  [SMALL_STATE(1289)] = 101000,
  [SMALL_STATE(1290)] = 101087,
  [SMALL_STATE(1291)] = 101190,
  [SMALL_STATE(1292)] = 101273,
  [SMALL_STATE(1293)] = 101376,
  [SMALL_STATE(1294)] = 101451,
  [SMALL_STATE(1295)] = 101554,
  [SMALL_STATE(1296)] = 101625,
  [SMALL_STATE(1297)] = 101728,
  [SMALL_STATE(1298)] = 101801,
  [SMALL_STATE(1299)] = 101904,
  [SMALL_STATE(1300)] = 101975,
  [SMALL_STATE(1301)] = 102078,
  [SMALL_STATE(1302)] = 102153,
  [SMALL_STATE(1303)] = 102256,
  [SMALL_STATE(1304)] = 102359,
  [SMALL_STATE(1305)] = 102462,
  [SMALL_STATE(1306)] = 102565,
  [SMALL_STATE(1307)] = 102666,
  [SMALL_STATE(1308)] = 102769,
  [SMALL_STATE(1309)] = 102864,
  [SMALL_STATE(1310)] = 102943,
  [SMALL_STATE(1311)] = 103046,
  [SMALL_STATE(1312)] = 103143,
  [SMALL_STATE(1313)] = 103234,
  [SMALL_STATE(1314)] = 103321,
  [SMALL_STATE(1315)] = 103404,
  [SMALL_STATE(1316)] = 103479,
  [SMALL_STATE(1317)] = 103550,
  [SMALL_STATE(1318)] = 103623,
  [SMALL_STATE(1319)] = 103694,
  [SMALL_STATE(1320)] = 103797,
  [SMALL_STATE(1321)] = 103900,
  [SMALL_STATE(1322)] = 104003,
  [SMALL_STATE(1323)] = 104106,
  [SMALL_STATE(1324)] = 104207,
  [SMALL_STATE(1325)] = 104310,
  [SMALL_STATE(1326)] = 104413,
  [SMALL_STATE(1327)] = 104516,
  [SMALL_STATE(1328)] = 104587,
  [SMALL_STATE(1329)] = 104690,
  [SMALL_STATE(1330)] = 104785,
  [SMALL_STATE(1331)] = 104858,
  [SMALL_STATE(1332)] = 104945,
  [SMALL_STATE(1333)] = 105048,
  [SMALL_STATE(1334)] = 105145,
  [SMALL_STATE(1335)] = 105247,
  [SMALL_STATE(1336)] = 105349,
  [SMALL_STATE(1337)] = 105451,
  [SMALL_STATE(1338)] = 105557,
  [SMALL_STATE(1339)] = 105657,
  [SMALL_STATE(1340)] = 105759,
  [SMALL_STATE(1341)] = 105853,
  [SMALL_STATE(1342)] = 105955,
  [SMALL_STATE(1343)] = 106033,
  [SMALL_STATE(1344)] = 106135,
  [SMALL_STATE(1345)] = 106231,
  [SMALL_STATE(1346)] = 106321,
  [SMALL_STATE(1347)] = 106407,
  [SMALL_STATE(1348)] = 106489,
  [SMALL_STATE(1349)] = 106591,
  [SMALL_STATE(1350)] = 106693,
  [SMALL_STATE(1351)] = 106767,
  [SMALL_STATE(1352)] = 106869,
  [SMALL_STATE(1353)] = 106939,
  [SMALL_STATE(1354)] = 107011,
  [SMALL_STATE(1355)] = 107113,
  [SMALL_STATE(1356)] = 107215,
  [SMALL_STATE(1357)] = 107317,
  [SMALL_STATE(1358)] = 107419,
  [SMALL_STATE(1359)] = 107521,
  [SMALL_STATE(1360)] = 107623,
  [SMALL_STATE(1361)] = 107729,
  [SMALL_STATE(1362)] = 107831,
  [SMALL_STATE(1363)] = 107925,
  [SMALL_STATE(1364)] = 108011,
  [SMALL_STATE(1365)] = 108113,
  [SMALL_STATE(1366)] = 108215,
  [SMALL_STATE(1367)] = 108285,
  [SMALL_STATE(1368)] = 108387,
  [SMALL_STATE(1369)] = 108489,
  [SMALL_STATE(1370)] = 108595,
  [SMALL_STATE(1371)] = 108697,
  [SMALL_STATE(1372)] = 108801,
  [SMALL_STATE(1373)] = 108903,
  [SMALL_STATE(1374)] = 109005,
  [SMALL_STATE(1375)] = 109107,
  [SMALL_STATE(1376)] = 109209,
  [SMALL_STATE(1377)] = 109315,
  [SMALL_STATE(1378)] = 109417,
  [SMALL_STATE(1379)] = 109519,
  [SMALL_STATE(1380)] = 109621,
  [SMALL_STATE(1381)] = 109723,
  [SMALL_STATE(1382)] = 109825,
  [SMALL_STATE(1383)] = 109927,
  [SMALL_STATE(1384)] = 110029,
  [SMALL_STATE(1385)] = 110131,
  [SMALL_STATE(1386)] = 110225,
  [SMALL_STATE(1387)] = 110311,
  [SMALL_STATE(1388)] = 110417,
  [SMALL_STATE(1389)] = 110519,
  [SMALL_STATE(1390)] = 110589,
  [SMALL_STATE(1391)] = 110691,
  [SMALL_STATE(1392)] = 110791,
  [SMALL_STATE(1393)] = 110893,
  [SMALL_STATE(1394)] = 110987,
  [SMALL_STATE(1395)] = 111065,
  [SMALL_STATE(1396)] = 111167,
  [SMALL_STATE(1397)] = 111269,
  [SMALL_STATE(1398)] = 111371,
  [SMALL_STATE(1399)] = 111467,
  [SMALL_STATE(1400)] = 111561,
  [SMALL_STATE(1401)] = 111647,
  [SMALL_STATE(1402)] = 111749,
  [SMALL_STATE(1403)] = 111819,
  [SMALL_STATE(1404)] = 111921,
  [SMALL_STATE(1405)] = 112015,
  [SMALL_STATE(1406)] = 112101,
  [SMALL_STATE(1407)] = 112171,
  [SMALL_STATE(1408)] = 112273,
  [SMALL_STATE(1409)] = 112375,
  [SMALL_STATE(1410)] = 112477,
  [SMALL_STATE(1411)] = 112579,
  [SMALL_STATE(1412)] = 112681,
  [SMALL_STATE(1413)] = 112775,
  [SMALL_STATE(1414)] = 112861,
  [SMALL_STATE(1415)] = 112931,
  [SMALL_STATE(1416)] = 113031,
  [SMALL_STATE(1417)] = 113133,
  [SMALL_STATE(1418)] = 113227,
  [SMALL_STATE(1419)] = 113305,
  [SMALL_STATE(1420)] = 113407,
  [SMALL_STATE(1421)] = 113503,
  [SMALL_STATE(1422)] = 113593,
  [SMALL_STATE(1423)] = 113679,
  [SMALL_STATE(1424)] = 113761,
  [SMALL_STATE(1425)] = 113835,
  [SMALL_STATE(1426)] = 113905,
  [SMALL_STATE(1427)] = 113977,
  [SMALL_STATE(1428)] = 114047,
  [SMALL_STATE(1429)] = 114149,
  [SMALL_STATE(1430)] = 114251,
  [SMALL_STATE(1431)] = 114353,
  [SMALL_STATE(1432)] = 114453,
  [SMALL_STATE(1433)] = 114555,
  [SMALL_STATE(1434)] = 114649,
  [SMALL_STATE(1435)] = 114727,
  [SMALL_STATE(1436)] = 114829,
  [SMALL_STATE(1437)] = 114925,
  [SMALL_STATE(1438)] = 115015,
  [SMALL_STATE(1439)] = 115101,
  [SMALL_STATE(1440)] = 115183,
  [SMALL_STATE(1441)] = 115257,
  [SMALL_STATE(1442)] = 115359,
  [SMALL_STATE(1443)] = 115461,
  [SMALL_STATE(1444)] = 115531,
  [SMALL_STATE(1445)] = 115637,
  [SMALL_STATE(1446)] = 115743,
  [SMALL_STATE(1447)] = 115815,
  [SMALL_STATE(1448)] = 115921,
  [SMALL_STATE(1449)] = 115991,
  [SMALL_STATE(1450)] = 116097,
  [SMALL_STATE(1451)] = 116203,
  [SMALL_STATE(1452)] = 116305,
  [SMALL_STATE(1453)] = 116407,
  [SMALL_STATE(1454)] = 116511,
  [SMALL_STATE(1455)] = 116613,
  [SMALL_STATE(1456)] = 116715,
  [SMALL_STATE(1457)] = 116809,
  [SMALL_STATE(1458)] = 116899,
  [SMALL_STATE(1459)] = 116985,
  [SMALL_STATE(1460)] = 117055,
  [SMALL_STATE(1461)] = 117157,
  [SMALL_STATE(1462)] = 117263,
  [SMALL_STATE(1463)] = 117369,
  [SMALL_STATE(1464)] = 117471,
  [SMALL_STATE(1465)] = 117577,
  [SMALL_STATE(1466)] = 117679,
  [SMALL_STATE(1467)] = 117785,
  [SMALL_STATE(1468)] = 117871,
  [SMALL_STATE(1469)] = 117977,
  [SMALL_STATE(1470)] = 118059,
  [SMALL_STATE(1471)] = 118165,
  [SMALL_STATE(1472)] = 118271,
  [SMALL_STATE(1473)] = 118371,
  [SMALL_STATE(1474)] = 118477,
  [SMALL_STATE(1475)] = 118551,
  [SMALL_STATE(1476)] = 118657,
  [SMALL_STATE(1477)] = 118759,
  [SMALL_STATE(1478)] = 118865,
  [SMALL_STATE(1479)] = 118967,
  [SMALL_STATE(1480)] = 119037,
  [SMALL_STATE(1481)] = 119143,
  [SMALL_STATE(1482)] = 119249,
  [SMALL_STATE(1483)] = 119355,
  [SMALL_STATE(1484)] = 119457,
  [SMALL_STATE(1485)] = 119563,
  [SMALL_STATE(1486)] = 119665,
  [SMALL_STATE(1487)] = 119737,
  [SMALL_STATE(1488)] = 119843,
  [SMALL_STATE(1489)] = 119945,
  [SMALL_STATE(1490)] = 120051,
  [SMALL_STATE(1491)] = 120145,
  [SMALL_STATE(1492)] = 120215,
  [SMALL_STATE(1493)] = 120321,
  [SMALL_STATE(1494)] = 120427,
  [SMALL_STATE(1495)] = 120529,
  [SMALL_STATE(1496)] = 120635,
  [SMALL_STATE(1497)] = 120741,
  [SMALL_STATE(1498)] = 120819,
  [SMALL_STATE(1499)] = 120925,
  [SMALL_STATE(1500)] = 121027,
  [SMALL_STATE(1501)] = 121129,
  [SMALL_STATE(1502)] = 121231,
  [SMALL_STATE(1503)] = 121337,
  [SMALL_STATE(1504)] = 121443,
  [SMALL_STATE(1505)] = 121545,
  [SMALL_STATE(1506)] = 121651,
  [SMALL_STATE(1507)] = 121753,
  [SMALL_STATE(1508)] = 121855,
  [SMALL_STATE(1509)] = 121961,
  [SMALL_STATE(1510)] = 122063,
  [SMALL_STATE(1511)] = 122169,
  [SMALL_STATE(1512)] = 122271,
  [SMALL_STATE(1513)] = 122367,
  [SMALL_STATE(1514)] = 122473,
  [SMALL_STATE(1515)] = 122579,
  [SMALL_STATE(1516)] = 122685,
  [SMALL_STATE(1517)] = 122791,
  [SMALL_STATE(1518)] = 122897,
  [SMALL_STATE(1519)] = 123001,
  [SMALL_STATE(1520)] = 123091,
  [SMALL_STATE(1521)] = 123197,
  [SMALL_STATE(1522)] = 123303,
  [SMALL_STATE(1523)] = 123409,
  [SMALL_STATE(1524)] = 123515,
  [SMALL_STATE(1525)] = 123621,
  [SMALL_STATE(1526)] = 123727,
  [SMALL_STATE(1527)] = 123833,
  [SMALL_STATE(1528)] = 123939,
  [SMALL_STATE(1529)] = 124045,
  [SMALL_STATE(1530)] = 124151,
  [SMALL_STATE(1531)] = 124257,
  [SMALL_STATE(1532)] = 124359,
  [SMALL_STATE(1533)] = 124461,
  [SMALL_STATE(1534)] = 124567,
  [SMALL_STATE(1535)] = 124653,
  [SMALL_STATE(1536)] = 124759,
  [SMALL_STATE(1537)] = 124841,
  [SMALL_STATE(1538)] = 124945,
  [SMALL_STATE(1539)] = 125019,
  [SMALL_STATE(1540)] = 125119,
  [SMALL_STATE(1541)] = 125221,
  [SMALL_STATE(1542)] = 125291,
  [SMALL_STATE(1543)] = 125397,
  [SMALL_STATE(1544)] = 125491,
  [SMALL_STATE(1545)] = 125597,
  [SMALL_STATE(1546)] = 125675,
  [SMALL_STATE(1547)] = 125747,
  [SMALL_STATE(1548)] = 125849,
  [SMALL_STATE(1549)] = 125955,
  [SMALL_STATE(1550)] = 126061,
  [SMALL_STATE(1551)] = 126157,
  [SMALL_STATE(1552)] = 126227,
  [SMALL_STATE(1553)] = 126317,
  [SMALL_STATE(1554)] = 126423,
  [SMALL_STATE(1555)] = 126509,
  [SMALL_STATE(1556)] = 126615,
  [SMALL_STATE(1557)] = 126697,
  [SMALL_STATE(1558)] = 126771,
  [SMALL_STATE(1559)] = 126877,
  [SMALL_STATE(1560)] = 126983,
  [SMALL_STATE(1561)] = 127053,
  [SMALL_STATE(1562)] = 127125,
  [SMALL_STATE(1563)] = 127195,
  [SMALL_STATE(1564)] = 127301,
  [SMALL_STATE(1565)] = 127407,
  [SMALL_STATE(1566)] = 127513,
  [SMALL_STATE(1567)] = 127619,
  [SMALL_STATE(1568)] = 127725,
  [SMALL_STATE(1569)] = 127831,
  [SMALL_STATE(1570)] = 127933,
  [SMALL_STATE(1571)] = 128039,
  [SMALL_STATE(1572)] = 128141,
  [SMALL_STATE(1573)] = 128247,
  [SMALL_STATE(1574)] = 128349,
  [SMALL_STATE(1575)] = 128451,
  [SMALL_STATE(1576)] = 128521,
  [SMALL_STATE(1577)] = 128566,
  [SMALL_STATE(1578)] = 128615,
  [SMALL_STATE(1579)] = 128660,
  [SMALL_STATE(1580)] = 128705,
  [SMALL_STATE(1581)] = 128750,
  [SMALL_STATE(1582)] = 128799,
  [SMALL_STATE(1583)] = 128848,
  [SMALL_STATE(1584)] = 128893,
  [SMALL_STATE(1585)] = 128938,
  [SMALL_STATE(1586)] = 128983,
  [SMALL_STATE(1587)] = 129032,
  [SMALL_STATE(1588)] = 129081,
  [SMALL_STATE(1589)] = 129126,
  [SMALL_STATE(1590)] = 129171,
  [SMALL_STATE(1591)] = 129220,
  [SMALL_STATE(1592)] = 129265,
  [SMALL_STATE(1593)] = 129310,
  [SMALL_STATE(1594)] = 129355,
  [SMALL_STATE(1595)] = 129400,
  [SMALL_STATE(1596)] = 129445,
  [SMALL_STATE(1597)] = 129490,
  [SMALL_STATE(1598)] = 129535,
  [SMALL_STATE(1599)] = 129580,
  [SMALL_STATE(1600)] = 129625,
  [SMALL_STATE(1601)] = 129670,
  [SMALL_STATE(1602)] = 129715,
  [SMALL_STATE(1603)] = 129760,
  [SMALL_STATE(1604)] = 129805,
  [SMALL_STATE(1605)] = 129849,
  [SMALL_STATE(1606)] = 129897,
  [SMALL_STATE(1607)] = 129945,
  [SMALL_STATE(1608)] = 129989,
  [SMALL_STATE(1609)] = 130033,
  [SMALL_STATE(1610)] = 130077,
  [SMALL_STATE(1611)] = 130121,
  [SMALL_STATE(1612)] = 130165,
  [SMALL_STATE(1613)] = 130209,
  [SMALL_STATE(1614)] = 130257,
  [SMALL_STATE(1615)] = 130307,
  [SMALL_STATE(1616)] = 130351,
  [SMALL_STATE(1617)] = 130395,
  [SMALL_STATE(1618)] = 130439,
  [SMALL_STATE(1619)] = 130483,
  [SMALL_STATE(1620)] = 130527,
  [SMALL_STATE(1621)] = 130577,
  [SMALL_STATE(1622)] = 130621,
  [SMALL_STATE(1623)] = 130665,
  [SMALL_STATE(1624)] = 130709,
  [SMALL_STATE(1625)] = 130759,
  [SMALL_STATE(1626)] = 130803,
  [SMALL_STATE(1627)] = 130847,
  [SMALL_STATE(1628)] = 130891,
  [SMALL_STATE(1629)] = 130939,
  [SMALL_STATE(1630)] = 130987,
  [SMALL_STATE(1631)] = 131035,
  [SMALL_STATE(1632)] = 131079,
  [SMALL_STATE(1633)] = 131127,
  [SMALL_STATE(1634)] = 131171,
  [SMALL_STATE(1635)] = 131215,
  [SMALL_STATE(1636)] = 131258,
  [SMALL_STATE(1637)] = 131301,
  [SMALL_STATE(1638)] = 131344,
  [SMALL_STATE(1639)] = 131387,
  [SMALL_STATE(1640)] = 131430,
  [SMALL_STATE(1641)] = 131473,
  [SMALL_STATE(1642)] = 131516,
  [SMALL_STATE(1643)] = 131559,
  [SMALL_STATE(1644)] = 131602,
  [SMALL_STATE(1645)] = 131645,
  [SMALL_STATE(1646)] = 131688,
  [SMALL_STATE(1647)] = 131731,
  [SMALL_STATE(1648)] = 131774,
  [SMALL_STATE(1649)] = 131817,
  [SMALL_STATE(1650)] = 131860,
  [SMALL_STATE(1651)] = 131903,
  [SMALL_STATE(1652)] = 131946,
  [SMALL_STATE(1653)] = 131989,
  [SMALL_STATE(1654)] = 132032,
  [SMALL_STATE(1655)] = 132075,
  [SMALL_STATE(1656)] = 132118,
  [SMALL_STATE(1657)] = 132161,
  [SMALL_STATE(1658)] = 132204,
  [SMALL_STATE(1659)] = 132247,
  [SMALL_STATE(1660)] = 132290,
  [SMALL_STATE(1661)] = 132333,
  [SMALL_STATE(1662)] = 132376,
  [SMALL_STATE(1663)] = 132419,
  [SMALL_STATE(1664)] = 132462,
  [SMALL_STATE(1665)] = 132505,
  [SMALL_STATE(1666)] = 132548,
  [SMALL_STATE(1667)] = 132591,
  [SMALL_STATE(1668)] = 132634,
  [SMALL_STATE(1669)] = 132677,
  [SMALL_STATE(1670)] = 132720,
  [SMALL_STATE(1671)] = 132763,
  [SMALL_STATE(1672)] = 132806,
  [SMALL_STATE(1673)] = 132849,
  [SMALL_STATE(1674)] = 132892,
  [SMALL_STATE(1675)] = 132935,
  [SMALL_STATE(1676)] = 132978,
  [SMALL_STATE(1677)] = 133021,
  [SMALL_STATE(1678)] = 133064,
  [SMALL_STATE(1679)] = 133107,
  [SMALL_STATE(1680)] = 133150,
  [SMALL_STATE(1681)] = 133193,
  [SMALL_STATE(1682)] = 133236,
  [SMALL_STATE(1683)] = 133279,
  [SMALL_STATE(1684)] = 133322,
  [SMALL_STATE(1685)] = 133365,
  [SMALL_STATE(1686)] = 133408,
  [SMALL_STATE(1687)] = 133451,
  [SMALL_STATE(1688)] = 133494,
  [SMALL_STATE(1689)] = 133537,
  [SMALL_STATE(1690)] = 133580,
  [SMALL_STATE(1691)] = 133623,
  [SMALL_STATE(1692)] = 133666,
  [SMALL_STATE(1693)] = 133709,
  [SMALL_STATE(1694)] = 133752,
  [SMALL_STATE(1695)] = 133795,
  [SMALL_STATE(1696)] = 133838,
  [SMALL_STATE(1697)] = 133881,
  [SMALL_STATE(1698)] = 133924,
  [SMALL_STATE(1699)] = 133967,
  [SMALL_STATE(1700)] = 134010,
  [SMALL_STATE(1701)] = 134053,
  [SMALL_STATE(1702)] = 134096,
  [SMALL_STATE(1703)] = 134139,
  [SMALL_STATE(1704)] = 134182,
  [SMALL_STATE(1705)] = 134225,
  [SMALL_STATE(1706)] = 134268,
  [SMALL_STATE(1707)] = 134311,
  [SMALL_STATE(1708)] = 134354,
  [SMALL_STATE(1709)] = 134397,
  [SMALL_STATE(1710)] = 134440,
  [SMALL_STATE(1711)] = 134482,
  [SMALL_STATE(1712)] = 134524,
  [SMALL_STATE(1713)] = 134566,
  [SMALL_STATE(1714)] = 134608,
  [SMALL_STATE(1715)] = 134650,
  [SMALL_STATE(1716)] = 134692,
  [SMALL_STATE(1717)] = 134734,
  [SMALL_STATE(1718)] = 134776,
  [SMALL_STATE(1719)] = 134818,
  [SMALL_STATE(1720)] = 134860,
  [SMALL_STATE(1721)] = 134902,
  [SMALL_STATE(1722)] = 134944,
  [SMALL_STATE(1723)] = 134986,
  [SMALL_STATE(1724)] = 135028,
  [SMALL_STATE(1725)] = 135070,
  [SMALL_STATE(1726)] = 135112,
  [SMALL_STATE(1727)] = 135154,
  [SMALL_STATE(1728)] = 135196,
  [SMALL_STATE(1729)] = 135238,
  [SMALL_STATE(1730)] = 135280,
  [SMALL_STATE(1731)] = 135322,
  [SMALL_STATE(1732)] = 135364,
  [SMALL_STATE(1733)] = 135406,
  [SMALL_STATE(1734)] = 135448,
  [SMALL_STATE(1735)] = 135490,
  [SMALL_STATE(1736)] = 135532,
  [SMALL_STATE(1737)] = 135574,
  [SMALL_STATE(1738)] = 135616,
  [SMALL_STATE(1739)] = 135658,
  [SMALL_STATE(1740)] = 135700,
  [SMALL_STATE(1741)] = 135742,
  [SMALL_STATE(1742)] = 135784,
  [SMALL_STATE(1743)] = 135826,
  [SMALL_STATE(1744)] = 135868,
  [SMALL_STATE(1745)] = 135910,
  [SMALL_STATE(1746)] = 135952,
  [SMALL_STATE(1747)] = 135994,
  [SMALL_STATE(1748)] = 136036,
  [SMALL_STATE(1749)] = 136078,
  [SMALL_STATE(1750)] = 136120,
  [SMALL_STATE(1751)] = 136162,
  [SMALL_STATE(1752)] = 136204,
  [SMALL_STATE(1753)] = 136246,
  [SMALL_STATE(1754)] = 136288,
  [SMALL_STATE(1755)] = 136330,
  [SMALL_STATE(1756)] = 136372,
  [SMALL_STATE(1757)] = 136414,
  [SMALL_STATE(1758)] = 136456,
  [SMALL_STATE(1759)] = 136498,
  [SMALL_STATE(1760)] = 136540,
  [SMALL_STATE(1761)] = 136582,
  [SMALL_STATE(1762)] = 136624,
  [SMALL_STATE(1763)] = 136666,
  [SMALL_STATE(1764)] = 136708,
  [SMALL_STATE(1765)] = 136750,
  [SMALL_STATE(1766)] = 136792,
  [SMALL_STATE(1767)] = 136834,
  [SMALL_STATE(1768)] = 136876,
  [SMALL_STATE(1769)] = 136918,
  [SMALL_STATE(1770)] = 136960,
  [SMALL_STATE(1771)] = 137002,
  [SMALL_STATE(1772)] = 137044,
  [SMALL_STATE(1773)] = 137086,
  [SMALL_STATE(1774)] = 137128,
  [SMALL_STATE(1775)] = 137170,
  [SMALL_STATE(1776)] = 137212,
  [SMALL_STATE(1777)] = 137254,
  [SMALL_STATE(1778)] = 137296,
  [SMALL_STATE(1779)] = 137338,
  [SMALL_STATE(1780)] = 137380,
  [SMALL_STATE(1781)] = 137422,
  [SMALL_STATE(1782)] = 137464,
  [SMALL_STATE(1783)] = 137496,
  [SMALL_STATE(1784)] = 137522,
  [SMALL_STATE(1785)] = 137541,
  [SMALL_STATE(1786)] = 137560,
  [SMALL_STATE(1787)] = 137579,
  [SMALL_STATE(1788)] = 137598,
  [SMALL_STATE(1789)] = 137617,
  [SMALL_STATE(1790)] = 137636,
  [SMALL_STATE(1791)] = 137655,
  [SMALL_STATE(1792)] = 137674,
  [SMALL_STATE(1793)] = 137693,
  [SMALL_STATE(1794)] = 137712,
  [SMALL_STATE(1795)] = 137731,
  [SMALL_STATE(1796)] = 137750,
  [SMALL_STATE(1797)] = 137769,
  [SMALL_STATE(1798)] = 137788,
  [SMALL_STATE(1799)] = 137807,
  [SMALL_STATE(1800)] = 137826,
  [SMALL_STATE(1801)] = 137845,
  [SMALL_STATE(1802)] = 137864,
  [SMALL_STATE(1803)] = 137883,
  [SMALL_STATE(1804)] = 137902,
  [SMALL_STATE(1805)] = 137916,
  [SMALL_STATE(1806)] = 137932,
  [SMALL_STATE(1807)] = 137948,
  [SMALL_STATE(1808)] = 137964,
  [SMALL_STATE(1809)] = 137980,
  [SMALL_STATE(1810)] = 137996,
  [SMALL_STATE(1811)] = 138012,
  [SMALL_STATE(1812)] = 138028,
  [SMALL_STATE(1813)] = 138044,
  [SMALL_STATE(1814)] = 138058,
  [SMALL_STATE(1815)] = 138072,
  [SMALL_STATE(1816)] = 138086,
  [SMALL_STATE(1817)] = 138102,
  [SMALL_STATE(1818)] = 138116,
  [SMALL_STATE(1819)] = 138130,
  [SMALL_STATE(1820)] = 138144,
  [SMALL_STATE(1821)] = 138160,
  [SMALL_STATE(1822)] = 138176,
  [SMALL_STATE(1823)] = 138192,
  [SMALL_STATE(1824)] = 138208,
  [SMALL_STATE(1825)] = 138222,
  [SMALL_STATE(1826)] = 138238,
  [SMALL_STATE(1827)] = 138254,
  [SMALL_STATE(1828)] = 138268,
  [SMALL_STATE(1829)] = 138284,
  [SMALL_STATE(1830)] = 138300,
  [SMALL_STATE(1831)] = 138316,
  [SMALL_STATE(1832)] = 138332,
  [SMALL_STATE(1833)] = 138348,
  [SMALL_STATE(1834)] = 138364,
  [SMALL_STATE(1835)] = 138378,
  [SMALL_STATE(1836)] = 138392,
  [SMALL_STATE(1837)] = 138406,
  [SMALL_STATE(1838)] = 138420,
  [SMALL_STATE(1839)] = 138434,
  [SMALL_STATE(1840)] = 138448,
  [SMALL_STATE(1841)] = 138462,
  [SMALL_STATE(1842)] = 138478,
  [SMALL_STATE(1843)] = 138494,
  [SMALL_STATE(1844)] = 138510,
  [SMALL_STATE(1845)] = 138526,
  [SMALL_STATE(1846)] = 138542,
  [SMALL_STATE(1847)] = 138558,
  [SMALL_STATE(1848)] = 138574,
  [SMALL_STATE(1849)] = 138588,
  [SMALL_STATE(1850)] = 138602,
  [SMALL_STATE(1851)] = 138616,
  [SMALL_STATE(1852)] = 138630,
  [SMALL_STATE(1853)] = 138646,
  [SMALL_STATE(1854)] = 138660,
  [SMALL_STATE(1855)] = 138674,
  [SMALL_STATE(1856)] = 138690,
  [SMALL_STATE(1857)] = 138706,
  [SMALL_STATE(1858)] = 138720,
  [SMALL_STATE(1859)] = 138736,
  [SMALL_STATE(1860)] = 138752,
  [SMALL_STATE(1861)] = 138768,
  [SMALL_STATE(1862)] = 138784,
  [SMALL_STATE(1863)] = 138800,
  [SMALL_STATE(1864)] = 138816,
  [SMALL_STATE(1865)] = 138832,
  [SMALL_STATE(1866)] = 138848,
  [SMALL_STATE(1867)] = 138864,
  [SMALL_STATE(1868)] = 138880,
  [SMALL_STATE(1869)] = 138894,
  [SMALL_STATE(1870)] = 138908,
  [SMALL_STATE(1871)] = 138924,
  [SMALL_STATE(1872)] = 138940,
  [SMALL_STATE(1873)] = 138954,
  [SMALL_STATE(1874)] = 138968,
  [SMALL_STATE(1875)] = 138984,
  [SMALL_STATE(1876)] = 138998,
  [SMALL_STATE(1877)] = 139014,
  [SMALL_STATE(1878)] = 139028,
  [SMALL_STATE(1879)] = 139044,
  [SMALL_STATE(1880)] = 139060,
  [SMALL_STATE(1881)] = 139076,
  [SMALL_STATE(1882)] = 139092,
  [SMALL_STATE(1883)] = 139108,
  [SMALL_STATE(1884)] = 139124,
  [SMALL_STATE(1885)] = 139138,
  [SMALL_STATE(1886)] = 139152,
  [SMALL_STATE(1887)] = 139168,
  [SMALL_STATE(1888)] = 139184,
  [SMALL_STATE(1889)] = 139200,
  [SMALL_STATE(1890)] = 139216,
  [SMALL_STATE(1891)] = 139232,
  [SMALL_STATE(1892)] = 139248,
  [SMALL_STATE(1893)] = 139262,
  [SMALL_STATE(1894)] = 139278,
  [SMALL_STATE(1895)] = 139292,
  [SMALL_STATE(1896)] = 139308,
  [SMALL_STATE(1897)] = 139322,
  [SMALL_STATE(1898)] = 139336,
  [SMALL_STATE(1899)] = 139352,
  [SMALL_STATE(1900)] = 139368,
  [SMALL_STATE(1901)] = 139384,
  [SMALL_STATE(1902)] = 139400,
  [SMALL_STATE(1903)] = 139416,
  [SMALL_STATE(1904)] = 139432,
  [SMALL_STATE(1905)] = 139446,
  [SMALL_STATE(1906)] = 139462,
  [SMALL_STATE(1907)] = 139478,
  [SMALL_STATE(1908)] = 139492,
  [SMALL_STATE(1909)] = 139508,
  [SMALL_STATE(1910)] = 139524,
  [SMALL_STATE(1911)] = 139540,
  [SMALL_STATE(1912)] = 139556,
  [SMALL_STATE(1913)] = 139572,
  [SMALL_STATE(1914)] = 139588,
  [SMALL_STATE(1915)] = 139604,
  [SMALL_STATE(1916)] = 139620,
  [SMALL_STATE(1917)] = 139636,
  [SMALL_STATE(1918)] = 139652,
  [SMALL_STATE(1919)] = 139668,
  [SMALL_STATE(1920)] = 139684,
  [SMALL_STATE(1921)] = 139700,
  [SMALL_STATE(1922)] = 139716,
  [SMALL_STATE(1923)] = 139732,
  [SMALL_STATE(1924)] = 139748,
  [SMALL_STATE(1925)] = 139764,
  [SMALL_STATE(1926)] = 139778,
  [SMALL_STATE(1927)] = 139792,
  [SMALL_STATE(1928)] = 139808,
  [SMALL_STATE(1929)] = 139822,
  [SMALL_STATE(1930)] = 139838,
  [SMALL_STATE(1931)] = 139854,
  [SMALL_STATE(1932)] = 139870,
  [SMALL_STATE(1933)] = 139886,
  [SMALL_STATE(1934)] = 139902,
  [SMALL_STATE(1935)] = 139918,
  [SMALL_STATE(1936)] = 139934,
  [SMALL_STATE(1937)] = 139948,
  [SMALL_STATE(1938)] = 139964,
  [SMALL_STATE(1939)] = 139978,
  [SMALL_STATE(1940)] = 139994,
  [SMALL_STATE(1941)] = 140008,
  [SMALL_STATE(1942)] = 140024,
  [SMALL_STATE(1943)] = 140040,
  [SMALL_STATE(1944)] = 140056,
  [SMALL_STATE(1945)] = 140072,
  [SMALL_STATE(1946)] = 140088,
  [SMALL_STATE(1947)] = 140104,
  [SMALL_STATE(1948)] = 140120,
  [SMALL_STATE(1949)] = 140134,
  [SMALL_STATE(1950)] = 140150,
  [SMALL_STATE(1951)] = 140166,
  [SMALL_STATE(1952)] = 140182,
  [SMALL_STATE(1953)] = 140198,
  [SMALL_STATE(1954)] = 140214,
  [SMALL_STATE(1955)] = 140230,
  [SMALL_STATE(1956)] = 140246,
  [SMALL_STATE(1957)] = 140262,
  [SMALL_STATE(1958)] = 140278,
  [SMALL_STATE(1959)] = 140294,
  [SMALL_STATE(1960)] = 140310,
  [SMALL_STATE(1961)] = 140326,
  [SMALL_STATE(1962)] = 140342,
  [SMALL_STATE(1963)] = 140358,
  [SMALL_STATE(1964)] = 140374,
  [SMALL_STATE(1965)] = 140390,
  [SMALL_STATE(1966)] = 140404,
  [SMALL_STATE(1967)] = 140418,
  [SMALL_STATE(1968)] = 140434,
  [SMALL_STATE(1969)] = 140450,
  [SMALL_STATE(1970)] = 140464,
  [SMALL_STATE(1971)] = 140478,
  [SMALL_STATE(1972)] = 140494,
  [SMALL_STATE(1973)] = 140510,
  [SMALL_STATE(1974)] = 140524,
  [SMALL_STATE(1975)] = 140538,
  [SMALL_STATE(1976)] = 140554,
  [SMALL_STATE(1977)] = 140570,
  [SMALL_STATE(1978)] = 140584,
  [SMALL_STATE(1979)] = 140598,
  [SMALL_STATE(1980)] = 140614,
  [SMALL_STATE(1981)] = 140630,
  [SMALL_STATE(1982)] = 140644,
  [SMALL_STATE(1983)] = 140658,
  [SMALL_STATE(1984)] = 140674,
  [SMALL_STATE(1985)] = 140690,
  [SMALL_STATE(1986)] = 140704,
  [SMALL_STATE(1987)] = 140718,
  [SMALL_STATE(1988)] = 140734,
  [SMALL_STATE(1989)] = 140750,
  [SMALL_STATE(1990)] = 140764,
  [SMALL_STATE(1991)] = 140778,
  [SMALL_STATE(1992)] = 140794,
  [SMALL_STATE(1993)] = 140810,
  [SMALL_STATE(1994)] = 140824,
  [SMALL_STATE(1995)] = 140838,
  [SMALL_STATE(1996)] = 140852,
  [SMALL_STATE(1997)] = 140866,
  [SMALL_STATE(1998)] = 140882,
  [SMALL_STATE(1999)] = 140898,
  [SMALL_STATE(2000)] = 140914,
  [SMALL_STATE(2001)] = 140930,
  [SMALL_STATE(2002)] = 140946,
  [SMALL_STATE(2003)] = 140962,
  [SMALL_STATE(2004)] = 140978,
  [SMALL_STATE(2005)] = 140994,
  [SMALL_STATE(2006)] = 141010,
  [SMALL_STATE(2007)] = 141026,
  [SMALL_STATE(2008)] = 141042,
  [SMALL_STATE(2009)] = 141058,
  [SMALL_STATE(2010)] = 141074,
  [SMALL_STATE(2011)] = 141090,
  [SMALL_STATE(2012)] = 141106,
  [SMALL_STATE(2013)] = 141122,
  [SMALL_STATE(2014)] = 141138,
  [SMALL_STATE(2015)] = 141154,
  [SMALL_STATE(2016)] = 141170,
  [SMALL_STATE(2017)] = 141186,
  [SMALL_STATE(2018)] = 141202,
  [SMALL_STATE(2019)] = 141215,
  [SMALL_STATE(2020)] = 141226,
  [SMALL_STATE(2021)] = 141239,
  [SMALL_STATE(2022)] = 141248,
  [SMALL_STATE(2023)] = 141261,
  [SMALL_STATE(2024)] = 141274,
  [SMALL_STATE(2025)] = 141287,
  [SMALL_STATE(2026)] = 141298,
  [SMALL_STATE(2027)] = 141309,
  [SMALL_STATE(2028)] = 141319,
  [SMALL_STATE(2029)] = 141327,
  [SMALL_STATE(2030)] = 141335,
  [SMALL_STATE(2031)] = 141343,
  [SMALL_STATE(2032)] = 141351,
  [SMALL_STATE(2033)] = 141361,
  [SMALL_STATE(2034)] = 141369,
  [SMALL_STATE(2035)] = 141377,
  [SMALL_STATE(2036)] = 141385,
  [SMALL_STATE(2037)] = 141393,
  [SMALL_STATE(2038)] = 141401,
  [SMALL_STATE(2039)] = 141411,
  [SMALL_STATE(2040)] = 141419,
  [SMALL_STATE(2041)] = 141427,
  [SMALL_STATE(2042)] = 141435,
  [SMALL_STATE(2043)] = 141443,
  [SMALL_STATE(2044)] = 141451,
  [SMALL_STATE(2045)] = 141461,
  [SMALL_STATE(2046)] = 141469,
  [SMALL_STATE(2047)] = 141479,
  [SMALL_STATE(2048)] = 141487,
  [SMALL_STATE(2049)] = 141497,
  [SMALL_STATE(2050)] = 141507,
  [SMALL_STATE(2051)] = 141515,
  [SMALL_STATE(2052)] = 141525,
  [SMALL_STATE(2053)] = 141535,
  [SMALL_STATE(2054)] = 141543,
  [SMALL_STATE(2055)] = 141553,
  [SMALL_STATE(2056)] = 141560,
  [SMALL_STATE(2057)] = 141567,
  [SMALL_STATE(2058)] = 141574,
  [SMALL_STATE(2059)] = 141581,
  [SMALL_STATE(2060)] = 141588,
  [SMALL_STATE(2061)] = 141595,
  [SMALL_STATE(2062)] = 141602,
  [SMALL_STATE(2063)] = 141609,
  [SMALL_STATE(2064)] = 141616,
  [SMALL_STATE(2065)] = 141623,
  [SMALL_STATE(2066)] = 141630,
  [SMALL_STATE(2067)] = 141637,
  [SMALL_STATE(2068)] = 141644,
  [SMALL_STATE(2069)] = 141651,
  [SMALL_STATE(2070)] = 141658,
  [SMALL_STATE(2071)] = 141665,
  [SMALL_STATE(2072)] = 141672,
  [SMALL_STATE(2073)] = 141679,
  [SMALL_STATE(2074)] = 141686,
  [SMALL_STATE(2075)] = 141693,
  [SMALL_STATE(2076)] = 141700,
  [SMALL_STATE(2077)] = 141707,
  [SMALL_STATE(2078)] = 141714,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 35),
  [9] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 35),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [57] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 40),
  [59] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 40),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [63] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 44),
  [65] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 44),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 39),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 39),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 54),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 54),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 3, 0, 13),
  [149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 3, 0, 13),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 15),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 15),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 22),
  [157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 22),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 24),
  [161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 24),
  [163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 4, 0, 25),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 4, 0, 25),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 34),
  [169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 34),
  [171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 36),
  [173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 36),
  [175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 41),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 41),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 42),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 42),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 43),
  [185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 43),
  [187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 45),
  [189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 45),
  [191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 7, 0, 46),
  [193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 7, 0, 46),
  [195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 47),
  [197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 47),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 48),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 48),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 49),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 49),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 50),
  [209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 50),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 51),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 51),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 52),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 52),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 53),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 53),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 55),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 55),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 10, 0, 56),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 10, 0, 56),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 2, 0, 2),
  [233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 2, 0, 2),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 3),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 3),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 8),
  [241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 8),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 3, 0, 12),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 3, 0, 12),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 2, 0, 4),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 2, 0, 4),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 1, 0, 6),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 1, 0, 6),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 3, 0, 4),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 3, 0, 4),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_operator, 2, 0, 4),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_operator, 2, 0, 4),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 1, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted_string, 3, 0, 14),
  [635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted_string, 3, 0, 14),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted_string, 3, 0, 14),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted_string, 3, 0, 14),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_or_identifier_or_dots_or_dot_dot_i, 1, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_or_identifier_or_dots_or_dot_dot_i, 1, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 1),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 1),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted_string, 2, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted_string, 2, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted_string, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted_string, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(316),
  [688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 19),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 19),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset, 2, 0, 5),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset, 2, 0, 5),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2, 2, 0, 5),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2, 2, 0, 5),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_braced_expression, 2, 0, 7),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_braced_expression, 2, 0, 7),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_operator, 3, 0, 15),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_operator, 3, 0, 15),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 3, 0, 15),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 3, 0, 15),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 2, 0, 7),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 2, 0, 7),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 2, 0, 7),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 2, 0, 7),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 2, 0, 7),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 2, 0, 7),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_braced_expression, 3, 0, 20),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_braced_expression, 3, 0, 20),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 2, 0, 0),
  [779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 2, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex, 2, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex, 2, 0, 0),
  [785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extract_operator, 4, 0, 25),
  [787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extract_operator, 4, 0, 25),
  [789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 3, 0, 27),
  [791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 3, 0, 27),
  [793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 5),
  [795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 5),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 3, 0, 28),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 3, 0, 28),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 3, 0, 27),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 3, 0, 27),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 3, 0, 28),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 3, 0, 28),
  [811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 3, 0, 27),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 3, 0, 27),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 3, 0, 28),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 3, 0, 28),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 4, 0, 37),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 4, 0, 37),
  [823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset_arguments, 4, 0, 37),
  [825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset_arguments, 4, 0, 37),
  [827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subset2_arguments, 4, 0, 37),
  [829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subset2_arguments, 4, 0, 37),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_na, 1, 0, 0),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_na, 1, 0, 0),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(309),
  [878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1788),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1788),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1967),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(2001),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1935),
  [893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(979),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(982),
  [899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(983),
  [902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(985),
  [905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(986),
  [908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(313),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(313),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1813),
  [917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1817),
  [920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(309),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(189),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(419),
  [929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1601),
  [932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(321),
  [935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(1117),
  [938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21), SHIFT_REPEAT(372),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_braced_expression_repeat1, 2, 0, 21),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1886),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(635),
  [978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(323),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(323),
  [984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(310),
  [1005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1053),
  [1008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(378),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_named, 2, 0, 11),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_with_default, 2, 0, 10),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1136),
  [3282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [3285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1138),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1143),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_value, 1, 0, 18),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_with_default, 3, 0, 33),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1613),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name_string_or_identifier_or_dots_or_dot_dot_i, 1, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 23),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 23),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 31),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 31),
  [3796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 7),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 7),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_string_content, 2, 0, 0),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quoted_string_content, 2, 0, 0), SHIFT_REPEAT(2025),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_string_content, 2, 0, 0),
  [4119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__double_quoted_string_content, 2, 0, 0), SHIFT_REPEAT(2026),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 29), SHIFT_REPEAT(286),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 29),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_without_default, 1, 0, 10),
  [4381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [4384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 11),
  [4386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 29), SHIFT_REPEAT(290),
  [4389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 29), SHIFT_REPEAT(288),
  [4392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 32), SHIFT_REPEAT(1783),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 32),
  [4397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_string_content, 1, 0, 0),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__single_quoted_string_content, 1, 0, 0),
  [4401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_string_content, 1, 0, 0),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__double_quoted_string_content, 1, 0, 0),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [4409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 17),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 30),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 26),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_named, 3, 0, 38),
  [4421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_unnamed, 1, 0, 17),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 16),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 10),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 9),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4465] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start = 0,
  ts_external_token__newline = 1,
  ts_external_token__semicolon = 2,
  ts_external_token__raw_string_literal = 3,
  ts_external_token__external_else = 4,
  ts_external_token__external_open_parenthesis = 5,
  ts_external_token__external_close_parenthesis = 6,
  ts_external_token__external_open_brace = 7,
  ts_external_token__external_close_brace = 8,
  ts_external_token__external_open_bracket = 9,
  ts_external_token__external_close_bracket = 10,
  ts_external_token__external_open_bracket2 = 11,
  ts_external_token__external_close_bracket2 = 12,
  ts_external_token__error_sentinel = 13,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start] = sym__start,
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__semicolon] = sym__semicolon,
  [ts_external_token__raw_string_literal] = sym__raw_string_literal,
  [ts_external_token__external_else] = sym__external_else,
  [ts_external_token__external_open_parenthesis] = sym__external_open_parenthesis,
  [ts_external_token__external_close_parenthesis] = sym__external_close_parenthesis,
  [ts_external_token__external_open_brace] = sym__external_open_brace,
  [ts_external_token__external_close_brace] = sym__external_close_brace,
  [ts_external_token__external_open_bracket] = sym__external_open_bracket,
  [ts_external_token__external_close_bracket] = sym__external_close_bracket,
  [ts_external_token__external_open_bracket2] = sym__external_open_bracket2,
  [ts_external_token__external_close_bracket2] = sym__external_close_bracket2,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[36][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start] = true,
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token__start] = true,
  },
  [3] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [7] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_bracket] = true,
  },
  [8] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [9] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [10] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
    [ts_external_token__external_close_brace] = true,
  },
  [11] = {
    [ts_external_token__newline] = true,
    [ts_external_token__semicolon] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [12] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [13] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_brace] = true,
  },
  [14] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [15] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [16] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [17] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [18] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [19] = {
    [ts_external_token__newline] = true,
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [20] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [21] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [22] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [23] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [24] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [25] = {
    [ts_external_token__raw_string_literal] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [26] = {
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [27] = {
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [28] = {
    [ts_external_token__external_else] = true,
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [29] = {
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_close_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [30] = {
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_close_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
  },
  [31] = {
    [ts_external_token__external_open_parenthesis] = true,
    [ts_external_token__external_open_bracket] = true,
    [ts_external_token__external_open_bracket2] = true,
    [ts_external_token__external_close_bracket2] = true,
  },
  [32] = {
    [ts_external_token__external_close_parenthesis] = true,
  },
  [33] = {
    [ts_external_token__newline] = true,
    [ts_external_token__external_open_parenthesis] = true,
  },
  [34] = {
    [ts_external_token__external_close_bracket] = true,
  },
  [35] = {
    [ts_external_token__external_close_bracket2] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_r_external_scanner_create(void);
void tree_sitter_r_external_scanner_destroy(void *);
bool tree_sitter_r_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_r_external_scanner_serialize(void *, char *);
void tree_sitter_r_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_r(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_r_external_scanner_create,
      tree_sitter_r_external_scanner_destroy,
      tree_sitter_r_external_scanner_scan,
      tree_sitter_r_external_scanner_serialize,
      tree_sitter_r_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
